
/*-- SEQ 0001 --*/
UPDATE TT_USU 
   SET PERMIS = SUBSTR(PERMIS,1,238)||SUBSTR(PERMIS,35,1)||SUBSTR(PERMIS,240,9999);


/*-- SEQ 0002 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TL_CCC ADD FILCLI_DE CHAR(3);

/*-- SEQ 0003 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TL_CCC ADD CODCLI_DE CHAR(6);

/*-- SEQ 0004 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TL_CCC ADD TIPCCC_DE Numeric(5);

/*-- SEQ 0005 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TL_CCC ADD FILCLI_PARA CHAR(3);

/*-- SEQ 0006 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TL_CCC ADD CODCLI_PARA CHAR(6);

/*-- SEQ 0007 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TL_CCC ADD TIPCCC_PARA Numeric(5);

/*-- SEQ 0008 --*/
/*--IGNORE ERRO--*/
CREATE INDEX I_FK_LCCC_CLI_DE ON TL_CCC (FILCLI_DE, CODCLI_DE)   ;

/*-- SEQ 0009 --*/
/*--IGNORE ERRO--*/
CREATE INDEX I_FK_LCCC_CLI_PARA ON TL_CCC (FILCLI_PARA, CODCLI_PARA)   ;

/*-- SEQ 0010 --*/
UPDATE TL_CCC 
   SET FILCLI_DE = CAST(SUBSTR(MSGLOG,INSTR(MSGLOG,' de ')+4,3) AS CHAR(3)),
       CODCLI_DE = CAST(LPAD(SUBSTR(MSGLOG,INSTR(MSGLOG,' de ')+8,INSTR(MSGLOG,' para ') - INSTR(MSGLOG,' de ') - 8),6,' ') AS CHAR(6)),
       FILCLI_PARA = CAST(SUBSTR(MSGLOG,INSTR(MSGLOG,' para ')+6,3) AS CHAR(3)),
       CODCLI_PARA = CAST(LPAD(SUBSTR(MSGLOG,INSTR(MSGLOG,' para ')+10,INSTR(MSGLOG,chr(10)) - INSTR(MSGLOG,' para ') - 10),6,' ') AS CHAR(6)) 
 WHERE FILCLI_DE IS NULL
   AND CODCLI_DE IS NULL
   AND FILCLI_PARA IS NULL
   AND CODCLI_PARA IS NULL 
   AND MSGLOG LIKE 'Cliente: de %';

/*-- SEQ 0011 --*/   
   UPDATE TL_CCC
   SET TIPCCC_DE = CAST(SUBSTR(MSGLOG,INSTR(MSGLOG,'Tipo: de ')+9,INSTR(MSGLOG,' para ',INSTR(MSGLOG,'Tipo: de ')) - INSTR(MSGLOG,'Tipo: de ')-9) AS NUMERIC(5)),
       TIPCCC_PARA = CAST(SUBSTR(MSGLOG,INSTR(MSGLOG,' para ',INSTR(MSGLOG,'Tipo: de '))+6,INSTR(MSGLOG,chr(10),INSTR(MSGLOG,'Tipo: de ')) - INSTR(MSGLOG,' para ',INSTR(MSGLOG,'Tipo: de '))-6) AS numeric(5))
 WHERE TIPCCC_DE IS NULL
   AND TIPCCC_PARA IS NULL
   AND MSGLOG LIKE '%Tipo: de %';
   
/*-- SEQ 0012 --*/
UPDATE TT_USU 
   SET PERMIS = SUBSTR(PERMIS,1,239)||'N'||SUBSTR(PERMIS,241,9999);   
   
   


/*-- SEQ 0013 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_VEN ADD CNT_RO Numeric(5);

/*-- SEQ 0014 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_VEN_FIS ADD CNT_RO Numeric(5);

/*-- SEQ 0015 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_ECF ADD CNT_RO Numeric(5);

/*-- SEQ 0016 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TE_ECF ADD CNT_RO Numeric(5);

/*-- SEQ 0017 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TE_RECF ADD CNT_RO Numeric(5);


/*-- SEQ 0018 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ECF ADD CNT_RO Numeric(5);

/*-- SEQ 0019 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_ECF ADD CNT_RO Numeric(5);

/*-- SEQ 0020 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TR_ECF ADD CNT_RO Numeric(5);

/*-- SEQ 0021 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TR_CAI ADD CNT_RO Numeric(5);

/*-- SEQ 0022 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_FIS ADD CNT_RO Numeric(5);

/*-- SEQ 0023 --*/
/*-- IGNORE ERRO --*/
SELECT DISABLETRIGGERS(LOWER('TT_VEN'));

/*-- SEQ 0024 --*/
/*-- IGNORE ERRO --*/
UPDATE TT_VEN SET CNT_RO = 0
 WHERE CNT_RO IS NULL;

/*-- SEQ 0025 --*/
/*-- IGNORE ERRO --*/
SELECT ENABLETRIGGERS(LOWER('TT_VEN'));

/*-- SEQ 0026 --*/
/*-- IGNORE ERRO --*/
SELECT DISABLETRIGGERS(LOWER('TT_ECF'));

/*-- SEQ 0027 --*/
/*-- IGNORE ERRO --*/
UPDATE TT_ECF SET CNT_RO = 0
 WHERE CNT_RO IS NULL;

/*-- SEQ 0028 --*/
/*-- IGNORE ERRO --*/
SELECT ENABLETRIGGERS(LOWER('TT_ECF'));

/*-- SEQ 0029 --*/
/*-- IGNORE ERRO --*/
SELECT DISABLETRIGGERS(LOWER('TR_ECF'));

/*-- SEQ 0030 --*/
/*-- IGNORE ERRO --*/
UPDATE TR_ECF SET CNT_RO = 0
 WHERE CNT_RO IS NULL;

/*-- SEQ 0031 --*/
/*-- IGNORE ERRO --*/
SELECT ENABLETRIGGERS(LOWER('TR_ECF'));

/*-- SEQ 0032 --*/
/*-- IGNORE ERRO --*/
SELECT DISABLETRIGGERS(LOWER('TL_ECF'));

/*-- SEQ 0033 --*/
/*-- IGNORE ERRO --*/
UPDATE TL_ECF SET CNT_RO = 0
 WHERE CNT_RO IS NULL;

/*-- SEQ 0034 --*/
/*-- IGNORE ERRO --*/
SELECT ENABLETRIGGERS(LOWER('TL_ECF'));

/*-- SEQ 0035 --*/
/*-- IGNORE ERRO --*/
SELECT DISABLETRIGGERS(LOWER('TW_ECF'));

/*-- SEQ 0036 --*/
/*-- IGNORE ERRO --*/
UPDATE TW_ECF SET CNT_RO = 0
 WHERE CNT_RO IS NULL;

/*-- SEQ 0037 --*/
/*-- IGNORE ERRO --*/
SELECT ENABLETRIGGERS(LOWER('TW_ECF'));


/*-- SEQ 0038 --*/
/*-- IGNORE ERRO --*/
SELECT DISABLETRIGGERS(LOWER('TR_CAI'));

/*-- SEQ 0039 --*/
/*-- IGNORE ERRO --*/
UPDATE TR_CAI SET CNT_RO = 0
 WHERE CNT_RO IS NULL;

/*-- SEQ 0040 --*/
/*-- IGNORE ERRO --*/
SELECT ENABLETRIGGERS(LOWER('TR_CAI'));

/*-- SEQ 0041 --*/
/*-- IGNORE ERRO --*/
SELECT DISABLETRIGGERS(LOWER('TT_FIS'));

/*-- SEQ 0042 --*/
/*-- IGNORE ERRO --*/
UPDATE TT_FIS SET CNT_RO = 0
 WHERE CNT_RO IS NULL
   AND ORIGEM = 'V';

/*-- SEQ 0043 --*/
/*-- IGNORE ERRO --*/
SELECT ENABLETRIGGERS(LOWER('TT_FIS'));


/*-- SEQ 0044 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_VEN ALTER COLUMN CNT_RO SET DEFAULT 0;

/*-- SEQ 0045 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TR_ECF ALTER COLUMN CNT_RO SET DEFAULT 0;

/*-- SEQ 0046 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ECF ALTER COLUMN CNT_RO SET DEFAULT 0;

/*-- SEQ 0047 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_ECF ALTER COLUMN CNT_RO SET DEFAULT 0;

/*-- SEQ 0048 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TR_CAI ALTER COLUMN CNT_RO SET DEFAULT 0;

/*-- SEQ 0049 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_VEN ALTER COLUMN CNT_RO SET NOT NULL;

/*-- SEQ 0050 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ECF ALTER COLUMN CNT_RO SET NOT NULL;

/*-- SEQ 0051 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TR_ECF ALTER COLUMN CNT_RO SET NOT NULL;

/*-- SEQ 0052 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_ECF ALTER COLUMN CNT_RO SET NOT NULL;

/*-- SEQ 0053 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_ECF ALTER COLUMN CNT_RO SET NOT NULL;


/*-- SEQ 0054 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TR_CAI ALTER COLUMN CNT_RO SET NOT NULL;

/*-- SEQ 0055 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_VEN DROP CONSTRAINT AK_VEN_NOTA;

/*-- SEQ 0056 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_VEN ADD CONSTRAINT AK_VEN_NOTA UNIQUE (CODFIL,NUMECF,CODSER,NUMNOT,CNT_RO)   ;

/*-- SEQ 0057 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_VEN ADD CONSTRAINT CK_VEN_CNT_RO CHECK ((CODSER IN ('CF','TK') AND CNT_RO >= 0) OR (CODSER NOT IN ('CF','TK') AND CNT_RO = 0));

/*-- SEQ 0058 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ECF DROP CONSTRAINT AK_ECF;

/*-- SEQ 0059 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ECF ADD CONSTRAINT AK_ECF UNIQUE (CODFIL,DATOPE,NUMSER,TOTALI,TIPTOT,CNT_RO)   ;

/*-- SEQ 0060 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TR_CAI DROP CONSTRAINT FK_RCAI_RECF;

/*-- SEQ 0061 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TR_ECF DROP CONSTRAINT PK_RECF CASCADE;


/*-- SEQ 0062 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TR_ECF DROP CONSTRAINT PK_ECF CASCADE;


/*-- SEQ 0063 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TR_ECF ADD CONSTRAINT PK_RECF PRIMARY KEY (CODFIL,NUMECF,DATOPE,CNT_RO)   ;

/*-- SEQ 0064 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TR_CAI ADD CONSTRAINT FK_RCAI_RECF FOREIGN KEY (CODFIL, NUMECF, DATOPE, CNT_RO) REFERENCES TR_ECF (CODFIL,NUMECF,DATOPE,CNT_RO);

/*-- SEQ 0065 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ECF ADD CONSTRAINT PK_ECF PRIMARY KEY (CODFIL,NUMECF,DATOPE,TOTALI,TIPTOT,CNT_RO)   ;



/*-- SEQ 0066 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TT_CTA ADD FILVIN CHAR(03);

/*-- SEQ 0067 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TT_CTA ADD SEQVIN CHAR(10);

/*-- SEQ 0068 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TT_CTA ADD TIPVIN CHAR(01);

/*-- SEQ 0069 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TT_CTA ADD CONSTRAINT FK_CTA_CTAVIN FOREIGN KEY 
   (FILVIN, SEQVIN, TIPVIN) REFERENCES TT_CTA (CODFIL, SEQUEN, TIPCTA);
   
/*-- SEQ 0070 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TT_CTA 
  ADD CONSTRAINT CK_CTA_CTAVIN 
  CHECK((FILVIN IS NULL 
    AND SEQVIN IS NULL 
    AND TIPVIN IS NULL) OR (TIPCTA='G' AND TIPVIN='N'));
   


/*-- SEQ 0071 --*/
UPDATE TT_USU 
   SET PERMIS = SUBSTR(PERMIS,1,240)||'S'||SUBSTR(PERMIS,242,9999);


/*-- SEQ 0072 --*/
CREATE INDEX I_LC_LCF_CODFIL_NUMECF ON TT_LCF (CODFIL, NUMECF, TRN_ID)  ;


/*-- SEQ 0073 --*/
CREATE TABLE TI_ITF (
     MD5CAR CHAR(32),
     NSUTRN VARCHAR(12),
     OPERAD CHAR(1),   --V VISANET | M MASTERCARD
     SEQARQ Numeric(10),
     DATPRO Timestamp,     
     DATVEN Timestamp,
     VLRPAR Numeric(14,2),
     NROPAR Numeric(2),
     TOTPAR Numeric(2),
     MOTREJ VARCHAR(30),     
     FILTEF CHAR(3),
     SEQTEF CHAR(10),
     NUMITE Numeric(5)
)  ;

/*-- SEQ 0074 --*/
ALTER TABLE TI_ITF ADD CONSTRAINT FK_IITF_ITF FOREIGN KEY (FILTEF,SEQTEF,NUMITE) REFERENCES TT_ITF (CODFIL,SEQUEN,NUMITE);

/*-- SEQ 0075 --*/
CREATE INDEX I_LC_IITF_MD5CAR ON TI_ITF (MD5CAR)  ;

/*-- SEQ 0076 --*/
CREATE INDEX I_LC_IITF_NSUTRN ON TI_ITF (NSUTRN)  ;

/*-- SEQ 0077 --*/
CREATE INDEX I_LC_IITF_SEQARQ ON TI_ITF (SEQARQ)  ;


/*-- SEQ 0078 --*/
ALTER TABLE TI_ITF ADD NRO_RO Numeric(10);

/*-- SEQ 0079 --*/
CREATE TABLE TI_ITF_RO (
    NRO_RO Numeric(10),
    DATDEP Timestamp,
    DATPRE Timestamp,
    DATENV Timestamp,
    VLRBRU Numeric(14,2),
    VLRREJ Numeric(14,2),
    VLRLIQ Numeric(14,2),
    CODBCO CHAR(3),
    NUMAGE CHAR(5), 
    CTACRR CHAR(10),
    TIPPRO CHAR(1),
    OPCEXT CHAR(1),
    DATCAP Timestamp
)  ;
    
/*-- SEQ 0080 --*/
CREATE INDEX I_LC_IITF_RO ON TI_ITF_RO (NRO_RO)  ;

/*-- SEQ 0081 --*/
CREATE INDEX I_LC_IITF_NRO_RO ON TI_ITF (NRO_RO)  ;


/*-- SEQ 0082 --*/
ALTER TABLE TW_FUN ADD HORADE Numeric(7);

/*-- SEQ 0083 --*/
ALTER TABLE TW_FUN ADD TIPADE Numeric(5);


/*-- SEQ 0084 --*/
ALTER TABLE TT_CFG ADD BONUS_ONLINE VARCHAR(1);

/*-- SEQ 0085 --*/
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_BONUS_ONLINE CHECK (BONUS_ONLINE IN ('T','F'));

/*-- SEQ 0086 --*/
ALTER TABLE TT_CFG ALTER COLUMN BONUS_ONLINE SET DEFAULT 'F';

/*-- SEQ 0087 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0088 --*/
UPDATE TT_CFG SET BONUS_ONLINE = 'F' WHERE BONUS_ONLINE IS NULL;

/*-- SEQ 0089 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0090 --*/
ALTER TABLE TT_CFG ALTER COLUMN BONUS_ONLINE SET NOT NULL;

/*-- SEQ 0091 --*/
ALTER TABLE TW_CFG ADD BONUS_ONLINE VARCHAR(1);

/*-- SEQ 0092 --*/
ALTER TABLE TW_CFG ALTER COLUMN BONUS_ONLINE SET DEFAULT 'F';


/*-- SEQ 0093 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_LID ADD FILORI CHAR(3);

/*-- SEQ 0094 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_LID ADD ECFORI CHAR(3);

/*-- SEQ 0095 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_LID ADD ID_ORI Numeric(12);

/*-- SEQ 0096 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_LID ADD CONSTRAINT FK_LID_LID FOREIGN KEY (FILORI, ECFORI, ID_ORI) REFERENCES TT_LID (CODFIL, NUMECF, TRN_ID);


/*-- SEQ 0097 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_FIS ADD ESPDOC CHAR(3);



/*-- SEQ 0098 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_OPE DROP CONSTRAINT CK_OPE_REGRA;

/*-- SEQ 0099 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_OPE ADD CONSTRAINT CK_OPE_REGRA CHECK 
      (CASE WHEN CODCAI IS NULL AND FILREC IS NOT NULL AND SEQREC IS NOT NULL AND NUMPAR IS NOT NULL AND SUBPAR IS NOT NULL THEN 1 ELSE 0 END +
       /* CASE WHEN CODCAI IS NULL AND FILTEF IS NOT NULL AND SEQTEF IS NOT NULL THEN 1 ELSE 0 END + */
       CASE WHEN CODCAI IS NULL AND FILCCC IS NOT NULL AND SEQCCC IS NOT NULL THEN 1 ELSE 0 END +
       CASE WHEN CODCAI IS NULL AND FILCHR IS NOT NULL AND SEQCHR IS NOT NULL THEN 1 ELSE 0 END +
       CASE WHEN                    FILFIN IS NOT NULL AND SEQFIN IS NOT NULL THEN 1 ELSE 0 END +
       CASE WHEN CODCAI IS NULL AND FILDOP IS NOT NULL AND SEQDOP IS NOT NULL THEN 1 ELSE 0 END +
       CASE WHEN CODCAI IS NULL AND CARTAO IS NOT NULL THEN 1 ELSE 0 END +
       CASE WHEN CODCAI IS NULL AND OUTROS IS NOT NULL THEN 1 ELSE 0 END +
       CASE WHEN CODCAI IS NULL AND CAMBIO IS NOT NULL THEN 1 ELSE 0 END +
       CASE WHEN CODCAI IS NULL AND DOCTRO IS NOT NULL THEN 1 ELSE 0 END = 1);


/*-- SEQ 0100 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_IPAG_STATUS ON TI_PAG (STATUS)  ;


/*-- SEQ 0101 --*/
ALTER TABLE TT_PXF DROP CONSTRAINT FK_PXF_GRA;

/*-- SEQ 0102 --*/
alter table TT_PXF add constraint FK_PXF_GRA foreign key (FILMAT,CODMAT,CODCOR,CODTAM)
  references TT_GRA (FILMAT,CODMAT,CODCOR,CODTAM) ON DELETE CASCADE;

