
/*-- SEQ 0001 --*/
-- Tarefa 71288--
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0002 --*/
-- Tarefa   71288 --
ALTER TABLE TD_FIL ADD PAFECF VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0003 --*/
-- Tarefa   71288 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_PAFECF CHECK (PAFECF IN ('T','F'));

/*-- SEQ 0004 --*/
-- Tarefa   71288 --
ALTER TABLE TD_FIL ALTER COLUMN PAFECF SET NOT NULL;

/*-- SEQ 0005 --*/
-- Tarefa   71288 --
ALTER TABLE TD_FIL ADD PREVEN VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0006 --*/
-- Tarefa   71288 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_PREVEN CHECK (PREVEN IN ('T','F'));

/*-- SEQ 0007 --*/
-- Tarefa   71288 --
ALTER TABLE TD_FIL ALTER COLUMN PREVEN SET NOT NULL;

/*-- SEQ 0008 --*/
-- Tarefa   71288 --
ALTER TABLE TD_FIL ADD DAVNFS VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0009 --*/
-- Tarefa   71288 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_DAVNFS CHECK (DAVNFS IN ('T','F'));

/*-- SEQ 0010 --*/
-- Tarefa   71288 --
ALTER TABLE TD_FIL ALTER COLUMN DAVNFS SET NOT NULL;

/*-- SEQ 0011 --*/
-- Tarefa   71288 --
ALTER TABLE TD_FIL ADD DAVFIS VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0012 --*/
-- Tarefa 71288--
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0013 --*/
-- Tarefa   71288 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_DAVFIS CHECK (DAVFIS IN ('T','F'));

/*-- SEQ 0014 --*/
-- Tarefa   71288 --
ALTER TABLE TD_FIL ALTER COLUMN DAVFIS SET NOT NULL;

/*-- SEQ 0015 --*/
-- Tarefa   71288 --
ALTER TABLE TD_FIL ADD ASSINA VARCHAR(128);


/*-- SEQ 0016 --*/
-- Tarefa 71371 --
ALTER TABLE TT_CFG ADD PAFECF_NROLAU Numeric(20);

/*-- SEQ 0017 --*/
-- Tarefa 71371 --
ALTER TABLE TT_CFG ADD PAFECF_NOMCOM VARCHAR(40);

/*-- SEQ 0018 --*/
-- Tarefa 71371 --
ALTER TABLE TT_CFG ADD PAFECF_PRIARQ VARCHAR(40);

/*-- SEQ 0019 --*/
-- Tarefa 71371 --
ALTER TABLE TT_CFG ADD PAFECF_PRIARQ_MD5 VARCHAR(40);

/*-- SEQ 0020 --*/
-- Tarefa 71371 --
ALTER TABLE TT_CFG ADD PAFECF_OUTARQ VARCHAR(4000);

/*-- SEQ 0021 --*/
-- Tarefa 71371 --
ALTER TABLE TT_CFG ADD PAFECF_ASSINA VARCHAR(128);


/*-- SEQ 0022 --*/
-- Tarefa 71365 --
ALTER TABLE TT_IOR ADD COOVEN CHAR(6);


/*-- SEQ 0023 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 71326 --
SELECT * FROM NADA;

/*-- SEQ 0024 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 71326 --
SELECT * FROM NADA;

/*-- SEQ 0025 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 71326 --
SELECT * FROM NADA;

/*-- SEQ 0026 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 71326 --
SELECT * FROM NADA;

/*-- SEQ 0027 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 71326 --
SELECT * FROM NADA;

/*-- SEQ 0028 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 71326 --
SELECT * FROM NADA;


/*-- SEQ 0029 --*/
-- Tarefa 71379 --
SELECT DISABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0030 --*/
-- Tarefa 71379 --
ALTER TABLE TT_PRO ADD ARRTRU CHAR(1) DEFAULT 'A';

/*-- SEQ 0031 --*/
-- Tarefa 71379 --
SELECT ENABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0032 --*/
-- Tarefa 71379 --
ALTER TABLE TT_PRO ADD CONSTRAINT CK_PRO_ARRTRU CHECK (ARRTRU IN ('A','T'));

/*-- SEQ 0033 --*/
-- Tarefa 71379 --
ALTER TABLE TT_PRO ALTER COLUMN ARRTRU SET NOT NULL;

/*-- SEQ 0034 --*/
-- Tarefa 71379 --
SELECT DISABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0035 --*/
-- Tarefa 71379 --
ALTER TABLE TT_PRO ADD IIPTPR CHAR(1) DEFAULT 'T';

/*-- SEQ 0036 --*/
-- Tarefa 71379 --
SELECT ENABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0037 --*/
-- Tarefa 71379 --
ALTER TABLE TT_PRO ADD CONSTRAINT CK_PRO_IIPTPR CHECK (IIPTPR IN ('P','T'));

/*-- SEQ 0038 --*/
-- Tarefa 71379 --
ALTER TABLE TT_PRO ALTER COLUMN IIPTPR SET NOT NULL;


/*-- SEQ 0039 --*/ 
-- Tarefa  71297 --
CREATE TABLE TT_DAV (
  CODFIL CHAR(3), 
  SEQUEN CHAR(10), 
  DATINC Timestamp, 
  FILPED CHAR(3), 
  TIPPED CHAR(1), 
  NUMPED CHAR(8), 
  VLRTOT Numeric(14,2), 
  IMPDAV TEXT, 
  ASSINA VARCHAR(128))  ;

/*-- SEQ 0040 --*/ 
-- Tarefa  71297 --
ALTER TABLE TT_DAV ALTER COLUMN CODFIL SET NOT NULL;

/*-- SEQ 0041 --*/ 
-- Tarefa  71297 --
ALTER TABLE TT_DAV ALTER COLUMN SEQUEN SET NOT NULL;

/*-- SEQ 0042 --*/ 
-- Tarefa  71297 --
ALTER TABLE TT_DAV ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0043 --*/ 
-- Tarefa  71297 --
ALTER TABLE TT_DAV ALTER COLUMN FILPED SET NOT NULL;

/*-- SEQ 0044 --*/ 
-- Tarefa  71297 --
ALTER TABLE TT_DAV ALTER COLUMN TIPPED SET NOT NULL;

/*-- SEQ 0045 --*/ 
-- Tarefa  71297 --
ALTER TABLE TT_DAV ALTER COLUMN NUMPED SET NOT NULL;

/*-- SEQ 0046 --*/ 
-- Tarefa  71297 --
ALTER TABLE TT_DAV ALTER COLUMN IMPDAV SET NOT NULL;

/*-- SEQ 0047 --*/ 
-- Tarefa  71297 --
ALTER TABLE TT_DAV ALTER COLUMN ASSINA SET NOT NULL;

/*-- SEQ 0048 --*/ 
-- Tarefa  71297 --
ALTER TABLE TT_DAV ADD CONSTRAINT PK_DAV PRIMARY KEY (CODFIL, SEQUEN);

/*-- SEQ 0049 --*/ 
-- Tarefa  71297 --
ALTER TABLE TT_DAV ADD CONSTRAINT FK_DAV_ORC FOREIGN KEY (FILPED, TIPPED, NUMPED) REFERENCES TT_ORC (CODFIL, TIPPED, NUMPED);

/*-- SEQ 0050 --*/ 
-- Tarefa  71297 --
CREATE INDEX I_FK_DAV_ORC ON TT_DAV (FILPED, TIPPED, NUMPED)  ;

/*-- SEQ 0051 --*/ 
-- Tarefa  71297 --
CREATE INDEX I_LC_DAV_DATINC ON TT_DAV (DATINC)  ;

/*-- SEQ 0052 --*/ 
-- Tarefa  71297 --
CREATE SEQUENCE SQDAV INCREMENT 1 START 1 MINVALUE 1;



/*-- SEQ 0053 --*/ 
-- Tarefa  71356 --
CREATE TABLE TR_DAV (
  CODFIL CHAR(3), 
  SEQUEN CHAR(10), 
  DATINC Timestamp, 
  FILDAV CHAR(3), 
  ANODAV CHAR(4), 
  MESDAV CHAR(2), 
  VLRTOT Numeric(14,2), 
  QTDDAV Numeric(10), 
  ASSINA VARCHAR(128))  ;

/*-- SEQ 0054 --*/ 
-- Tarefa  71356 --
ALTER TABLE TR_DAV ALTER COLUMN CODFIL SET NOT NULL;

/*-- SEQ 0055 --*/ 
-- Tarefa  71356 --
ALTER TABLE TR_DAV ALTER COLUMN SEQUEN SET NOT NULL;

/*-- SEQ 0056 --*/ 
-- Tarefa  71356 --
ALTER TABLE TR_DAV ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0057 --*/ 
-- Tarefa  71356 --
ALTER TABLE TR_DAV ALTER COLUMN ASSINA SET NOT NULL;

/*-- SEQ 0058 --*/ 
-- Tarefa  71356 --
ALTER TABLE TR_DAV ADD CONSTRAINT PK_RDAV PRIMARY KEY (CODFIL, SEQUEN);

/*-- SEQ 0059 --*/ 
-- Tarefa  71356 --
ALTER TABLE TR_DAV ADD CONSTRAINT FK_RDAV_DFIL FOREIGN KEY (FILDAV) REFERENCES TD_FIL (CODFIL);

/*-- SEQ 0060 --*/ 
-- Tarefa  71356 --
CREATE INDEX I_FK_RDAV_DFIL ON TR_DAV (CODFIL)  ;

/*-- SEQ 0061 --*/ 
-- Tarefa  71356 --
CREATE INDEX I_LC_RDAV_DATINC ON TR_DAV (DATINC)  ;

/*-- SEQ 0062 --*/ 
-- Tarefa  71356 --
CREATE SEQUENCE SQRDAV INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0063 --*/ 
-- Tarefa  71356 --
ALTER TABLE TR_DAV ADD CONSTRAINT CK_RDAV_MESDAV CHECK (MESDAV >= 1 AND MESDAV <= 12);


/*-- SEQ 0064 --*/
-- Tarefa 71578 --
ALTER TABLE TD_ECF ADD ECFMFA CHAR(1);

/*-- SEQ 0065 --*/
-- Tarefa 71578 --
ALTER TABLE TD_ECF ADD ECFTIP VARCHAR(7);

/*-- SEQ 0066 --*/
-- Tarefa 71578 --
ALTER TABLE TW_TAB ADD ECFMFA CHAR(1);

/*-- SEQ 0067 --*/
-- Tarefa 71578 --
ALTER TABLE TW_TAB ADD ECFTIP VARCHAR(7);


/*-- SEQ 0068 --*/
-- Tarefa 71351 --
SELECT ExecAlteraTipoColuna('TT_DAV','ASSINA','VARCHAR(256)');


/*-- SEQ 0069 --*/
-- Tarefa 71351 --
SELECT ExecAlteraTipoColuna('TR_DAV','ASSINA','VARCHAR(256)');


/*-- SEQ 0070 --*/
-- Tarefa 71351 --
ALTER TABLE TR_DAV DROP COLUMN MESDAV CASCADE;

/*-- SEQ 0071 --*/
-- Tarefa 71351 --
ALTER TABLE TR_DAV ADD MESDAV Numeric(2);

/*-- SEQ 0072 --*/
-- Tarefa 71351 --
ALTER TABLE TR_DAV ADD CONSTRAINT CK_RDAV_MESDAV CHECK (MESDAV >= 1 AND MESDAV <= 12);

/*-- SEQ 0073 --*/
-- Tarefa 71351 --
ALTER TABLE TR_DAV DROP COLUMN ANODAV CASCADE;

/*-- SEQ 0074 --*/
-- Tarefa 71351 --
ALTER TABLE TR_DAV ADD ANODAV Numeric(4);

/*-- SEQ 0075 --*/
-- Tarefa  71357 --
SELECT ExecAlteraTipoColuna('TD_FIL','ASSINA','VARCHAR(256)');



/*-- SEQ 0076 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa  71585 --
SELECT * FROM NADA;

/*-- SEQ 0077 --*/ 
/*-- IGNORE ERRO --*/
-- Tarefa  71585 --
SELECT * FROM NADA;

/*-- SEQ 0078 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa  71585 --
SELECT * FROM NADA;

/*-- SEQ 0079 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa  71585 --
SELECT * FROM NADA;

/*-- SEQ 0080 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa  71585 --
SELECT * FROM NADA;

/*-- SEQ 0081 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa  71585 --
SELECT * FROM NADA;


/*-- SEQ 0082 --*/
-- Tarefa 71637 --
ALTER TABLE TD_ECF ADD ECFCOL Numeric(3);

/*-- SEQ 0083 --*/
-- Tarefa 71637 --
ALTER TABLE TW_TAB ADD ECFCOL Numeric(3);


/*-- SEQ 0084 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 71548 --
SELECT DISABLETRIGGERS(LOWER('TT_LID'));

/*-- SEQ 0085 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 71548 --
ALTER TABLE TT_LID ADD LIDPOS VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0086 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 71548 --
UPDATE TT_LID LID
    SET LIDPOS=COALESCE((SELECT 'T' AS PROXIMO
                           FROM TT_LID PLID 
                          WHERE LID.codfil = PLID.codfil and LID.numecf = PLID.numecf and LID.trn_id  + 1 = PLID.trn_id
                         ),'F')                                 
WHERE LID.LIDPOS IS NULL;

/*-- SEQ 0087 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 71548 --
CREATE INDEX I_LC_LID_LIDPOS ON TT_LID (LIDPOS);

/*-- SEQ 0088 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 71548 --
SELECT ENABLETRIGGERS(LOWER('TT_LID'));


/*-- SEQ 0089 --*/
-- Tarefa 71605 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0090 --*/
-- Tarefa 71605 --
UPDATE TT_CFG
   SET CHECKOUT_VERMIN = '4.7h',
       CHECKOUT_RELMIN = 26;

/*-- SEQ 0091 --*/
-- Tarefa 71605 --
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));



/*-- SEQ 0092 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa  71585 --
DROP TABLE TT_DOC CASCADE;

/*-- SEQ 0093 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa  71585 --
DROP SEQUENCE SQDOC;


/*-- SEQ 0094 --*/ 
-- Tarefa  71749 --
ALTER TABLE TT_LID ADD VERSAO VARCHAR(5);

/*-- SEQ 0095 --*/ 
-- Tarefa  71749 --
ALTER TABLE TT_LID ADD RELEAS Numeric(5);

/*-- SEQ 0096 --*/ 
-- Tarefa  71749 --
ALTER TABLE TT_LID ADD VERBAS Numeric(5);

/*-- SEQ 0097 --*/ 
-- Tarefa  71749 --
ALTER TABLE TT_LID ADD CONGNF Numeric(6);

/*-- SEQ 0098 --*/ 
-- Tarefa  71749 --
ALTER TABLE TT_LID ADD CONGRG Numeric(6);

/*-- SEQ 0099 --*/ 
-- Tarefa  71749 --
ALTER TABLE TT_LID ADD CONCDC Numeric(6);

/*-- SEQ 0100 --*/ 
-- Tarefa  71749 --
ALTER TABLE TT_LID ADD TIPDOC CHAR(2);

/*-- SEQ 0101 --*/ 
-- Tarefa  71749 --
ALTER TABLE TT_LID ADD CONSTRAINT CK_LIB_TIPDOC CHECK (TIPDOC IN ('CM','RV','CC','CN','NC','RG'));


/*-- SEQ 0102 --*/ 
-- Tarefa  71752 --
ALTER TABLE TD_ECF ADD TNCIEE CHAR(6);

/*-- SEQ 0103 --*/ 
-- Tarefa  71752 --
ALTER TABLE TW_TAB ADD TNCIEE CHAR(6);


/*-- SEQ 0104 --*/
-- Tarefa 71562 --
ALTER TABLE TT_ECF ADD ORDALI Numeric(3);


/*-- SEQ 0105 --*/
-- Tarefa 71815 --
ALTER TABLE TT_ORC ADD CANPRE CHAR(3);

/*-- SEQ 0106 --*/ 
-- Tarefa  71815 --
ALTER TABLE TT_ORC ADD CONSTRAINT FK_ORC_DECF FOREIGN KEY (CODFIL, CANPRE) REFERENCES TD_ECF (FILECF, NUMECF);


/*-- SEQ 0107 --*/
-- Tarefa 71844 --
ALTER TABLE TT_LID ADD CONCCF VARCHAR(5);


/*-- SEQ 0108 --*/
-- Tarefa 71843 --
SELECT DISABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0109 --*/
-- Tarefa 71843 --
UPDATE TT_PRO
   SET ARRTRU = 'A'
 WHERE ARRTRU = 'N';

/*-- SEQ 0110 --*/
-- Tarefa 71843 --
SELECT ENABLETRIGGERS(LOWER('TT_PRO'));


/*-- SEQ 0111 --*/
-- Tarefa 71844 --
SELECT ExecAlteraTipoColuna('TT_LID','CONCCF','VARCHAR(6)');



/*-- SEQ 0112 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION MaiorData_TT_DAT () CASCADE;

/*-- SEQ 0113 --*/
CREATE OR REPLACE FUNCTION MaiorData_TT_DAT ()
RETURNS Timestamp AS '
DECLARE

  vMaiorData Timestamp;
  vDummy Numeric;
BEGIN
  -- Tarefa 71056 --
  SELECT MAX(DATOPE) INTO vMaiorData FROM TT_DAT;

  -- Verifica se a data (DATOPE)  menor que 01/01/2060 e chama a funo: Adiciona_TT_DAT.
  IF vMaiorData < TO_DATE(''01/01/2060'',''dd/mm/yyyy'') THEN
      vDummy := Adiciona_TT_DAT(vMaiorData, TO_DATE(''01/01/2060'',''dd/mm/yyyy''));
  END IF;

  RETURN NULL;

END;
' language 'plpgsql';



/*-- SEQ 0114 --*/
-- Tarefa 71056 --
/*-- IGNORE ERRO --*/
select MaiorData_TT_DAT() from dual;


/*-- SEQ 0115 --*/
-- Tarefa 71056 --
/*-- IGNORE ERRO --*/
DROP FUNCTION MaiorData_TT_DAT () CASCADE;


/*-- SEQ 0116 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa  71056 --
SELECT * FROM NADA;

/*-- SEQ 0117 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa  71056 --
SELECT * FROM NADA;

/*-- SEQ 0118 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa  71056 --
SELECT * FROM NADA;




/*-- SEQ 0119 --*/
-- Tarefa 71951 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0120 --*/
-- Tarefa 71951 --
UPDATE TT_CFG
   SET PAFECF_NROLAU = NULL;

/*-- SEQ 0121 --*/
-- Tarefa 71951 --
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0122 --*/
-- Tarefa 71951 --
SELECT ExecAlteraTipoColuna('TT_CFG','PAFECF_NROLAU','VARCHAR(20)');



/*-- SEQ 0123 --*/
-- Tarefa 71882 --
ALTER TABLE TT_ORC DROP CONSTRAINT CK_ORC_TIPPED;

/*-- SEQ 0124 --*/
-- Tarefa 71882 --
ALTER TABLE TT_ORC ADD CONSTRAINT CK_ORC_TIPPED CHECK (TIPPED IN('O','S','P'));

/*-- SEQ 0125 --*/
-- Tarefa 71882 --
ALTER TABLE TT_IOR DROP CONSTRAINT CK_IOR_TIPPED;

/*-- SEQ 0126 --*/
-- Tarefa 71882 --
ALTER TABLE TT_IOR ADD CONSTRAINT CK_IOR_TIPPED CHECK (TIPPED IN('O','S','P'));

/*-- SEQ 0127 --*/
-- Tarefa 71882 --
SELECT DISABLETRIGGERS(LOWER('TT_COD'));

/*-- SEQ 0128 --*/
-- Tarefa 71882 --
INSERT INTO TT_COD
(SEQUEN, CODTAB, FILCOD, ULTCOD)
SELECT SEQUEN, CODTAB, FILCOD, ULTCOD
  FROM (
    SELECT ProximoCodigo('TT_COD', CODFIL) AS SEQUEN,
           CAST('DOS' AS CHAR(3)) AS CODTAB,
           CAST(MAX(CODFIL) AS CHAR(3)) AS FILCOD,
           TO_NUMBER(MAX(NUMPED)) AS ULTCOD
      FROM TT_ORC
     WHERE TIPPED = 'S'
     GROUP BY CODFIL, TIPPED
) TAB
 WHERE NOT EXISTS (SELECT FILCOD, CODTAB 
                     FROM TT_COD 
                    WHERE FILCOD = TAB.FILCOD
                      AND CODTAB = TAB.CODTAB);

/*-- SEQ 0129 --*/
-- Tarefa 71882 --
INSERT INTO TT_COD
(SEQUEN, CODTAB, FILCOD, ULTCOD)
SELECT SEQUEN, CODTAB, FILCOD, ULTCOD
  FROM (
    SELECT ProximoCodigo('TT_COD', CODFIL) AS SEQUEN,
           CAST('PRE' AS CHAR(3)) AS CODTAB,
           CAST(MAX(CODFIL) AS CHAR(3)) AS FILCOD,
           TO_NUMBER(MAX(NUMPED)) AS ULTCOD
      FROM TT_ORC
     WHERE TIPPED = 'P'
     GROUP BY CODFIL, TIPPED
) TAB
 WHERE NOT EXISTS (SELECT FILCOD, CODTAB 
                     FROM TT_COD 
                    WHERE FILCOD = TAB.FILCOD
                      AND CODTAB = TAB.CODTAB);

/*-- SEQ 0130 --*/
-- Tarefa 71882 --
SELECT ENABLETRIGGERS(LOWER('TT_COD'));


/*-- SEQ 0131 --*/
-- Tarefa 71904 --
DROP INDEX I_LC_VEN_DATHOR;

/*-- SEQ 0132 --*/
-- Tarefa 71904 --
CREATE INDEX I_LC_VEN_DATHOR ON TT_VEN (DATHOR, CODFIL, NUMECF)  ;


/*-- SEQ 0133 --*/
-- Tarefa 72020 --
ALTER TABLE TT_LID ADD CONCOO Numeric(6);

/*-- SEQ 0134 --*/
-- Tarefa 72020 --
ALTER TABLE TT_LID ADD TEMP_CONCCF VARCHAR(6);

/*-- SEQ 0135 --*/
-- Tarefa 72020 --
SELECT DISABLETRIGGERS(LOWER('TT_LID'));

/*-- SEQ 0136 --*/
-- Tarefa 72020 --
UPDATE TT_LID
   SET TEMP_CONCCF = CONCCF
 WHERE CONCCF IS NOT NULL;

/*-- SEQ 0137 --*/
-- Tarefa 72020 --
ALTER TABLE TT_LID DROP COLUMN CONCCF CASCADE;

/*-- SEQ 0138 --*/
-- Tarefa 72020 --
ALTER TABLE TT_LID ADD CONCCF Numeric(6);

/*-- SEQ 0139 --*/
-- Tarefa 72020 --
UPDATE TT_LID
   SET CONCCF = TO_NUMBER(TEMP_CONCCF)
 WHERE TEMP_CONCCF IS NOT NULL;

/*-- SEQ 0140 --*/
-- Tarefa 72020 --
SELECT ENABLETRIGGERS(LOWER('TT_LID'));

/*-- SEQ 0141 --*/
-- Tarefa 72020 --
ALTER TABLE TT_LID DROP COLUMN TEMP_CONCCF CASCADE;




/*-- SEQ 0142 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 71344 --
ALTER TABLE TW_COM_FIS ADD VLRRET Numeric(12,2);

/*-- SEQ 0143 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 71344 --
ALTER TABLE TW_COM_FIS ADD VLRIPI Numeric(12,2);

/*-- SEQ 0144 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 71344 --
ALTER TABLE TW_COM_FIS ADD FILFRE CHAR(3);

/*-- SEQ 0145 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 71344 --
ALTER TABLE TW_ICO_FIS ADD MVACOM Numeric(14,4);

/*-- SEQ 0146 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 71344 --
ALTER TABLE TW_ICO_FIS ADD RETSUB CHAR(1);

/*-- SEQ 0147 --*/
-- Tarefa 71326 --
SELECT DISABLETRIGGERS(LOWER('TT_ORC'));

/*-- SEQ 0148 --*/
-- Tarefa 71326 --
ALTER TABLE TT_ORC ADD PREDAV CHAR(1) DEFAULT 'D';

/*-- SEQ 0149 --*/
-- Tarefa 71326 --
SELECT ENABLETRIGGERS(LOWER('TT_ORC'));

/*-- SEQ 0150 --*/
-- Tarefa 71326 --
ALTER TABLE TT_ORC ADD CONSTRAINT CK_ORC_PREDAV CHECK (PREDAV IN ('P','D'));

/*-- SEQ 0151 --*/
-- Tarefa 71326 --
ALTER TABLE TT_ORC ALTER COLUMN PREDAV SET NOT NULL;

/*-- SEQ 0152 --*/
-- Tarefa 71326 --
SELECT DISABLETRIGGERS(LOWER('TT_ORC'));

/*-- SEQ 0153 --*/
-- Tarefa 71326 --
UPDATE TT_ORC 
   SET PREDAV = 'P'
 WHERE COMAND = 'T'
    OR COMAND = 'E';

/*-- SEQ 0154 --*/
-- Tarefa 71326 --
SELECT ENABLETRIGGERS(LOWER('TT_ORC'));