
/*-- SEQ 0001 --*/
-- Tarefa 74292 --
ALTER TABLE TD_EST ADD MAX_CF Numeric(12,2);

/*-- SEQ 0002 --*/
-- Tarefa 74292 --
ALTER TABLE TW_TAB ADD MAX_CF Numeric(12,2);


/*-- SEQ 0003 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76186 --
CREATE INDEX I_LC_VEN_NUMNOT ON TT_VEN (NUMNOT, CODFIL)  ;

/*-- SEQ 0004 --*/
-- Tarefa 76186 --
ALTER TABLE TT_VEN DROP CONSTRAINT CK_VEN_FLGNFE CASCADE;

/*-- SEQ 0005 --*/
-- Tarefa 76186 --
ALTER TABLE TT_VEN ADD CONSTRAINT CK_VEN_FLGNFE CHECK (FLGNFE IN ('0','1','2','3','4','6','7','8','9'));


/*-- SEQ 0006 --*/
-- Tarefa 76405 --
SELECT DISABLETRIGGERS(LOWER('TT_NCM'));

/*-- SEQ 0007 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
UPDATE TT_NCM
   SET NIVNCM = NIVNCM + 1
 WHERE CODNCM <> '00'
   AND NOT EXISTS (SELECT 1 AS OK FROM TT_NCM WHERE CODNCM='01');

/*-- SEQ 0008 --*/
-- Tarefa 76405 --
SELECT ENABLETRIGGERS(LOWER('TT_NCM'));

/*-- SEQ 0009 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('01', 'Animais vivos', 1, 1, 'T' );

/*-- SEQ 0010 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('02', 'Carnes e miudezas, comestveis', 1, 1, 'T' );

/*-- SEQ 0011 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('03', 'Peixes e crustceos, moluscos e os outros invertebrados aquticos', 1, 1, 'T' );

/*-- SEQ 0012 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('04', 'Leite e laticnios; ovos de aves; mel natural; produtos comestveis de origem animal, no especificados nem compreendidos em outros Captulos da TIPI', 1, 1, 'T' );

/*-- SEQ 0013 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('05', 'Outros produtos de origem animal, no especificados nem compreendidos em outros Captulos da TIPI', 1, 1, 'T' );

/*-- SEQ 0014 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('06', 'Plantas vivas e produtos de floricultura', 1, 1, 'T' );

/*-- SEQ 0015 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('07', 'Produtos hortcolas, plantas, razes e tubrculos, comestveis', 1, 1, 'T' );

/*-- SEQ 0016 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('08', 'Frutas; cascas de ctricos e de meles', 1, 1, 'T' );

/*-- SEQ 0017 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('09', 'Caf, ch, mate e especiarias', 1, 1, 'T' );

/*-- SEQ 0018 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('10', 'Cereais', 1, 1, 'T' );

/*-- SEQ 0019 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('11', 'Produtos da indstria de moagem; malte; amidos e fculas; inulina; glten de trigo', 1, 1, 'T' );

/*-- SEQ 0020 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('12', 'Sementes e frutos oleaginosos; gros, sementes e frutos diversos; plantas industriais ou medicinais; palha e forragem', 1, 1, 'T' );

/*-- SEQ 0021 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('13', 'Gomas, resinas e outros sucos e extratos vegetais', 1, 1, 'T' );

/*-- SEQ 0022 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('14', 'Matrias para entranar e outros produtos de origem vegetal, no especificadas nem compreendidas em outros Captulos da NCM', 1, 1, 'T' );

/*-- SEQ 0023 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('15', 'Gorduras e leos animais ou vegetais; produtos da sua dissociao; gorduras alimentares elaboradas; ceras de origem animal ou vegetal', 1, 1, 'T' );

/*-- SEQ 0024 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('16', 'Preparaes de carne, de peixes ou de crustceos, de moluscos ou de outros invertebrados aquticos', 1, 1, 'T' );

/*-- SEQ 0025 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('17', 'Acares e produtos de confeitaria', 1, 1, 'T' );

/*-- SEQ 0026 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('18', 'Cacau e suas preparaes', 1, 1, 'T' );

/*-- SEQ 0027 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('19', 'Preparaes  base de cereais, farinhas, amidos, fculas ou de leite; produtos de pastelaria', 1, 1, 'T' );

/*-- SEQ 0028 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('20', 'Preparaes de produtos hortcolas, de frutas ou de outras partes de plantas', 1, 1, 'T' );

/*-- SEQ 0029 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('21', 'Preparaes alimentcias diversas', 1, 1, 'T' );

/*-- SEQ 0030 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('22', 'Bebidas, lquidos alcolicos e vinagres', 1, 1, 'T' );

/*-- SEQ 0031 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('23', 'Resduos e desperdcios das indstrias alimentares; alimentos preparados para animais', 1, 1, 'T' );

/*-- SEQ 0032 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('24', 'Fumo (tabaco) e seus sucedneos, manufaturados', 1, 1, 'T' );

/*-- SEQ 0033 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('25', 'Sal; enxofre; terras e pedras; gesso, cal e cimento', 1, 1, 'T' );

/*-- SEQ 0034 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('26', 'Minrios, escrias e cinzas', 1, 1, 'T' );

/*-- SEQ 0035 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('27', 'Combustveis minerais, leos minerais e produtos de sua destilao; matrias betuminosas; ceras minerais', 1, 1, 'T' );

/*-- SEQ 0036 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('28', 'Produtos qumicos inorgnicos; compostos inorgnicos ou orgnicos de metais preciosos, de elementos radioativos, de metais das terras raras ou de istopos', 1, 1, 'T' );

/*-- SEQ 0037 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('29', 'Produtos qumicos orgnicos', 1, 1, 'T' );

/*-- SEQ 0038 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('30', 'Produtos farmacuticos', 1, 1, 'T' );

/*-- SEQ 0039 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('31', 'Adubos ou fertilizantes', 1, 1, 'T' );

/*-- SEQ 0040 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('32', 'Extratos tanantes e tintoriais; taninos e seus derivados; pigmentos e outras matrias corantes, tintas e vernizes, mstiques; tintas de escrever', 1, 1, 'T' );

/*-- SEQ 0041 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('33', 'leos essenciais e resinides; produtos de perfumaria ou de toucador preparados e preparaes cosmticas', 1, 1, 'T' );

/*-- SEQ 0042 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('34', 'Sabes, agentes orgnicos de superfcie, preparaes para lavagem, preparaes lubrificantes, ceras artificiais, ceras preparadas, produtos de conservao e limpeza, velas e artigos semelhantes, massas ou pastas para modelar, "ceras para dentistas" e composies para dentistas  base de gesso', 1, 1, 'T' );

/*-- SEQ 0043 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('35', 'Matrias albuminides; produtos  base de amidos ou de fculas modificados; colas; enzimas', 1, 1, 'T' );

/*-- SEQ 0044 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('36', 'Plvoras e explosivos; artigos de pirotecnia; fsforos; ligas pirofricas; matrias inflamveis', 1, 1, 'T' );

/*-- SEQ 0045 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('37', 'Produtos para fotografia e cinematografia', 1, 1, 'T' );

/*-- SEQ 0046 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('38', 'Produtos diversos das indstrias qumicas', 1, 1, 'T' );

/*-- SEQ 0047 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('39', 'Plsticos e suas obras', 1, 1, 'T' );

/*-- SEQ 0048 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('40', 'Borracha e suas obras', 1, 1, 'T' );

/*-- SEQ 0049 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('41', 'Peles, exceto a peleteria (peles com plo*), e couros', 1, 1, 'T' );

/*-- SEQ 0050 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('42', 'Obras de couro; artigos de correeiro ou de seleiro; artigos de viagem, bolsas e artefatos semelhantes; obras de tripa', 1, 1, 'T' );

/*-- SEQ 0051 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('43', 'Peleteria (peles com plo*) e suas obras; peleteria (peles com plo*) artificial', 1, 1, 'T' );

/*-- SEQ 0052 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('44', 'Madeira, carvo vegetal e obras de madeira', 1, 1, 'T' );

/*-- SEQ 0053 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('45', 'Cortia e suas obras', 1, 1, 'T' );

/*-- SEQ 0054 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('46', 'Obras de espartaria ou de cestaria', 1, 1, 'T' );

/*-- SEQ 0055 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('47', 'Pastas de madeira ou de outras matrias fibrosas celulsicas; papel ou carto de reciclar (desperdcios e aparas)', 1, 1, 'T' );

/*-- SEQ 0056 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('48', 'Papel e carto; obras de pasta de celulose, de papel ou de carto', 1, 1, 'T' );

/*-- SEQ 0057 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('49', 'Livros, jornais, gravuras e outros produtos das indstrias grficas; textos manuscritos ou datilografados, planos e plantas', 1, 1, 'T' );

/*-- SEQ 0058 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('50', 'Seda', 1, 1, 'T' );

/*-- SEQ 0059 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('51', 'L e plos finos ou grosseiros; fios e tecidos de crina', 1, 1, 'T' );

/*-- SEQ 0060 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('52', 'Algodo', 1, 1, 'T' );

/*-- SEQ 0061 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('53', 'Outras fibras txteis vegetais; fios de papel e tecido de fios de papel', 1, 1, 'T' );

/*-- SEQ 0062 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('54', 'Filamentos sintticos ou artificiais', 1, 1, 'T' );

/*-- SEQ 0063 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('55', 'Fibras sintticas ou artificiais, descontnuas', 1, 1, 'T' );

/*-- SEQ 0064 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('56', 'Pastas ("ouates"), feltros e falsos tecidos; fios especiais; cordis, cordas e cabos; artigos de cordoaria', 1, 1, 'T' );

/*-- SEQ 0065 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('57', 'Tapetes e outros revestimentos para pavimentos, de matrias txteis', 1, 1, 'T' );

/*-- SEQ 0066 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('58', 'Tecidos especiais; tecidos tufados; rendas; tapearias; passamanarias; bordados', 1, 1, 'T' );

/*-- SEQ 0067 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('59', 'Tecidos impregnados, revestidos, recobertos ou estratificados; artigos para usos tcnicos de matrias txteis', 1, 1, 'T' );

/*-- SEQ 0068 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('60', 'Tecidos de malha', 1, 1, 'T' );

/*-- SEQ 0069 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('61', 'Vesturio e seus acessrios, de malha', 1, 1, 'T' );

/*-- SEQ 0070 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('62', 'Vesturio e seus acessrios, exceto de malha', 1, 1, 'T' );

/*-- SEQ 0071 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('63', 'Outros artefatos txteis confeccionados; sortidos; artefatos de matrias txteis, calados, chapus e artefatos de uso semelhante, usados; trapos', 1, 1, 'T' );

/*-- SEQ 0072 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('64', 'Calados, polainas e artefatos semelhantes, e suas partes', 1, 1, 'T' );

/*-- SEQ 0073 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('65', 'Chapus e artefatos de uso semelhante, e suas partes', 1, 1, 'T' );

/*-- SEQ 0074 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('66', 'Guarda-chuvas, sombrinhas, guarda-sis, bengalas, bengalas-assentos, chicotes, e suas partes', 1, 1, 'T' );

/*-- SEQ 0075 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('67', 'Penas e penugem preparadas, e suas obras; flores artificiais; obras de cabelo', 1, 1, 'T' );

/*-- SEQ 0076 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('68', 'Obras de pedra, gesso, cimento, amianto, mica ou de matrias semelhantes', 1, 1, 'T' );

/*-- SEQ 0077 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('69', 'Produtos cermicos', 1, 1, 'T' );

/*-- SEQ 0078 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('70', 'Vidro e suas obras', 1, 1, 'T' );

/*-- SEQ 0079 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('71', 'Prolas naturais ou cultivadas, pedras preciosas ou semipreciosas e semelhantes, metais preciosos, metais folheados ou chapeados de metais preciosos, e suas obras; bijuterias; moedas', 1, 1, 'T' );

/*-- SEQ 0080 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('72', 'Ferro fundido, ferro e ao', 1, 1, 'T' );

/*-- SEQ 0081 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('73', 'Obras de ferro fundido, ferro ou ao', 1, 1, 'T' );

/*-- SEQ 0082 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('74', 'Cobre e suas obras', 1, 1, 'T' );

/*-- SEQ 0083 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('75', 'Nquel e suas obras', 1, 1, 'T' );

/*-- SEQ 0084 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('76', 'Alumnio e suas obras', 1, 1, 'T' );

/*-- SEQ 0085 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('77', '(Reservado para uma eventual utilizao futura no SH)', 1, 1, 'T' );

/*-- SEQ 0086 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('78', 'Chumbo e suas obras', 1, 1, 'T' );

/*-- SEQ 0087 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('79', 'Zinco e suas obras', 1, 1, 'T' );

/*-- SEQ 0088 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('80', 'Estanho e suas obras', 1, 1, 'T' );

/*-- SEQ 0089 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('81', 'Outros metais comuns; ceramais ("cermets"); obras dessas matrias', 1, 1, 'T' );

/*-- SEQ 0090 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('82', 'Ferramentas, artefatos de cutelaria e talheres, e suas partes, de metais comuns', 1, 1, 'T' );

/*-- SEQ 0091 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('83', 'Obras diversas de metais comuns', 1, 1, 'T' );

/*-- SEQ 0092 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('84', 'Reatores nucleares, caldeiras, mquinas, aparelhos e instrumentos mecnicos, e suas partes', 1, 1, 'T' );

/*-- SEQ 0093 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('85', 'Mquinas, aparelhos e materiais eltricos, e suas partes; aparelhos de gravao ou de reproduo de som, aparelhos de gravao ou de reproduo de imagens e de som em televiso, e suas partes e acessrios', 1, 1, 'T' );

/*-- SEQ 0094 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('86', 'Veculos e material para vias frreas ou semelhantes, e suas partes; aparelhos mecnicos (includos os eletromecnicos) de sinalizao para vias de comunicao', 1, 1, 'T' );

/*-- SEQ 0095 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('87', 'Veculos automveis, tratores, ciclos e outros veculos terrestres, suas partes e acessrios', 1, 1, 'T' );

/*-- SEQ 0096 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('88', 'Aeronaves e aparelhos espaciais, e suas partes', 1, 1, 'T' );

/*-- SEQ 0097 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('89', 'Embarcaes e estruturas flutuantes', 1, 1, 'T' );

/*-- SEQ 0098 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('90', 'Instrumentos e aparelhos de ptica, fotografia ou cinematografia, medida, controle ou de preciso; instrumentos e aparelhos mdico-cirrgicos; suas partes e acessrios', 1, 1, 'T' );

/*-- SEQ 0099 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('91', 'Aparelhos de relojoaria e suas partes', 1, 1, 'T' );

/*-- SEQ 0100 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('92', 'Instrumentos musicais, suas partes e acessrios', 1, 1, 'T' );

/*-- SEQ 0101 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('93', 'Armas e munies; suas partes e acessrios', 1, 1, 'T' );

/*-- SEQ 0102 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('94', 'Mveis, mobilirio mdico-cirrgico; colches; iluminao e construo pr-fabricadas', 1, 1, 'T' );

/*-- SEQ 0103 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('95', 'Brinquedos, jogos, artigos para divertimento ou para esporte; suas partes e acessrios', 1, 1, 'T' );

/*-- SEQ 0104 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('96', 'Obras diversas', 1, 1, 'T' );

/*-- SEQ 0105 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('97', 'Objetos de arte, de coleo e antiguidades', 1, 1, 'T' );

/*-- SEQ 0106 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('98', '(Reservado para usos especiais pelas Partes Contratantes)', 1, 1, 'T' );

/*-- SEQ 0107 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76405 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, SECNCM, FLGATI) VALUES ('99', 'Operaes especiais (utilizado exclusivamente pelo Brasil para classificar operaes especiais na exportao)', 1, 1, 'T' );


/*-- SEQ 0108 --*/
-- Tarefa 76417 --
SELECT ExecAlteraTipoColuna('TT_TEF','NUMAUT','Numeric(8,0)');



/*-- SEQ 0109 --*/
-- Tarefa 76192 --
SELECT DISABLETRIGGERS(LOWER('TT_VEN'));

/*-- SEQ 0110 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76192 --
UPDATE TT_VEN
   SET OBSFIS = OBSERV
 WHERE CODSER NOT IN (select DSER.CODSER 
                   FROM TT_VEN VEN INNER JOIN TD_SER DSER ON VEN.CODSER = DSER.CODSER
                                                         AND VEN.TITAVU = DSER.TITAVU
                  WHERE DSER.MODNOT = '55');

/*-- SEQ 0111 --*/
-- Tarefa 76192 --
SELECT ENABLETRIGGERS(LOWER('TT_VEN'));


/*-- SEQ 0112 --*/
-- Tarefa 74203 --
ALTER TABLE TL_IVO ADD CODTAB Numeric(10);

/*-- SEQ 0113 --*/
-- Tarefa 74203 --
CREATE SEQUENCE SQLIVO INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0114 --*/
-- Tarefa 74203 --
SELECT DISABLETRIGGERS(LOWER('TL_IVO'));

/*-- SEQ 0115 --*/
-- Tarefa 74203 --
UPDATE TL_IVO
SET CODTAB=NEXTVAL('SQLIVO');

/*-- SEQ 0116 --*/
-- Tarefa 74203 --
SELECT ENABLETRIGGERS(LOWER('TL_IVO'));

/*-- SEQ 0117 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0118 --*/
-- Tarefa 74203 --
ALTER TABLE TL_IVO ADD CONSTRAINT PK_LIVO PRIMARY KEY (CODTAB);

/*-- SEQ 0119 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0120 --*/
-- Tarefa 74203 --
ALTER TABLE TL_CCC ADD CODTAB Numeric(10);

/*-- SEQ 0121 --*/
-- Tarefa 74203 --
CREATE SEQUENCE SQLCCC INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0122 --*/
-- Tarefa 74203 --
SELECT DISABLETRIGGERS(LOWER('TL_CCC'));

/*-- SEQ 0123 --*/
-- Tarefa 74203 --
UPDATE TL_CCC
SET CODTAB=NEXTVAL('SQLCCC');

/*-- SEQ 0124 --*/
-- Tarefa 74203 --
SELECT ENABLETRIGGERS(LOWER('TL_CCC'));

/*-- SEQ 0125 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0126 --*/
-- Tarefa 74203 --
ALTER TABLE TL_CCC ADD CONSTRAINT PK_LCCC PRIMARY KEY (CODTAB);

/*-- SEQ 0127 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0128 --*/
-- Tarefa 74203 --
ALTER TABLE TT_CORXCOB ADD CODTAB Numeric(10);

/*-- SEQ 0129 --*/
-- Tarefa 74203 --
CREATE SEQUENCE SQCORXCOB INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0130 --*/
-- Tarefa 74203 --
SELECT DISABLETRIGGERS(LOWER('TT_CORXCOB'));

/*-- SEQ 0131 --*/
-- Tarefa 74203 --
UPDATE TT_CORXCOB
SET CODTAB=NEXTVAL('SQCORXCOB');

/*-- SEQ 0132 --*/
-- Tarefa 74203 --
SELECT ENABLETRIGGERS(LOWER('TT_CORXCOB'));

/*-- SEQ 0133 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0134 --*/
-- Tarefa 74203 --
ALTER TABLE TT_CORXCOB ADD CONSTRAINT PK_CORXCOB PRIMARY KEY (CODTAB);

/*-- SEQ 0135 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0136 --*/
-- Tarefa 74203 --
ALTER TABLE TL_CLI ADD CODTAB Numeric(10);

/*-- SEQ 0137 --*/
-- Tarefa 74203 --
CREATE SEQUENCE SQLCLI INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0138 --*/
-- Tarefa 74203 --
SELECT DISABLETRIGGERS(LOWER('TL_CLI'));

/*-- SEQ 0139 --*/
-- Tarefa 74203 --
UPDATE TL_CLI
SET CODTAB=NEXTVAL('SQLCLI');

/*-- SEQ 0140 --*/
-- Tarefa 74203 --
SELECT ENABLETRIGGERS(LOWER('TL_CLI'));

/*-- SEQ 0141 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0142 --*/
-- Tarefa 74203 --
ALTER TABLE TL_CLI ADD CONSTRAINT PK_LCLI PRIMARY KEY (CODTAB);

/*-- SEQ 0143 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0144 --*/
-- Tarefa 74203 --
ALTER TABLE TL_GRA ADD CODTAB Numeric(10);

/*-- SEQ 0145 --*/
-- Tarefa 74203 --
CREATE SEQUENCE SQLGRA INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0146 --*/
-- Tarefa 74203 --
SELECT DISABLETRIGGERS(LOWER('TL_GRA'));

/*-- SEQ 0147 --*/
-- Tarefa 74203 --
UPDATE TL_GRA
SET CODTAB=NEXTVAL('SQLGRA');

/*-- SEQ 0148 --*/
-- Tarefa 74203 --
SELECT ENABLETRIGGERS(LOWER('TL_GRA'));

/*-- SEQ 0149 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0150 --*/
-- Tarefa 74203 --
ALTER TABLE TL_GRA ADD CONSTRAINT PK_LGRA PRIMARY KEY (CODTAB);

/*-- SEQ 0151 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0152 --*/
-- Tarefa 74203 --
ALTER TABLE TL_IRO ADD CODTAB Numeric(10);

/*-- SEQ 0153 --*/
-- Tarefa 74203 --
CREATE SEQUENCE SQLIRO INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0154 --*/
-- Tarefa 74203 --
SELECT DISABLETRIGGERS(LOWER('TL_IRO'));

/*-- SEQ 0155 --*/
-- Tarefa 74203 --
UPDATE TL_IRO
SET CODTAB=NEXTVAL('SQLIRO');

/*-- SEQ 0156 --*/
-- Tarefa 74203 --
SELECT ENABLETRIGGERS(LOWER('TL_IRO'));

/*-- SEQ 0157 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0158 --*/
-- Tarefa 74203 --
ALTER TABLE TL_IRO ADD CONSTRAINT PK_LIRO PRIMARY KEY (CODTAB);

/*-- SEQ 0159 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0160 --*/
-- Tarefa 74203 --
ALTER TABLE TL_PRJ ADD CODTAB Numeric(10);

/*-- SEQ 0161 --*/
-- Tarefa 74203 --
CREATE SEQUENCE SQLPRJ INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0162 --*/
-- Tarefa 74203 --
SELECT DISABLETRIGGERS(LOWER('TL_PRJ'));

/*-- SEQ 0163 --*/
-- Tarefa 74203 --
UPDATE TL_PRJ
SET CODTAB=NEXTVAL('SQLPRJ');

/*-- SEQ 0164 --*/
-- Tarefa 74203 --
SELECT ENABLETRIGGERS(LOWER('TL_PRJ'));

/*-- SEQ 0165 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0166 --*/
-- Tarefa 74203 --
ALTER TABLE TL_PRJ ADD CONSTRAINT PK_LPRJ PRIMARY KEY (CODTAB);

/*-- SEQ 0167 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0168 --*/
-- Tarefa 74203 --
ALTER TABLE TL_TEF ADD CODTAB Numeric(10);

/*-- SEQ 0169 --*/
-- Tarefa 74203 --
CREATE SEQUENCE SQLTEF INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0170 --*/
-- Tarefa 74203 --
SELECT DISABLETRIGGERS(LOWER('TL_TEF'));

/*-- SEQ 0171 --*/
-- Tarefa 74203 --
UPDATE TL_TEF
SET CODTAB=NEXTVAL('SQLTEF');

/*-- SEQ 0172 --*/
-- Tarefa 74203 --
SELECT ENABLETRIGGERS(LOWER('TL_TEF'));

/*-- SEQ 0173 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0174 --*/
-- Tarefa 74203 --
ALTER TABLE TL_TEF ADD CONSTRAINT PK_LTEF PRIMARY KEY (CODTAB);

/*-- SEQ 0175 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0176 --*/
-- Tarefa 74203 --
ALTER TABLE TT_DEL ADD CODTAB Numeric(10);

/*-- SEQ 0177 --*/
-- Tarefa 74203 --
CREATE SEQUENCE SQDEL INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0178 --*/
-- Tarefa 74203 --
SELECT DISABLETRIGGERS(LOWER('TT_DEL'));

/*-- SEQ 0179 --*/
-- Tarefa 74203 --
UPDATE TT_DEL
SET CODTAB=NEXTVAL('SQDEL');

/*-- SEQ 0180 --*/
-- Tarefa 74203 --
SELECT ENABLETRIGGERS(LOWER('TT_DEL'));

/*-- SEQ 0181 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0182 --*/
-- Tarefa 74203 --
ALTER TABLE TT_DEL ADD CONSTRAINT PK_DEL PRIMARY KEY (CODTAB);

/*-- SEQ 0183 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0184 --*/
-- Tarefa 74203 --
ALTER TABLE TT_DOM ADD CODTAB Numeric(10);

/*-- SEQ 0185 --*/
-- Tarefa 74203 --
CREATE SEQUENCE SQDOM INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0186 --*/
-- Tarefa 74203 --
SELECT DISABLETRIGGERS(LOWER('TT_DOM'));

/*-- SEQ 0187 --*/
-- Tarefa 74203 --
UPDATE TT_DOM
SET CODTAB=NEXTVAL('SQDOM');

/*-- SEQ 0188 --*/
-- Tarefa 74203 --
SELECT ENABLETRIGGERS(LOWER('TT_DOM'));

/*-- SEQ 0189 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0190 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0191 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0192 --*/
-- Tarefa 74203 --
ALTER TABLE TL_CHR ADD CODTAB Numeric(10);

/*-- SEQ 0193 --*/
-- Tarefa 74203 --
CREATE SEQUENCE SQLCHR INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0194 --*/
-- Tarefa 74203 --
SELECT DISABLETRIGGERS(LOWER('TL_CHR'));

/*-- SEQ 0195 --*/
-- Tarefa 74203 --
UPDATE TL_CHR
SET CODTAB=NEXTVAL('SQLCHR');

/*-- SEQ 0196 --*/
-- Tarefa 74203 --
SELECT ENABLETRIGGERS(LOWER('TL_CHR'));

/*-- SEQ 0197 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0198 --*/
-- Tarefa 74203 --
ALTER TABLE TL_CHR ADD CONSTRAINT PK_LCHR PRIMARY KEY (CODTAB);

/*-- SEQ 0199 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0200 --*/
-- Tarefa 74203 --
ALTER TABLE TL_COM ADD CODTAB Numeric(10);

/*-- SEQ 0201 --*/
-- Tarefa 74203 --
CREATE SEQUENCE SQLCOM INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0202 --*/
-- Tarefa 74203 --
SELECT DISABLETRIGGERS(LOWER('TL_COM'));

/*-- SEQ 0203 --*/
-- Tarefa 74203 --
UPDATE TL_COM
SET CODTAB=NEXTVAL('SQLCOM');

/*-- SEQ 0204 --*/
-- Tarefa 74203 --
SELECT ENABLETRIGGERS(LOWER('TL_COM'));

/*-- SEQ 0205 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0206 --*/
-- Tarefa 74203 --
ALTER TABLE TL_COM ADD CONSTRAINT PK_LCOM PRIMARY KEY (CODTAB);

/*-- SEQ 0207 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0208 --*/
-- Tarefa 74203 --
ALTER TABLE TL_CTT ADD CODTAB Numeric(10);

/*-- SEQ 0209 --*/
-- Tarefa 74203 --
CREATE SEQUENCE SQLCTT INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0210 --*/
-- Tarefa 74203 --
SELECT DISABLETRIGGERS(LOWER('TL_CTT'));

/*-- SEQ 0211 --*/
-- Tarefa 74203 --
UPDATE TL_CTT
SET CODTAB=NEXTVAL('SQLCTT');

/*-- SEQ 0212 --*/
-- Tarefa 74203 --
SELECT ENABLETRIGGERS(LOWER('TL_CTT'));

/*-- SEQ 0213 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0214 --*/
-- Tarefa 74203 --
ALTER TABLE TL_CTT ADD CONSTRAINT PK_LCTT PRIMARY KEY (CODTAB);

/*-- SEQ 0215 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0216 --*/
-- Tarefa 74203 --
ALTER TABLE TL_DOP ADD CODTAB Numeric(10);

/*-- SEQ 0217 --*/
-- Tarefa 74203 --
CREATE SEQUENCE SQLDOP INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0218 --*/
-- Tarefa 74203 --
SELECT DISABLETRIGGERS(LOWER('TL_DOP'));

/*-- SEQ 0219 --*/
-- Tarefa 74203 --
UPDATE TL_DOP
SET CODTAB=NEXTVAL('SQLDOP');

/*-- SEQ 0220 --*/
-- Tarefa 74203 --
SELECT ENABLETRIGGERS(LOWER('TL_DOP'));

/*-- SEQ 0221 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0222 --*/
-- Tarefa 74203 --
ALTER TABLE TL_DOP ADD CONSTRAINT PK_LDOP PRIMARY KEY (CODTAB);

/*-- SEQ 0223 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0224 --*/
-- Tarefa 74203 --
ALTER TABLE TL_ECF ADD CODTAB Numeric(10);

/*-- SEQ 0225 --*/
-- Tarefa 74203 --
CREATE SEQUENCE SQLECF INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0226 --*/
-- Tarefa 74203 --
SELECT DISABLETRIGGERS(LOWER('TL_ECF'));

/*-- SEQ 0227 --*/
-- Tarefa 74203 --
UPDATE TL_ECF
SET CODTAB=NEXTVAL('SQLECF');

/*-- SEQ 0228 --*/
-- Tarefa 74203 --
SELECT ENABLETRIGGERS(LOWER('TL_ECF'));

/*-- SEQ 0229 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0230 --*/
-- Tarefa 74203 --
ALTER TABLE TL_ECF ADD CONSTRAINT PK_LECF PRIMARY KEY (CODTAB);

/*-- SEQ 0231 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0232 --*/
-- Tarefa 74203 --
ALTER TABLE TL_EQP ADD CODTAB Numeric(10);

/*-- SEQ 0233 --*/
-- Tarefa 74203 --
CREATE SEQUENCE SQLEQP INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0234 --*/
-- Tarefa 74203 --
SELECT DISABLETRIGGERS(LOWER('TL_EQP'));

/*-- SEQ 0235 --*/
-- Tarefa 74203 --
UPDATE TL_EQP
SET CODTAB=NEXTVAL('SQLEQP');

/*-- SEQ 0236 --*/
-- Tarefa 74203 --
SELECT ENABLETRIGGERS(LOWER('TL_EQP'));

/*-- SEQ 0237 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0238 --*/
-- Tarefa 74203 --
ALTER TABLE TL_EQP ADD CONSTRAINT PK_LEQP PRIMARY KEY (CODTAB);

/*-- SEQ 0239 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0240 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0241 --*/
-- Tarefa 74203 --
CREATE SEQUENCE SQLCRT INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0242 --*/
-- Tarefa 74203 --
SELECT DISABLETRIGGERS(LOWER('TL_CRT'));

/*-- SEQ 0243 --*/
-- Tarefa 74203 --
UPDATE TL_CRT
SET CODTAB=NEXTVAL('SQLCRT');

/*-- SEQ 0244 --*/
-- Tarefa 74203 --
SELECT ENABLETRIGGERS(LOWER('TL_CRT'));

/*-- SEQ 0245 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0246 --*/
-- Tarefa 74203 --
ALTER TABLE TL_CRT ADD CONSTRAINT PK_LCRT PRIMARY KEY (CODTAB);

/*-- SEQ 0247 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0248 --*/
-- Tarefa 74203 --
ALTER TABLE TL_LCF ADD CODTAB Numeric(10);

/*-- SEQ 0249 --*/
-- Tarefa 74203 --
CREATE SEQUENCE SQLLCF INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0250 --*/
-- Tarefa 74203 --
SELECT DISABLETRIGGERS(LOWER('TL_LCF'));

/*-- SEQ 0251 --*/
-- Tarefa 74203 --
UPDATE TL_LCF
SET CODTAB=NEXTVAL('SQLLCF');

/*-- SEQ 0252 --*/
-- Tarefa 74203 --
SELECT ENABLETRIGGERS(LOWER('TL_LCF'));

/*-- SEQ 0253 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0254 --*/
-- Tarefa 74203 --
ALTER TABLE TL_LCF ADD CONSTRAINT PK_LLCF PRIMARY KEY (CODTAB);

/*-- SEQ 0255 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0256 --*/
-- Tarefa 74203 --
ALTER TABLE TT_LOG ADD CODTAB Numeric(10);

/*-- SEQ 0257 --*/
-- Tarefa 74203 --
CREATE SEQUENCE SQLOG INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0258 --*/
-- Tarefa 74203 --
SELECT DISABLETRIGGERS(LOWER('TT_LOG'));

/*-- SEQ 0259 --*/
-- Tarefa 74203 --
UPDATE TT_LOG
SET CODTAB=NEXTVAL('SQLOG');

/*-- SEQ 0260 --*/
-- Tarefa 74203 --
SELECT ENABLETRIGGERS(LOWER('TT_LOG'));

/*-- SEQ 0261 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0262 --*/
-- Tarefa 74203 --
ALTER TABLE TT_LOG ADD CONSTRAINT PK_LOG PRIMARY KEY (CODTAB);

/*-- SEQ 0263 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0264 --*/
-- Tarefa 74203 --
ALTER TABLE TL_ROM ADD CODTAB Numeric(10);

/*-- SEQ 0265 --*/
-- Tarefa 74203 --
CREATE SEQUENCE SQLROM INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0266 --*/
-- Tarefa 74203 --
SELECT DISABLETRIGGERS(LOWER('TL_ROM'));

/*-- SEQ 0267 --*/
-- Tarefa 74203 --
UPDATE TL_ROM
SET CODTAB=NEXTVAL('SQLROM');

/*-- SEQ 0268 --*/
-- Tarefa 74203 --
SELECT ENABLETRIGGERS(LOWER('TL_ROM'));

/*-- SEQ 0269 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0270 --*/
-- Tarefa 74203 --
ALTER TABLE TL_ROM ADD CONSTRAINT PK_LROM PRIMARY KEY (CODTAB);

/*-- SEQ 0271 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0272 --*/
-- Tarefa 74203 --
ALTER TABLE TL_MON ADD CODTAB Numeric(10);

/*-- SEQ 0273 --*/
-- Tarefa 74203 --
CREATE SEQUENCE SQLMON INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0274 --*/
-- Tarefa 74203 --
SELECT DISABLETRIGGERS(LOWER('TL_MON'));

/*-- SEQ 0275 --*/
-- Tarefa 74203 --
UPDATE TL_MON
SET CODTAB=NEXTVAL('SQLMON');

/*-- SEQ 0276 --*/
-- Tarefa 74203 --
SELECT ENABLETRIGGERS(LOWER('TL_MON'));

/*-- SEQ 0277 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0278 --*/
-- Tarefa 74203 --
ALTER TABLE TL_MON ADD CONSTRAINT PK_LMON PRIMARY KEY (CODTAB);

/*-- SEQ 0279 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0280 --*/
-- Tarefa 74203 --
ALTER TABLE TL_ORC ADD CODTAB Numeric(10);

/*-- SEQ 0281 --*/
-- Tarefa 74203 --
CREATE SEQUENCE SQLORC INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0282 --*/
-- Tarefa 74203 --
SELECT DISABLETRIGGERS(LOWER('TL_ORC'));

/*-- SEQ 0283 --*/
-- Tarefa 74203 --
UPDATE TL_ORC
SET CODTAB=NEXTVAL('SQLORC');

/*-- SEQ 0284 --*/
-- Tarefa 74203 --
SELECT ENABLETRIGGERS(LOWER('TL_ORC'));

/*-- SEQ 0285 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0286 --*/
-- Tarefa 74203 --
ALTER TABLE TL_ORC ADD CONSTRAINT PK_LORC PRIMARY KEY (CODTAB);

/*-- SEQ 0287 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0288 --*/
-- Tarefa 74203 --
ALTER TABLE TL_PRE ADD CODTAB Numeric(10);

/*-- SEQ 0289 --*/
-- Tarefa 74203 --
CREATE SEQUENCE SQLPRE INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0290 --*/
-- Tarefa 74203 --
SELECT DISABLETRIGGERS(LOWER('TL_PRE'));

/*-- SEQ 0291 --*/
-- Tarefa 74203 --
UPDATE TL_PRE
SET CODTAB=NEXTVAL('SQLPRE');

/*-- SEQ 0292 --*/
-- Tarefa 74203 --
SELECT ENABLETRIGGERS(LOWER('TL_PRE'));

/*-- SEQ 0293 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0294 --*/
-- Tarefa 74203 --
ALTER TABLE TL_PRE ADD CONSTRAINT PK_LPRE PRIMARY KEY (CODTAB);

/*-- SEQ 0295 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0296 --*/
-- Tarefa 74203 --
ALTER TABLE TL_PRO ADD CODTAB Numeric(10);

/*-- SEQ 0297 --*/
-- Tarefa 74203 --
CREATE SEQUENCE SQLPRO INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0298 --*/
-- Tarefa 74203 --
SELECT DISABLETRIGGERS(LOWER('TL_PRO'));

/*-- SEQ 0299 --*/
-- Tarefa 74203 --
UPDATE TL_PRO
SET CODTAB=NEXTVAL('SQLPRO');

/*-- SEQ 0300 --*/
-- Tarefa 74203 --
SELECT ENABLETRIGGERS(LOWER('TL_PRO'));

/*-- SEQ 0301 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0302 --*/
-- Tarefa 74203 --
ALTER TABLE TL_PRO ADD CONSTRAINT PK_LPRO PRIMARY KEY (CODTAB);

/*-- SEQ 0303 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0304 --*/
-- Tarefa 74203 --
ALTER TABLE TT_PROXNOM ADD CODTAB Numeric(10);

/*-- SEQ 0305 --*/
-- Tarefa 74203 --
CREATE SEQUENCE SQPROXNOM INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0306 --*/
-- Tarefa 74203 --
SELECT DISABLETRIGGERS(LOWER('TT_PROXNOM'));

/*-- SEQ 0307 --*/
-- Tarefa 74203 --
UPDATE TT_PROXNOM
SET CODTAB=NEXTVAL('SQPROXNOM');

/*-- SEQ 0308 --*/
-- Tarefa 74203 --
SELECT ENABLETRIGGERS(LOWER('TT_PROXNOM'));

/*-- SEQ 0309 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0310 --*/
-- Tarefa 74203 --
ALTER TABLE TT_PROXNOM ADD CONSTRAINT PK_PROXNOM PRIMARY KEY (CODTAB);

/*-- SEQ 0311 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0312 --*/
-- Tarefa 74203 --
ALTER TABLE TL_RAT ADD CODTAB Numeric(10);

/*-- SEQ 0313 --*/
-- Tarefa 74203 --
CREATE SEQUENCE SQLRAT INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0314 --*/
-- Tarefa 74203 --
SELECT DISABLETRIGGERS(LOWER('TT_PROXNOM'));

/*-- SEQ 0315 --*/
-- Tarefa 74203 --
UPDATE TL_RAT
SET CODTAB=NEXTVAL('SQLRAT');

/*-- SEQ 0316 --*/
-- Tarefa 74203 --
SELECT ENABLETRIGGERS(LOWER('TL_RAT'));

/*-- SEQ 0317 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0318 --*/
-- Tarefa 74203 --
ALTER TABLE TL_RAT ADD CONSTRAINT PK_LRAT PRIMARY KEY (CODTAB);

/*-- SEQ 0319 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0320 --*/
-- Tarefa 74203 --
ALTER TABLE TL_RCP ADD CODTAB Numeric(10);

/*-- SEQ 0321 --*/
-- Tarefa 74203 --
CREATE SEQUENCE SQLRCP INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0322 --*/
-- Tarefa 74203 --
SELECT DISABLETRIGGERS(LOWER('TL_RCP'));

/*-- SEQ 0323 --*/
-- Tarefa 74203 --
UPDATE TL_RCP
SET CODTAB=NEXTVAL('SQLRCP');

/*-- SEQ 0324 --*/
-- Tarefa 74203 --
SELECT ENABLETRIGGERS(LOWER('TL_RCP'));

/*-- SEQ 0325 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0326 --*/
-- Tarefa 74203 --
ALTER TABLE TL_RCP ADD CONSTRAINT PK_LRCP PRIMARY KEY (CODTAB);

/*-- SEQ 0327 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0328 --*/
-- Tarefa 74203 --
ALTER TABLE TR_CXG ADD CODTAB Numeric(10);

/*-- SEQ 0329 --*/
-- Tarefa 74203 --
CREATE SEQUENCE SQRCXG INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0330 --*/
-- Tarefa 74203 --
SELECT DISABLETRIGGERS(LOWER('TR_CXG'));

/*-- SEQ 0331 --*/
-- Tarefa 74203 --
UPDATE TR_CXG
SET CODTAB=NEXTVAL('SQRCXG');

/*-- SEQ 0332 --*/
-- Tarefa 74203 --
SELECT ENABLETRIGGERS(LOWER('TR_CXG'));

/*-- SEQ 0333 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0334 --*/
-- Tarefa 74203 --
ALTER TABLE TR_CXG ADD CONSTRAINT PK_RCXG PRIMARY KEY (CODTAB);

/*-- SEQ 0335 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0336 --*/
-- Tarefa 74203 --
ALTER TABLE TL_REG ADD CODTAB Numeric(10);

/*-- SEQ 0337 --*/
-- Tarefa 74203 --
CREATE SEQUENCE SQLREG INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0338 --*/
-- Tarefa 74203 --
SELECT DISABLETRIGGERS(LOWER('TL_REG'));

/*-- SEQ 0339 --*/
-- Tarefa 74203 --
UPDATE TL_REG
SET CODTAB=NEXTVAL('SQLREG');

/*-- SEQ 0340 --*/
-- Tarefa 74203 --
SELECT ENABLETRIGGERS(LOWER('TL_REG'));

/*-- SEQ 0341 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0342 --*/
-- Tarefa 74203 --
ALTER TABLE TL_REG ADD CONSTRAINT PK_LREG PRIMARY KEY (CODTAB);

/*-- SEQ 0343 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0344 --*/
-- Tarefa 74203 --
ALTER TABLE TR_FIN ADD CODTAB Numeric(10);

/*-- SEQ 0345 --*/
-- Tarefa 74203 --
CREATE SEQUENCE SQRFIN INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0346 --*/
-- Tarefa 74203 --
SELECT DISABLETRIGGERS(LOWER('TR_FIN'));

/*-- SEQ 0347 --*/
-- Tarefa 74203 --
UPDATE TR_FIN
SET CODTAB=NEXTVAL('SQRFIN');

/*-- SEQ 0348 --*/
-- Tarefa 74203 --
SELECT ENABLETRIGGERS(LOWER('TR_FIN'));

/*-- SEQ 0349 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0350 --*/
-- Tarefa 74203 --
ALTER TABLE TR_FIN ADD CONSTRAINT PK_RFIN PRIMARY KEY (CODTAB);

/*-- SEQ 0351 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0352 --*/
-- Tarefa 74203 --
ALTER TABLE TL_SUP ADD CODTAB Numeric(10);

/*-- SEQ 0353 --*/
-- Tarefa 74203 --
CREATE SEQUENCE SQLSUP INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0354 --*/
-- Tarefa 74203 --
SELECT DISABLETRIGGERS(LOWER('TL_SUP'));

/*-- SEQ 0355 --*/
-- Tarefa 74203 --
UPDATE TL_SUP
SET CODTAB=NEXTVAL('SQLSUP');

/*-- SEQ 0356 --*/
-- Tarefa 74203 --
SELECT ENABLETRIGGERS(LOWER('TL_SUP'));

/*-- SEQ 0357 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0358 --*/
-- Tarefa 74203 --
ALTER TABLE TL_SUP ADD CONSTRAINT PK_LSUP PRIMARY KEY (CODTAB);

/*-- SEQ 0359 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0360 --*/
-- Tarefa 74203 --
ALTER TABLE TL_VEN ADD CODTAB Numeric(10);

/*-- SEQ 0361 --*/
-- Tarefa 74203 --
CREATE SEQUENCE SQLVEN INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0362 --*/
-- Tarefa 74203 --
SELECT DISABLETRIGGERS(LOWER('TL_VEN'));

/*-- SEQ 0363 --*/
-- Tarefa 74203 --
UPDATE TL_VEN
SET CODTAB=NEXTVAL('SQLVEN');

/*-- SEQ 0364 --*/
-- Tarefa 74203 --
SELECT ENABLETRIGGERS(LOWER('TL_VEN'));

/*-- SEQ 0365 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0366 --*/
-- Tarefa 74203 --
ALTER TABLE TL_VEN ADD CONSTRAINT PK_LVEN PRIMARY KEY (CODTAB);

/*-- SEQ 0367 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0368 --*/
-- Tarefa 74203 --
ALTER TABLE TL_WOR ADD CODTAB Numeric(10);

/*-- SEQ 0369 --*/
-- Tarefa 74203 --
CREATE SEQUENCE SQLWOR INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0370 --*/
-- Tarefa 74203 --
SELECT DISABLETRIGGERS(LOWER('TL_WOR'));

/*-- SEQ 0371 --*/
-- Tarefa 74203 --
UPDATE TL_WOR
SET CODTAB=NEXTVAL('SQLWOR');

/*-- SEQ 0372 --*/
-- Tarefa 74203 --
SELECT ENABLETRIGGERS(LOWER('TL_WOR'));

/*-- SEQ 0373 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;

/*-- SEQ 0374 --*/
-- Tarefa 74203 --
ALTER TABLE TL_WOR ADD CONSTRAINT PK_LWOR PRIMARY KEY (CODTAB);

/*-- SEQ 0375 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
SELECT * FROM NADA;


/*-- SEQ 0376 --*/
-- Tarefa 76738 --
ALTER TABLE TT_END ADD CODPAI Numeric(05);

/*-- SEQ 0377 --*/
-- Tarefa 76738 --
SELECT DISABLETRIGGERS(LOWER('TT_END'));

/*-- SEQ 0378 --*/
-- Tarefa 76738 --
UPDATE TT_END
SET CODPAI = 1058
WHERE FLGNAC = 'F';

/*-- SEQ 0379 --*/
-- Tarefa 76738 --
SELECT ENABLETRIGGERS(LOWER('TT_END'));

/*-- SEQ 0380 --*/
-- Tarefa 76738 --
ALTER TABLE TT_END ADD CONSTRAINT FK_END_DPAI FOREIGN KEY (CODPAI) REFERENCES TD_PAI (CODPAI);


/*-- SEQ 0381 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74203 --
ALTER TABLE TT_DOM DROP CONSTRAINT PK_DOM CASCADE;

/*-- SEQ 0382 --*/
-- Tarefa 74203 --
ALTER TABLE TT_DOM ADD CONSTRAINT PK_DOM PRIMARY KEY (CODTAB);


/*-- SEQ 0383 --*/
-- Tarefa 76623 --
SELECT DISABLETRIGGERS(LOWER('TW_ARQ'));

/*-- SEQ 0384 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76623 --
ALTER TABLE TW_ARQ ADD APELID VARCHAR(254);

/*-- SEQ 0385 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76623 --
UPDATE TW_ARQ SET APELID = ALIAS;

/*-- SEQ 0386 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76623 --
ALTER TABLE TW_ARQ ADD GERAL VARCHAR(1);

/*-- SEQ 0387 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76623 --
UPDATE TW_ARQ SET GERAL = GLOBAL;

/*-- SEQ 0388 --*/
-- Tarefa 76623 --
SELECT ENABLETRIGGERS(LOWER('TW_ARQ'));

/*-- SEQ 0389 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76623 --
ALTER TABLE TW_ARQ DROP COLUMN ALIAS CASCADE;

/*-- SEQ 0390 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76623 --
ALTER TABLE TW_ARQ DROP COLUMN GLOBAL CASCADE;

/*-- SEQ 0391 --*/
-- Tarefa 76623 --
SELECT ExecAlteraTipoColuna('TW_ARQ','NOMTAB','VARCHAR(70)');



/*-- SEQ 0392 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76397 --
ALTER TABLE TT_PRO ADD TEMP_SITIPI CHAR(1);

/*-- SEQ 0393 --*/
-- Tarefa 76397 --
SELECT DISABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0394 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76397 --
UPDATE TT_PRO SET TEMP_SITIPI = SUBSTR(SITIPI,1,1);

/*-- SEQ 0395 --*/
-- Tarefa 76397 --
SELECT ENABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0396 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76397 --
ALTER TABLE TT_PRO DROP COLUMN SITIPI CASCADE;

/*-- SEQ 0397 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76397 --
ALTER TABLE TT_PRO ADD SITIPI CHAR(1);

/*-- SEQ 0398 --*/
-- Tarefa 76397 --
SELECT DISABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0399 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76397 --
UPDATE TT_PRO SET SITIPI = TEMP_SITIPI;

/*-- SEQ 0400 --*/
-- Tarefa 76397 --
SELECT ENABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0401 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76397 --
ALTER TABLE TT_PRO DROP COLUMN TEMP_SITIPI CASCADE;


/*-- SEQ 0402 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  73356 --
ALTER TABLE TT_IVE ADD PENATU CHAR(1);

/*-- SEQ 0403 --*/ 
/*-- IGNORE ERRO --*/
-- Tarefa  73356 --
CREATE INDEX I_LC_IVE_PENATU ON TT_IVE (PENATU)  ;


/*-- SEQ 0404 --*/
-- Tarefa  76684 --
SELECT DISABLETRIGGERS(LOWER('TT_MUN'));

/*-- SEQ 0405 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  76684 --
UPDATE TT_MUN MUN
   SET CODIBG = (SELECT IBG.CODIBG 
                   FROM TT_IBG IBG 
                  WHERE UPPER(TRANSLATE(LOWER(IBG.NOMMUN), '-','aaaaeeeiioooouuc ')) = UPPER(MUN.NOMCID)
                    AND IBG.SIGEST=UPPER(MUN.SIGEST)
                 )
 WHERE MUN.CODIBG IS NULL; 

/*-- SEQ 0406 --*/
-- Tarefa  76684 --
SELECT ENABLETRIGGERS(LOWER('TT_MUN'));


/*-- SEQ 0407 --*/
-- Tarefa 76927 --
ALTER TABLE TT_ORC ADD VLRADI Numeric(12,2);


/*-- SEQ 0408 --*/ 
-- Tarefa  76817 --
ALTER TABLE TT_ORC ADD FILADI CHAR(3);

/*-- SEQ 0409 --*/ 
-- Tarefa  76817 --
ALTER TABLE TT_ORC ADD SEQADI CHAR(10);

/*-- SEQ 0410 --*/ 
-- Tarefa  76817 --
ALTER TABLE TT_ORC ADD CONSTRAINT FK_ORC_CCC FOREIGN KEY (FILADI,SEQADI) REFERENCES TT_CCC (CODFIL,SEQUEN);


/*-- SEQ 0411 --*/
-- Tarefa  76947 --
SELECT DISABLETRIGGERS(LOWER('TT_IVO'));

/*-- SEQ 0412 --*/
-- Tarefa  76947 --
UPDATE TT_IVO 
   SET FLGEST = 'E'
 WHERE (FILROM, SEQROM)
    IN (SELECT CODFIL, SEQUEN 
          FROM TT_ROM 
         WHERE FLGEST = 'E');

/*-- SEQ 0413 --*/
-- Tarefa  76947 --
SELECT ENABLETRIGGERS(LOWER('TT_IVO'));

/*-- SEQ 0414 --*/ 
-- Tarefa  76947 --
DROP INDEX I_LC_IVO_TEMROM;

/*-- SEQ 0415 --*/ 
-- Tarefa  76947 --
CREATE INDEX I_LC_IVO_TEMROM ON TT_IVO (TEMROM, ORIGEM, FLGEST)  ;


/*-- SEQ 0416 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE DW_VENDAS_CLIENTE RENAME COLUMN CLIENTE TO NOME_COMPLETO;


/*-- SEQ 0417 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  76945 --
INSERT INTO TT_FUN (NOMFUN, DATFUN, ATU_EM) VALUES ('LOCK_SEP', Agora(), Agora());

/*-- SEQ 0418 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  76945 --
INSERT INTO TT_FUN (NOMFUN, DATFUN, ATU_EM) VALUES ('LOCK_ROM', Agora(), Agora());


/*-- SEQ 0419 --*/
-- Tarefa 77020 --
ALTER TABLE TT_ORC ADD NOMCLI VARCHAR(64);

/*-- SEQ 0420 --*/
-- Tarefa 77020 --
ALTER TABLE TT_ORC ADD DDDCLI CHAR(2);

/*-- SEQ 0421 --*/
-- Tarefa 77020 --
ALTER TABLE TT_ORC ADD TELCLI VARCHAR(10);


/*-- SEQ 0422 --*/
-- Tarefa 77015 --
ALTER TABLE TT_IOR ADD QTDORI  Numeric(12,4); 

/*-- SEQ 0423 --*/
-- Tarefa 77015 --
ALTER TABLE TT_IOR ADD CONCLU VARCHAR(1);


/*-- SEQ 0424 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76485 --
ALTER TABLE TW_TAB ADD OCUATI VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0425 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76485 --
ALTER TABLE TD_OCU ADD OCUATI VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0426 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76485 --
ALTER TABLE TD_OCU ALTER COLUMN OCUATI SET NOT NULL;

/*-- SEQ 0427 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76485 --
ALTER TABLE TD_OCU ADD CONSTRAINT CK_OCU_OCUATI CHECK (OCUATI IN ('T','F'));


/*-- SEQ 0428 --*/
-- Tarefa 77155 --
ALTER TABLE TT_ICO ADD VLRICMDEV Numeric(14,2);

/*-- SEQ 0429 --*/
-- Tarefa 77155 --
ALTER TABLE TT_ICO ADD PERICMDEV Numeric(5,2);


/*-- SEQ 0430 --*/
-- Tarefa 77191 --
ALTER TABLE TT_SAL ADD  MOT_CM VARCHAR(254);


/*-- SEQ 0431 --*/
-- Tarefa 77158 --
ALTER TABLE TT_CFG ADD DEVTRA_NAT Numeric(5,0);

/*-- SEQ 0432 --*/
-- Tarefa 77158 --
ALTER TABLE TT_CFG ADD DEVTRA_CFO Numeric(5,0);

/*-- SEQ 0433 --*/
-- Tarefa 77158 --
ALTER TABLE TW_CFG ADD DEVTRA_NAT Numeric(5,0);

/*-- SEQ 0434 --*/
-- Tarefa 77158 --
ALTER TABLE TW_CFG ADD DEVTRA_CFO Numeric(5,0);

/*-- SEQ 0435 --*/
-- Tarefa 77158 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DCFO_DEV FOREIGN KEY (DEVTRA_CFO) REFERENCES TD_CFO(CODTAB);

/*-- SEQ 0436 --*/
-- Tarefa 77158 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DNAT_DEV FOREIGN KEY (DEVTRA_NAT) REFERENCES TD_NAT(CODTAB);


/*-- SEQ 0437 --*/
-- Tarefa 77180 --
ALTER TABLE TW_CLI ADD ISENTO VARCHAR(1);

/*-- SEQ 0438 --*/
-- Tarefa 77180 --
ALTER TABLE TW_CLI ADD CONSTRAINT CK_WCLI_ISENTO CHECK (ISENTO IN ('T','F'));


/*-- SEQ 0439 --*/
-- Tarefa 77184 --
ALTER TABLE TT_ICO ADD BSTFRE Numeric(14,2);

/*-- SEQ 0440 --*/
-- Tarefa 77184 --
ALTER TABLE TT_ICO ADD ST_FRE Numeric(14,2);

/*-- SEQ 0441 --*/
-- Tarefa 77184 --
ALTER TABLE TT_COM ADD BSTFRE Numeric(14,2);

/*-- SEQ 0442 --*/
-- Tarefa 77184 --
ALTER TABLE TT_COM ADD ST_FRE Numeric(14,2);


/*-- SEQ 0443 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 77148 --
ALTER TABLE TI_PRO ADD SITCOF VARCHAR(2);

/*-- SEQ 0444 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 77148 --
ALTER TABLE TI_PRO ADD SITPIS VARCHAR(2);

/*-- SEQ 0445 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 77148 --
ALTER TABLE TI_PRO ADD CODFPS VARCHAR(2);

/*-- SEQ 0446 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 77148 --
ALTER TABLE TI_PRO ADD SITIPI VARCHAR(1);

/*-- SEQ 0447 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 77148 --
ALTER TABLE TI_PRO ADD CODNCM VARCHAR(8);


/*-- SEQ 0448 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74401 --
ALTER TABLE TI_PRO ADD TIPDOC CHAR(1) DEFAULT 'N';

/*-- SEQ 0449 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74401 --
ALTER TABLE TI_PRO ALTER COLUMN TIPDOC SET NOT NULL;

/*-- SEQ 0450 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74401 --
ALTER TABLE TI_PRO ADD ISEPIS VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0451 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74401 --
ALTER TABLE TI_PRO ALTER COLUMN ISEPIS SET NOT NULL;

/*-- SEQ 0452 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74401 --
ALTER TABLE TI_PRO ADD ICMFED VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0453 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74401 --
ALTER TABLE TI_PRO ALTER COLUMN ICMFED SET NOT NULL;

/*-- SEQ 0454 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74401 --
ALTER TABLE TI_PRO ADD ARRTRU CHAR(1) DEFAULT 'A';

/*-- SEQ 0455 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74401 --
ALTER TABLE TI_PRO ALTER COLUMN ARRTRU SET NOT NULL;

/*-- SEQ 0456 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74401 --
ALTER TABLE TI_PRO ADD IIPTPR CHAR(1) DEFAULT 'T';

/*-- SEQ 0457 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74401 --
ALTER TABLE TI_PRO ALTER COLUMN IIPTPR SET NOT NULL;

/*-- SEQ 0458 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  74401 --
ALTER TABLE TI_PRO ADD CODANP Numeric(9);

/*-- SEQ 0459 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74401 --
ALTER TABLE TI_PRO ADD COD_EX Numeric(3);

/*-- SEQ 0460 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74401 --
ALTER TABLE TI_PRO ADD IMPKIT VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0461 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74401 --
ALTER TABLE TI_PRO ALTER COLUMN IMPKIT SET NOT NULL;

/*-- SEQ 0462 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74401 --
ALTER TABLE TI_CLI ADD CODDDI VARCHAR(3);

/*-- SEQ 0463 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74401 --
ALTER TABLE TI_CLI ADD DDICON VARCHAR(3);

/*-- SEQ 0464 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74401 --
ALTER TABLE TI_CLI ADD ENDATI VARCHAR(1);

/*-- SEQ 0465 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74401 --
UPDATE TI_CLI SET ENDATI = 'T' WHERE (END_SIGNAT IS NULL) OR (END_SIGNAT >= 0);

/*-- SEQ 0466 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74401 --
UPDATE TI_CLI SET ENDATI = 'F' WHERE END_SIGNAT < 0;

/*-- SEQ 0467 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 74401 --
ALTER TABLE TI_CLI DROP COLUMN END_SIGNAT CASCADE;


/*-- SEQ 0468 --*/
-- Tarefa 77270 --
SELECT DISABLETRIGGERS(LOWER('TI_CLI'));

/*-- SEQ 0469 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 77270 --
CREATE SEQUENCE SQICLI INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0470 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 77270 --
ALTER TABLE TI_CLI ADD SEQUEN CHAR(10);

/*-- SEQ 0471 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION TMP_TI_CLI_SEQUEN () CASCADE;

/*-- SEQ 0472 --*/
CREATE OR REPLACE FUNCTION TMP_TI_CLI_SEQUEN ()
RETURNS Timestamp AS '
DECLARE

-- Tarefa 77270 --
   crUpdate CURSOR FOR
      SELECT DATCRI
        FROM TI_CLI
       WHERE SEQUEN IS NULL
       ORDER BY DATCRI;
   vDATCRI TI_CLI.DATCRI%TYPE;
BEGIN
   OPEN crUpdate;
      LOOP
         FETCH crUpdate INTO vDATCRI;
         EXIT WHEN NOT FOUND;     
         UPDATE TI_CLI SET SEQUEN = LPAD(RTRIM(NEXTVAL(''SQICLI'')),10,'' '')
          WHERE DATCRI = vDATCRI
            AND SEQUEN IS NULL;
      END LOOP;  
   CLOSE crUpdate;
   RETURN NULL;
END;
' language 'plpgsql';



/*-- SEQ 0473 --*/
-- Tarefa 77270 --
select TMP_TI_CLI_SEQUEN() from dual;


/*-- SEQ 0474 --*/
-- Tarefa 77270 --
DROP FUNCTION TMP_TI_CLI_SEQUEN () CASCADE;

/*-- SEQ 0475 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 77270 --
ALTER TABLE TI_CLI ALTER COLUMN SEQUEN SET NOT NULL;

/*-- SEQ 0476 --*/
-- Tarefa 77270 --
SELECT ENABLETRIGGERS(LOWER('TI_CLI'));

/*-- SEQ 0477 --*/ 
/*-- IGNORE ERRO --*/
-- Tarefa 77270 --
ALTER TABLE TI_CLI ADD CONSTRAINT PK_ICLI PRIMARY KEY (SEQUEN);

/*-- SEQ 0478 --*/ 
-- Tarefa 77270 --
DROP INDEX I_LC_ICLI_STATUS;

/*-- SEQ 0479 --*/ 
-- Tarefa 77270 --
CREATE INDEX I_LC_ICLI_STATUS ON TI_CLI (STATUS, SEQUEN)  ;


/*-- SEQ 0480 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76768 --
DROP FUNCTION PrecoDia (TT_PRE.FILMAT%TYPE,TT_PRE.CODMAT%TYPE,TT_PRE.CODCOR%TYPE,TT_PRE.CODTAM%TYPE,TL_PRE.DATOPE%TYPE,TT_PRE.FILPRE%TYPE,TT_PRE.SEQUEN%TYPE) CASCADE;

/*-- SEQ 0481 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76768 --
DROP FUNCTION PRECO_ANTERIOR (TT_ICO.FILMAT%TYPE,TT_ICO.CODMAT%TYPE,TT_ICO.CODCOR%TYPE,TT_ICO.CODTAM%TYPE,TT_ICO.COM_DATOPE%TYPE,TT_PRE.FILPRE%TYPE,TT_PRE.SEQUEN%TYPE) CASCADE;


/*-- SEQ 0482 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75399 --
ALTER TABLE TT_IVE ADD ESTPEN Numeric(12,2);

/*-- SEQ 0483 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75399 --
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_ESTPEN CHECK (ESTPEN IS NULL OR ESTPEN > 0);


/*-- SEQ 0484 --*/
-- Tarefa 76804 --
ALTER TABLE TT_GRA ADD DATFPV Timestamp;

/*-- SEQ 0485 --*/
-- Tarefa 76804 --
CREATE INDEX I_LC_GRA_DATFPV ON TT_GRA (DATFPV)  ;

/*-- SEQ 0486 --*/
-- Tarefa 76804 --
SELECT DISABLETRIGGERS(LOWER('TT_GRA'));

/*-- SEQ 0487 --*/
-- Tarefa 76804 --
UPDATE TT_GRA
   SET DATFPV = TO_DATE('01/01/1999','DD/MM/YYYY');

/*-- SEQ 0488 --*/
-- Tarefa 76804 --
SELECT ENABLETRIGGERS(LOWER('TT_GRA'));


/*-- SEQ 0489 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76687 --
SELECT * FROM NADA;


/*-- SEQ 0490 --*/
-- Tarefa 73487 --
SELECT DISABLETRIGGERS(LOWER('TT_VDD'));

/*-- SEQ 0491 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 73487 --
ALTER TABLE TT_VDD ADD TIPVDD CHAR(1) DEFAULT 'O';

/*-- SEQ 0492 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 73487 --
ALTER TABLE TT_VDD ADD CONSTRAINT CK_VDD_TIPVDD CHECK (TIPVDD IN ('O','P','V'));

/*-- SEQ 0493 --*/
-- Tarefa 73487 --
UPDATE TT_VDD SET TIPVDD = 'O' WHERE TIPVDD IS NULL;

/*-- SEQ 0494 --*/ 
/*-- IGNORE ERRO --*/
-- Tarefa  73487 --
ALTER TABLE TT_VDD ALTER COLUMN TIPVDD SET NOT NULL;

/*-- SEQ 0495 --*/ 
-- Tarefa  73487 --
INSERT INTO TT_VDD (CODFIL, FILVEN, SEQVEN, FILVDD, CODVDD, TIPVDD, DATINC, ATU_EM, SEQUEN)
                   (SELECT CODFIL, CODFIL AS FILIAL, SEQUEN, FILVEN, CODVEN, 'V' AS TIPVDD, Agora(), Agora(), NEXTVAL('SQVDD') AS SEQVDD FROM TT_VEN VEN 
                     WHERE NOT EXISTS (SELECT 1 FROM TT_VDD VDD 
                                        WHERE VDD.FILVEN = VEN.CODFIL 
                                          AND VDD.SEQVEN = VEN.SEQUEN 
                                          AND VDD.FILVDD = VEN.FILVEN 
                                          AND VDD.CODVDD = VEN.CODVEN 
                                          AND VDD.TIPVDD = 'V'));

/*-- SEQ 0496 --*/ 
-- Tarefa  73487 --
INSERT INTO TT_VDD (CODFIL, FILVEN, SEQVEN, FILVDD, CODVDD, TIPVDD, DATINC, ATU_EM, SEQUEN)                   
                   (SELECT CODFIL, CODFIL AS FILIAL, SEQUEN, FILVDP, CODVDP, 'P' AS TIPVDD, Agora(), Agora(), NEXTVAL('SQVDD') AS SEQVDD FROM TT_VEN VEN 
                     WHERE VEN.FILVDP IS NOT NULL 
                       AND (SELECT MULT_VENDEDORES FROM TT_CFG) = 'T'
                       AND NOT EXISTS (SELECT 1 FROM TT_VDD VDD 
                                        WHERE VDD.FILVEN = VEN.CODFIL 
                                          AND VDD.SEQVEN = VEN.SEQUEN 
                                          AND VDD.FILVDD = VEN.FILVDP 
                                          AND VDD.CODVDD = VEN.CODVDP 
                                          AND VDD.TIPVDD = 'P'));

/*-- SEQ 0497 --*/
-- Tarefa  73487 --
SELECT ENABLETRIGGERS(LOWER('TT_VDD'));                                          


/*-- SEQ 0498 --*/
-- Tarefa  72170 --
SELECT DISABLETRIGGERS(LOWER('TT_MUN'));

/*-- SEQ 0499 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  72170 --
ALTER TABLE TT_IBG ADD NOMMUN_TEMP VARCHAR(200);

/*-- SEQ 0500 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  72170 --
CREATE INDEX I_LC_IBG_NOMMUN_TEMP ON TT_IBG (NOMMUN_TEMP);

/*-- SEQ 0501 --*/
-- Tarefa  72170 --
UPDATE TT_IBG 
   SET NOMMUN_TEMP = TRANSLATE(UPPER(NOMMUN),'- ','AAAAEEEIIOOOOUUC ');

/*-- SEQ 0502 --*/
-- Tarefa  72170 --
UPDATE TT_MUN MUN
   SET CODIBG = (SELECT IBG.CODIBG 
                       FROM TT_IBG IBG 
                      WHERE IBG.NOMMUN_TEMP=TRANSLATE(UPPER(MUN.NOMCID),'- ','AAAAEEEIIOOOOUUC ')
                        AND IBG.SIGEST=UPPER(MUN.SIGEST)
                 )
 WHERE MUN.CODIBG IS NULL; 

/*-- SEQ 0503 --*/
-- Tarefa  72170 --
ALTER TABLE TT_IBG DROP COLUMN NOMMUN_TEMP;

/*-- SEQ 0504 --*/
-- Tarefa  72170 --
SELECT ENABLETRIGGERS(LOWER('TT_MUN'));


/*-- SEQ 0505 --*/
-- Tarefa 75328 --
ALTER TABLE TT_IPE ADD ORDITE Numeric(5);

/*-- SEQ 0506 --*/
-- Tarefa 75328 --
SELECT DISABLETRIGGERS(LOWER('TT_IPE'));

/*-- SEQ 0507 --*/
-- Tarefa 75328 --
UPDATE TT_IPE
   SET ORDITE = NUMITE
 WHERE ORDITE IS NULL;

/*-- SEQ 0508 --*/
-- Tarefa 75328 --
SELECT ENABLETRIGGERS(LOWER('TT_IPE'));

/*-- SEQ 0509 --*/
-- Tarefa 75328 --
ALTER TABLE TT_IPE ALTER COLUMN ORDITE SET NOT NULL;


/*-- SEQ 0510 --*/
-- Tarefa 75392 --
SELECT DISABLETRIGGERS(LOWER('TT_IVEXIPE'));

/*-- SEQ 0511 --*/
-- Tarefa 75392 --
UPDATE TT_IVEXIPE
   SET FILIPE = NULL,
       NUMIPE = NULL,
       ITEIPE = NULL,
       FLGEST = CASE WHEN FLGEST IN ('C','R') THEN 'C' 
                                              ELSE 'A' -- A, S ou E
                END
 WHERE (CODFIL, SEQUEN) IN (SELECT ENC.CODFIL, ENC.SEQUEN
                              FROM TT_IVEXIPE ENC INNER JOIN TT_IPE IPE ON ENC.FILIPE = IPE.CODFIL
                                                                       AND ENC.NUMIPE = IPE.NUMPED
                                                                       AND ENC.ITEIPE = IPE.NUMITE
                             WHERE ENC.FILMAT <> IPE.FILMAT 
                                OR ENC.CODMAT <> IPE.CODMAT
                                OR ENC.CODCOR <> IPE.CODCOR
                                OR ENC.CODTAM <> IPE.CODTAM);

/*-- SEQ 0512 --*/
-- Tarefa 75392 --
SELECT ENABLETRIGGERS(LOWER('TT_IVEXIPE'));

/*-- SEQ 0513 --*/
-- Tarefa 75392 --
ALTER TABLE TT_IPE ADD CONSTRAINT AK_IPE_GRA UNIQUE (CODFIL, NUMPED, NUMITE, FILMAT, CODMAT, CODCOR, CODTAM);

/*-- SEQ 0514 --*/
-- Tarefa 75392 --
ALTER TABLE TT_IVEXIPE ADD CONSTRAINT FK_IVEXIPE_IPE_GRA FOREIGN KEY (FILIPE, NUMIPE, ITEIPE, FILMAT, CODMAT, CODCOR, CODTAM) REFERENCES TT_IPE (CODFIL, NUMPED, NUMITE, FILMAT, CODMAT, CODCOR, CODTAM);


/*-- SEQ 0515 --*/
-- Tarefa 75392 --
DROP FUNCTION PC_ICO_UPDATE (TT_ICO.CODFIL%TYPE,TT_ICO.SEQUEN%TYPE,TT_ICO.NUMITE%TYPE,TT_ICO.QTDMOV%TYPE) CASCADE;

/*-- SEQ 0516 --*/
-- Tarefa 75392 --
DROP FUNCTION PC_IPE_UPDATE (TT_IPE.CODFIL%TYPE,TT_IPE.NUMPED%TYPE) CASCADE;


/*-- SEQ 0517 --*/
-- Tarefa 76687 --
SELECT DISABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0518 --*/
-- Tarefa 76687 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,332)||SUBSTR(PERMIS,279,1)||SUBSTR(PERMIS,334,9999);

/*-- SEQ 0519 --*/
-- Tarefa 76687 --
SELECT ENABLETRIGGERS(LOWER('TT_USU'));


/*-- SEQ 0520 --*/
-- Tarefa 77511 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0521 --*/
-- Tarefa 77511 --
ALTER TABLE TT_CFG ADD ROMANEIO_FILIAL CHAR(1) DEFAULT 'F';

/*-- SEQ 0522 --*/
-- Tarefa  77511 --
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0523 --*/
--Tarefa 77511 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_ROMANEIO_FILIAL CHECK(ROMANEIO_FILIAL IN ('F','T'));

/*-- SEQ 0524 --*/
--Tarefa 77511 --
ALTER TABLE TT_CFG ALTER COLUMN ROMANEIO_FILIAL SET NOT NULL;

/*-- SEQ 0525 --*/
-- Tarefa 77511 --
ALTER TABLE TW_CFG ADD ROMANEIO_FILIAL CHAR(1) DEFAULT 'F';


