
/*-- SEQ 0001 --*/
-- Tarefa 93710--
SELECT ExecAlteraTipoColuna('TD_IR1','ICMSR1','Numeric(14, 4)');


/*-- SEQ 0002 --*/
-- Tarefa 93710--
SELECT ExecAlteraTipoColuna('TD_IR2','ICMSR2','Numeric(14, 4)');



/*-- SEQ 0003 --*/
-- Tarefa 93277 --
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0004 --*/
ALTER TABLE TD_FIL ADD COLUMN CREDDF VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0005 --*/
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0006 --*/
-- Tarefa 93277 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_CREDDF CHECK (CREDDF IN ('F','T'));

/*-- SEQ 0007 --*/
-- Tarefa 93277 --
ALTER TABLE TD_FIL ALTER COLUMN CREDDF SET NOT NULL;


/*-- SEQ 0008 --*/
-- Tarefa 93428 --
ALTER TABLE TT_VEN ADD COLUMN NOTMAN VARCHAR(9) ;



/*-- SEQ 0009 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
CREATE TABLE TM_FEC (
  CODFIL CHAR(3),
  NUMECF CHAR(3),
  DATOPE Timestamp,
  FLGEST CHAR(1)
  )  ;
 
/*-- SEQ 0010 --*/ 
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
ALTER TABLE TM_FEC ADD CONSTRAINT PK_FEC PRIMARY KEY (CODFIL,NUMECF,DATOPE);

/*-- SEQ 0011 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
ALTER TABLE TM_FEC ALTER COLUMN FLGEST SET DEFAULT 'N';
 
/*-- SEQ 0012 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93780 --
SELECT * FROM NADA;

/*-- SEQ 0013 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93780 --
SELECT * FROM NADA;
  
/*-- SEQ 0014 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93780 --
SELECT * FROM NADA;
  
 /*-- SEQ 0015 --*/
 /*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
ALTER TABLE TM_FEC ALTER COLUMN FLGEST SET NOT NULL;
  
/*-- SEQ 0016 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
ALTER TABLE TM_FEC ADD CONSTRAINT FK_FEC_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL(CODFIL);

/*-- SEQ 0017 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93780 --
SELECT * FROM NADA;

/*-- SEQ 0018 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93780 --
SELECT * FROM NADA;


/*-- SEQ 0019 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
CREATE INDEX I_FK_FEC_DFIL ON TM_FEC (CODFIL)  ;

/*-- SEQ 0020 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
ALTER TABLE TM_FEC ADD CONSTRAINT CK_FEC_FLGEST CHECK (FLGEST IN ('A','G','P','N'));
 



/*-- SEQ 0021 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
CREATE TABLE TT_MCF (
 	CODFIL 		CHAR(3), 		
    NUMECF 		CHAR(3), 		
    NUMCCF 		Numeric(6), 		
    NUMCOO 		Numeric(6), 		
    DATEMI 		Timestamp, 			
    VLRSUBTOT 	Numeric(14,2),
    VLRDES 		Numeric(13,2), 	
    FLGDES 		CHAR(1), 		
    VLRACR 		Numeric(13,2), 	
    FLGACR 		CHAR(1), 		
    VLRTOT 		Numeric(14,2), 	
    FLGCAN 		CHAR(1), 		
    VLRCANACR 	Numeric(13,2), 	
    ORDDESACR 	CHAR(1), 		
    NOMECLI 	VARCHAR(40), 	
    NUMDOC 		CHAR(14)  
  )  ;
 
/*-- SEQ 0022 --*/ 
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
ALTER TABLE TT_MCF ADD CONSTRAINT PK_MCF PRIMARY KEY (CODFIL, NUMECF, NUMCOO, DATEMI);
 
/*-- SEQ 0023 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
ALTER TABLE TT_MCF ADD CONSTRAINT FK_MCF_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL(CODFIL);


/*-- SEQ 0024 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 92944 --
SELECT * FROM NADA;

/*-- SEQ 0025 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92944 --
SELECT * FROM NADA;

/*-- SEQ 0026 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
ALTER TABLE TT_MCF ADD CONSTRAINT CK_MCF_FLGDES CHECK (FLGDES IN ('V','P'));

/*-- SEQ 0027 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
ALTER TABLE TT_MCF ADD CONSTRAINT CK_MCF_FLGACR CHECK (FLGACR IN ('V','P'));

/*-- SEQ 0028 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
ALTER TABLE TT_MCF ADD CONSTRAINT CK_MCF_FLGCAN CHECK (FLGACR IN ('S','N'));

/*-- SEQ 0029 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
CREATE INDEX I_FK_MCF_DFIL ON TT_MCF (CODFIL)  ;


 



/*-- SEQ 0030 --*/
-- Tarefa 93857 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0031 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD COLUMN TIPDIA_FLUXO CHAR(1) DEFAULT 'C';

/*-- SEQ 0032 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0033 --*/
/*--IGNORE ERRO--*/
-- Tarefa 93857 -- 
ALTER TABLE TT_CFG ALTER COLUMN TIPDIA_FLUXO SET NOT NULL;
 
/*-- SEQ 0034 --*/
/*--IGNORE ERRO--*/
-- Tarefa 93857 -- 
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_TIPDIA_FLUXO CHECK (TIPDIA_FLUXO IN('C', 'A'));
 
/*-- SEQ 0035 --*/
-- Tarefa 93857 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0036 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD COLUMN TIPDIA_FLUXO CHAR(1) DEFAULT 'C';

/*-- SEQ 0037 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));


/*-- SEQ 0038 --*/
-- Tarefa 93859 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0039 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD COLUMN PRAZO_ENT_PEDIDO VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0040 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));
 
/*-- SEQ 0041 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93859 -- 
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_PRAZO_ENT_PEDIDO CHECK (PRAZO_ENT_PEDIDO IN('T', 'F'));
 
/*-- SEQ 0042 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93859 -- 
ALTER TABLE TT_CFG ALTER COLUMN PRAZO_ENT_PEDIDO SET NOT NULL;
 
/*-- SEQ 0043 --*/
-- Tarefa 93859 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0044 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD COLUMN PRAZO_ENT_PEDIDO VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0045 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0046 --*/
-- Tarefa 93859 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0047 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD COLUMN PARC_PEDIDO VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0048 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));
 
/*-- SEQ 0049 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93859 -- 
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_PARC_PEDIDO CHECK (PARC_PEDIDO IN('T', 'F'));
 
/*-- SEQ 0050 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93859 -- 
ALTER TABLE TT_CFG ALTER COLUMN PARC_PEDIDO SET NOT NULL;
 
/*-- SEQ 0051 --*/
-- Tarefa 93859 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0052 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD COLUMN PARC_PEDIDO VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0053 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));


/*-- SEQ 0054 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
CREATE TABLE TT_ICF (
		NUMCCF 		Numeric(6), 		
        NUMCOO 		Numeric(6),
		NUMECF 		CHAR(3), 
		CODFIL 		CHAR(3),
		DATEMI		Timestamp,	
        NUMITE 		Numeric(3), 		
        CODITE 		VARCHAR(14), 	
        DESMAT 		VARCHAR(100), 
        QTDITE 		Numeric(10,4), 	
        UNIDAD 		VARCHAR(3), 		
        VLRUNI 		Numeric(12,4), 	
        VLRDESC 	Numeric(8,2), 	
        VLRACRES 	Numeric(8,2), 	
        VLRTOT 		Numeric(14,2), 	
        CODTOT 		VARCHAR(7), 		
        FLGCAN 		CHAR(1), 		
	    QTDCAN 		Numeric(10,4), 	
	    VLRCAN 		Numeric(12,4), 	
	    VLRCANACR 	Numeric(12,4), 	
	    ARRTRU 		CHAR(1), 		
        DECQTD 		CHAR(1), 		
	    DECUNI 		CHAR(1)		
  )  ;
  
/*-- SEQ 0055 --*/ 
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
ALTER TABLE TT_ICF ADD CONSTRAINT PK_ICF PRIMARY KEY (CODFIL, NUMECF, NUMCOO, DATEMI, NUMITE);

/*-- SEQ 0056 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
ALTER TABLE TT_ICF ADD CONSTRAINT FK_ICF_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL(CODFIL);

/*-- SEQ 0057 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
SELECT * FROM NADA;

/*-- SEQ 0058 --*/
/*--IGNORE ERRO--*/
-- Tarefa 93797 --
SELECT * FROM NADA;

/*-- SEQ 0059 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
ALTER TABLE TT_ICF ADD CONSTRAINT CK_ICF_FLGCAN CHECK (FLGCAN IN ('S','N','P'));

/*-- SEQ 0060 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
ALTER TABLE TT_ICF ADD CONSTRAINT CK_ICF_ARRTRU CHECK (ARRTRU IN ('T','A'));



/*-- SEQ 0061 --*/
-- Tarefa 93764 --
SELECT DISABLETRIGGERS(LOWER('TT_FER'));

/*-- SEQ 0062 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_FER ADD COLUMN LOJABR VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0063 --*/
SELECT ENABLETRIGGERS(LOWER('TT_FER'));
 
/*-- SEQ 0064 --*/
/*--IGNORE ERRO--*/
-- Tarefa 93764 -- 
ALTER TABLE TT_FER ADD CONSTRAINT CK_FER_LOJABR CHECK (LOJABR IN('T', 'F'));
 
/*-- SEQ 0065 --*/
/*--IGNORE ERRO--*/
-- Tarefa 93764 -- 
ALTER TABLE TT_FER ALTER COLUMN LOJABR SET NOT NULL;


/*-- SEQ 0066 --*/
-- Tarefa 93882--
/*-- IGNORE ERRO --*/
ALTER TABLE GX_CFG ADD COLUMN GX_CFGULTDATUSERATUSC Timestamp ;


/*-- SEQ 0067 --*/
-- Tarefa 93882--
/*-- IGNORE ERRO --*/
ALTER TABLE GX_CFG ADD COLUMN GX_CFGULTIDSC Numeric(18) ;



/*-- SEQ 0068 --*/
-- Tarefa 93710--
SELECT ExecAlteraTipoColuna('TW_TAB','ICMSR1','Numeric(14, 4)');


/*-- SEQ 0069 --*/
-- Tarefa 93710--
SELECT ExecAlteraTipoColuna('TW_TAB','ICMSR2','Numeric(14, 4)');



/*-- SEQ 0070 --*/
-- Tarefa 93400 --
CREATE TABLE TL_IOR_PAF (
    CODTAB Numeric(10),
    CODFIL CHAR(3),
    TIPPED CHAR(1),
    NUMPED CHAR(8),
    NUMITE Numeric(5),
    TIPLOG CHAR(1),
    INDCAN VARCHAR(1),
    FILMAT CHAR(3),
    CODMAT CHAR(5),
    CODCOR Numeric(5),
    CODTAM Numeric(5),
    QTDITE Numeric(12,4),
    VLRITE Numeric(14,4),
    DESCON Numeric(12,2),
    VLRPGT Numeric(12,2),
    DATOPE Timestamp,
    FILUSU CHAR(3),
    CODUSU CHAR(3),
    CODUID Numeric
  )  ;
  
/*-- SEQ 0071 --*/ 
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF ADD CONSTRAINT PK_LIOR_PAF PRIMARY KEY (CODTAB);
 
/*-- SEQ 0072 --*/
-- Tarefa 93400 --
CREATE SEQUENCE SQLIORPAF INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0073 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF ALTER COLUMN CODFIL SET NOT NULL;

/*-- SEQ 0074 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF ALTER COLUMN TIPPED SET NOT NULL;

/*-- SEQ 0075 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF ALTER COLUMN NUMPED SET NOT NULL;

/*-- SEQ 0076 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF ALTER COLUMN NUMITE SET NOT NULL;

/*-- SEQ 0077 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF ALTER COLUMN TIPLOG SET NOT NULL;

/*-- SEQ 0078 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF ALTER COLUMN INDCAN SET NOT NULL;

/*-- SEQ 0079 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF ALTER COLUMN FILMAT SET NOT NULL;

/*-- SEQ 0080 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF ALTER COLUMN CODMAT SET NOT NULL;

/*-- SEQ 0081 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF ALTER COLUMN CODCOR SET NOT NULL;
/*-- SEQ 0082 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF ALTER COLUMN CODTAM SET NOT NULL;

/*-- SEQ 0083 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF ALTER COLUMN QTDITE SET NOT NULL;

/*-- SEQ 0084 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF ALTER COLUMN VLRITE SET NOT NULL;

/*-- SEQ 0085 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF ALTER COLUMN DESCON SET NOT NULL;

/*-- SEQ 0086 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF ALTER COLUMN VLRPGT SET NOT NULL;
/*-- SEQ 0087 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF ALTER COLUMN DATOPE SET NOT NULL;

/*-- SEQ 0088 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF ALTER COLUMN FILUSU SET NOT NULL;

/*-- SEQ 0089 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF ALTER COLUMN CODUSU SET NOT NULL;

/*-- SEQ 0090 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF ADD CONSTRAINT FK_LIOR_PAF_USU FOREIGN KEY (FILUSU, CODUSU) REFERENCES TT_USU(FILUSU, CODUSU);
 
/*-- SEQ 0091 --*/
-- Tarefa 93400 --
CREATE INDEX I_FK_LIOR_PAF_USU ON TL_IOR_PAF (FILUSU, CODUSU)  ;

/*-- SEQ 0092 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF ADD CONSTRAINT FK_LIOR_PAF_UID FOREIGN KEY (CODUID) REFERENCES TT_UID(CODUID);
 
/*-- SEQ 0093 --*/
-- Tarefa 93400 --
CREATE INDEX I_FK_LIOR_PAF_UID ON TL_IOR_PAF (CODUID)  ;

/*-- SEQ 0094 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF ADD CONSTRAINT FK_LIOR_PAF_IOR FOREIGN KEY (CODFIL, TIPPED, NUMPED, NUMITE) REFERENCES TT_IOR(CODFIL, TIPPED, NUMPED, NUMITE);
 
/*-- SEQ 0095 --*/
-- Tarefa 93400 --
CREATE INDEX I_FK_LIOR_PAF_IOR ON TL_IOR_PAF (CODFIL, TIPPED, NUMPED, NUMITE)  ;

/*-- SEQ 0096 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF ADD CONSTRAINT FK_LIOR_PAF_GRA FOREIGN KEY (FILMAT, CODMAT, CODCOR, CODTAM) REFERENCES TT_GRA(FILMAT, CODMAT, CODCOR, CODTAM);
 
/*-- SEQ 0097 --*/
-- Tarefa 93400 --
CREATE INDEX I_FK_LIOR_PAF_GRA ON TL_IOR_PAF (FILMAT, CODMAT, CODCOR, CODTAM)  ;

/*-- SEQ 0098 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF ADD CONSTRAINT FK_LIOR_PAF_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL(CODFIL);
 
/*-- SEQ 0099 --*/
-- Tarefa 93400 --
CREATE INDEX I_FK_LIOR_PAF_DFIL ON TL_IOR_PAF (CODFIL)  ;


/*-- SEQ 0100 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF ADD CONSTRAINT CK_LIOR_PAF_TIPLOG CHECK (TIPLOG IN ('A','E','I'));

/*-- SEQ 0101 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF ADD CONSTRAINT CK_LIOR_PAF_INDCAN CHECK (INDCAN IN ('F','T'));


/*-- SEQ 0102 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93770--
SELECT * FROM NADA;

/*-- SEQ 0103 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93770--
SELECT * FROM NADA;

/*-- SEQ 0104 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93770--
SELECT * FROM NADA;


/*-- SEQ 0105 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 93767 --
CREATE TABLE TT_UTL (
  DATOPE Timestamp,
  CODFIL CHAR(3) ,
  FERABE VARCHAR(1)
  )  ;
  
/*-- SEQ 0106 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93767--
SELECT * FROM NADA; 

/*-- SEQ 0107 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93767--
SELECT * FROM NADA; 

/*-- SEQ 0108 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93767 --
ALTER TABLE TT_UTL ALTER COLUMN FERABE SET NOT NULL;  

/*-- SEQ 0109 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 93767 --
ALTER TABLE TT_UTL ALTER COLUMN FERABE SET DEFAULT 'F';

/*-- SEQ 0110 --*/
/*-- IGNORE ERRO --*/  
-- Tarefa 93767 --
ALTER TABLE TT_UTL ADD CONSTRAINT PK_UTL PRIMARY KEY (DATOPE, CODFIL);

/*-- SEQ 0111 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 93767 --
ALTER TABLE TT_UTL ADD CONSTRAINT FK_UTL_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL  (CODFIL);
 
/*-- SEQ 0112 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 93767 --
CREATE INDEX I_FK_UTL_DFIL ON TT_UTL (CODFIL)  ;

/*-- SEQ 0113 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 93767 --
ALTER TABLE TT_UTL ADD CONSTRAINT CK_UTL_FERABE CHECK (FERABE IN ('T','F'));


/*-- SEQ 0114 --*/
-- Tarefa 93923--
/*-- IGNORE ERRO --*/
ALTER TABLE TT_FIN ADD COLUMN CHVTRN2 VARCHAR(5) ;



/*-- SEQ 0115 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93780 --
SELECT * FROM NADA;

/*-- SEQ 0116 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
ALTER TABLE TM_FEC ADD CONSTRAINT FK_FEC_DECF FOREIGN KEY (CODFIL, NUMECF) REFERENCES TD_ECF(FILECF, NUMECF);

/*-- SEQ 0117 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
CREATE INDEX I_FK_FEC_DECF ON TM_FEC (CODFIL, NUMECF)  ;


/*-- SEQ 0118 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
ALTER TABLE TT_MCF ADD CONSTRAINT FK_MCF_DECF FOREIGN KEY (CODFIL, NUMECF) REFERENCES TD_ECF(FILECF, NUMECF);

/*-- SEQ 0119 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
CREATE INDEX I_FK_MCF_DECF ON TT_MCF (CODFIL, NUMECF)  ;


/*-- SEQ 0120 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
ALTER TABLE TT_ICF ADD CONSTRAINT FK_ICF_MCF FOREIGN KEY (CODFIL, NUMECF, NUMCOO, DATEMI ) REFERENCES TT_MCF(CODFIL, NUMECF, NUMCOO, DATEMI);

/*-- SEQ 0121 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
CREATE INDEX I_FK_ICF_MCF ON TT_ICF (CODFIL, NUMECF, NUMCOO, DATEMI)  ;

/*-- SEQ 0122 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
ALTER TABLE TT_ICF ADD CONSTRAINT FK_ICF_DECF FOREIGN KEY (CODFIL, NUMECF) REFERENCES TD_ECF(FILECF, NUMECF);

/*-- SEQ 0123 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
CREATE INDEX I_FK_ICF_DFIL ON TT_ICF (CODFIL)  ;

/*-- SEQ 0124 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
CREATE INDEX I_FK_ICF_DECF ON TT_ICF (CODFIL, NUMECF)  ;

/*-- SEQ 0125 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93797 --
SELECT * FROM NADA;



/*-- SEQ 0126 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93949--
DROP VIEW TV_DPG CASCADE;

/*-- SEQ 0127 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93949--
DROP VIEW TV_DOP CASCADE;

/*-- SEQ 0128 --*/
-- Tarefa 93949--
ALTER TABLE TT_DOP ALTER COLUMN CODBAR TYPE CHAR(47);


/*-- SEQ 0129 --*/
-- Tarefa 93400 --
DROP INDEX I_FK_LIOR_PAF_IOR;

/*-- SEQ 0130 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF DROP CONSTRAINT FK_LIOR_PAF_IOR;

/*-- SEQ 0131 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF ADD CONSTRAINT FK_LIOR_PAF_ORC FOREIGN KEY (CODFIL, TIPPED, NUMPED) REFERENCES TT_ORC(CODFIL, TIPPED, NUMPED);
 
/*-- SEQ 0132 --*/
-- Tarefa 93400 --
CREATE INDEX I_FK_LIOR_PAF_ORC ON TL_IOR_PAF (CODFIL, TIPPED, NUMPED)  ;


/*-- SEQ 0133 --*/
-- Tarefa 94095 --
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0134 --*/
ALTER TABLE TD_FIL ADD COLUMN PERFIL CHAR(1) DEFAULT 'B';

/*-- SEQ 0135 --*/
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0136 --*/
-- Tarefa 94095 --
ALTER TABLE TD_FIL ALTER COLUMN PERFIL SET NOT NULL;
 
/*-- SEQ 0137 --*/
-- Tarefa 94095 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_PERFIL CHECK (PERFIL  IN ('A','B'));



/*-- SEQ 0138 --*/
-- Tarefa 93411 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_OPE ADD COLUMN ASSINA VARCHAR(256) ;


/*-- SEQ 0139 --*/
-- Tarefa 93411 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_OPE ADD COLUMN CODUID Numeric ;


/*-- SEQ 0140 --*/
-- Tarefa 93411 --
ALTER TABLE TT_OPE ADD CONSTRAINT FK_OPE_UID FOREIGN KEY (CODUID) REFERENCES TT_UID (CODUID);

/*-- SEQ 0141 --*/
-- Tarefa 93411 --
CREATE INDEX I_FK_OPE_UID ON TT_OPE (CODUID)  ;


/*-- SEQ 0142 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93823 --
SELECT * FROM NADA;

/*-- SEQ 0143 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93823 --
SELECT * FROM NADA;

/*-- SEQ 0144 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93823 --
SELECT * FROM NADA;

/*-- SEQ 0145 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93823 --
SELECT * FROM NADA;


/*-- SEQ 0146 --*/
-- Tarefa 94192 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0147 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD COLUMN CLIREVSEMIE VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0148 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0149 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94192--
ALTER TABLE TT_CFG ALTER COLUMN CLIREVSEMIE SET NOT NULL;

/*-- SEQ 0150 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94192 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_CLIREVSEMIE CHECK (CLIREVSEMIE IN ('T', 'F'));

/*-- SEQ 0151 --*/
-- Tarefa 94192 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0152 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD COLUMN CLIREVSEMIE VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0153 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0154 --*/
-- Tarefa 94192 --
SELECT DISABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0155 --*/
-- Tarefa 94192 --
UPDATE TT_CLI
   SET ISENTO = 'T'
 WHERE COALESCE(INSEST,'ISENTO') = 'ISENTO' AND ISENTO = 'F'
   AND NOT EXISTS (SELECT 1 AS OK
                     FROM TT_FUN
                    WHERE NOMFUN = 'REVSEMIE');

/*-- SEQ 0156 --*/
-- Tarefa 94192 --
SELECT ENABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0157 --*/
-- Tarefa 94192 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0158 --*/
-- Tarefa 94192 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'REVSEMIE', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'REVSEMIE'));

/*-- SEQ 0159 --*/
-- Tarefa 94192 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));



/*-- SEQ 0160 --*/
-- Tarefa 93823 --
SELECT DISABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0161 --*/
-- Tarefa 93823 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,384)||'S'||SUBSTR(PERMIS,386,9999)
    WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PERMIS385');

/*-- SEQ 0162 --*/
-- Tarefa 93823 --
SELECT ENABLETRIGGERS(LOWER('TT_USU'));
                     
/*-- SEQ 0163 --*/
-- Tarefa 93823 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0164 --*/
-- Tarefa 93823 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'PERMIS385', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PERMIS385'));

/*-- SEQ 0165 --*/
-- Tarefa 93823 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0166 --*/
-- Tarefa 93770--
ALTER TABLE TT_CFG DROP CONSTRAINT CK_CFG_GIRO_ESTOQUE CASCADE;

/*-- SEQ 0167 --*/
-- Tarefa 93770 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0168 --*/
-- Tarefa 93770--
UPDATE TT_CFG SET GIRO_ESTOQUE = 'A'
 WHERE GIRO_ESTOQUE = 'U';
 
/*-- SEQ 0169 --*/
-- Tarefa 93770 --
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0170 --*/
-- Tarefa 93770--
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_GIRO_ESTOQUE CHECK (GIRO_ESTOQUE IN ('A', 'C'));


/*-- SEQ 0171 --*/
-- Tarefa 93875 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0172 --*/
ALTER TABLE TT_CFG ADD COLUMN TIPDIA_ELASTICIDADE CHAR(1) DEFAULT 'C';

/*-- SEQ 0173 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));
 
/*-- SEQ 0174 --*/
-- Tarefa 93875 -- 
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_TIPDIA_ELASTICIDADE CHECK (TIPDIA_ELASTICIDADE IN ('C','A'));
 
/*-- SEQ 0175 --*/
-- Tarefa 93875 -- 
ALTER TABLE TT_CFG ALTER COLUMN TIPDIA_ELASTICIDADE SET NOT NULL;
 
/*-- SEQ 0176 --*/
-- Tarefa 93875 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0177 --*/
ALTER TABLE TW_CFG ADD COLUMN TIPDIA_ELASTICIDADE CHAR(1) DEFAULT 'C';

/*-- SEQ 0178 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));


/*-- SEQ 0179 --*/
-- Tarefa 93010 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0180 --*/
ALTER TABLE TT_CFG ADD COLUMN DIAS_VARPRE Numeric(2) DEFAULT 0;

/*-- SEQ 0181 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));
 
/*-- SEQ 0182 --*/
-- Tarefa 93010 -- 
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_DIAS_VARPRE CHECK (DIAS_VARPRE >= 0);
 
/*-- SEQ 0183 --*/
-- Tarefa 93010 -- 
ALTER TABLE TT_CFG ALTER COLUMN DIAS_VARPRE SET NOT NULL;
 
/*-- SEQ 0184 --*/
-- Tarefa 93010 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0185 --*/
ALTER TABLE TW_CFG ADD COLUMN DIAS_VARPRE Numeric(2) DEFAULT 0;

/*-- SEQ 0186 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));


/*-- SEQ 0187 --*/
-- Tarefa 93904 --
ALTER TABLE TT_PXF ADD COLUMN MEDENT Numeric(8,4) ;


/*-- SEQ 0188 --*/
-- Tarefa 93904 --
ALTER TABLE TT_PXF ADD CONSTRAINT CK_PXF_MEDENT CHECK ((MEDENT >= 0) OR (MEDENT IS NULL));


/*-- SEQ 0189 --*/
-- Tarefa 94279 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0190 --*/
ALTER TABLE TT_CFG ADD COLUMN DEVCOMPRANFEIMPOSTO VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0191 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0192 --*/
-- Tarefa 94279 --
ALTER TABLE TT_CFG ADD COLUMN NATRESSARCIMENTOST Numeric(5) ;


/*-- SEQ 0193 --*/
-- Tarefa 94279 --
ALTER TABLE TT_CFG ADD COLUMN NATADJUDICACAOICMS Numeric(5) ;

 
/*-- SEQ 0194 --*/
-- Tarefa 94279 -- 
ALTER TABLE TT_CFG ALTER COLUMN DEVCOMPRANFEIMPOSTO SET NOT NULL;
 
/*-- SEQ 0195 --*/
-- Tarefa 94279 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_DEVCOMPRANFEIMPOSTO CHECK (DEVCOMPRANFEIMPOSTO IN ('T','F'));

/*-- SEQ 0196 --*/
-- Tarefa 94279 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DNAT_NATRESSARCIMENTOST FOREIGN KEY (NATRESSARCIMENTOST) REFERENCES TD_NAT(CODTAB);

/*-- SEQ 0197 --*/
-- Tarefa 94279 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DNAT_NATADJUDICACAOICMS FOREIGN KEY (NATADJUDICACAOICMS) REFERENCES TD_NAT(CODTAB);

/*-- SEQ 0198 --*/
-- Tarefa 94279 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0199 --*/
ALTER TABLE TW_CFG ADD COLUMN DEVCOMPRANFEIMPOSTO VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0200 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0201 --*/
-- Tarefa 94279 --
ALTER TABLE TW_CFG ADD COLUMN NATRESSARCIMENTOST Numeric(5) ;


/*-- SEQ 0202 --*/
-- Tarefa 94279 --
ALTER TABLE TW_CFG ADD COLUMN NATADJUDICACAOICMS Numeric(5) ;



/*-- SEQ 0203 --*/
-- Tarefa 93906 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0204 --*/
ALTER TABLE TT_CFG ADD COLUMN REGRA_MEDIA_VENDAS CHAR(1) DEFAULT 1;

/*-- SEQ 0205 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));
 
/*-- SEQ 0206 --*/
-- Tarefa 93906 -- 
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_REGRA_MEDIA_VENDAS CHECK (REGRA_MEDIA_VENDAS IN ('1','2'));
 
/*-- SEQ 0207 --*/
-- Tarefa 93906 -- 
ALTER TABLE TT_CFG ALTER COLUMN REGRA_MEDIA_VENDAS SET NOT NULL;
 
/*-- SEQ 0208 --*/
-- Tarefa 93906 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0209 --*/
ALTER TABLE TW_CFG ADD COLUMN REGRA_MEDIA_VENDAS CHAR(1) DEFAULT 1;

/*-- SEQ 0210 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));


/*-- SEQ 0211 --*/
-- Tarefa 93900 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0212 --*/
ALTER TABLE TT_CFG ADD COLUMN DIAS_REC_PEDIDOS Numeric(3) DEFAULT 30;

/*-- SEQ 0213 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));
 
/*-- SEQ 0214 --*/
-- Tarefa 93900 -- 
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_DIAS_REC_PEDIDOS CHECK (DIAS_REC_PEDIDOS >= 0);
 
/*-- SEQ 0215 --*/
-- Tarefa 93900 -- 
ALTER TABLE TT_CFG ALTER COLUMN DIAS_REC_PEDIDOS SET NOT NULL;
 
/*-- SEQ 0216 --*/
-- Tarefa 93900 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0217 --*/
ALTER TABLE TW_CFG ADD COLUMN DIAS_REC_PEDIDOS Numeric(3) DEFAULT 30;

/*-- SEQ 0218 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));


/*-- SEQ 0219 --*/
-- Tarefa 94239--
SELECT ExecAlteraTipoColuna('TW_FLU','NUMDOC','VARCHAR(9)');




/*-- SEQ 0220 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION PC_RECF_PLUS_UPDATE (TR_ECF.CODFIL%TYPE,TR_ECF.NUMECF%TYPE,TR_ECF.DATOPE%TYPE,TR_ECF.CUPINI%TYPE,TR_ECF.CUPFIM%TYPE,TR_ECF.CNT_RZ%TYPE,TR_ECF.GT_INI%TYPE,TR_ECF.GT_FIM%TYPE,TR_ECF.DATFEC%TYPE,TR_ECF.CODSER%TYPE,TR_ECF.CNT_RO%TYPE) CASCADE;


/*-- SEQ 0221 --*/
-- Tarefa 93998 --
SELECT DISABLETRIGGERS(LOWER('TT_NCM'));

/*-- SEQ 0222 --*/
-- Tarefa 93998 --
INSERT INTO TT_NCM
(NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)
(SELECT 'Chapus e outros artefatos de uso semelhante, de malha', 3, 12, 'T', '65050012'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '65050012'));

/*-- SEQ 0223 --*/
-- Tarefa 93998 --
INSERT INTO TT_NCM
(NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)
(SELECT 'Chapus e outros artefatos de uso semelhante, de malha', 3, 12, 'T', '65050011'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '65050011'));

/*-- SEQ 0224 --*/
-- Tarefa 93998 --
SELECT ENABLETRIGGERS(LOWER('TT_NCM'));

/*-- SEQ 0225 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD COLUMN NOMDIV_CODEXT VARCHAR(20) ;


/*-- SEQ 0226 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD COLUMN NOMSUB_CODEXT VARCHAR(20) ;


/*-- SEQ 0227 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD COLUMN NOMGRA_CODEXT VARCHAR(20) ;


/*-- SEQ 0228 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD COLUMN ITEDIV_CODEXT VARCHAR(20) ;


/*-- SEQ 0229 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD COLUMN ITESUB_CODEXT VARCHAR(20) ;


/*-- SEQ 0230 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_DIV ADD COLUMN CODEXT VARCHAR(20) ;


/*-- SEQ 0231 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_SUB ADD COLUMN CODEXT VARCHAR(20) ;


/*-- SEQ 0232 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_GRA ADD COLUMN CODEXT VARCHAR(20) ;


/*-- SEQ 0233 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_DIV ADD COLUMN CODEXT VARCHAR(20) ;


/*-- SEQ 0234 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_SUB ADD COLUMN CODEXT VARCHAR(20) ;


/*-- SEQ 0235 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93998 --
CREATE UNIQUE INDEX I_UQ_DDIV_CODEXT ON TD_DIV (CODEXT)  ;

/*-- SEQ 0236 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93998 --
CREATE UNIQUE INDEX I_UQ_DSUB_CODEXT ON TD_SUB (CODEXT)  ;

/*-- SEQ 0237 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93998 --
CREATE UNIQUE INDEX I_UQ_DGRA_CODEXT ON TD_GRA (CODEXT)  ;

/*-- SEQ 0238 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93998 --
CREATE UNIQUE INDEX I_UQ_DIV_CODEXT ON TT_DIV (CODEXT)  ;

/*-- SEQ 0239 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93998 --
CREATE UNIQUE INDEX I_UQ_SUB_CODEXT ON TT_SUB (CODEXT)  ;


/*-- SEQ 0240 --*/
-- Tarefa 93898 --
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0241 --*/
ALTER TABLE TD_FIL ADD COLUMN PRAZO_COMPRA_XA Numeric(3) DEFAULT 0;

/*-- SEQ 0242 --*/
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));
 
/*-- SEQ 0243 --*/
-- Tarefa 93898 --
ALTER TABLE TD_FIL ALTER COLUMN PRAZO_COMPRA_XA SET NOT NULL;
 
/*-- SEQ 0244 --*/
-- Tarefa 93898 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_PRAZO_COMPRA_XA CHECK (PRAZO_COMPRA_XA >= 0);

/*-- SEQ 0245 --*/
-- Tarefa 93898 --
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0246 --*/
ALTER TABLE TD_FIL ADD COLUMN PRAZO_COMPRA_XB Numeric(3) DEFAULT 0;

/*-- SEQ 0247 --*/
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));
 
/*-- SEQ 0248 --*/
-- Tarefa 93898 --
ALTER TABLE TD_FIL ALTER COLUMN PRAZO_COMPRA_XB SET NOT NULL;
 
/*-- SEQ 0249 --*/
-- Tarefa 93898 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_PRAZO_COMPRA_XB CHECK (PRAZO_COMPRA_XB >= 0);

/*-- SEQ 0250 --*/
-- Tarefa 93898 --
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0251 --*/
ALTER TABLE TD_FIL ADD COLUMN PRAZO_COMPRA_XC Numeric(3) DEFAULT 0;

/*-- SEQ 0252 --*/
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));
 
/*-- SEQ 0253 --*/
-- Tarefa 93898 --
ALTER TABLE TD_FIL ALTER COLUMN PRAZO_COMPRA_XC SET NOT NULL;
 
/*-- SEQ 0254 --*/
-- Tarefa 93898 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_PRAZO_COMPRA_XC CHECK (PRAZO_COMPRA_XC >= 0);


/*-- SEQ 0255 --*/
-- Tarefa 93898 --
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0256 --*/
ALTER TABLE TD_FIL ADD COLUMN PRAZO_COMPRA_YA Numeric(3) DEFAULT 0;

/*-- SEQ 0257 --*/
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));
 
/*-- SEQ 0258 --*/
-- Tarefa 93898 --
ALTER TABLE TD_FIL ALTER COLUMN PRAZO_COMPRA_YA SET NOT NULL;
 
/*-- SEQ 0259 --*/
-- Tarefa 93898 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_PRAZO_COMPRA_YA CHECK (PRAZO_COMPRA_YA >= 0);

/*-- SEQ 0260 --*/
-- Tarefa 93898 --
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0261 --*/
ALTER TABLE TD_FIL ADD COLUMN PRAZO_COMPRA_YB Numeric(3) DEFAULT 0;

/*-- SEQ 0262 --*/
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));
 
/*-- SEQ 0263 --*/
-- Tarefa 93898 --
ALTER TABLE TD_FIL ALTER COLUMN PRAZO_COMPRA_YB SET NOT NULL;
 
/*-- SEQ 0264 --*/
-- Tarefa 93898 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_PRAZO_COMPRA_YB CHECK (PRAZO_COMPRA_YB >= 0);

/*-- SEQ 0265 --*/
-- Tarefa 93898 --
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0266 --*/
ALTER TABLE TD_FIL ADD COLUMN PRAZO_COMPRA_YC Numeric(3) DEFAULT 0;

/*-- SEQ 0267 --*/
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));
 
/*-- SEQ 0268 --*/
-- Tarefa 93898 --
ALTER TABLE TD_FIL ALTER COLUMN PRAZO_COMPRA_YC SET NOT NULL;
 
/*-- SEQ 0269 --*/
-- Tarefa 93898 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_PRAZO_COMPRA_YC CHECK (PRAZO_COMPRA_YC >= 0);


/*-- SEQ 0270 --*/
-- Tarefa 93898 --
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0271 --*/
ALTER TABLE TD_FIL ADD COLUMN PRAZO_COMPRA_ZA Numeric(3) DEFAULT 0;

/*-- SEQ 0272 --*/
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));
 
/*-- SEQ 0273 --*/
-- Tarefa 93898 --
ALTER TABLE TD_FIL ALTER COLUMN PRAZO_COMPRA_ZA SET NOT NULL;
 
/*-- SEQ 0274 --*/
-- Tarefa 93898 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_PRAZO_COMPRA_ZA CHECK (PRAZO_COMPRA_ZA >= 0);

/*-- SEQ 0275 --*/
-- Tarefa 93898 --
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0276 --*/
ALTER TABLE TD_FIL ADD COLUMN PRAZO_COMPRA_ZB Numeric(3) DEFAULT 0;

/*-- SEQ 0277 --*/
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));
 
/*-- SEQ 0278 --*/
-- Tarefa 93898 --
ALTER TABLE TD_FIL ALTER COLUMN PRAZO_COMPRA_ZB SET NOT NULL;
 
/*-- SEQ 0279 --*/
-- Tarefa 93898 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_PRAZO_COMPRA_ZB CHECK (PRAZO_COMPRA_ZB >= 0);

/*-- SEQ 0280 --*/
-- Tarefa 93898 --
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0281 --*/
ALTER TABLE TD_FIL ADD COLUMN PRAZO_COMPRA_ZC Numeric(3) DEFAULT 0;

/*-- SEQ 0282 --*/
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));
 
/*-- SEQ 0283 --*/
-- Tarefa 93898 --
ALTER TABLE TD_FIL ALTER COLUMN PRAZO_COMPRA_ZC SET NOT NULL;
 
/*-- SEQ 0284 --*/
-- Tarefa 93898 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_PRAZO_COMPRA_ZC CHECK (PRAZO_COMPRA_ZC >= 0);



/*-- SEQ 0285 --*/
-- Tarefa 94318 --
ALTER TABLE TT_IVE ADD COLUMN ITEFIS Numeric(5) ;

 


/*-- SEQ 0286 --*/
-- Tarefa 93877 --
ALTER TABLE TT_PRE ADD COLUMN ULTELA Numeric(12,2) ;

 
-- Tarefa 93877 --
ALTER TABLE TT_PRE ADD COLUMN DIAELA Numeric(4) ;



/*-- SEQ 0287 --*/
-- Tarefa 93902 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0288 --*/
ALTER TABLE TT_CFG ADD COLUMN TIPDIA_VDU_PP CHAR(1) DEFAULT 'C';

/*-- SEQ 0289 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));
 
/*-- SEQ 0290 --*/
-- Tarefa 93902 -- 
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_TIPDIA_VDU_PP CHECK (TIPDIA_VDU_PP IN ('C','A'));
 
/*-- SEQ 0291 --*/
-- Tarefa 93902 -- 
ALTER TABLE TT_CFG ALTER COLUMN TIPDIA_VDU_PP SET NOT NULL;
 
/*-- SEQ 0292 --*/
-- Tarefa 93902 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0293 --*/
ALTER TABLE TW_CFG ADD COLUMN TIPDIA_VDU_PP CHAR(1) DEFAULT 'C';

/*-- SEQ 0294 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));


/*-- SEQ 0295 --*/
-- Tarefa 89474 --
CREATE TABLE TD_NIV (
  CODTAB  Numeric(5),
  DESNIV  VARCHAR(100),
  NIVATI  VARCHAR(1) DEFAULT 'T',
  PERNIV  Numeric(4,2),
  FATNIV  Numeric(5,3))
   ;

/*-- SEQ 0296 --*/
-- Tarefa 89474 --
ALTER TABLE TD_NIV ADD CONSTRAINT PK_DNIV PRIMARY KEY (CODTAB);
 
/*-- SEQ 0297 --*/
-- Tarefa 89474 -- 
ALTER TABLE TD_NIV ALTER COLUMN DESNIV SET NOT NULL;
    
/*-- SEQ 0298 --*/
-- Tarefa 89474 -- 
ALTER TABLE TD_NIV ALTER COLUMN NIVATI SET NOT NULL;
    
/*-- SEQ 0299 --*/
-- Tarefa 89474 -- 
ALTER TABLE TD_NIV ALTER COLUMN PERNIV SET NOT NULL;
    
/*-- SEQ 0300 --*/
-- Tarefa 89474 -- 
ALTER TABLE TD_NIV ALTER COLUMN FATNIV SET NOT NULL;
    
/*-- SEQ 0301 --*/
-- Tarefa 89474 --
ALTER TABLE TD_NIV ADD CONSTRAINT CK_DNIV_NIVATI CHECK (NIVATI IN ('T','F'));
 
/*-- SEQ 0302 --*/
-- Tarefa 89474 --
ALTER TABLE TD_NIV ADD CONSTRAINT CK_DNIV_PERNIV CHECK (PERNIV >= 0);

/*-- SEQ 0303 --*/
-- Tarefa 89474 --
ALTER TABLE TD_NIV ADD CONSTRAINT CK_DNIV_FATNIV CHECK (FATNIV >= 0);


/*-- SEQ 0304 --*/
-- Tarefa 89474 --
ALTER TABLE TW_TAB ADD COLUMN DESNIV VARCHAR(100) ;


/*-- SEQ 0305 --*/
-- Tarefa 89474 --
SELECT DISABLETRIGGERS(LOWER('TW_TAB'));

/*-- SEQ 0306 --*/
ALTER TABLE TW_TAB ADD COLUMN NIVATI VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0307 --*/
SELECT ENABLETRIGGERS(LOWER('TW_TAB'));

/*-- SEQ 0308 --*/
-- Tarefa 89474 --
ALTER TABLE TW_TAB ADD COLUMN PERNIV Numeric(4,2) ;


/*-- SEQ 0309 --*/
-- Tarefa 89474 --
ALTER TABLE TW_TAB ADD COLUMN FATNIV Numeric(5,3) ;



/*-- SEQ 0310 --*/
-- Tarefa 89474 --                       
SELECT DISABLETRIGGERS(LOWER('TD_NIV'));

/*-- SEQ 0311 --*/
-- Tarefa 89474 --                       
INSERT INTO TD_NIV (CODTAB, DESNIV, NIVATI, PERNIV, FATNIV)
  (SELECT 1, '50%', 'T', 50, 0
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TD_NIV
                       WHERE CODTAB = 1)
  );

/*-- SEQ 0312 --*/
-- Tarefa 89474 --                       
INSERT INTO TD_NIV (CODTAB, DESNIV, NIVATI, PERNIV, FATNIV)
  (SELECT 2, '60%', 'T', 60, 0.254
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TD_NIV
                       WHERE CODTAB = 2)
  );

/*-- SEQ 0313 --*/
-- Tarefa 89474 --                       
INSERT INTO TD_NIV (CODTAB, DESNIV, NIVATI, PERNIV, FATNIV)
  (SELECT 3, '70%', 'T', 70, 0.525
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TD_NIV
                       WHERE CODTAB = 3)
  );

/*-- SEQ 0314 --*/
-- Tarefa 89474 --                       
INSERT INTO TD_NIV (CODTAB, DESNIV, NIVATI, PERNIV, FATNIV)
  (SELECT 4, '80%', 'T', 80, 0.842
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TD_NIV
                       WHERE CODTAB = 4)
  );

/*-- SEQ 0315 --*/
-- Tarefa 89474 --                       
INSERT INTO TD_NIV (CODTAB, DESNIV, NIVATI, PERNIV, FATNIV)
  (SELECT 5, '85%', 'T', 85, 1.037
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TD_NIV
                       WHERE CODTAB = 5)
  );

/*-- SEQ 0316 --*/
-- Tarefa 89474 --                       
INSERT INTO TD_NIV (CODTAB, DESNIV, NIVATI, PERNIV, FATNIV)
  (SELECT 6, '90%', 'T', 90, 1.282
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TD_NIV
                       WHERE CODTAB = 6)
  );

/*-- SEQ 0317 --*/
-- Tarefa 89474 --                       
INSERT INTO TD_NIV (CODTAB, DESNIV, NIVATI, PERNIV, FATNIV)
  (SELECT 7, '95%', 'T', 95, 1.645
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TD_NIV
                       WHERE CODTAB = 7)
  );

/*-- SEQ 0318 --*/
-- Tarefa 89474 --                       
INSERT INTO TD_NIV (CODTAB, DESNIV, NIVATI, PERNIV, FATNIV)
  (SELECT 8, '96%', 'T', 96, 1.751
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TD_NIV
                       WHERE CODTAB = 8)
  );

/*-- SEQ 0319 --*/
-- Tarefa 89474 --                       
INSERT INTO TD_NIV (CODTAB, DESNIV, NIVATI, PERNIV, FATNIV)
  (SELECT 9, '97%', 'T', 97, 1.880
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TD_NIV
                       WHERE CODTAB = 9)
  );

/*-- SEQ 0320 --*/
-- Tarefa 89474 --                       
INSERT INTO TD_NIV (CODTAB, DESNIV, NIVATI, PERNIV, FATNIV)
  (SELECT 10, '98%', 'T', 98, 2.055
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TD_NIV
                       WHERE CODTAB = 10)
  );

/*-- SEQ 0321 --*/
-- Tarefa 89474 --                       
INSERT INTO TD_NIV (CODTAB, DESNIV, NIVATI, PERNIV, FATNIV)
  (SELECT 11, '99%', 'T', 99, 2.325
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TD_NIV
                       WHERE CODTAB = 11)
  );

/*-- SEQ 0322 --*/
-- Tarefa 89474 --                       
INSERT INTO TD_NIV (CODTAB, DESNIV, NIVATI, PERNIV, FATNIV)
  (SELECT 12, '99,9%', 'T', 99.9, 3.100
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TD_NIV
                       WHERE CODTAB = 12)
  );

/*-- SEQ 0323 --*/
-- Tarefa 89474 --                       
INSERT INTO TD_NIV (CODTAB, DESNIV, NIVATI, PERNIV, FATNIV)
  (SELECT 13, '99,99%', 'T', 99.99, 3.620
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TD_NIV
                       WHERE CODTAB = 13)
  );

/*-- SEQ 0324 --*/
-- Tarefa 89474 --                       
SELECT ENABLETRIGGERS(LOWER('TD_NIV'));


/*-- SEQ 0325 --*/
-- Tarefa 93896 --
ALTER TABLE TT_PRO ADD COLUMN CODNIV Numeric(5) ;

 
/*-- SEQ 0326 --*/
-- Tarefa 93896 --
ALTER TABLE TT_PRO ADD CONSTRAINT FK_PRO_DNIV FOREIGN KEY (CODNIV) REFERENCES TD_NIV (CODTAB);

/*-- SEQ 0327 --*/
-- Tarefa 93896 --
CREATE INDEX I_FK_PRO_DNIV ON TT_PRO (CODNIV)  ;


/*-- SEQ 0328 --*/
-- Tarefa 93888 --
ALTER TABLE TT_PRE ADD COLUMN DATINC Timestamp ;

 
/*-- SEQ 0329 --*/
-- Tarefa 93888 --
UPDATE TT_PRE PRE SET DATINC = COALESCE((SELECT ADD_DAY(MIN(LPRE.DATOPE),-1)
                                      FROM TL_PRE LPRE
                                     WHERE LPRE.FILPRE = PRE.FILPRE
                                       AND LPRE.SEQPRE = PRE.SEQUEN), PRE.ATU_EM);

/*-- SEQ 0330 --*/
-- Tarefa 93888 -- 
ALTER TABLE TT_PRE ALTER COLUMN DATINC SET NOT NULL;


/*-- SEQ 0331 --*/
/*--IGNORE ERRO
-- Tarefa 94292 --
ALTER TABLE TD_NAT DROP CONSTRAINT CK_DNAT_TIPNAT CASCADE;

/*-- SEQ 0332 --*/
/*--IGNORE ERRO
-- Tarefa 94292 --
ALTER TABLE TD_NAT ADD CONSTRAINT CK_DNAT_TIPNAT CHECK (TIPNAT IN ('E','S','V','D','F','A','C','M','N','P','R','J'));	 


/*-- SEQ 0333 --*/
-- Tarefa 93025 --
ALTER TABLE TT_VEN ADD COLUMN FILEST CHAR(3) ;


/*-- SEQ 0334 --*/
-- Tarefa 93025 --
ALTER TABLE TT_VEN ADD COLUMN SEQEST CHAR(10) ;


/*-- SEQ 0335 --*/
-- Tarefa 93025 --
ALTER TABLE TT_VEN ADD COLUMN IMPEST VARCHAR(1) ;


/*-- SEQ 0336 --*/
-- Tarefa 93025 --
ALTER TABLE TT_VEN ADD COLUMN ECFEST CHAR(3) ;


/*-- SEQ 0337 --*/
-- Tarefa 93025 --
ALTER TABLE TT_VEN ADD CONSTRAINT FK_VEN_VEN FOREIGN KEY (FILEST,SEQEST) REFERENCES TT_VEN (CODFIL, SEQUEN);

/*-- SEQ 0338 --*/
-- Tarefa 93025 --
CREATE INDEX I_FK_VEN_VEN ON TT_VEN (FILEST,SEQEST)  ;

/*-- SEQ 0339 --*/
-- Tarefa 93025 --
ALTER TABLE TT_VEN ADD CONSTRAINT FK_VEN_DECF_EST FOREIGN KEY (FILEST,ECFEST) REFERENCES TD_ECF (FILECF, NUMECF);

/*-- SEQ 0340 --*/
-- Tarefa 93025 --
CREATE INDEX I_FK_VEN_DECF_EST ON TT_VEN (FILEST,ECFEST)  ;


/*-- SEQ 0341 --*/
-- Tarefa 93030 --
SELECT DISABLETRIGGERS(LOWER('TT_IVE'));

/*-- SEQ 0342 --*/
ALTER TABLE TT_IVE ADD COLUMN ESTORN VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0343 --*/
SELECT ENABLETRIGGERS(LOWER('TT_IVE'));

/*-- SEQ 0344 --*/
-- Tarefa 93030 --
ALTER TABLE TT_IVE ALTER COLUMN ESTORN SET NOT NULL;

/*-- SEQ 0345 --*/
-- Tarefa 93030 --
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_ESTORN CHECK (ESTORN  IN ('T','F'));


/*-- SEQ 0346 --*/
-- Tarefa 94116 --
/*-- IGNORE ERRO --*/
ALTER TABLE TM_ABA ADD COLUMN SEQUEN CHAR(10) ;


/*-- SEQ 0347 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94116 --
CREATE SEQUENCE SQMABA INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0348 --*/
-- Tarefa 94116 --
SELECT DISABLETRIGGERS(LOWER('TM_ABA'));

/*-- SEQ 0349 --*/
-- Tarefa 94116 --
UPDATE TM_ABA
   SET SEQUEN = NEXTVAL('SQMABA')
 WHERE SEQUEN IS NULL;

/*-- SEQ 0350 --*/
-- Tarefa 94116 --
SELECT ENABLETRIGGERS(LOWER('TM_ABA'));

/*-- SEQ 0351 --*/
-- Tarefa 94116 --
ALTER TABLE TM_ABA DROP CONSTRAINT PK_MABA CASCADE;

/*-- SEQ 0352 --*/
-- Tarefa 94116 --
ALTER TABLE TM_ABA ADD CONSTRAINT PK_MABA PRIMARY KEY (CODFIL, SEQUEN);

/*-- SEQ 0353 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94116 --
ALTER TABLE TM_ABA ALTER COLUMN CODABA SET NOT NULL;

/*-- SEQ 0354 --*/
-- Tarefa 94116 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0355 --*/
-- Tarefa 94116 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'TM_ABA2', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'TM_ABA2'));

/*-- SEQ 0356 --*/
-- Tarefa 94116 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));



/*-- SEQ 0357 --*/
-- Tarefa 93911 --
CREATE TABLE TR_SUG (
    CODFIL CHAR(3),
    FILMAT CHAR(3),
    CODMAT CHAR(5),
    CODCOR Numeric(5),
    CODTAM Numeric(5),
    ANO_MES VARCHAR(7),
    FLGEST CHAR(1),
    QTDPRE Numeric(12,4),
    QTDVEN Numeric(12,4),
    TRASIG Numeric(12,2),
    GRAABC VARCHAR(1),
    GRAXYZ VARCHAR(1),
    DATINC Timestamp,
    ATU_EM Timestamp
  )  ;
  
/*-- SEQ 0358 --*/ 
-- Tarefa 93911 --
ALTER TABLE TR_SUG ADD CONSTRAINT PK_RSUG PRIMARY KEY (CODFIL, FILMAT, CODMAT, CODCOR, CODTAM, ANO_MES);

/*-- SEQ 0359 --*/
-- Tarefa 93911 --
ALTER TABLE TR_SUG ALTER COLUMN QTDPRE SET NOT NULL;

/*-- SEQ 0360 --*/
-- Tarefa 93911 --
ALTER TABLE TR_SUG ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0361 --*/
-- Tarefa 93911 --
ALTER TABLE TR_SUG ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0362 --*/
-- Tarefa 93911 --
ALTER TABLE TR_SUG ADD CONSTRAINT FK_RSUG_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL(CODFIL);
 
/*-- SEQ 0363 --*/
-- Tarefa 93911 --
CREATE INDEX I_FK_RSUG_DFIL ON TR_SUG (CODFIL)  ;

/*-- SEQ 0364 --*/
-- Tarefa 93911 --
ALTER TABLE TR_SUG ADD CONSTRAINT FK_RSUG_GRA FOREIGN KEY (FILMAT, CODMAT, CODCOR, CODTAM) REFERENCES TT_GRA(FILMAT, CODMAT, CODCOR, CODTAM);
 
/*-- SEQ 0365 --*/
-- Tarefa 93911 --
CREATE INDEX I_FK_RSUG_GRA ON TR_SUG (FILMAT, CODMAT, CODCOR, CODTAM)  ;

/*-- SEQ 0366 --*/
-- Tarefa 93911 --
ALTER TABLE TR_SUG ADD CONSTRAINT CK_RSUG_FLGEST CHECK (FLGEST IN ('A','F'));


/*-- SEQ 0367 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93021 --
ALTER TABLE TD_NAT DROP CONSTRAINT CK_DNAT_TIPNAT CASCADE;

/*-- SEQ 0368 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93021 --
ALTER TABLE TD_NAT ADD CONSTRAINT CK_DNAT_TIPNAT CHECK (TIPNAT IN ('E','S','V','D','F','A','C','M','N','P','R','J','B'));	


/*-- SEQ 0369 --*/
-- Tarefa 94422 --
CREATE TABLE TT_LIS (
    CODFIL CHAR(3),
    SEQUEN CHAR(10),
    CODEXT VARCHAR(20),
    DATINC Timestamp,
    ATU_EM Timestamp,
    FILCLI CHAR(3),
    CODCLI CHAR(6),
    DESLIS VARCHAR(40),
    DATVAL Timestamp,
    FLGEST CHAR(1) DEFAULT 'A'
  )  ;

 
/*-- SEQ 0370 --*/ 
-- Tarefa 94422 --
ALTER TABLE TT_LIS ADD CONSTRAINT PK_LIS PRIMARY KEY (CODFIL, SEQUEN);

/*-- SEQ 0371 --*/
-- Tarefa 94422 --
CREATE SEQUENCE SQLIS INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0372 --*/
-- Tarefa 94422 --
ALTER TABLE TT_LIS ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0373 --*/
-- Tarefa 94422 --
ALTER TABLE TT_LIS ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0374 --*/
-- Tarefa 94422 --
ALTER TABLE TT_LIS ALTER COLUMN FILCLI SET NOT NULL;

/*-- SEQ 0375 --*/
-- Tarefa 94422 --
ALTER TABLE TT_LIS ALTER COLUMN CODCLI SET NOT NULL;

/*-- SEQ 0376 --*/
-- Tarefa 94422 --
ALTER TABLE TT_LIS ADD CONSTRAINT FK_LIS_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL(CODFIL);

/*-- SEQ 0377 --*/
-- Tarefa 94422 --
CREATE INDEX I_FK_LIS_DFIL ON TT_LIS (CODFIL)  ;

/*-- SEQ 0378 --*/
-- Tarefa 94422 --
ALTER TABLE TT_LIS ADD CONSTRAINT FK_LIS_CLI FOREIGN KEY (FILCLI, CODCLI) REFERENCES  TT_CLI(FILCLI, CODCLI);

/*-- SEQ 0379 --*/
-- Tarefa 94422 --
CREATE INDEX I_FK_LIS_CLI ON TT_LIS (FILCLI, CODCLI)  ;
 
/*-- SEQ 0380 --*/
-- Tarefa 94422 --
CREATE UNIQUE INDEX I_UQ_LIS_CODEXT ON TT_LIS (CODEXT)  ;
 
/*-- SEQ 0381 --*/
-- Tarefa 94422 --
ALTER TABLE TT_LIS ADD CONSTRAINT CK_LIS_FLGEST CHECK (FLGEST IN ('A','C'));


/*-- SEQ 0382 --*/
-- Tarefa 93014 --
ALTER TABLE TD_NAT ADD COLUMN NATESD VARCHAR(6) ;


/*-- SEQ 0383 --*/
-- Tarefa 93014 --
ALTER TABLE TD_NAT ADD COLUMN NATESF VARCHAR(6) ;

 
/*-- SEQ 0384 --*/
-- Tarefa 93014 --
ALTER TABLE TW_TAB ADD COLUMN NATESD VARCHAR(6) ;


/*-- SEQ 0385 --*/
-- Tarefa 93014 --
ALTER TABLE TW_TAB ADD COLUMN NATESF VARCHAR(6) ;



/*-- SEQ 0386 --*/
-- Tarefa 92859 --
SELECT DISABLETRIGGERS(LOWER('TT_JOB'));
                      
/*-- SEQ 0387 --*/
-- Tarefa 92859 --
INSERT INTO TT_JOB 
( NOMJOB, DESJOB, ULTEXE, QTDERR ) 
(SELECT 'JOB_GERACOMISSAODIARIA',
        'Gerar Comissão do Dia Anterior',
        Agora(),
        0
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_JOB
                      WHERE NOMJOB = 'JOB_GERACOMISSAODIARIA')); 
                      
/*-- SEQ 0388 --*/
-- Tarefa 92859 --
SELECT ENABLETRIGGERS(LOWER('TT_JOB'));                      



/*-- SEQ 0389 --*/
/*-- IGNORE ERRO --*/
/*-- Tarefa 94425 --*/
DROP FUNCTION NomeProduto (TT_PRO.DESECF%TYPE,TT_PRO.DESMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_DIV.NOMITE%TYPE,TT_GRA.CODTAM%TYPE,TT_SUB.NOMITE%TYPE,TT_PRO.ESPMAT%TYPE) CASCADE;


/*-- SEQ 0390 --*/
-- Tarefa 94423 --
CREATE TABLE TT_ILI (
    CODFIL CHAR(3),
    SEQUEN CHAR(10),
    NUMITE Numeric(5),
    CODEXT VARCHAR(20),
    FILMAT CHAR(3),
    CODMAT CHAR(5),
    CODCOR Numeric(5),
    CODTAM Numeric(5),
    QTDITE Numeric(12,4) DEFAULT 0,
    QTDRES Numeric(12,4) DEFAULT 0,
    SITMOV CHAR(1) Default 'N' 
  )  ;

 
/*-- SEQ 0391 --*/ 
-- Tarefa 94423 --
ALTER TABLE TT_ILI ADD CONSTRAINT PK_ILI PRIMARY KEY (CODFIL, SEQUEN, NUMITE);

/*-- SEQ 0392 --*/
-- Tarefa 94423 --
CREATE SEQUENCE SQILI INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0393 --*/
-- Tarefa 94423 --
ALTER TABLE TT_ILI ALTER COLUMN FILMAT SET NOT NULL;

/*-- SEQ 0394 --*/
-- Tarefa 94423 --
ALTER TABLE TT_ILI ALTER COLUMN CODMAT SET NOT NULL;

/*-- SEQ 0395 --*/
-- Tarefa 94423 --
ALTER TABLE TT_ILI ALTER COLUMN CODCOR SET NOT NULL;

/*-- SEQ 0396 --*/
-- Tarefa 94423 --
ALTER TABLE TT_ILI ALTER COLUMN CODTAM SET NOT NULL;

/*-- SEQ 0397 --*/
-- Tarefa 94423 --
ALTER TABLE TT_ILI ALTER COLUMN QTDITE SET NOT NULL;

/*-- SEQ 0398 --*/
-- Tarefa 94423 --
ALTER TABLE TT_ILI ALTER COLUMN QTDRES SET NOT NULL;

/*-- SEQ 0399 --*/
-- Tarefa 94423 --
ALTER TABLE TT_ILI ADD CONSTRAINT FK_ILI_LIS FOREIGN KEY (CODFIL, SEQUEN) REFERENCES TT_LIS(CODFIL, SEQUEN);

/*-- SEQ 0400 --*/
-- Tarefa 94423 --
CREATE INDEX I_FK_ILI_LIS ON TT_ILI (CODFIL, SEQUEN)  ;

/*-- SEQ 0401 --*/
-- Tarefa 94423 --
ALTER TABLE TT_ILI ADD CONSTRAINT FK_ILI_GRA FOREIGN KEY (FILMAT, CODMAT, CODCOR, CODTAM) REFERENCES  TT_GRA(FILMAT, CODMAT, CODCOR, CODTAM);

/*-- SEQ 0402 --*/
-- Tarefa 94423 --
CREATE INDEX I_FK_ILI_GRA ON TT_ILI (FILMAT, CODMAT, CODCOR, CODTAM)  ;

/*-- SEQ 0403 --*/
-- Tarefa 94423 --
CREATE UNIQUE INDEX I_UQ_ILI_CODEXT ON TT_ILI (CODEXT)  ;

/*-- SEQ 0404 --*/
-- Tarefa 94423 --
ALTER TABLE TT_ILI ADD CONSTRAINT CK_ILI_FQTDITE CHECK (QTDITE > 0);
 
/*-- SEQ 0405 --*/
-- Tarefa 94423 --
ALTER TABLE TT_ILI ADD CONSTRAINT CK_ILI_QTDRES CHECK (QTDRES >= 0);

/*-- SEQ 0406 --*/
-- Tarefa 94423 --
ALTER TABLE TT_ILI ADD CONSTRAINT CK_ILI_SITMOV CHECK (SITMOV IN ('N','C'));


/*-- SEQ 0407 --*/
-- Tarefa 94460 --
CREATE TABLE TT_SLI (
    CODFIL CHAR(3),
    SEQUEN CHAR(10),
    DATINC Timestamp,
    ATU_EM Timestamp,
    DESLPR VARCHAR(40),
    SIGNAT Numeric(5)
  )  ;

/*-- SEQ 0408 --*/ 
-- Tarefa 94460 --
ALTER TABLE TT_SLI ADD CONSTRAINT PK_SLI PRIMARY KEY (CODFIL, SEQUEN);

/*-- SEQ 0409 --*/
-- Tarefa 94460 --
CREATE SEQUENCE SQSLI INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0410 --*/
-- Tarefa 94460 --
ALTER TABLE TT_SLI ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0411 --*/
-- Tarefa 94460 --
ALTER TABLE TT_SLI ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0412 --*/
-- Tarefa 94460 --
ALTER TABLE TT_SLI ADD CONSTRAINT FK_SLI_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL(CODFIL);

/*-- SEQ 0413 --*/
-- Tarefa 94460 --
CREATE INDEX I_FK_SLI_DFIL ON TT_SLI (CODFIL)  ;


/*-- SEQ 0414 --*/
-- Tarefa 94461 --
CREATE TABLE TT_ISL (
    CODFIL CHAR(3),
    SEQUEN CHAR(10),
    NUMITE Numeric(5),
    FILMAT CHAR(3),
    CODMAT CHAR(5),
    CODCOR Numeric(5),
    CODTAM Numeric(5)
  )  ;

/*-- SEQ 0415 --*/ 
-- Tarefa 94461 --
ALTER TABLE TT_ISL ADD CONSTRAINT PK_ISL PRIMARY KEY (CODFIL, SEQUEN, NUMITE);

/*-- SEQ 0416 --*/
-- Tarefa 94461 --
ALTER TABLE TT_ISL ALTER COLUMN FILMAT SET NOT NULL;

/*-- SEQ 0417 --*/
-- Tarefa 94461 --
ALTER TABLE TT_ISL ALTER COLUMN CODMAT SET NOT NULL;

/*-- SEQ 0418 --*/
-- Tarefa 94461 --
ALTER TABLE TT_ISL ALTER COLUMN CODCOR SET NOT NULL;

/*-- SEQ 0419 --*/
-- Tarefa 94461 --
ALTER TABLE TT_ISL ALTER COLUMN CODTAM SET NOT NULL;

/*-- SEQ 0420 --*/
-- Tarefa 94461 --
ALTER TABLE TT_ISL ADD CONSTRAINT FK_ISL_SLI FOREIGN KEY (CODFIL, SEQUEN) REFERENCES TT_SLI(CODFIL, SEQUEN);

/*-- SEQ 0421 --*/
-- Tarefa 94461 --
CREATE INDEX I_FK_ISL_SLI ON TT_ISL (CODFIL, SEQUEN)  ;

/*-- SEQ 0422 --*/
-- Tarefa 94461 --
ALTER TABLE TT_ISL ADD CONSTRAINT FK_ISL_GRA FOREIGN KEY (FILMAT, CODMAT, CODCOR, CODTAM) REFERENCES  TT_GRA(FILMAT, CODMAT, CODCOR, CODTAM);

/*-- SEQ 0423 --*/
-- Tarefa 94461 --
CREATE INDEX I_FK_ISL_GRA ON TT_ISL (FILMAT, CODMAT, CODCOR, CODTAM)  ;


/*-- SEQ 0424 --*/
-- Tarefa 93024 --
ALTER TABLE TT_PRE ADD COLUMN CUSVEN Numeric(12,4) ;


/*-- SEQ 0425 --*/
-- Tarefa 93024 --
ALTER TABLE TT_PRE ADD COLUMN DESFIX Numeric(12,4) ;


/*-- SEQ 0426 --*/
-- Tarefa 93024 --
ALTER TABLE TT_PRE ADD COLUMN LUCPRJ Numeric(12,4) ;


/*-- SEQ 0427 --*/
-- Tarefa 93024 --
ALTER TABLE TW_PRE ADD COLUMN CUSVEN Numeric(12,4) ;


/*-- SEQ 0428 --*/
-- Tarefa 93024 --
ALTER TABLE TW_PRE ADD COLUMN DESFIX Numeric(12,4) ;


/*-- SEQ 0429 --*/
-- Tarefa 93024 --
ALTER TABLE TW_PRE ADD COLUMN LUCPRJ Numeric(12,4) ;


/*-- SEQ 0430 --*/
-- Tarefa 93024 --
ALTER TABLE TL_PRE ADD COLUMN CUSVENANT Numeric(12,4) ;


/*-- SEQ 0431 --*/
-- Tarefa 93024 --
ALTER TABLE TL_PRE ADD COLUMN DESFIXANT Numeric(12,4) ;


/*-- SEQ 0432 --*/
-- Tarefa 93024 --
ALTER TABLE TL_PRE ADD COLUMN LUCPRJANT Numeric(12,4) ;



/*-- SEQ 0433 --*/
-- Tarefa 94448 --
ALTER TABLE TT_IOR ADD COLUMN FILILI CHAR(3) ;


/*-- SEQ 0434 --*/
-- Tarefa 94448 --
ALTER TABLE TT_IOR ADD COLUMN SEQILI CHAR(10) ;

 
/*-- SEQ 0435 --*/
-- Tarefa 94448 --
ALTER TABLE TT_IOR ADD COLUMN NUMILI Numeric(5) ;


/*-- SEQ 0436 --*/
-- Tarefa 94448 --
ALTER TABLE TT_IOR ADD CONSTRAINT FK_IOR_ILI FOREIGN KEY (FILILI, SEQILI, NUMILI) REFERENCES TT_ILI(CODFIL, SEQUEN, NUMITE);

/*-- SEQ 0437 --*/
-- Tarefa 94448 --
CREATE INDEX I_FK_IOR_ILI ON TT_IOR (FILILI, SEQILI, NUMILI)  ;


/*-- SEQ 0438 --*/
-- Tarefa 94402 --
SELECT DISABLETRIGGERS(LOWER('TT_GRA'));

/*-- SEQ 0439 --*/
ALTER TABLE TT_GRA ADD COLUMN ENVECO VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0440 --*/
SELECT ENABLETRIGGERS(LOWER('TT_GRA'));

/*-- SEQ 0441 --*/
-- Tarefa 94402 --
ALTER TABLE TT_GRA ADD CONSTRAINT CK_GRA_ENVECO CHECK (ENVECO IN ('T','F'));


/*-- SEQ 0442 --*/
-- Tarefa 94613 --
ALTER TABLE TT_IVE ADD COLUMN DESITE  VARCHAR(30) ;



/*-- SEQ 0443 --*/
-- Tarefa 94618 --
ALTER TABLE TT_CFG ADD COLUMN FILMAT_AUX CHAR(3) ;

 
/*-- SEQ 0444 --*/
-- Tarefa 94618 --
ALTER TABLE TW_CFG ADD COLUMN FILMAT_AUX CHAR(3) ;


/*-- SEQ 0445 --*/
-- Tarefa 94618 --
ALTER TABLE TT_CFG ADD COLUMN CODMAT_AUX CHAR(5) ;

 
/*-- SEQ 0446 --*/
-- Tarefa 94618 --
ALTER TABLE TW_CFG ADD COLUMN CODMAT_AUX CHAR(5) ;


/*-- SEQ 0447 --*/
-- Tarefa 94618 --
ALTER TABLE TT_CFG ADD COLUMN CODCOR_AUX Numeric(5) ;

 
/*-- SEQ 0448 --*/
-- Tarefa 94618 --
ALTER TABLE TW_CFG ADD COLUMN CODCOR_AUX Numeric(5) ;


/*-- SEQ 0449 --*/
-- Tarefa 94618 --
ALTER TABLE TT_CFG ADD COLUMN CODTAM_AUX Numeric(5) ;

 
/*-- SEQ 0450 --*/
-- Tarefa 94618 --
ALTER TABLE TW_CFG ADD COLUMN CODTAM_AUX Numeric(5) ;


/*-- SEQ 0451 --*/
-- Tarefa 94618 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_GRA_PRO_AUX FOREIGN KEY (FILMAT_AUX, CODMAT_AUX, CODCOR_AUX, CODTAM_AUX) REFERENCES TT_GRA (FILMAT, CODMAT, CODCOR, CODTAM);

/*-- SEQ 0452 --*/
-- Tarefa 94618 --
CREATE INDEX I_FK_CFG_GRA_PRO_AUX ON TT_CFG (FILMAT_AUX, CODMAT_AUX, CODCOR_AUX, CODTAM_AUX)  ;


/*-- SEQ 0453 --*/
-- Tarefa 94685 --
ALTER TABLE TD_SAD ADD COLUMN PERIOF Numeric(5,2) ;

 
/*-- SEQ 0454 --*/
-- Tarefa 94685 --
ALTER TABLE TW_TAB ADD COLUMN PERIOF Numeric(5,2) ;



/*-- SEQ 0455 --*/
-- Tarefa 94513 --
ALTER TABLE TT_SAV ADD COLUMN PERIOF Numeric(5,2) ;


/*-- SEQ 0456 --*/
-- Tarefa 94513 --
ALTER TABLE TT_SAV ADD COLUMN VLRIOF Numeric(12,2) ;
 


/*-- SEQ 0457 --*/
-- Tarefa 94242 --
ALTER TABLE TT_CFG ADD COLUMN NATDEVCOMP Numeric(5) ;

 
/*-- SEQ 0458 --*/
-- Tarefa 94242 --
ALTER TABLE TW_CFG ADD COLUMN NATDEVCOMP Numeric(5) ;


/*-- SEQ 0459 --*/
-- Tarefa 94242 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_NAT_DEVCOMP FOREIGN KEY (NATDEVCOMP) REFERENCES TD_NAT(CODTAB);

/*-- SEQ 0460 --*/
-- Tarefa 94242 --
CREATE INDEX I_FK_CFG_NAT_DEVCOMP ON TT_CFG (NATDEVCOMP)  ;


/*-- SEQ 0461 --*/
-- Tarefa 92449 --
SELECT DISABLETRIGGERS(LOWER('TD_CTA'));

/*-- SEQ 0462 --*/
-- Tarefa 92449 --
/*-- SEQ 0463 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_cria_conta () CASCADE;

/*-- SEQ 0464 --*/
CREATE OR REPLACE FUNCTION temp_cria_conta ()
RETURNS VARCHAR AS '
DECLARE

  cCODFIL TD_FIL.CODFIL%TYPE;
  cSEQFIN CHAR(10);  
  cCODTAB TD_FIL.CODTAB%TYPE;
  iEXISTE INTEGER;
BEGIN
 
  SELECT COUNT(*)
    INTO iEXISTE
    FROM TD_CTA
   WHERE CFGCOL = ''CHEQUES_DEVOLVIDOS'';

  IF iEXISTE = 0 THEN
    -- Cria novas contas financeiras para usos fixos
    SELECT CODLOJ INTO cCODFIL FROM TT_IDF;
    cSEQFIN := ProximaConta(cCODFIL,''Cheques Devolvidos'',''N'',''O'',''N''); 
    
    -- Descobre o proximo CODTAB da TD_CTA
    SELECT MAX(CODTAB)+1 INTO cCODTAB
      FROM TD_CTA;  
    
    -- Insere as novas contas na tabela 
    INSERT INTO TD_CTA (CODTAB, FILCTA, SEQCTA, TIPCTA, DESCTA, CFGCOL, USOCTA)
    (SELECT cCODTAB AS CODTAB, CODFIL, SEQUEN, TIPCTA, TITCTA AS DESCTA, ''CHEQUES_DEVOLVIDOS'' AS CFGCOL, ''O'' AS USOCTA
     FROM TT_CTA
     WHERE CODFIL = cCODFIL
       AND SEQUEN = cSEQFIN);
  END IF;
 
  RETURN ''OK'';
END;
' language 'plpgsql';



/*-- SEQ 0465 --*/
-- Tarefa 92449 --
select temp_cria_conta() from dual;


/*-- SEQ 0466 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92449 --
DROP FUNCTION temp_cria_conta () CASCADE;

/*-- SEQ 0467 --*/
-- Tarefa 92449 --
SELECT ENABLETRIGGERS(LOWER('TD_CTA'));

/*-- SEQ 0468 --*/
-- Tarefa 92449 --
INSERT INTO TL_FIN (ORIGEM,FILORI,SEQORI,PARORI,SUBORI)
SELECT CAST('CHR' AS CHAR(3)) AS ORIGEM, CODFIL, SEQUEN, CAST('--' AS CHAR(2)) AS PARORI, CAST('--' AS CHAR(2)) AS SUBORI
  FROM TT_CHR
 WHERE FLGEST = 'V'
   AND NOT EXISTS (SELECT CODFIL, SEQUEN 
                     FROM TR_FIN
                    WHERE ORIGEM = 'CHR'
                      AND ORICRT = 'DEV');


/*-- SEQ 0469 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 94625 --
select * from NADA;

/*-- SEQ 0470 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 94625 --
select * from NADA;

/*-- SEQ 0471 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 94625 --
select * from NADA;

/*-- SEQ 0472 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 94625 --
select * from NADA;

/*-- SEQ 0473 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 94625 --
select * from NADA;

/*-- SEQ 0474 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 94625 --
select * from NADA;

/*-- SEQ 0475 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 94625 --
select * from NADA;

/*-- SEQ 0476 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 94625 --
select * from NADA;

/*-- SEQ 0477 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 94625 --
select * from NADA;

/*-- SEQ 0478 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 94625 --
select * from NADA;

/*-- SEQ 0479 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 94625 --
select * from NADA;

/*-- SEQ 0480 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 94625 --
select * from NADA;

/*-- SEQ 0481 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 94625 --
select * from NADA;

/*-- SEQ 0482 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 94625 --
select * from NADA;
 
/*-- SEQ 0483 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 94625 --
select * from NADA;


/*-- SEQ 0484 --*/
-- Tarefa 94756 --
ALTER TABLE TT_PXF ADD COLUMN DP_ENT Numeric(8,4) ;


/*-- SEQ 0485 --*/
-- Tarefa 94756 --
ALTER TABLE TT_PXF ADD CONSTRAINT CK_PXF_DP_ENT CHECK (DP_ENT >= 0);


/*-- SEQ 0486 --*/
-- Tarefa 94767 --
ALTER TABLE TT_VEN ADD COLUMN TIPESP CHAR(1) ;


/*-- SEQ 0487 --*/
-- Tarefa 94767 --
ALTER TABLE TT_VEN ADD CONSTRAINT CK_VEN_TIPESP CHECK (TIPESP IN ('A','I'));


/*-- SEQ 0488 --*/
-- Tarefa 94812 --
ALTER TABLE TT_VEN ADD COLUMN MOTCAN VARCHAR(4000) ;



/*-- SEQ 0489 --*/
-- Tarefa 94862 --
CREATE TABLE TT_VAT (
    CODTAB Numeric(10),
    MODULO Numeric(2),
    VERSAO Numeric(4,2),
    DETVER CHAR(1),
    RELEAS Numeric(2)
  )  ;

 
/*-- SEQ 0490 --*/ 
-- Tarefa 94862 --
ALTER TABLE TT_VAT ADD CONSTRAINT PK_VAT PRIMARY KEY (CODTAB);

/*-- SEQ 0491 --*/
-- Tarefa 94862 --
CREATE SEQUENCE SQVAT INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0492 --*/
-- Tarefa 94862 --
ALTER TABLE TT_VAT ALTER COLUMN MODULO SET NOT NULL;

/*-- SEQ 0493 --*/
-- Tarefa 94862 --
ALTER TABLE TT_VAT ALTER COLUMN VERSAO SET NOT NULL;

/*-- SEQ 0494 --*/
-- Tarefa 94862 --
ALTER TABLE TT_VAT ALTER COLUMN RELEAS SET NOT NULL;

/*-- SEQ 0495 --*/
-- Tarefa 94862 --
ALTER TABLE TT_VAT ADD CONSTRAINT CK_VAT_MODULO CHECK (MODULO = 1);


/*-- SEQ 0496 --*/
-- Tarefa 94863 --
ALTER TABLE TT_CFG ADD COLUMN CK4G_VERSAO_HOMOL Numeric(4,2) ;

 
/*-- SEQ 0497 --*/
-- Tarefa 94863 --
ALTER TABLE TT_CFG ADD COLUMN CK4G_DETVER_HOMOL CHAR(1) ;


/*-- SEQ 0498 --*/
-- Tarefa 94863 --
ALTER TABLE TT_CFG ADD COLUMN CK4G_RELEAS_HOMOL Numeric(2) ;

 
/*-- SEQ 0499 --*/
-- Tarefa 94863 --
ALTER TABLE TT_CFG ADD COLUMN CK4G_VERSAO_PRODU Numeric(4,2) ;
 

/*-- SEQ 0500 --*/
-- Tarefa 94863 --
ALTER TABLE TT_CFG ADD COLUMN CK4G_DETVER_PRODU CHAR(1) ;
 

 /*-- SEQ 0501 --*/
-- Tarefa 94863 --
ALTER TABLE TT_CFG ADD COLUMN CK4G_RELEAS_PRODU Numeric(2) ;
 

 /*-- SEQ 0502 --*/
-- Tarefa 94863 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0503 --*/
ALTER TABLE TT_CFG ADD COLUMN CK4G_REGRA_ATUALIZACAO CHAR(1) DEFAULT 'S';

/*-- SEQ 0504 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG')); 
 
 /*-- SEQ 0505 --*/
-- Tarefa 94863 --
ALTER TABLE TT_CFG ALTER COLUMN CK4G_REGRA_ATUALIZACAO SET NOT NULL;

   /*-- SEQ 0506 --*/
-- Tarefa 94863 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_CK4G_REGRA_ATUALIZACAO CHECK (CK4G_REGRA_ATUALIZACAO IN ('S','C','N'));
 
 /*-- SEQ 0507 --*/
-- Tarefa 94863 --
ALTER TABLE TW_CFG ADD COLUMN CK4G_VERSAO_HOMOL Numeric(4,2) ;

 
/*-- SEQ 0508 --*/
-- Tarefa 94863 --
ALTER TABLE TW_CFG ADD COLUMN CK4G_DETVER_HOMOL CHAR(1) ;


/*-- SEQ 0509 --*/
-- Tarefa 94863 --
ALTER TABLE TW_CFG ADD COLUMN CK4G_RELEAS_HOMOL Numeric(2) ;

 
/*-- SEQ 0510 --*/
-- Tarefa 94863 --
ALTER TABLE TW_CFG ADD COLUMN CK4G_VERSAO_PRODU Numeric(4,2) ;
 

/*-- SEQ 0511 --*/
-- Tarefa 94863 --
ALTER TABLE TW_CFG ADD COLUMN CK4G_DETVER_PRODU CHAR(1) ;
 

 /*-- SEQ 0512 --*/
-- Tarefa 94863 --
ALTER TABLE TW_CFG ADD COLUMN CK4G_RELEAS_PRODU Numeric(2) ;
 

 /*-- SEQ 0513 --*/
-- Tarefa 94863 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0514 --*/
ALTER TABLE TW_CFG ADD COLUMN CK4G_REGRA_ATUALIZACAO CHAR(1) DEFAULT 'S';

/*-- SEQ 0515 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG')); 


/*-- SEQ 0516 --*/
-- Tarefa 94865 --
ALTER TABLE TD_FIL ADD COLUMN CK4G_MANMOV Numeric(5) ;

 
/*-- SEQ 0517 --*/
-- Tarefa 94865 --
ALTER TABLE TD_FIL ADD COLUMN CK4G_MANLOG_DET Numeric(5) ;


/*-- SEQ 0518 --*/
-- Tarefa 94865 --
ALTER TABLE TD_FIL ADD COLUMN CK4G_MANLOG_GER Numeric(5) ;

 
/*-- SEQ 0519 --*/
-- Tarefa 94865 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_CK4G_MANMOV CHECK (CK4G_MANMOV >= 0);
 
/*-- SEQ 0520 --*/
-- Tarefa 94865 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_CK4G_MANLOG_DET CHECK (CK4G_MANLOG_DET >= 0);

/*-- SEQ 0521 --*/
-- Tarefa 94865 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_CK4G_MANLOG_GER CHECK (CK4G_MANLOG_GER >= 0);


/*-- SEQ 0522 --*/
-- Tarefa 94867 --
ALTER TABLE TD_ECF ADD COLUMN CK4G_MANMOV Numeric(5) ;


/*-- SEQ 0523 --*/
-- Tarefa 94867 --
ALTER TABLE TD_ECF ADD COLUMN CK4G_MANLOG_DET Numeric(5) ;


/*-- SEQ 0524 --*/
-- Tarefa 94867 --
ALTER TABLE TD_ECF ADD COLUMN CK4G_MANLOG_GER Numeric(5) ;


/*-- SEQ 0525 --*/
-- Tarefa 94867 --
SELECT DISABLETRIGGERS(LOWER('TD_ECF'));

/*-- SEQ 0526 --*/
ALTER TABLE TD_ECF ADD COLUMN CK4G_HOMOL VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0527 --*/
SELECT ENABLETRIGGERS(LOWER('TD_ECF'));

/*-- SEQ 0528 --*/
-- Tarefa 94867 --
ALTER TABLE TD_ECF ADD COLUMN CK4G_VERSAO Numeric(4,2) ;


/*-- SEQ 0529 --*/
-- Tarefa 94867 --
ALTER TABLE TD_ECF ADD COLUMN CK4G_DETVER CHAR(1) ;


/*-- SEQ 0530 --*/
-- Tarefa 94867 --
ALTER TABLE TD_ECF ADD COLUMN CK4G_RELEAS_HOMOL Numeric(2) ;



/*-- SEQ 0531 --*/
-- Tarefa 94867 --
ALTER TABLE TD_ECF ALTER COLUMN CK4G_HOMOL SET NOT NULL;

/*-- SEQ 0532 --*/
-- Tarefa 94867 --
ALTER TABLE TD_ECF ADD CONSTRAINT CK_DECF_CK4G_MANMOV CHECK (CK4G_MANMOV >= 0);

/*-- SEQ 0533 --*/
-- Tarefa 94867 --
ALTER TABLE TD_ECF ADD CONSTRAINT CK_DECF_CK4G_MANLOG_DET CHECK (CK4G_MANLOG_DET >= 0);

/*-- SEQ 0534 --*/
-- Tarefa 94867 --
ALTER TABLE TD_ECF ADD CONSTRAINT CK_DECF_CK4G_MANLOG_GER CHECK (CK4G_MANLOG_GER >= 0);

/*-- SEQ 0535 --*/
-- Tarefa 94867 --
ALTER TABLE TD_ECF ADD CONSTRAINT CK_DECF_CK4G_HOMOL CHECK (CK4G_HOMOL IN  ('T','F'));

/*-- SEQ 0536 --*/
-- Tarefa 94867 --
ALTER TABLE TW_TAB ADD COLUMN CK4G_MANMOV Numeric(5) ;


/*-- SEQ 0537 --*/
-- Tarefa 94867 --
ALTER TABLE TW_TAB ADD COLUMN CK4G_MANLOG_DET Numeric(5) ;


/*-- SEQ 0538 --*/
-- Tarefa 94867 --
ALTER TABLE TW_TAB ADD COLUMN CK4G_MANLOG_GER Numeric(5) ;


/*-- SEQ 0539 --*/
-- Tarefa 94867 --
SELECT DISABLETRIGGERS(LOWER('TW_TAB'));

/*-- SEQ 0540 --*/
ALTER TABLE TW_TAB ADD COLUMN CK4G_HOMOL VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0541 --*/
SELECT ENABLETRIGGERS(LOWER('TW_TAB'));

/*-- SEQ 0542 --*/
-- Tarefa 94867 --
ALTER TABLE TW_TAB ADD COLUMN CK4G_VERSAO Numeric(4,2) ;


/*-- SEQ 0543 --*/
-- Tarefa 94867 --
ALTER TABLE TW_TAB ADD COLUMN CK4G_DETVER CHAR(1) ;


/*-- SEQ 0544 --*/
-- Tarefa 94867 --
ALTER TABLE TW_TAB ADD COLUMN CK4G_RELEAS_HOMOL Numeric(2) ;



/*-- SEQ 0545 --*/
-- Tarefa 94862 --
CREATE UNIQUE INDEX I_UQ_VAT_MODVERDETREL ON TT_VAT (MODULO, VERSAO, COALESCE(DETVER, ''), RELEAS)  ;

/*-- SEQ 0546 --*/
-- Tarefa 94862 --
ALTER TABLE TT_VAT ADD CONSTRAINT CK_VAT_VERSAO CHECK (VERSAO >= 0);

/*-- SEQ 0547 --*/
-- Tarefa 94862 --
ALTER TABLE TT_VAT ADD CONSTRAINT CK_VAT_RELEAS CHECK (RELEAS >= 0);


/*-- SEQ 0548 --*/
-- Tarefa 93025 --
ALTER TABLE TT_VEN ADD CONSTRAINT CK_VEN_IMPEST CHECK (IMPEST IN ('P', 'I'));


/*-- SEQ 0549 --*/
-- Tarefa 94867 --
ALTER TABLE TW_TAB ADD COLUMN STATUS_DADOS VARCHAR(4000) ;




/*-- SEQ 0550 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93022 --
DROP FUNCTION PC_VEN_UPDATE (TT_IVE.CODFIL%TYPE,TT_IVE.SEQUEN%TYPE,TT_IVE.DUMMY%TYPE,TT_CLI.TOTPAR%TYPE,TT_CLI.TOTATR%TYPE) CASCADE;


/*-- SEQ 0551 --*/
-- Tarefa 93033 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0552 --*/
-- Tarefa 93033 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'ESTORNFE', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'ESTORNFE'));

/*-- SEQ 0553 --*/
-- Tarefa 93033 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0554 --*/
-- Tarefa 93692 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD COLUMN FILMAT_TIN CHAR(3) ;


/*-- SEQ 0555 --*/
-- Tarefa 93692 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD COLUMN CODMAT_TIN CHAR(5) ;


/*-- SEQ 0556 --*/
-- Tarefa 93692 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD COLUMN CODCOR_TIN Numeric(5) ;


/*-- SEQ 0557 --*/
-- Tarefa 93692 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD COLUMN CODTAM_TIN Numeric(5) ;



-- Tarefa 94625 --
/*-- SEQ 0558 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_cria_pro () CASCADE;

/*-- SEQ 0559 --*/
CREATE OR REPLACE FUNCTION temp_cria_pro ()
RETURNS VARCHAR AS '
DECLARE

    iAux    Numeric(10);                 --  var auxiliar
    iAux2   Numeric(10);                 --  var auxiliar
    cFilMat TT_PRE.FILMAT%TYPE;         --  PK base: char(3)
    cCodMat TT_PRE.CODMAT%TYPE;         --  PK base: char(5)
    iCodGra TT_PRO.CODGRA%TYPE;         --  FK TD_GRA: Numeric(5)
    iCodCor TT_GRA.CODCOR%TYPE;         --  PK TT_GRA: Numeric(5)
    iCodTam TT_GRA.CODTAM%TYPE;         --  PK TT_GRA: Numeric(5)
    cSeqGra TT_GRA.SEQUEN%TYPE;         --  UK TT_GRA: char(10)
    vRefBas TT_PRO.REFBAS%TYPE;         --  UK TT_PRO.REFBAS: VARCHAR(15)
    vRefPro TT_GRA.REFPRO%TYPE;         --  UK TT_GRA.REFPRO: VARCHAR(20)
    cUF     TD_FIL.UFLOJA%TYPE;         --  PK TT_IUF: ESTADO CHAR(2)         
    cSeqPre TT_PRE.SEQUEN%TYPE;         --  PK TT_PRE: SEQUEN CHAR(10)
    cFilPre TT_PRE.FILMAT%TYPE;         --  PK TT_PRE: char(3)
    iCodPre TT_PRE.CODPRE%TYPE;         --  FK TT_PRE: CODPRE Numeric(5)
begin
    --  verificando se o produto auxiliar já está cadastrado
    select count(*)
      into iAux
      from TT_CFG CFG
     where CFG.FILMAT_AUX is not null
        or CFG.CODMAT_AUX is not null
        or CFG.CODCOR_AUX is not null
        or CFG.CODTAM_AUX is not null;
    --  cadastrando o produto auxiliar
    if  iAux = 0 then
        --  buscando as PKs da TT_PRO
        select CODLOJ
          into cFilMat
          from TT_IDF
                              
         limit 1
                       ;
        select (COD.ULTCOD)
          into iAux
          from TT_COD COD
         where COD.CODTAB = ''PRO''
           and COD.FILCOD = cFilMat;
        --  insert em TT_COD (não existe um registro para a TT_PRO para a cFilMat)
        if  iAux is null then
            iAux := 0;
            insert into TT_COD (CODTAB, FILCOD, ULTCOD, SEQUEN, CODSER, CODCHV)
                values (''PRO'', cFilMat, iAux, ProximoCodigo(''TT_COD'', cFilMat), null, null);
        end if;
        --  validando se o código do produto está sendo utilizando
        -- (em caso positivo pega o próximo)
        loop
            iAux := iAux + 1;
            cCodMat := Lpad(iAux, 5, '' '');
            select count(PRO.FILMAT)
              into iAux2
              from TT_PRO PRO
             where PRO.FILMAT = cFilMat
               and PRO.CODMAT = cCodMat;
            exit when iAux2 = 0;
        end loop;
        --  update em TT_COD
        update TT_COD
           set ULTCOD = iAux
         where CODTAB = ''PRO''
           and FILCOD = cFilMat;
        --  buscando a FK da TD_GRA para o TT_PRO.CODGRA
        --  esta informação também é utilizada para definir o TT_GRA.CODCOR e TT_GRA.CODTAM
        select min(DGRA.CODTAB)
          into iCodGra
          from TD_GRA DGRA
         where DGRA.CODTAB >= 0
           and DGRA.GRAATI = ''T'';
        --  buscando as PKs e UKs da TT_GRA
        --  iCodCor
        select min(DIV.CODITE)
          into iCodCor
          from TT_DIV DIV
         inner join TD_GRA DGRA
                 on DGRA.CODTAB = iCodGra
                and DIV.CODDIV = DGRA.CODDIV;
        --  iCodTam
        select min(SUB.CODITE)
          into iCodTam
          from TT_SUB SUB
         inner join TD_GRA DGRA
                 on DGRA.CODTAB = iCodGra
                and SUB.CODSUB = DGRA.CODSUB;
        --  tive que fazer deste jeito porque a macro NEXTVAL_SELECT estava gerando erro de string...
                
        cSeqGra := Lpad((NEXTVAL(''SQGRA'')), 10, '' '');
                --  criando um código único para TT_PRO.REFBAS
        iAux := to_number(Trim(cCodMat));
        loop
            vRefBas := cFilMat || to_char(iAux);
            select sum(TAB.QTD) as QTD
              into iAux2
              from (
                   select count(*) as QTD
                     from TT_PRO
                    where REFBAS = vRefBas
                   union all
                   select count(*) as QTD
                     from TT_GRA
                    where REFPRO = vRefBas
                   union all
                   select count(*) as QTD
                     from TT_EAN
                    where CODEAN = vRefBas
              ) TAB;
            exit when iAux2 = 0;
            iAux := iAux + 1;
        end loop;
        --  criando um código único para TT_GRA.REFPRO
        iAux := 0;
        loop
            vRefPro := cFilMat || Trim(cCodMat) || to_char(iAux);
            select sum(TAB.QTD) as QTD
              into iAux2
              from (
                   select count(*) as QTD
                     from TT_PRO
                    where REFBAS = vRefPro
                   union all
                   select count(*) as QTD
                     from TT_GRA
                    where REFPRO = vRefPro
                   union all
                   select count(*) as QTD
                     from TT_EAN
                    where CODEAN = vRefPro
              ) TAB;
            exit when iAux2 = 0 and vRefBas <> vRefPro;
            iAux := iAux + 1;
        end loop;
        --  buscando a PK para a TT_IUF
        select UFLOJA
          into cUF
          from TD_FIL
         where CODFIL = cFilMat;
        if  cUF is null
        or  cUF = '''' then
            cUF := ''SC'';
        end if;
        --  buscando a PK e FK para TT_PRE
        --  tive que fazer deste jeito porque a macro NEXTVAL_SELECT estava gerando erro de string...
                
        cSeqPre := Lpad((NEXTVAL(''SQPRE'')), 10, '' '');
                --  buscando a tabela padrão de VAREJO
        select CFG.FILPRE,
               CFG.CODPRE
          into cFilPre,
               iCodPre
          from TT_CFG CFG
                              
         limit 1
                       ;
        if  cFilPre is null
        or  iCodPre is null then
            cFilPre := cFilMat;
            select min(CODPRE)
              into iCodPre
              from TT_TPR
             where CODFIL = cFilPre;
        end if;
        --  insert em TT_PRO
        insert into TT_PRO (
               FILMAT, CODMAT, CONTRA, ATU_EM, VALCON, BRINDE, 
               CLASS1, CLASS2, CLASS3, CLASS4, CLSXYZ, CODGRA, 
               CODSAZ, ETIQUE, TIPPRO, UNIDAD, UNIFOR, DECIMA, 
               MONTAR, NUMEXT, REFBAS, RESIRR, CONTRO, CODCTR,
               ENTREG, RETCOF, SUGSER, BALSIM, VALEST, TIPDOC,
               ISEPIS, ICMFED, ARRTRU, IIPTPR, IMPKIT, CODRGC,
               USALOT, CLSABC, DESMAT, SIGNAT)
        (select cFilMat,            -- FILMAT CHAR(3)
                cCodMat,            -- CODMAT CHAR(5)
                ''F'',     -- CONTRA CHAR(1)     
                agora(),            -- ATU_EM Timestamp(7)     
                1,                  -- VALCON Numeric(14,4)
                0,                  -- BRINDE Numeric(5)   
                (select min(CODTAB) from TD_CL1 where CL1ATI = ''T''), -- CLASS1 Numeric(5)
                (select min(CODTAB) from TD_CL2 where CL2ATI = ''T''), -- CLASS2 Numeric(5)      
                (select min(CODTAB) from TD_CL3 where CL3ATI = ''T''), -- CLASS3 Numeric(5)      
                (select min(CODTAB) from TD_CL4 where CL4ATI = ''T''), -- CLASS4 Numeric(5)      
                1,                  -- CLSXYZ Numeric(5)
                iCodGra,            -- CODGRA Numeric(5)
                0,                  -- CODSAZ Numeric(5)
                (select min(CODTAB) from TD_ETI where ETIATI = ''T''), -- ETIQUE Numeric(5)
                0,                  -- TIPPRO Numeric(5)
                (select min(CODTAB) from TD_MED where MEDATI = ''T''), -- UNIDAD Numeric(5)
                (select min(CODTAB) from TD_MED where MEDATI = ''T''), -- UNIFOR Numeric(5)
                ''F'',     -- DECIMA VARCHAR(1)
                ''F'',     -- MONTAR VARCHAR(1)
                ''F'',     -- NUMEXT VARCHAR(1)
                vRefBas,            -- REFBAS VARCHAR(15)
                0,                  -- RESIRR Numeric(5)
                ''F'',     -- CONTRO VARCHAR(1)
                0,                  -- CODCTR Numeric(5)
                ''F'',     -- ENTREG VARCHAR(1)
                ''T'',     -- RETCOF VARCHAR(1)
                ''F'',     -- SUGSER VARCHAR(1)
                ''F'',     -- BALSIM CHAR(1)
                ''T'',     -- VALEST VARCHAR(1)
                ''N'',     -- TIPDOC CHAR(1)
                ''F'',     -- ISEPIS VARCHAR(1)
                ''F'',     -- ICMFED VARCHAR(1)
                ''A'',     -- ARRTRU CHAR(1)
                ''T'',     -- IIPTPR CHAR(1)
                ''F'',     -- IMPKIT VARCHAR(1)
                ''0'',     -- CODRGC Numeric(5)
                ''F'',     -- USALOT VARCHAR(1)
                1,                  -- CLSABC Numeric(5)
                ''Produto Auxiliar uso interno'', -- DESMAT VARCHAR(30)
                0                   -- SIGNAT Numeric(5)
           from DUAL
        );
        --  insert em TT_GRA
        insert into TT_GRA (
               FILMAT, CODMAT, CODCOR, CODTAM, SEQUEN, UNIDAD,
               UNIFOR, VALCON, PROMOC, VOLUNI, REFPRO, FORLIN,
               PREPSI, ATU_EM, GRAATI, QTDMUL, CODFIS, USABON)
        (select cFilMat,            -- FILMAT CHAR(3)
                cCodMat,            -- CODMAT CHAR(5)
                iCodCor,            -- CODCOR Numeric(5) DIV GRA.CODCOR=DIV.CODITE (+)
                iCodTam,            -- CODTAM Numeric(5) SUB GRA.CODTAM=SUB.CODITE (+)
                cSeqGra,            -- SEQUEN CHAR(10)
                (select min(CODTAB) from TD_MED where MEDATI = ''T''), -- UNIDAD Numeric(5) DMED
                (select min(CODTAB) from TD_MED where MEDATI = ''T''), -- UNIFOR Numeric(5) DMED
                1,                  -- VALCON Numeric(14,4)
                ''F'',     -- PROMOC VARCHAR(1)
                ''F'',     -- VOLUNI VARCHAR(1)
                vRefPro,            -- REFPRO VARCHAR(20)
                ''F'',     -- FORLIN VARCHAR(1)
                ''T'',     -- PREPSI VARCHAR(1)
                agora(),            -- ATU_EM Timestamp(7)
                ''T'',     -- GRAATI CHAR(1)
                0,                  -- QTDMUL Numeric(7,2)
                cFilMat || cCodMat || ''-0-0'', -- CODFIS VARCHAR(60)
                ''F''      -- USABON VARCHAR(1)
           from DUAL
        );
        --  insert em TT_IUF
        insert into TT_IUF (
               FILMAT, CODMAT, ESTADO, RESICM, LUCSUB, SUBTRI,
               INSAGR, CALSUB, REGESP, PERSRV, ATU_EM, MVAVEN,
               MVAC07, MVAC12, FLGRED, REGESPIMP,      REDICM)
        (select cFilMat,            -- FILMAT CHAR(3)
                cCodMat,            -- CODMAT CHAR(5)
                cUF,                -- ESTADO CHAR(2)
                0,                  -- RESICM Numeric(5)       
                0,                  -- LUCSUB Numeric(5)       
                ''0'',     -- SUBTRI CHAR(1)         
                ''F'',     -- INSAGR VARCHAR(1)     
                ''D'',     -- CALSUB CHAR(1)         
                0,                  -- REGESP Numeric(1)       
                0,                  -- PERSRV Numeric(5,2)     
                agora(),            -- ATU_EM Timestamp(7)         
                0,                  -- MVAVEN Numeric(14,4)    
                0,                  -- MVAC07 Numeric(14,4)    
                0,                  -- MVAC12 Numeric(14,4)    
                ''C'',     -- FLGRED VARCHAR(1)     
                ''F'',     -- REGESPIMP VARCHAR(1)  
                ''T''      -- REDICM VARCHAR(1)     
           from DUAL
        );
        --  insert em TT_PRE
        insert into TT_PRE (
               FILPRE, SEQUEN, CODPRE, FLGEST, FILMAT, CODMAT,
               CODCOR, CODTAM, CODMOE, ATU_EM, DATINC)
        (select cFilPre,            -- FILPRE CHAR(3)
                cSeqPre,            -- SEQUEN CHAR(10)
                iCodPre,            -- CODPRE Numeric(5)
                ''T'',     -- FLGEST CHAR(1)
                cFilMat,            -- FILMAT CHAR(3)
                cCodMat,            -- CODMAT CHAR(5)
                iCodCor,            -- CODCOR Numeric(5)
                iCodTam,            -- CODTAM Numeric(5)
                0,                  -- CODMOE Numeric(2)
                agora(),            -- ATU_EM Timestamp(7)
                agora()             -- DATINC Timestamp(7)
           from DUAL
        );
        --  update em TT_CFG
        UPDATE TT_CFG SET
          FILMAT_AUX = cFilMat,
          CODMAT_AUX = cCodMat,
          CODCOR_AUX = iCodCor,
          CODTAM_AUX = iCodTam;
    end if;
    --  retorno da função
    return ''OK'';
END;
' language 'plpgsql';



/*-- SEQ 0560 --*/
-- Tarefa 94625 --
SELECT DISABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0561 --*/
-- Tarefa 94625 --
SELECT DISABLETRIGGERS(LOWER('TT_GRA'));

/*-- SEQ 0562 --*/
-- Tarefa 94625 --
SELECT DISABLETRIGGERS(LOWER('TT_IUF'));

/*-- SEQ 0563 --*/
-- Tarefa 94625 --
SELECT DISABLETRIGGERS(LOWER('TT_PRE'));

/*-- SEQ 0564 --*/
-- Tarefa 94625 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0565 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 94625 --
select temp_cria_pro() from dual;


/*-- SEQ 0566 --*/
-- Tarefa 94625 --
SELECT ENABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0567 --*/
-- Tarefa 94625 --
SELECT ENABLETRIGGERS(LOWER('TT_GRA'));

/*-- SEQ 0568 --*/
-- Tarefa 94625 --
SELECT ENABLETRIGGERS(LOWER('TT_IUF'));

/*-- SEQ 0569 --*/
-- Tarefa 94625 --
SELECT ENABLETRIGGERS(LOWER('TT_PRE'));

/*-- SEQ 0570 --*/
-- Tarefa 94625 --
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0571 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94625 --
DROP FUNCTION temp_cria_pro () CASCADE;


/*-- SEQ 0572 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92689 --
ALTER TABLE TT_CLI DROP CONSTRAINT CK_CLI_REGRA CASCADE;


-- Tarefa 95077 --
/*-- SEQ 0573 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_upd_pro () CASCADE;

/*-- SEQ 0574 --*/
CREATE OR REPLACE FUNCTION temp_upd_pro ()
RETURNS VARCHAR AS '
DECLARE

    cFilMat TT_PRE.FILMAT%TYPE;         --  PK base: char(3)
    cCodMat TT_PRE.CODMAT%TYPE;         --  PK base: char(5)
begin
    --  buscando o código do produto auxiliar no TT_CFG
    select CFG.FILMAT_AUX,
           CFG.CODMAT_AUX
      into cFilMat,
           cCodMat
      from TT_CFG CFG
                      
     limit 1
               ;
    --  update em TT_COD
    update TT_PRO
       set SIGNAT = 0
     where FILMAT = cFilMat
       and CODMAT = cCodMat
       and ( SIGNAT is null OR SIGNAT < 0 );
    --  retorno da função
    return ''OK'';
END;
' language 'plpgsql';



/*-- SEQ 0575 --*/
-- Tarefa 95077 --
SELECT DISABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0576 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95077 --
select temp_upd_pro() from dual;


/*-- SEQ 0577 --*/
-- Tarefa 95077 --
SELECT ENABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0578 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95077 --
DROP FUNCTION temp_upd_pro () CASCADE;


/*-- SEQ 0579 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 93786 --  
ALTER TABLE TT_MCF DROP CONSTRAINT CK_MCF_FLGCAN CASCADE;  

/*-- SEQ 0580 --*/
-- Tarefa 93786 --
ALTER TABLE TT_MCF ADD CONSTRAINT CK_MCF_FLGCAN CHECK (FLGCAN IN ('S','N'));


/*-- SEQ 0581 --*/
-- Tarefa 94319 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_NFE ADD COLUMN VEN_CODFIL CHAR(3) ;


/*-- SEQ 0582 --*/
-- Tarefa 94319 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_NFE ADD COLUMN VEN_SEQUEN CHAR(10) ;


/*-- SEQ 0583 --*/
-- Tarefa 94319 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_INF ADD COLUMN IVE_CODFIL CHAR(3) ;


/*-- SEQ 0584 --*/
-- Tarefa 94319 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_INF ADD COLUMN IVE_SEQUEN CHAR(10) ;


/*-- SEQ 0585 --*/
-- Tarefa 94319 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_INF ADD COLUMN IVE_NUMITE Numeric(5) ;


/*-- SEQ 0586 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94319 --
ALTER TABLE TT_NFE ADD CONSTRAINT FK_NFE_VEN FOREIGN KEY (VEN_CODFIL,VEN_SEQUEN) REFERENCES TT_VEN (CODFIL,SEQUEN);

/*-- SEQ 0587 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94319 --
CREATE INDEX I_FK_NFE_VEN ON TT_NFE (VEN_CODFIL,VEN_SEQUEN)  ;

/*-- SEQ 0588 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94319 --
ALTER TABLE TT_INF ADD CONSTRAINT FK_INF_IVE FOREIGN KEY (IVE_CODFIL,IVE_SEQUEN,IVE_NUMITE) REFERENCES TT_IVE (CODFIL,SEQUEN,NUMITE);

/*-- SEQ 0589 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94319 --
CREATE INDEX I_FK_INF_IVE ON TT_INF (IVE_CODFIL,IVE_SEQUEN,IVE_NUMITE)  ;


/*-- SEQ 0590 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95239 --
ALTER TABLE TD_NAT DROP CONSTRAINT CK_DNAT_TIPNAT CASCADE;

/*-- SEQ 0591 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95239 --
ALTER TABLE TD_NAT ADD CONSTRAINT CK_DNAT_TIPNAT CHECK (TIPNAT IN ('E','S','V','D','F','A','C','M','N','P','R','J','B','O'));	


/*-- SEQ 0592 --*/
-- Tarefa 93756 --
/*-- IGNORE ERRO --*/
ALTER TABLE GX_CFG ADD COLUMN GX_CFGMIDDLEWARE_HOST VARCHAR(40) ;


/*-- SEQ 0593 --*/
-- Tarefa 93756 --
/*-- IGNORE ERRO --*/
ALTER TABLE GX_CFG ADD COLUMN GX_CFGMIDDLEWARE_PORT Numeric(10) ;



/*-- SEQ 0594 --*/
-- Tarefa 95407 --
SELECT ExecAlteraTipoColuna('TW_COM_FIS','NUMNOT','VARCHAR(9)');



/*-- SEQ 0595 --*/
-- Tarefa 95294 --
SELECT DISABLETRIGGERS(LOWER('TT_JOB'));
                      
/*-- SEQ 0596 --*/
-- Tarefa 95294 --
DELETE FROM TT_JOB
 WHERE NOMJOB = 'JOB_GERACOMISSAODIARIA';
 
/*-- SEQ 0597 --*/
-- Tarefa 95294 --
SELECT ENABLETRIGGERS(LOWER('TT_JOB'));                      


-- Tarefa 94625 --
/*-- SEQ 0598 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION TmpUpdProAux () CASCADE;

/*-- SEQ 0599 --*/
CREATE OR REPLACE FUNCTION TmpUpdProAux ()
RETURNS VARCHAR AS '
DECLARE

    cFilMat TT_PRE.FILMAT%TYPE;         --  PK base: char(3)
    cCodMat TT_PRE.CODMAT%TYPE;         --  PK base: char(5)
    iCodCor TT_GRA.CODCOR%TYPE;         --  PK TT_GRA: Numeric(5)
    iCodTam TT_GRA.CODTAM%TYPE;         --  PK TT_GRA: Numeric(5)
begin
    --  buscando o código do produto auxiliar no TT_CFG
    select CFG.FILMAT_AUX,
           CFG.CODMAT_AUX,
           CFG.CODCOR_AUX,
           CFG.CODTAM_AUX
      into cFilMat,
           cCodMat,
           iCodCor,
           iCodTam
      from TT_CFG CFG
                      
     limit 1
               ;
    --  atualizando o CODNCM em TT_PRO
    update TT_PRO
       set CODNCM = ''00''
     where FILMAT = cFilMat
       and CODMAT = cCodMat
       and CODNCM is null;
    --  atualizando o CODNCM em TT_GRA
    update TT_GRA
       set CODNCM = ''00''
     where FILMAT = cFilMat
       and CODMAT = cCodMat
       and CODCOR = iCodCor
       and CODTAM = iCodTam
       and CODNCM is null;
    --  retorno da função
    return ''OK'';
END;
' language 'plpgsql';



/*-- SEQ 0600 --*/
-- Tarefa 94625 --
SELECT DISABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0601 --*/
-- Tarefa 94625 --
SELECT DISABLETRIGGERS(LOWER('TT_GRA'));

/*-- SEQ 0602 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 94625 --
select TmpUpdProAux() from dual;


/*-- SEQ 0603 --*/
-- Tarefa 94625 --
SELECT ENABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0604 --*/
-- Tarefa 94625 --
SELECT ENABLETRIGGERS(LOWER('TT_GRA'));

/*-- SEQ 0605 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94625 --
DROP FUNCTION TmpUpdProAux () CASCADE;

