
/*-- SEQ 0001 --*/
-- Tarefa 95159 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_LOT ADD COLUMN PERABA Numeric(5,2) ;

 


/*-- SEQ 0002 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95156 --
ALTER TABLE TI_SLT ALTER COLUMN QTDEST SET NOT NULL;


/*-- SEQ 0003 --*/
/*--IGNORE ERRO--*/
-- Tarefa 95159 --
ALTER TABLE TI_SLT DROP COLUMN RESERV CASCADE;


/*-- SEQ 0004 --*/
-- Tarefa 95297 --
ALTER TABLE TT_CFG ADD COLUMN CFG_PARCEIRO Numeric(2) ;


/*-- SEQ 0005 --*/
-- Tarefa 95297 --
ALTER TABLE TW_CFG ADD COLUMN CFG_PARCEIRO Numeric(2) ;




/*-- SEQ 0006 --*/
/*-- IGNORE ERRO --*/
/*-- Tarefa 95153 --*/
DROP FUNCTION ALTERAITEM_DAV(TT_IOR.CODFIL%TYPE, TT_IOR.TIPPED%TYPE, TT_IOR.NUMPED%TYPE, 
                             TT_IOR.NUMITE%TYPE, TT_IOR.VLRCUS%TYPE, TT_IOR.VLRPGT%TYPE,
                             TT_IOR.QTDITE%TYPE, TT_IOR.VLRITE%TYPE, TT_IOR.VLRENT%TYPE, 
                             TT_GRA.FILMAT%TYPE, TT_GRA.CODMAT%TYPE, TT_GRA.CODCOR%TYPE,
                             TT_GRA.CODTAM%TYPE, TT_IOR.PROMOC%TYPE, TT_IOR.PREUNI%TYPE,
                             TT_IOR.CODMUL%TYPE, TT_IOR.OBSERV%TYPE, TT_IOR.PERIPI%TYPE,
							 TT_IOR.ASSINA%TYPE, TT_IOR.FLGEST%TYPE) CASCADE;
                             


/*-- SEQ 0007 --*/
-- Tarefa 94918 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_USU ADD COLUMN CHVMAT  CHAR(15) ;


/*-- SEQ 0008 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94918 --
CREATE UNIQUE INDEX I_UQ_USU_CHVMAT ON TT_USU (CHVMAT)  ;


/*-- SEQ 0009 --*/
-- Tarefa 95127 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_TRN ADD CONSTRAINT FK_TRN_DFIL_CODFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL(CODFIL);

/*-- SEQ 0010 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95127 --
CREATE INDEX I_FK_TRN_DFIL ON TT_TRN (CODFIL)  ;


/*-- SEQ 0011 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95407 --
SELECT ExecAlteraTipoColuna('TW_COM_FIS','NUMNOT','VARCHAR(9)');



/*-- SEQ 0012 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95107 --
CREATE INDEX I_FK_VEN_VEN_ORI ON TT_VEN (FILORI,SEQORI)  ;


/*-- SEQ 0013 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91227 --
select * from NADA;

/*-- SEQ 0014 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91227 --
select * from NADA;



/*-- SEQ 0015 --*/
-- Tarefa 95053 --
ALTER TABLE TT_INV  ADD COLUMN CODEXT VARCHAR(20) ;


/*-- SEQ 0016 --*/
-- Tarefa 95053 --
CREATE UNIQUE INDEX I_UQ_INV_CODEXT ON TT_INV (CODEXT)  ;

/*-- SEQ 0017 --*/
-- Tarefa 95053 --
ALTER TABLE TT_INV  ADD COLUMN ATU_EM Timestamp ;


/*-- SEQ 0018 --*/
-- Tarefa 95053 --
CREATE INDEX I_LC_INV_ATU_EM ON TT_INV (ATU_EM)  ;

/*-- SEQ 0019 --*/
-- Tarefa 95053 --
SELECT DISABLETRIGGERS(LOWER('TT_INV'));

/*-- SEQ 0020 --*/
-- Tarefa 95053 --
UPDATE TT_INV SET ATU_EM = DATCRI WHERE ATU_EM IS NULL;

/*-- SEQ 0021 --*/
-- Tarefa 95053 --
SELECT ENABLETRIGGERS(LOWER('TT_INV'));

/*-- SEQ 0022 --*/
-- Tarefa 95053 --
ALTER TABLE TT_INV ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0023 --*/
-- Tarefa 95053 --
ALTER TABLE TT_IIN ADD COLUMN CODEXT VARCHAR(20) ;


/*-- SEQ 0024 --*/
-- Tarefa 95053 --
CREATE UNIQUE INDEX I_UQ_IIN_CODEXT ON TT_IIN (CODEXT)  ;





/*-- SEQ 0025 --*/
-- Tarefa 95055 --
CREATE TABLE TL_INV (
    CODTAB Numeric(10),
    FILINV CHAR(3),
    SEQINV CHAR(10),
    MSGLOG VARCHAR(4000),
    DATOPE Timestamp,
    FILUSU CHAR(3),
    CODUSU CHAR(3),
    CODUID Numeric
  )  ;
  
/*-- SEQ 0026 --*/ 
-- Tarefa 95055 --
ALTER TABLE TL_INV ADD CONSTRAINT PK_LINV PRIMARY KEY (CODTAB);
 
/*-- SEQ 0027 --*/
-- Tarefa 95055 --
CREATE SEQUENCE SQLINV INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0028 --*/
-- Tarefa 95055 --
ALTER TABLE TL_INV ALTER COLUMN FILINV SET NOT NULL;

/*-- SEQ 0029 --*/
-- Tarefa 95055 --
ALTER TABLE TL_INV ALTER COLUMN SEQINV SET NOT NULL;

/*-- SEQ 0030 --*/
-- Tarefa 95055 --
ALTER TABLE TL_INV ALTER COLUMN DATOPE SET NOT NULL;

/*-- SEQ 0031 --*/
-- Tarefa 95055 --
ALTER TABLE TL_INV ALTER COLUMN FILUSU SET NOT NULL;

/*-- SEQ 0032 --*/
-- Tarefa 95055 --
ALTER TABLE TL_INV ALTER COLUMN CODUSU SET NOT NULL;

/*-- SEQ 0033 --*/
-- Tarefa 95055 --
ALTER TABLE TL_INV ADD CONSTRAINT FK_LINV_INV FOREIGN KEY (FILINV, SEQINV) REFERENCES TT_INV(CODFIL, SEQUEN);
 
/*-- SEQ 0034 --*/
-- Tarefa 95055 --
CREATE INDEX I_FK_LINV_INV ON TL_INV (FILINV, SEQINV)  ;

/*-- SEQ 0035 --*/
-- Tarefa 95055 --
ALTER TABLE TL_INV ADD CONSTRAINT FK_LINV_UID FOREIGN KEY (CODUID) REFERENCES TT_UID(CODUID);
 
/*-- SEQ 0036 --*/
-- Tarefa 95055 --
CREATE INDEX I_FK_LINV_UID ON TL_INV (CODUID)  ;

/*-- SEQ 0037 --*/
-- Tarefa 95055 --
ALTER TABLE TL_INV ADD CONSTRAINT FK_LINV_USU FOREIGN KEY (FILUSU, CODUSU) REFERENCES TT_USU(FILUSU, CODUSU);
 
/*-- SEQ 0038 --*/
-- Tarefa 95055 --
CREATE INDEX I_FK_LINV_USU ON TL_INV (FILUSU, CODUSU)  ;


/*-- SEQ 0039 --*/
-- Tarefa 95335 --
CREATE TABLE TI_SEP (
    CODFIL CHAR(3),
    SEQUEN CHAR(10),
    DATCRI Timestamp,
    CONTEM Numeric(12,4),
    QTDFAL Numeric(12,4),
    STATUS Numeric(1) DEFAULT 0,
    MOTREJ VARCHAR(255),
    DATIMP Timestamp
  )  ;

/*-- SEQ 0040 --*/
-- Tarefa 95335 --
ALTER TABLE TI_SEP ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0041 --*/
-- Tarefa 95335 --
ALTER TABLE TI_SEP ALTER COLUMN STATUS SET NOT NULL;

/*-- SEQ 0042 --*/
-- Tarefa 95335 --
CREATE INDEX I_LC_ISEP_STATUS ON TI_SEP (STATUS, DATCRI)  ;


/*-- SEQ 0043 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95464 --
SELECT ExecAlteraTipoColuna('TT_LOT','CODEXT','VARCHAR(40)');


/*-- SEQ 0044 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95464 --
SELECT ExecAlteraTipoColuna('TI_LOT','CODEXT','VARCHAR(40)');


/*-- SEQ 0045 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95464 --
SELECT ExecAlteraTipoColuna('TI_SLT','CODEXT','VARCHAR(40)');



/*-- SEQ 0046 --*/
-- Tarefa 95294 --
SELECT DISABLETRIGGERS(LOWER('TT_JOB'));
                      
/*-- SEQ 0047 --*/
-- Tarefa 95294 --
DELETE FROM TT_JOB
 WHERE NOMJOB = 'JOB_GERACOMISSAODIARIA';
 
/*-- SEQ 0048 --*/
-- Tarefa 95294 --
SELECT ENABLETRIGGERS(LOWER('TT_JOB'));                      


/*-- SEQ 0049 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95433 --
select * from NADA;


/*-- SEQ 0050 --*/
-- Tarefa 95501 --
SELECT DISABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0051 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD COLUMN USALOT VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0052 --*/
SELECT ENABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0053 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95501 --
ALTER TABLE TI_PRO ADD CONSTRAINT CK_IPRO_USALOT CHECK (USALOT IN ('T','F'));

/*-- SEQ 0054 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95501 --
ALTER TABLE TI_PRO ALTER COLUMN USALOT SET NOT NULL;

/*-- SEQ 0055 --*/
-- Tarefa 95501 --
SELECT DISABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0056 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD COLUMN LOTONL VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0057 --*/
SELECT ENABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0058 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95501 --
ALTER TABLE TI_PRO ADD CONSTRAINT CK_IPRO_LOTONL CHECK (LOTONL IN ('T','F'));

/*-- SEQ 0059 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95501 --
ALTER TABLE TI_PRO ALTER COLUMN LOTONL SET NOT NULL;


/*-- SEQ 0060 --*/
-- Tarefa 95060 --
SELECT DISABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0061 --*/
-- Tarefa 95060 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,388)||'S'||SUBSTR(PERMIS,390,9999);

/*-- SEQ 0062 --*/
-- Tarefa 95060 --
SELECT ENABLETRIGGERS(LOWER('TT_USU'));


/*-- SEQ 0063 --*/
-- Tarefa 90009 --
ALTER TABLE TT_GRA ADD COLUMN BALTAR Numeric(7,4) ;




/*-- SEQ 0064 --*/
-- Tarefa 95433 --
SELECT DISABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0065 --*/
-- Tarefa 95433 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,392)||'S'||SUBSTR(PERMIS,394,9999);

/*-- SEQ 0066 --*/
-- Tarefa 95433 --
SELECT ENABLETRIGGERS(LOWER('TT_USU'));


/*-- SEQ 0067 --*/
-- Tarefa 90013 --
SELECT DISABLETRIGGERS(LOWER('TT_DEC'));

/*-- SEQ 0068 --*/
ALTER TABLE TT_DEC ADD COLUMN VERSAO Numeric(8) DEFAULT 1;

/*-- SEQ 0069 --*/
SELECT ENABLETRIGGERS(LOWER('TT_DEC'));

/*-- SEQ 0070 --*/
-- Tarefa 90013 --
ALTER TABLE TT_DEC ALTER COLUMN VERSAO SET NOT NULL;

/*-- SEQ 0071 --*/
-- Tarefa 90013 --
ALTER TABLE TT_DEC DROP CONSTRAINT PK_DEC CASCADE;

/*-- SEQ 0072 --*/ 
-- Tarefa 90013 --
ALTER TABLE TT_DEC ADD CONSTRAINT PK_DEC PRIMARY KEY (ORIGEM, CODTAB, VERSAO);


/*-- SEQ 0073 --*/
-- Tarefa 95439 --
SELECT DISABLETRIGGERS(LOWER('TT_LOT'));

/*-- SEQ 0074 --*/
ALTER TABLE TT_LOT ADD COLUMN LOTATI VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0075 --*/
SELECT ENABLETRIGGERS(LOWER('TT_LOT'));

/*-- SEQ 0076 --*/
-- Tarefa 95439 --
ALTER TABLE TT_LOT ALTER COLUMN LOTATI SET NOT NULL;

/*-- SEQ 0077 --*/
-- Tarefa 95439 --
ALTER TABLE TT_LOT ADD CONSTRAINT CK_LOT_LOTATI CHECK (LOTATI IN ('F','T'));


/*-- SEQ 0078 --*/
-- Tarefa 95557 --
ALTER TABLE TT_VEN ADD COLUMN PERDEV Numeric(5,2) ;


/*-- SEQ 0079 --*/
-- Tarefa 95557 --
ALTER TABLE TT_VEN ADD COLUMN IPIDEV Numeric(12,2) ;



/*-- SEQ 0080 --*/ 
-- Tarefa 95534 --  
ALTER TABLE TT_VEN DROP CONSTRAINT CK_VEN_FINNFE CASCADE;  

/*-- SEQ 0081 --*/
-- Tarefa 95534--
ALTER TABLE TT_VEN ADD CONSTRAINT CK_VEN_FINNFE CHECK (FINNFE IN (1,2,3,4));


-- Tarefa 94625 --
/*-- SEQ 0082 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION TmpUpdProAux () CASCADE;

/*-- SEQ 0083 --*/
CREATE OR REPLACE FUNCTION TmpUpdProAux ()
RETURNS VARCHAR AS '
DECLARE

    cFilMat TT_PRE.FILMAT%TYPE;         --  PK base: char(3)
    cCodMat TT_PRE.CODMAT%TYPE;         --  PK base: char(5)
    iCodCor TT_GRA.CODCOR%TYPE;         --  PK TT_GRA: Numeric(5)
    iCodTam TT_GRA.CODTAM%TYPE;         --  PK TT_GRA: Numeric(5)
begin
    --  buscando o código do produto auxiliar no TT_CFG
    select CFG.FILMAT_AUX,
           CFG.CODMAT_AUX,
           CFG.CODCOR_AUX,
           CFG.CODTAM_AUX
      into cFilMat,
           cCodMat,
           iCodCor,
           iCodTam
      from TT_CFG CFG
                      
     limit 1
               ;
    --  atualizando o CODNCM em TT_PRO
    update TT_PRO
       set CODNCM = ''00''
     where FILMAT = cFilMat
       and CODMAT = cCodMat
       and CODNCM is null;
    --  atualizando o CODNCM em TT_GRA
    update TT_GRA
       set CODNCM = ''00''
     where FILMAT = cFilMat
       and CODMAT = cCodMat
       and CODCOR = iCodCor
       and CODTAM = iCodTam
       and CODNCM is null;
    --  retorno da função
    return ''OK'';
END;
' language 'plpgsql';



/*-- SEQ 0084 --*/
-- Tarefa 94625 --
SELECT DISABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0085 --*/
-- Tarefa 94625 --
SELECT DISABLETRIGGERS(LOWER('TT_GRA'));

/*-- SEQ 0086 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 94625 --
select TmpUpdProAux() from dual;


/*-- SEQ 0087 --*/
-- Tarefa 94625 --
SELECT ENABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0088 --*/
-- Tarefa 94625 --
SELECT ENABLETRIGGERS(LOWER('TT_GRA'));

/*-- SEQ 0089 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94625 --
DROP FUNCTION TmpUpdProAux () CASCADE;


/*-- SEQ 0090 --*/
-- Tarefa 92964 --
SELECT DISABLETRIGGERS(LOWER('TT_JOB'));

/*-- SEQ 0091 --*/
-- Tarefa 92964 --
INSERT INTO TT_JOB (NOMJOB,DESJOB,ULTEXE,QTDERR,ULTERR)
SELECT 'JOB_CLASSIFICAABCXYZ','Rotina para classificar produtos por ABC e XYZ',Agora(),0,NULL
  FROM DUAL
 WHERE NOT EXISTS (SELECT 1 AS OK
                     FROM TT_JOB
                    WHERE NOMJOB = 'JOB_CLASSIFICAABCXYZ');
/*-- SEQ 0092 --*/
-- Tarefa 92964 --
SELECT ENABLETRIGGERS(LOWER('TT_JOB'));                


/*-- SEQ 0093 --*/
-- Tarefa 93917 --
SELECT DISABLETRIGGERS(LOWER('TT_JOB'));

/*-- SEQ 0094 --*/
-- Tarefa 93917 --
INSERT INTO TT_JOB (NOMJOB,DESJOB,ULTEXE,QTDERR,ULTERR)
SELECT 'JOB_CALCULATRACKINGSIGNAL','Rotina para calcular Tracking Signal dos produtos',Agora(),0,NULL
  FROM DUAL
 WHERE NOT EXISTS (SELECT 1 AS OK
                     FROM TT_JOB
                    WHERE NOMJOB = 'JOB_CALCULATRACKINGSIGNAL');

/*-- SEQ 0095 --*/
-- Tarefa 93917 --
SELECT ENABLETRIGGERS(LOWER('TT_JOB'));


/*-- SEQ 0096 --*/
-- Tarefa 95580 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0097 --*/
ALTER TABLE TT_CFG ADD COLUMN TIPSUGPRO Numeric(1) DEFAULT 0;

/*-- SEQ 0098 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0099 --*/
-- Tarefa 95580 --
ALTER TABLE TT_CFG ALTER COLUMN TIPSUGPRO SET NOT NULL;

/*-- SEQ 0100 --*/
-- Tarefa 95580 -- 
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_TIPSUGPRO CHECK (TIPSUGPRO IN ('0','1','2'));

/*-- SEQ 0101 --*/
-- Tarefa 95580 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0102 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD COLUMN TIPSUGPRO Numeric(1) DEFAULT 0;

/*-- SEQ 0103 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));


/*-- SEQ 0104 --*/
-- Tarefa 95585 --
SELECT DISABLETRIGGERS(LOWER('TT_IOR'));

/*-- SEQ 0105 --*/
ALTER TABLE TT_IOR ADD COLUMN PROSUG VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0106 --*/
SELECT ENABLETRIGGERS(LOWER('TT_IOR'));

/*-- SEQ 0107 --*/
-- Tarefa 95585 --
ALTER TABLE TT_IOR ALTER COLUMN PROSUG SET NOT NULL;

/*-- SEQ 0108 --*/
-- Tarefa 95585 --
ALTER TABLE TT_IOR ADD CONSTRAINT CK_IOR_PROSUG CHECK (PROSUG IN ('T','F'));


/*-- SEQ 0109 --*/
-- Tarefa 91227 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD COLUMN CFG_LIMITESANGRIACHEQUE Numeric(14,2) ;


/*-- SEQ 0110 --*/
-- Tarefa 91227 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD COLUMN CFG_SANGRIAFECHAMENTO Numeric(5) ;


/*-- SEQ 0111 --*/
-- Tarefa 91227 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD COLUMN CFG_REFORCOABERTURA Numeric(5) ;


/*-- SEQ 0112 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91227 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DCAI_SANGRIAFECHA FOREIGN KEY (CFG_SANGRIAFECHAMENTO) REFERENCES TD_CAI(CODTAB);

/*-- SEQ 0113 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91227 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DCAI_REFORCOABER FOREIGN KEY (CFG_REFORCOABERTURA) REFERENCES TD_CAI(CODTAB);

/*-- SEQ 0114 --*/
-- Tarefa 91227 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD COLUMN CFG_LIMITESANGRIACHEQUE Numeric(14,2) ;


/*-- SEQ 0115 --*/
-- Tarefa 91227 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD COLUMN CFG_SANGRIAFECHAMENTO Numeric(5) ;


/*-- SEQ 0116 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  91227 --
CREATE INDEX I_FK_CFG_DCAI_SANGRIAFECHA ON TT_CFG (CFG_SANGRIAFECHAMENTO)  ;

/*-- SEQ 0117 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91227 --
CREATE INDEX I_FK_CFG_DCAI_REFORCOABER ON TT_CFG (CFG_REFORCOABERTURA)  ;

/*-- SEQ 0118 --*/
-- Tarefa 91227 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD COLUMN CFG_REFORCOABERTURA Numeric(5) ;




/*-- SEQ 0119 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93768 --
DROP FUNCTION InsereDiasUteisFilial (TT_UTL.CODFIL%TYPE,TT_UTL.DATOPE%TYPE,TT_UTL.DATOPE%TYPE,VARCHAR) CASCADE;

/*-- SEQ 0120 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93768 --
DROP FUNCTION TGFER() CASCADE;

/*-- SEQ 0121 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93768 --
DROP FUNCTION TGFER2() CASCADE;


/*-- SEQ 0122 --*/
-- Tarefa 95594 --
ALTER TABLE TT_IBP ADD COLUMN ALIFEDNAC Numeric(4,2) ;


/*-- SEQ 0123 --*/
-- Tarefa 95594 --
ALTER TABLE TT_IBP ADD CONSTRAINT CK_IBP_ALIFEDNAC CHECK ((ALIFEDNAC >= 0) OR (ALIFEDNAC IS NULL));

/*-- SEQ 0124 --*/
-- Tarefa 95594 --
ALTER TABLE TT_IBP ADD COLUMN ALIFEDIMP Numeric(4,2) ;


/*-- SEQ 0125 --*/
-- Tarefa 95594 --
ALTER TABLE TT_IBP ADD CONSTRAINT CK_IBP_ALIFEDIMP CHECK ((ALIFEDIMP >= 0) OR (ALIFEDIMP IS NULL));

/*-- SEQ 0126 --*/
-- Tarefa 95594 --
ALTER TABLE TT_IBP ADD COLUMN ALIEST Numeric(4,2) ;


/*-- SEQ 0127 --*/
-- Tarefa 95594 --
ALTER TABLE TT_IBP ADD CONSTRAINT CK_IBP_ALIEST CHECK ((ALIEST >= 0) OR (ALIEST IS NULL));

/*-- SEQ 0128 --*/
-- Tarefa 95594 --
ALTER TABLE TT_IBP ADD COLUMN ALIMUN Numeric(4,2) ;


/*-- SEQ 0129 --*/
-- Tarefa 95594 --
ALTER TABLE TT_IBP ADD CONSTRAINT CK_IBP_ALIMUN CHECK ((ALIMUN >= 0) OR (ALIMUN IS NULL));

/*-- SEQ 0130 --*/
-- Tarefa 95594 --
ALTER TABLE TT_IBP ADD COLUMN DATINI Timestamp ;


/*-- SEQ 0131 --*/
-- Tarefa 95594 --
ALTER TABLE TT_IBP ADD COLUMN DATFIM Timestamp ;


/*-- SEQ 0132 --*/
-- Tarefa 95594 --
ALTER TABLE TT_IBP ADD COLUMN CHAVE CHAR(6) ;


/*-- SEQ 0133 --*/
-- Tarefa 95594 --
ALTER TABLE TT_IBP ADD COLUMN VERSAO VARCHAR(6) ;


/*-- SEQ 0134 --*/
-- Tarefa 95594 --
ALTER TABLE TT_IBP ADD COLUMN FONTE VARCHAR(34) ;


/*-- SEQ 0135 --*/
-- Tarefa 95594 --
CREATE INDEX I_LC_IBP_DATINI ON TT_IBP (DATINI)  ;

/*-- SEQ 0136 --*/
-- Tarefa 95594 --
ALTER TABLE TT_IBP ALTER COLUMN ALINAC DROP NOT NULL;

/*-- SEQ 0137 --*/
-- Tarefa 95594 --
ALTER TABLE TT_IBP ALTER COLUMN ALIIMP DROP NOT NULL;


/*-- SEQ 0138 --*/
-- Tarefa 95604 --
SELECT DISABLETRIGGERS(LOWER('TT_IBP'));

/*-- SEQ 0139 --*/
-- Tarefa 95604 --
UPDATE TT_IBP
   SET DATINI = TO_DATE('01/07/2013','DD/MM/YYYY'),
       DATFIM = TO_DATE('31/12/2014','DD/MM/YYYY')
     WHERE DATINI IS NULL;

/*-- SEQ 0140 --*/
-- Tarefa 95604 --
SELECT ENABLETRIGGERS(LOWER('TT_IBP'));


/*-- SEQ 0141 --*/
-- Tarefa 95598 --
SELECT DISABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0142 --*/
-- Tarefa 95598 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,393)||'S'||SUBSTR(PERMIS,395,9999);

/*-- SEQ 0143 --*/
-- Tarefa 95598 --
SELECT ENABLETRIGGERS(LOWER('TT_USU'));


/*-- SEQ 0144 --*/
-- Tarefa 95660 --
SELECT DISABLETRIGGERS(LOWER('TD_SAD'));

/*-- SEQ 0145 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_SAD ADD COLUMN FLGPES CHAR(1) DEFAULT 'A';

/*-- SEQ 0146 --*/
SELECT ENABLETRIGGERS(LOWER('TD_SAD'));

/*-- SEQ 0147 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95660 --
ALTER TABLE TD_SAD ALTER COLUMN FLGPES SET NOT NULL;

/*-- SEQ 0148 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95660 --
ALTER TABLE TD_SAD ADD CONSTRAINT CK_DSAD_FLGPES CHECK (FLGPES IN ('A','F','J'));

/*-- SEQ 0149 --*/
-- Tarefa 95660 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_SAD ADD COLUMN CODSEG VARCHAR(25) ;



/*-- SEQ 0150 --*/
-- Tarefa 95635 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0151 --*/
ALTER TABLE TT_CFG ADD COLUMN SEP_FAT_RETIRA_DEPOSITO VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0152 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0153 --*/
-- Tarefa 95635 --
ALTER TABLE TT_CFG ALTER COLUMN SEP_FAT_RETIRA_DEPOSITO SET NOT NULL;

/*-- SEQ 0154 --*/
-- Tarefa 95635 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_SEP_FAT_RETIRA_DEPOSITO CHECK (SEP_FAT_RETIRA_DEPOSITO IN ('T','F'));

/*-- SEQ 0155 --*/
-- Tarefa 95635 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0156 --*/
ALTER TABLE TW_CFG ADD COLUMN SEP_FAT_RETIRA_DEPOSITO VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0157 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));


/*-- SEQ 0158 --*/
-- Tarefa 95662 --
SELECT DISABLETRIGGERS(LOWER('TT_SAD'));

/*-- SEQ 0159 --*/
ALTER TABLE TT_SAD ADD COLUMN SIGNAT Numeric(5) DEFAULT 0;

/*-- SEQ 0160 --*/
SELECT ENABLETRIGGERS(LOWER('TT_SAD'));

/*-- SEQ 0161 --*/
-- Tarefa 95662 -- 
ALTER TABLE TT_SAD ALTER COLUMN SIGNAT SET NOT NULL;


/*-- SEQ 0162 --*/
-- Tarefa 95664 --
ALTER TABLE TT_SAV ADD COLUMN FILSAD CHAR(3) ;


/*-- SEQ 0163 --*/
-- Tarefa 95664 --
ALTER TABLE TT_SAV ADD COLUMN SEQSAD CHAR(10) ;


/*-- SEQ 0164 --*/
-- Tarefa 95664 --
ALTER TABLE TT_SAV ADD CONSTRAINT FK_SAV_SAD FOREIGN KEY (FILSAD,SEQSAD) REFERENCES TT_SAD(CODFIL,SEQUEN);

/*-- SEQ 0165 --*/
-- Tarefa 95664 --
SELECT DISABLETRIGGERS(LOWER('TT_SAV'));

/*-- SEQ 0166 --*/
-- Tarefa 95664 --
UPDATE TT_SAV SAV SET FILSAD = (SELECT SAD.CODFIL
                                  FROM TT_SAV TAB INNER JOIN TD_SAD DSAD ON TAB.CODSAD = DSAD.CODTAB
                                                  INNER JOIN TT_IOR IOR  ON IOR.CODFIL = TAB.FILPED
                                                                        AND IOR.TIPPED = TAB.TIPPED
                                                                        AND IOR.NUMPED = TAB.NUMPED
                                                                        AND IOR.NUMITE = TAB.NUMITE
                                                  INNER JOIN TT_SAD SAD  ON SAD.CODSAD = TAB.CODSAD
                                                                        AND SAD.FILMAT = IOR.FILMAT
                                                                        AND SAD.CODMAT = IOR.CODMAT
                                                                        AND SAD.CODCOR = IOR.CODCOR
                                                                        AND SAD.CODTAM = IOR.CODTAM
                                  WHERE TAB.CODFIL = SAV.CODFIL
                                    AND TAB.SEQUEN = SAV.SEQUEN),
                      SEQSAD = (SELECT SAD.SEQUEN
                                  FROM TT_SAV TAB INNER JOIN TD_SAD DSAD ON TAB.CODSAD = DSAD.CODTAB
                                                  INNER JOIN TT_IOR IOR  ON IOR.CODFIL = TAB.FILPED
                                                                        AND IOR.TIPPED = TAB.TIPPED
                                                                        AND IOR.NUMPED = TAB.NUMPED
                                                                        AND IOR.NUMITE = TAB.NUMITE
                                                  INNER JOIN TT_SAD SAD  ON SAD.CODSAD = TAB.CODSAD
                                                                        AND SAD.FILMAT = IOR.FILMAT
                                                                        AND SAD.CODMAT = IOR.CODMAT
                                                                        AND SAD.CODCOR = IOR.CODCOR
                                                                        AND SAD.CODTAM = IOR.CODTAM
                                  WHERE TAB.CODFIL = SAV.CODFIL
                                    AND TAB.SEQUEN = SAV.SEQUEN)
 WHERE (SAV.CODFIL,SAV.SEQUEN) IN
       (SELECT TAB.CODFIL, TAB.SEQUEN
          FROM TT_SAV TAB INNER JOIN TD_SAD DSAD ON TAB.CODSAD = DSAD.CODTAB
                          INNER JOIN TT_IOR IOR  ON IOR.CODFIL = TAB.FILPED
                                                AND IOR.TIPPED = TAB.TIPPED
                                                AND IOR.NUMPED = TAB.NUMPED
                                                AND IOR.NUMITE = TAB.NUMITE
                          INNER JOIN TT_SAD SAD  ON SAD.CODSAD = TAB.CODSAD
                                                AND SAD.FILMAT = IOR.FILMAT
                                                AND SAD.CODMAT = IOR.CODMAT
                                                AND SAD.CODCOR = IOR.CODCOR
                                                AND SAD.CODTAM = IOR.CODTAM);

/*-- SEQ 0167 --*/
-- Tarefa 95664 --
SELECT ENABLETRIGGERS(LOWER('TT_SAV'));


/*-- SEQ 0168 --*/
-- Tarefa 95664 --
CREATE INDEX I_FK_SAV_SAD ON TT_SAV(FILSAD,SEQSAD)  ;


/*-- SEQ 0169 --*/ 
-- Tarefa 95580 --  
ALTER TABLE TT_CFG DROP CONSTRAINT CK_CFG_TIPSUGPRO CASCADE;  

/*-- SEQ 0170 --*/
-- Tarefa 95580 -- 
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_TIPSUGPRO CHECK (TIPSUGPRO IN (0, 1, 2));


/*-- SEQ 0171 --*/
-- Tarefa 95497 --
SELECT DISABLETRIGGERS(LOWER('TT_SAV'));

/*-- SEQ 0172 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_SAV ADD COLUMN EXPORT VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0173 --*/
SELECT ENABLETRIGGERS(LOWER('TT_SAV'));

/*-- SEQ 0174 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95497 --
ALTER TABLE TT_SAV ALTER COLUMN EXPORT SET NOT NULL;

/*-- SEQ 0175 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95497 --
ALTER TABLE TT_SAV ADD CONSTRAINT CK_SAV_EXPORT CHECK (EXPORT IN ('T','F'));

/*-- SEQ 0176 --*/
-- Tarefa 95497 --
SELECT DISABLETRIGGERS(LOWER('TT_SAV'));

/*-- SEQ 0177 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_SAV ADD COLUMN EXPCAN VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0178 --*/
SELECT ENABLETRIGGERS(LOWER('TT_SAV'));

/*-- SEQ 0179 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95497 --
ALTER TABLE TT_SAV ALTER COLUMN EXPCAN SET NOT NULL;

/*-- SEQ 0180 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95497 --
ALTER TABLE TT_SAV ADD CONSTRAINT CK_SAV_EXPCAN CHECK (EXPORT IN ('T','F'));

/*-- SEQ 0181 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95497 --
CREATE INDEX I_LC_SAV_EXPORT ON TT_SAV (EXPORT)  ;

/*-- SEQ 0182 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95497 --
CREATE INDEX I_LC_SAV_EXPCAN ON TT_SAV (EXPCAN)  ;


/*-- SEQ 0183 --*/
-- Tarefa 95052 --
CREATE TABLE TI_INV (
    CODEXT VARCHAR(20),
    CODFIL CHAR(3),
    APEUSU VARCHAR(10),
    DATCRI Timestamp,
    DESINV VARCHAR(40),
    DESEST VARCHAR(30),
    STATUS Numeric(1) DEFAULT 0,
    MOTREJ VARCHAR(255),
    DATIMP Timestamp
)  ;

/*-- SEQ 0184 --*/
-- Tarefa 95052 --
ALTER TABLE TI_INV ALTER COLUMN CODEXT SET NOT NULL;

/*-- SEQ 0185 --*/
-- Tarefa 95052 --
ALTER TABLE TI_INV ALTER COLUMN CODFIL SET NOT NULL;

/*-- SEQ 0186 --*/
-- Tarefa 95052 --
ALTER TABLE TI_INV ALTER COLUMN APEUSU SET NOT NULL;

/*-- SEQ 0187 --*/
-- Tarefa 95052 --
ALTER TABLE TI_INV ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0188 --*/
-- Tarefa 95052 --
ALTER TABLE TI_INV ALTER COLUMN DESINV SET NOT NULL;

/*-- SEQ 0189 --*/
-- Tarefa 95052 --
ALTER TABLE TI_INV ALTER COLUMN STATUS SET NOT NULL;

/*-- SEQ 0190 --*/
-- Tarefa 95052 --
CREATE INDEX I_LC_IINV_STATUS ON TI_INV (STATUS, DATCRI)  ;

/*-- SEQ 0191 --*/
-- Tarefa 95052 --
CREATE TABLE TI_IIN (
    INV_CODEXT VARCHAR(20),
    GRA_CODEXT VARCHAR(20),
    GRA_REFUNI VARCHAR(20),
    QTDCON Numeric(12,4),
    DATCRI Timestamp,
    STATUS Numeric(1) DEFAULT 0,
    MOTREJ VARCHAR(255),
    DATIMP Timestamp
)  ;

/*-- SEQ 0192 --*/
-- Tarefa 95052 --
ALTER TABLE TI_IIN ALTER COLUMN INV_CODEXT SET NOT NULL;

/*-- SEQ 0193 --*/
-- Tarefa 95052 --
ALTER TABLE TI_IIN ALTER COLUMN QTDCON SET NOT NULL;

/*-- SEQ 0194 --*/
-- Tarefa 95052 --
ALTER TABLE TI_IIN ADD CONSTRAINT CK_IIIN_QTDCON CHECK (QTDCON >= 0);

/*-- SEQ 0195 --*/
-- Tarefa 95052 --
ALTER TABLE TI_IIN ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0196 --*/
-- Tarefa 95052 --
ALTER TABLE TI_IIN ALTER COLUMN STATUS SET NOT NULL;

/*-- SEQ 0197 --*/
-- Tarefa 95052 --
CREATE INDEX I_LC_IIIN_STATUS ON TI_IIN (STATUS, DATCRI)  ;

