
/*-- SEQ 0001 --*/
-- Tarefa 98782 --
ALTER TABLE TR_CAI ADD COLUMN CAI_ID Numeric(10,0) ;


/*-- SEQ 0002 --*/
-- Tarefa 98782 --
ALTER TABLE TT_LID ADD COLUMN CAI_ID Numeric(10,0) ;


/*-- SEQ 0003 --*/
-- Tarefa 98782 --
ALTER TABLE TR_CAI ALTER COLUMN ARQCAI DROP NOT NULL;

/*-- SEQ 0004 --*/
-- Tarefa 98782 --
ALTER TABLE TR_CAI ALTER COLUMN ARQXLS DROP NOT NULL;


/*-- SEQ 0005 --*/
-- Tarefa 98785 --
ALTER TABLE TT_FIN ADD COLUMN NUMECF CHAR(3) ;



/*-- SEQ 0006 --*/
-- Tarefa 98786 --
ALTER TABLE TT_VEN ADD COLUMN TRN_ID Numeric(12,0) ;


/*-- SEQ 0007 --*/
-- Tarefa 98786 --
ALTER TABLE TT_RTT ADD COLUMN TRN_ID Numeric(12,0) ;


/*-- SEQ 0008 --*/
-- Tarefa 98786 --
ALTER TABLE TT_CHR ADD COLUMN TRN_ID Numeric(12,0) ;


/*-- SEQ 0009 --*/
-- Tarefa 98786 --
ALTER TABLE TT_FIN ADD COLUMN TRN_ID Numeric(12,0) ;


/*-- SEQ 0010 --*/
-- Tarefa 98786 --
ALTER TABLE TT_VEN ADD CONSTRAINT FK_VEN_LID FOREIGN KEY (CODFIL, NUMECF, TRN_ID) REFERENCES TT_LID (CODFIL, NUMECF, TRN_ID);

/*-- SEQ 0011 --*/
-- Tarefa 98786 --
CREATE INDEX I_FK_VEN_LID ON TT_VEN (CODFIL, NUMECF, TRN_ID)  ;

/*-- SEQ 0012 --*/
-- Tarefa 98786 --
ALTER TABLE TT_RTT ADD CONSTRAINT FK_RTT_LID FOREIGN KEY (CODFIL, NUMECF, TRN_ID) REFERENCES TT_LID (CODFIL, NUMECF, TRN_ID);

/*-- SEQ 0013 --*/
-- Tarefa 98786 --
CREATE INDEX I_FK_RTT_LID ON TT_RTT (CODFIL, NUMECF, TRN_ID)  ;

/*-- SEQ 0014 --*/
-- Tarefa 98786 --
ALTER TABLE TT_CHR ADD CONSTRAINT FK_CHR_LID FOREIGN KEY (CODFIL, NUMECF, TRN_ID) REFERENCES TT_LID (CODFIL, NUMECF, TRN_ID);

/*-- SEQ 0015 --*/
-- Tarefa 98786 --
CREATE INDEX I_FK_CHR_LID ON TT_CHR (CODFIL, NUMECF, TRN_ID)  ;

/*-- SEQ 0016 --*/
-- Tarefa 98786 --
ALTER TABLE TT_FIN ADD CONSTRAINT FK_FIN_LID FOREIGN KEY (CODFIL, NUMECF, TRN_ID) REFERENCES TT_LID (CODFIL, NUMECF, TRN_ID);

/*-- SEQ 0017 --*/
-- Tarefa 98786 --
CREATE INDEX I_FK_FIN_LID ON TT_FIN (CODFIL, NUMECF, TRN_ID)  ;


/*-- SEQ 0018 --*/
-- Tarefa 97947 --
ALTER TABLE TD_NAT DROP CONSTRAINT CK_DNAT_TIPNAT CASCADE;

/*-- SEQ 0019 --*/
-- Tarefa 97947 --
ALTER TABLE TD_NAT ADD CONSTRAINT CK_DNAT_TIPNAT CHECK (TIPNAT IN ('E','S','V','D','F','A','C','M','N','P','R','J','B','O','I'));


/*-- SEQ 0020 --*/
-- Tarefa 97951 --
ALTER TABLE TT_CFG ADD COLUMN NATIMP Numeric(5) ;


/*-- SEQ 0021 --*/
-- Tarefa 97951 --
ALTER TABLE TW_CFG ADD COLUMN NATIMP Numeric(5) ;


/*-- SEQ 0022 --*/
-- Tarefa 97951 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DNAT_NATIMP FOREIGN KEY (NATIMP) REFERENCES TD_NAT (CODTAB);

/*-- SEQ 0023 --*/
-- Tarefa 97951 --
CREATE INDEX I_FK_CFG_DNAT_NATIMP ON TT_CFG (NATIMP)  ;


/*-- SEQ 0024 --*/
-- Tarefa 97953 --
ALTER TABLE TT_PRO ADD COLUMN VENPISIMP Numeric(6,4) ;


/*-- SEQ 0025 --*/
-- Tarefa 97953 --
ALTER TABLE TT_PRO ADD COLUMN VENCOFIMP Numeric(6,4) ;


/*-- SEQ 0026 --*/
-- Tarefa 97953 --
ALTER TABLE TT_PRO ADD COLUMN PER_II Numeric(5,2) ;



/*-- SEQ 0027 --*/
-- Tarefa 97949 --
ALTER TABLE TD_FIL ADD COLUMN SERIMP CHAR(2) ;


/*-- SEQ 0028 --*/
-- Tarefa 97949 --
ALTER TABLE TD_FIL ADD CONSTRAINT FK_DFIL_DSER_SERIMP FOREIGN KEY (SERIMP) REFERENCES TD_SER (CODSER);

/*-- SEQ 0029 --*/
-- Tarefa 97949 --
CREATE INDEX I_FK_DFIL_DSER_SERIMP ON TD_FIL (SERIMP)  ;


/*-- SEQ 0030 --*/
-- Tarefa 97955 --
ALTER TABLE TT_IVE ADD COLUMN BAS_II Numeric(12,2) ;


/*-- SEQ 0031 --*/
-- Tarefa 97955 --
ALTER TABLE TT_IVE ADD COLUMN VLR_II Numeric(12,2) ;


/*-- SEQ 0032 --*/
-- Tarefa 97955 --
ALTER TABLE TT_IVE ADD COLUMN VLRADU Numeric(12,2) ;


/*-- SEQ 0033 --*/
-- Tarefa 97955 --
ALTER TABLE TT_IVE ADD COLUMN PERPISCRE Numeric(6,4) ;


/*-- SEQ 0034 --*/
-- Tarefa 97955 --
ALTER TABLE TT_IVE ADD COLUMN VLRPISCRE Numeric(12,2) ;


/*-- SEQ 0035 --*/
-- Tarefa 97955 --
ALTER TABLE TT_IVE ADD COLUMN PERCOFCRE Numeric(6,4) ;


/*-- SEQ 0036 --*/
-- Tarefa 97955 --
ALTER TABLE TT_IVE ADD COLUMN VLRCOFCRE Numeric(12,2) ;


/*-- SEQ 0037 --*/
-- Tarefa 97955 --
ALTER TABLE TT_IVE ADD COLUMN VLRANT Numeric(12,2) ;


/*-- SEQ 0038 --*/
-- Tarefa 97955 --
ALTER TABLE TT_IVE ADD COLUMN TRAIMP VARCHAR(1) ;


/*-- SEQ 0039 --*/
-- Tarefa 97955 --
ALTER TABLE TT_IVE ADD COLUMN VLR_CM Numeric(16,4) ;


/*-- SEQ 0040 --*/
-- Tarefa 97955 --
ALTER TABLE TT_IVE ADD COLUMN VLRCMG Numeric(16,4) ;


/*-- SEQ 0041 --*/
-- Tarefa 97955 --
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_TRAIMP CHECK ((TRAIMP IS NULL) OR (TRAIMP IN ('1','2')));


/*-- SEQ 0042 --*/
-- Tarefa 97956 --
ALTER TABLE TT_VEN ADD COLUMN VLRADU Numeric(12,2) ;


/*-- SEQ 0043 --*/
-- Tarefa 97956 --
ALTER TABLE TT_VEN ADD COLUMN DOCIMP VARCHAR(12) ;


/*-- SEQ 0044 --*/
-- Tarefa 97956 --
ALTER TABLE TT_VEN ADD COLUMN TIPIMP CHAR(1) ;


/*-- SEQ 0045 --*/
-- Tarefa 97956 --
ALTER TABLE TT_VEN ADD CONSTRAINT CK_VEN_TIPIMP CHECK ((TIPIMP IS NULL) OR (TIPIMP IN ('0','1')));


/*-- SEQ 0046 --*/
-- Tarefa 98618 --
SELECT DISABLETRIGGERS(LOWER('TT_JOB'));

/*-- SEQ 0047 --*/ 
-- Tarefa 98618 --
DELETE
  FROM TT_JOB
 WHERE (NOMJOB = 'JOB_FECHADIA' OR 
        NOMJOB = 'JOB_MATERIALIZACUSTOVENDA')
   AND NOT EXISTS (SELECT 'OK'
                     FROM TD_FIL
                    WHERE CGCFIL = '05409686000192');

/*-- SEQ 0048 --*/
-- Tarefa 98618 --
SELECT ENABLETRIGGERS(LOWER('TT_JOB'));


/*-- SEQ 0049 --*/
-- Tarefa 98815 --
/*-- IGNORE ERRO --*/
DROP FUNCTION SET_SEQUENCE (VARCHAR(32),VARCHAR(32),VARCHAR(32)) CASCADE;

/*-- SEQ 0050 --*/
CREATE OR REPLACE FUNCTION SET_SEQUENCE (VARCHAR(32),VARCHAR(32),VARCHAR(32))
RETURNS VARCHAR AS $$
DECLARE
pTABELA ALIAS FOR $1 ;
pCOLUNA ALIAS FOR $2 ;
pSEQUENCE ALIAS FOR $3 ;
-- Variveis
   iSEQUEN                       Numeric(10);
   cSQL                          VARCHAR(254);
BEGIN
-- Processo
   cSQL := 'SELECT COALESCE(MAX(' || pCOLUNA || '),0)+1 FROM ' || pTABELA;
      
   EXECUTE cSQL INTO iSEQUEN;
   cSQL := 'ALTER SEQUENCE ' || pSEQUENCE || ' RESTART WITH ' || TO_CHAR(iSEQUEN);
   EXECUTE cSQL;
      
   RETURN 'OK';
END;
$$ language 'plpgsql';



/*-- SEQ 0051 --*/
select SET_SEQUENCE('TT_GRAXSC', 'ID', 'SQGRAXSC') from dual;


/*-- SEQ 0052 --*/
DROP FUNCTION SET_SEQUENCE (VARCHAR(32),VARCHAR(32),VARCHAR(32)) CASCADE;



/*-- SEQ 0053 --*/
-- Tarefa 98785 --
ALTER TABLE TT_FIN ADD CONSTRAINT FK_FIN_DECF FOREIGN KEY (CODFIL, NUMECF) REFERENCES TD_ECF (FILECF, NUMECF);

/*-- SEQ 0054 --*/
-- Tarefa 98785 --
CREATE INDEX I_FK_FIN_DECF ON TT_FIN (CODFIL, NUMECF)  ;


/*-- SEQ 0055 --*/
-- Tarefa 98372 --
ALTER TABLE TD_FIL DROP CONSTRAINT CK_DFIL_SEGMENTO CASCADE;

/*-- SEQ 0056 --*/
-- Tarefa 98372 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_SEGMENTO CHECK (SEGMENTO IN (1, 2, 3, 4, 99));



/*-- SEQ 0057 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97440 --
DROP FUNCTION PC_IVE_AUX_UPDATE (TT_IVE.VEN_DATHOR%TYPE,TT_IVE.CODFIL%TYPE,TT_IVE.FILMAT%TYPE,TT_IVE.CODMAT%TYPE,TT_IVE.CODCOR%TYPE,TT_IVE.CODTAM%TYPE) CASCADE;

/*-- SEQ 0058 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97440 --
DROP FUNCTION PC_IVE_AUX_UPDATE (TT_IVE.VEN_DATHOR%TYPE,TT_IVE.CODFIL%TYPE,TT_IVE.FILMAT%TYPE,TT_IVE.CODMAT%TYPE,TT_IVE.CODCOR%TYPE,TT_IVE.CODTAM%TYPE,TT_IVE.DUMMY%TYPE,TT_IVE.SEQUEN%TYPE,TT_IVE.NUMITE%TYPE,TT_IVE.QTDMOV%TYPE,TT_IVE.FILRES%TYPE) CASCADE;


/*-- SEQ 0059 --*/
-- Tarefa 98422 --
ALTER TABLE TD_CCC ADD COLUMN VLRBON Numeric(10, 4) ;


/*-- SEQ 0060 --*/
-- Tarefa 98422 --
ALTER TABLE TW_TAB ADD COLUMN VLRBON Numeric(10, 4) ;



/*-- SEQ 0061 --*/
-- Tarefa 98424 --
ALTER TABLE TD_FID ADD COLUMN IMGFUD VARCHAR(254) ;



/*-- SEQ 0062 --*/
-- Tarefa 98951 --
SELECT DISABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0063 --*/
ALTER TABLE TT_PRO ADD COLUMN FOR060 VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0064 --*/
SELECT ENABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0065 --*/
-- Tarefa 98951 --
ALTER TABLE TT_PRO ALTER COLUMN FOR060 SET NOT NULL;

/*-- SEQ 0066 --*/
-- Tarefa 98951 --
ALTER TABLE TT_PRO ADD CONSTRAINT CK_PRO_FOR060 CHECK (FOR060 IN ('T','F'));



/*-- SEQ 0067 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99046 --
DROP FUNCTION JOB_CONTARNUMEROVENDAS () CASCADE;

/*-- SEQ 0068 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99046 --
DROP FUNCTION ContarNumeroVendas () CASCADE;

/*-- SEQ 0069 --*/
-- Tarefa 99046 --
SELECT DISABLETRIGGERS(LOWER('TT_JOB'));

/*-- SEQ 0070 --*/
-- Tarefa 99046 --
DELETE FROM TT_JOB
 WHERE NOMJOB = 'JOB_CONTARNUMEROVENDAS';

/*-- SEQ 0071 --*/
-- Tarefa 99046 --
SELECT ENABLETRIGGERS(LOWER('TT_JOB'));


/*-- SEQ 0072 --*/
-- Tarefa 99135 --
SELECT DISABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0073 --*/
-- Tarefa 99135 --
UPDATE TT_PRO PRO SET 
       CODCES = (SELECT CAST(MIN(CXN.CODCES) AS VARCHAR(8)) AS CODCES
                   FROM TT_CESXNCM CXN
                  WHERE PRO.CODNCM LIKE CXN.CODNCM||'%'
                  GROUP BY PRO.CODNCM
                 HAVING COUNT(*)=1)
 WHERE PRO.CODNCM IS NOT NULL
   AND PRO.CODCES IS NULL;

/*-- SEQ 0074 --*/
-- Tarefa 99135 --
SELECT ENABLETRIGGERS(LOWER('TT_PRO'));



/*-- SEQ 0075 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97785 --
DROP FUNCTION SetarDataAtualizacao () CASCADE;

/*-- SEQ 0076 --*/
-- Tarefa 97785 --
SELECT DISABLETRIGGERS(LOWER('TT_JOB'));

/*-- SEQ 0077 --*/
-- Tarefa 97785 --
DELETE FROM TT_JOB
 WHERE NOMJOB = 'JOB_SETARDATAATUALIZACAO';

/*-- SEQ 0078 --*/
-- Tarefa 97785 --
SELECT ENABLETRIGGERS(LOWER('TT_JOB'));


/*-- SEQ 0079 --*/
-- Tarefa 99197 --
SELECT DISABLETRIGGERS(LOWER('TT_VEN'));

/*-- SEQ 0080 --*/
-- Tarefa 99197 --
UPDATE TT_VEN
   SET ORICAN = CASE ORICAN WHEN '1' THEN '2'
                            WHEN '2' THEN '1'
                END
 WHERE ORICAN IS NOT NULL
   AND NOT EXISTS (SELECT 1 AS OK
                     FROM TT_FUN
                    WHERE NOMFUN = 'ORICAN');

/*-- SEQ 0081 --*/
-- Tarefa 99197 --
SELECT ENABLETRIGGERS(LOWER('TT_VEN'));

/*-- SEQ 0082 --*/
-- Tarefa 99197 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0083 --*/
-- Tarefa 99197 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'ORICAN', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'ORICAN'));

/*-- SEQ 0084 --*/
-- Tarefa 99197 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0085 --*/
-- Tarefa 99195 --
SELECT DISABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0086 --*/
ALTER TABLE TT_CLI ADD COLUMN REGESP VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0087 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0088 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99195 --
ALTER TABLE TT_CLI ALTER COLUMN REGESP SET NOT NULL;

/*-- SEQ 0089 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99195 --
ALTER TABLE TT_CLI ADD CONSTRAINT CK_CLI_REGESP CHECK (REGESP IN ('T','F'));

/*-- SEQ 0090 --*/
-- Tarefa 99195 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0091 --*/
-- Tarefa 99195 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'CLI_REGESP', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'CLI_REGESP'));

/*-- SEQ 0092 --*/
-- Tarefa 99195 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0093 --*/
-- Tarefa 99205 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0094 --*/
-- Tarefa 99205 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'CEST_NF', TO_DATE('01/10/2016','DD/MM/YYYY'), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'CEST_NF'));

/*-- SEQ 0095 --*/
-- Tarefa 99205 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'CEST_CF', TO_DATE('01/10/2016','DD/MM/YYYY'), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'CEST_CF'));

/*-- SEQ 0096 --*/
-- Tarefa 99205 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0097 --*/
-- Tarefa 99069 --
SELECT ExecAlteraTipoColuna('TI_CLI','MAISPC','VARCHAR(254)');



/*-- SEQ 0098 --*/
-- Tarefa 99234 --
SELECT DISABLETRIGGERS(LOWER('TD_EXT'));

/*-- SEQ 0099 --*/
-- Tarefa 99234 --
INSERT INTO TD_EXT
(CODTAB, DESEXT, LOCREC, LOCCCC, LOCCHR, LOCFIN, LOCDOP, LOCTIT, LOCDEP, GERFIN, GERCCC)
(SELECT 217, 'PAGAMENTOS FORNECEDORES', 'T', 'T', 'T', 'F', 'F', 'T', 'T', 'T', 'T'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TD_EXT
                     WHERE CODTAB = 217));

/*-- SEQ 0100 --*/
-- Tarefa 99234 --
INSERT INTO TD_EXT
(CODTAB, DESEXT, LOCREC, LOCCCC, LOCCHR, LOCFIN, LOCDOP, LOCTIT, LOCDEP, GERFIN, GERCCC)
(SELECT 218, 'PAGAMENTOS DIVERSOS', 'T', 'T', 'T', 'F', 'F', 'T', 'T', 'T', 'T'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TD_EXT
                     WHERE CODTAB = 218));

/*-- SEQ 0101 --*/
-- Tarefa 99234 --
INSERT INTO TD_EXT
(CODTAB, DESEXT, LOCREC, LOCCCC, LOCCHR, LOCFIN, LOCDOP, LOCTIT, LOCDEP, GERFIN, GERCCC)
(SELECT 219, 'PAGAMENTOS SALARIOS', 'T', 'T', 'T', 'F', 'F', 'T', 'T', 'T', 'T'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TD_EXT
                     WHERE CODTAB = 219));

/*-- SEQ 0102 --*/
-- Tarefa 99234 --
SELECT ENABLETRIGGERS(LOWER('TD_EXT'));


/*-- SEQ 0103 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99298 --
DROP FUNCTION TGDIV() CASCADE;

/*-- SEQ 0104 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99298 --
DROP FUNCTION TGSUB() CASCADE;


/*-- SEQ 0105 --*/
-- Tarefa 99297 --
SELECT ExecAlteraTipoColuna('TT_IOR','PERMCP','Numeric(12, 4)');


/*-- SEQ 0106 --*/
-- Tarefa 99297 --
SELECT ExecAlteraTipoColuna('TT_ORC','PERMCPTOT','Numeric(12, 4)');



/*-- SEQ 0107 --*/
-- Tarefa 99809 --
SELECT ExecAlteraTipoColuna('TI_CLI','CELCON','VARCHAR(10)');


/*-- SEQ 0108 --*/
-- Tarefa 99809 --
SELECT ExecAlteraTipoColuna('TI_CLI','CELNUM','VARCHAR(10)');


/*-- SEQ 0109 --*/
-- Tarefa 99809 --
SELECT ExecAlteraTipoColuna('TI_CLI','CELUCO','VARCHAR(10)');


/*-- SEQ 0110 --*/
-- Tarefa 99809 --
SELECT ExecAlteraTipoColuna('TI_CLI','CONTEL','VARCHAR(10)');


/*-- SEQ 0111 --*/
-- Tarefa 99809 --
SELECT ExecAlteraTipoColuna('TI_CLI','NUMTEL','VARCHAR(10)');


/*-- SEQ 0112 --*/
-- Tarefa 99809 --
SELECT ExecAlteraTipoColuna('TI_CLI','TELCON','VARCHAR(10)');


/*-- SEQ 0113 --*/
-- Tarefa 99809 --
SELECT ExecAlteraTipoColuna('TT_SPC','NUMTEL','VARCHAR(10)');


/*-- SEQ 0114 --*/
-- Tarefa 99809 --
SELECT ExecAlteraTipoColuna('TT_SPC','TELCON','VARCHAR(10)');




/*-- SEQ 0115 --*/
-- Tarefa 100032 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0116 --*/
-- Tarefa 100032 --
UPDATE TT_FUN SET DATFUN = TO_DATE('01/07/2017','DD/MM/YYYY')
  WHERE NOMFUN = 'CEST_NF';

/*-- SEQ 0117 --*/
-- Tarefa 100032 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0118 --*/
-- Tarefa 100086 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0119 --*/
-- Tarefa 100086 --
UPDATE TT_FUN SET DATFUN = TO_DATE('01/07/2017','DD/MM/YYYY')
  WHERE NOMFUN = 'CEST_CF';

/*-- SEQ 0120 --*/
-- Tarefa 100086 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0121 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100108 --
SELECT * FROM NADA;

/*-- SEQ 0122 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100108 --
SELECT * FROM NADA;

/*-- SEQ 0123 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100108 --
SELECT * FROM NADA;

/*-- SEQ 0124 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100108 --
SELECT * FROM NADA;


/*-- SEQ 0125 --*/
-- Tarefa 100108 --
SELECT DISABLETRIGGERS(LOWER('TT_SAL'));

/*-- SEQ 0126 --*/
-- Tarefa 100108 --
UPDATE TT_SAL
   SET CAL_CM = NULL, 
       ATU_CM = 'F', 
       DUMMY = 'x'
 WHERE NOT EXISTS (SELECT 1
                     FROM TT_FUN 
                    WHERE NOMFUN = 'ATU_CSTMDO');      

/*-- SEQ 0127 --*/
-- Tarefa 100108 --
SELECT ENABLETRIGGERS(LOWER('TT_SAL'));

/*-- SEQ 0128 --*/
-- Tarefa 100108 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0129 --*/
-- Tarefa 100108 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'ATU_CSTMDO', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'ATU_CSTMDO'));

/*-- SEQ 0130 --*/
-- Tarefa 100108 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));

