
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 00000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
-- GES-2019065316 --
SELECT DISABLETRIGGERS(LOWER('TT_SAL'));

/*-- SEQ 0003 --*/
ALTER TABLE TT_SAL ADD COLUMN DISMINZER VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0004 --*/
SELECT ENABLETRIGGERS(LOWER('TT_SAL'));

/*-- SEQ 0005 --*/
-- GES-2019065316 --
SELECT DISABLETRIGGERS(LOWER('TT_SAL'));

/*-- SEQ 0006 --*/
-- GES-2019065316 --
UPDATE TT_SAL SET DISMINZER = 'T';

/*-- SEQ 0007 --*/
-- GES-2019065316 --
SELECT ENABLETRIGGERS(LOWER('TT_SAL'));

/*-- SEQ 0008 --*/
-- GES-2019065316 --
ALTER TABLE TT_SAL ALTER COLUMN DISMINZER SET NOT NULL;

/*-- SEQ 0009 --*/
-- GES-2019065316 --
ALTER TABLE TT_SAL ADD CONSTRAINT CK_SAL_DISMINZER CHECK (DISMINZER IN ('T','F'));


/*-- SEQ 0010 --*/
-- GES - 2019065531 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0011 --*/
-- GES - 2019065531 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'CPM_DATINI', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'CPM_DATINI'));

/*-- SEQ 0012 --*/
-- GES - 2019065531 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0013 --*/
-- Tarefa 2019065278 --
ALTER TABLE TT_RDV ADD COLUMN EXTCAR VARCHAR(20) ;


/*-- SEQ 0014 --*/
-- Tarefa 2019065278 --
ALTER TABLE TT_RDV ADD COLUMN NOSNUM VARCHAR(20) ;


/*-- SEQ 0015 --*/
-- Tarefa 2019065278 --
ALTER TABLE TT_RDV ADD COLUMN VLDCAR VARCHAR(4) ;



/*-- SEQ 0016 --*/
-- Tarefa 2019071332 --
ALTER TABLE TT_END ADD COLUMN CODEXT VARCHAR(20) ;



/*-- SEQ 0017 --*/
-- GES - 2019062975 --
ALTER TABLE TT_IUF ADD COLUMN CODBEN VARCHAR(10) ;


/*-- SEQ 0018 --*/
-- GES - 2019062975 --
ALTER TABLE TT_IVE ADD COLUMN CODBEN VARCHAR(10) ;



/*-- SEQ 0019 --*/
-- GES - 2019062975 --
ALTER TABLE TT_IVE ADD COLUMN VLRDESON Numeric(15, 2) ;


/*-- SEQ 0020 --*/
-- GES - 2019062975 --
ALTER TABLE TT_IVE ADD COLUMN MOTDESON Numeric(2) ;


/*-- SEQ 0021 --*/
-- GES - 2019062975 --
ALTER TABLE TT_VEN ADD COLUMN VLRDESON Numeric(15, 2) ;


/*-- SEQ 0022 --*/
-- GES - 2019062975 --
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_MOTDESON CHECK (MOTDESON IN (3, 9, 12));

/*-- SEQ 0023 --*/
-- GES - 2019062975 --
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_NN_MOTDESON  CHECK ((MOTDESON IS NULL AND VLRDESON IS NULL) OR (MOTDESON IS NOT NULL AND VLRDESON IS NOT NULL));



/*-- SEQ 0024 --*/
-- GES-2019071897 --
ALTER TABLE TD_CCC ADD COLUMN CODEXT_DCCC VARCHAR(20) ;


/*-- SEQ 0025 --*/
-- GES-2019071897 --
ALTER TABLE TW_TAB ADD COLUMN CODEXT_DCCC VARCHAR(20) ;



/*-- SEQ 0026 --*/
-- GES-2019071898 --
ALTER TABLE TD_COB ADD COLUMN CODEXT_DCOB VARCHAR(20) ;


/*-- SEQ 0027 --*/
-- GES-2019071898 --
ALTER TABLE TW_TAB ADD COLUMN CODEXT_DCOB VARCHAR(20) ;



/*-- SEQ 0028 --*/
-- GES-2019071899 --
CREATE TABLE TI_CCC (
   ID_ICCC Numeric(10),
   DATCRI  Timestamp,
   CODFIL  CHAR(3),
   CODCLI  VARCHAR(20),
   DATOPE  Timestamp,
   VLRLAN  Numeric(12,2),
   NUMDOC  VARCHAR(13),
   COMPLE  VARCHAR(100),
   TIPLAN  CHAR(1),
   ATULIM  VARCHAR(1) DEFAULT 'T',
   CODCCC  VARCHAR(20),
   DESCCC  VARCHAR(30),
   CODCOB  VARCHAR(20),
   STATUS Numeric(1) DEFAULT 0,
   MOTREJ VARCHAR(255),
   DATIMP Timestamp
  )  ;

/*-- SEQ 0029 --*/
-- GES-2019071899 --
ALTER TABLE TI_CCC ADD CONSTRAINT PK_ICCC PRIMARY KEY (ID_ICCC);

/*-- SEQ 0030 --*/
-- GES-2019071899 --
ALTER TABLE TI_CCC ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0031 --*/
-- GES-2019071899 --
ALTER TABLE TI_CCC ALTER COLUMN STATUS SET NOT NULL;

/*-- SEQ 0032 --*/
-- GES-2019071899 --
ALTER TABLE TI_CCC ADD CONSTRAINT CK_ICCC_DATIMP CHECK (((DATIMP IS NOT NULL) AND (STATUS <> 0)) OR ((DATIMP IS NULL) AND (STATUS = 0)));

/*-- SEQ 0033 --*/
-- GES-2019071899 --
ALTER TABLE TI_CCC ADD CONSTRAINT CK_ICCC_STATUS CHECK (STATUS IN (0, 1, 2, 3, 4));

/*-- SEQ 0034 --*/
-- GES-2019071899 --
CREATE INDEX I_LC_ICCC_STATUS ON TI_CCC (STATUS, DATCRI)  ;

/*-- SEQ 0035 --*/
-- GES-2019071899 --
CREATE SEQUENCE SQICCC INCREMENT 1 START 1 MINVALUE 1;



/*-- SEQ 0036 --*/
-- GES-2019072918 --
ALTER TABLE TT_CCC DROP CONSTRAINT CK_CCC_TIPLAN CASCADE;

/*-- SEQ 0037 --*/
-- GES-2019072918 --
ALTER TABLE TT_CCC ADD CONSTRAINT CK_CCC_TIPLAN CHECK (TIPLAN IN ('A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Z', '0'));



/*-- SEQ 0038 --*/
-- GES-2019073248 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0039 --*/
-- GES-2019073248 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'NF_APOS_SEPARACAO_EC', 'Gera Nota Fiscal aps separao completa de pedido do E-Commerce', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'NF_APOS_SEPARACAO_EC'));

/*-- SEQ 0040 --*/
-- GES-2019073248 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0041 --*/
-- Ticket 2019071589 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0042 --*/
-- Ticket 2019071589 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'PEDPEN_F', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PEDPEN_F'));

/*-- SEQ 0043 --*/
-- Ticket 2019071589 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));

