
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 00000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
-- Ticket 2019117065 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0003 --*/
-- Ticket 2019117065 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'TRANSF_VLRITE_ST_MAJ', 'Majorar Valor de Item Substitudos em Transferncia', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'TRANSF_VLRITE_ST_MAJ'));

/*-- SEQ 0004 --*/
-- Ticket 2019117065 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0005 --*/
-- Ticket 2019113456 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0006 --*/
-- Ticket 2019113456 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'DEV_AUTO_CANC_POS', 'Devoluo automtica no cancelamento pelo Totall POS', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'DEV_AUTO_CANC_POS'));

/*-- SEQ 0007 --*/
-- Ticket 2019113456 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0008 --*/
-- Ticket 2019113436 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0009 --*/
-- Ticket 2019113436 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'USA_TAB_FORNECEDOR', 'Utiliza Tabela de Preos de Fornecedor para Pedido de Compras?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'USA_TAB_FORNECEDOR'));

/*-- SEQ 0010 --*/
-- Ticket 2019113436 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0011 --*/
-- Ticket 2019113436 --
CREATE TABLE TT_TPF (
  ID_TPF Numeric(14),
  FILFOR CHAR(3),
  CODFOR CHAR(6),
  TIPFRE VARCHAR(1) DEFAULT 'C',
  TPFATI VARCHAR(1) DEFAULT 'T',
  VLRDES_01 Numeric(6,4) DEFAULT 0,
  VLRDES_02 Numeric(6,4) DEFAULT 0,
  VLRDES_03 Numeric(6,4) DEFAULT 0,
  VLRDES_04 Numeric(6,4) DEFAULT 0,
  VLRDES_05 Numeric(6,4) DEFAULT 0,
  VLRDES_06 Numeric(6,4) DEFAULT 0,
  VLRDES_CALC Numeric(6,4) DEFAULT 0,
  VLRACR_01 Numeric(7,4) DEFAULT 0,
  VLRACR_02 Numeric(7,4) DEFAULT 0,
  DATVAL Timestamp,
  DATINC Timestamp,
  ATU_EM Timestamp
  )  ;

/*-- SEQ 0012 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_TPF ADD CONSTRAINT PK_TPF PRIMARY KEY (ID_TPF);

/*-- SEQ 0013 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_TPF ADD CONSTRAINT FK_TPF_CLI FOREIGN KEY (FILFOR, CODFOR) REFERENCES TT_CLI (FILCLI, CODCLI);

/*-- SEQ 0014 --*/
-- Ticket 2019113436 --
CREATE UNIQUE INDEX I_UQ_TPF ON TT_TPF (FILFOR, CODFOR)  ;

/*-- SEQ 0015 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_TPF ALTER COLUMN FILFOR SET NOT NULL;

/*-- SEQ 0016 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_TPF ALTER COLUMN CODFOR SET NOT NULL;

/*-- SEQ 0017 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_TPF ALTER COLUMN TIPFRE SET NOT NULL;

/*-- SEQ 0018 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_TPF ALTER COLUMN TPFATI SET NOT NULL;

/*-- SEQ 0019 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_TPF ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0020 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_TPF ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0021 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_TPF ADD CONSTRAINT CK_TPF_TPFATI CHECK (TPFATI IN ('T','F'));

/*-- SEQ 0022 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_TPF ADD CONSTRAINT CK_TPF_TIPFRE CHECK (TIPFRE IN ('C','F'));

/*-- SEQ 0023 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_TPF ADD CONSTRAINT CK_TPF_VLRDES_01 CHECK (VLRDES_01 >= 0);

/*-- SEQ 0024 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_TPF ADD CONSTRAINT CK_TPF_VLRDES_02 CHECK (VLRDES_02 >= 0);

/*-- SEQ 0025 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_TPF ADD CONSTRAINT CK_TPF_VLRDES_03 CHECK (VLRDES_03 >= 0);

/*-- SEQ 0026 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_TPF ADD CONSTRAINT CK_TPF_VLRDES_04 CHECK (VLRDES_04 >= 0);

/*-- SEQ 0027 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_TPF ADD CONSTRAINT CK_TPF_VLRDES_05 CHECK (VLRDES_05 >= 0);

/*-- SEQ 0028 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_TPF ADD CONSTRAINT CK_TPF_VLRDES_06 CHECK (VLRDES_06 >= 0);

/*-- SEQ 0029 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_TPF ADD CONSTRAINT CK_TPF_VLRDES_CALC CHECK (VLRDES_CALC >= 0);

/*-- SEQ 0030 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_TPF ADD CONSTRAINT CK_TPF_VLRACR_01 CHECK (VLRACR_01 >= 0);

/*-- SEQ 0031 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_TPF ADD CONSTRAINT CK_TPF_VLRACR_02 CHECK (VLRACR_02 >= 0);

/*-- SEQ 0032 --*/
-- Ticket 2019113436 --
CREATE SEQUENCE SQTPF INCREMENT 1 START 1 MINVALUE 1;



/*-- SEQ 0033 --*/
-- Ticket 2019113436 --
CREATE TABLE TT_IPF (
  ID_IPF Numeric(14),
  ID_TPF Numeric(14),
  NUMITE Numeric(5,0),
  FILMAT CHAR(3),
  CODMAT CHAR(5),
  CODCOR Numeric(5,0),
  CODTAM Numeric(5,0),
  VLRDES_01 Numeric(6,4) DEFAULT 0,
  VLRDES_02 Numeric(6,4) DEFAULT 0,
  VLRDES_03 Numeric(6,4) DEFAULT 0,
  VLRDES_04 Numeric(6,4) DEFAULT 0,
  VLRDES_05 Numeric(6,4) DEFAULT 0,
  VLRDES_06 Numeric(6,4) DEFAULT 0,
  VLRDES_CALC Numeric(6,4) DEFAULT 0,
  PERFRE Numeric(6,4) DEFAULT 0,
  PEREMB Numeric(6,4) DEFAULT 0,
  VLRFRE Numeric(12,2) DEFAULT 0,
  VLREMB Numeric(12,2) DEFAULT 0,
  VLRITE Numeric(12,2) DEFAULT 0,
  VLRLIQ Numeric(12,2) DEFAULT 0,
  VLRFIN Numeric(12,2) DEFAULT 0,
  IPIINC VARCHAR(1) DEFAULT 'T',
  IGNDES VARCHAR(1) DEFAULT 'F',
  DATINC Timestamp,
  ATU_EM Timestamp
  )  ;

/*-- SEQ 0034 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_IPF ADD CONSTRAINT PK_IPF PRIMARY KEY (ID_IPF);

/*-- SEQ 0035 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_IPF ADD CONSTRAINT FK_IPF_TPF FOREIGN KEY (ID_TPF) REFERENCES TT_TPF (ID_TPF);

/*-- SEQ 0036 --*/
-- Ticket 2019113436 --
CREATE INDEX I_FK_IPF_TPF ON TT_IPF (ID_TPF)  ;

/*-- SEQ 0037 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_IPF ADD CONSTRAINT FK_IPF_GRA FOREIGN KEY (FILMAT, CODMAT, CODCOR, CODTAM) REFERENCES TT_GRA (FILMAT, CODMAT, CODCOR, CODTAM);

/*-- SEQ 0038 --*/
-- Ticket 2019113436 --
CREATE INDEX I_FK_IPF_GRA ON TT_IPF (FILMAT, CODMAT, CODCOR, CODTAM)  ;

/*-- SEQ 0039 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_IPF ALTER COLUMN ID_TPF SET NOT NULL;

/*-- SEQ 0040 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_IPF ALTER COLUMN FILMAT SET NOT NULL;

/*-- SEQ 0041 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_IPF ALTER COLUMN CODMAT SET NOT NULL;

/*-- SEQ 0042 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_IPF ALTER COLUMN CODCOR SET NOT NULL;

/*-- SEQ 0043 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_IPF ALTER COLUMN CODTAM SET NOT NULL;

/*-- SEQ 0044 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_IPF ALTER COLUMN IPIINC SET NOT NULL;

/*-- SEQ 0045 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_IPF ALTER COLUMN IGNDES SET NOT NULL;

/*-- SEQ 0046 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_IPF ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0047 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_IPF ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0048 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_IPF ADD CONSTRAINT CK_IPF_IPIINC CHECK (IPIINC IN ('T','F'));

/*-- SEQ 0049 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_IPF ADD CONSTRAINT CK_IPF_IGNDES CHECK (IGNDES IN ('T','F'));

/*-- SEQ 0050 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_IPF ADD CONSTRAINT CK_IPF_VLRDES_01 CHECK (VLRDES_01 >= 0);

/*-- SEQ 0051 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_IPF ADD CONSTRAINT CK_IPF_VLRDES_02 CHECK (VLRDES_02 >= 0);

/*-- SEQ 0052 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_IPF ADD CONSTRAINT CK_IPF_VLRDES_03 CHECK (VLRDES_03 >= 0);

/*-- SEQ 0053 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_IPF ADD CONSTRAINT CK_IPF_VLRDES_04 CHECK (VLRDES_04 >= 0);

/*-- SEQ 0054 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_IPF ADD CONSTRAINT CK_IPF_VLRDES_05 CHECK (VLRDES_05 >= 0);

/*-- SEQ 0055 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_IPF ADD CONSTRAINT CK_IPF_VLRDES_06 CHECK (VLRDES_06 >= 0);

/*-- SEQ 0056 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_IPF ADD CONSTRAINT CK_IPF_VLRDES_CALC CHECK (VLRDES_CALC >= 0);

/*-- SEQ 0057 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_IPF ADD CONSTRAINT CK_IPF_VLRITE CHECK (VLRITE >= 0);

/*-- SEQ 0058 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_IPF ADD CONSTRAINT CK_IPF_VLRLIQ CHECK (VLRLIQ >= 0);

/*-- SEQ 0059 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_IPF ADD CONSTRAINT CK_IPF_VLRFIN CHECK (VLRFIN >= 0);

/*-- SEQ 0060 --*/
-- Ticket 2019113436 --
CREATE SEQUENCE SQIPF INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0061 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_PED ADD COLUMN VLREMB Numeric(12,2) ;


/*-- SEQ 0062 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_IPE ADD COLUMN VLREMB Numeric(12,2) ;


/*-- SEQ 0063 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_PED ADD COLUMN VLRIPI Numeric(12,2) ;


/*-- SEQ 0064 --*/
-- Ticket 2019113436 --
ALTER TABLE TT_IPE ADD COLUMN VLRIPI Numeric(12,2) ;





/*-- SEQ 0065 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2019088202 --
DROP FUNCTION Atu_ReservaPendente(TT_IVE.CODFIL%TYPE,TT_IVE.SEQUEN%TYPE,TT_IVE.NUMITE%TYPE,TT_IVE.QTDMOV%TYPE,TT_IVE.FILRES%TYPE) CASCADE;


/*-- SEQ 0066 --*/
-- Ticket 2019113438 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0067 --*/
-- Ticket 2019113438 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'FILPRO_FPP', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'FILPRO_FPP'));

/*-- SEQ 0068 --*/
-- Ticket 2019113438 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0069 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2019113438 --
DROP FUNCTION PrecoPromocional (TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,TT_PLA.FILPGT%TYPE,TT_PLA.CODPGT%TYPE,TT_PRE.FILPRE%TYPE,TT_PRE.SEQUEN%TYPE,Timestamp) CASCADE;

/*-- SEQ 0070 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2019113438 --
DROP FUNCTION PrecoPromocional (TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,TT_PLA.FILPGT%TYPE,TT_PLA.CODPGT%TYPE,TT_PRE.FILPRE%TYPE,TT_PRE.SEQUEN%TYPE) CASCADE;


/*-- SEQ 0071 --*/
-- Tarefa GES-2019124104 --
SELECT DISABLETRIGGERS(LOWER('TT_NCM'));

/*-- SEQ 0072 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '85411031', 
         'Zener',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '85411031' ));

/*-- SEQ 0073 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '85411032', 
         'Outros, de intensidade de corrente inferior ou igual a 3 A',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '85411032' ));

/*-- SEQ 0074 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '85411039', 
         'Outros',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '85411039' ));

/*-- SEQ 0075 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '85235210', 
         'Cartões e etiquetas de acionamento por aproximação',
         4, 
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '85235210' ));

 /*-- SEQ 0076 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '85235290', 
         'Outros',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '85235290' ));

/*-- SEQ 0077 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '85235900', 
         '-- Outros',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '85235900' ));

/*-- SEQ 0078 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '93039010', 
         'Lançadores do tipo utilizado com cartuchos dos itens 9306.21.10, 9306.21.20 ou 9306.21.30',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '93039010' ));

/*-- SEQ 0079 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '93039090', 
         'Outros',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '93039090' ));

/*-- SEQ 0080 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '93040010', 
         'Recipientes do tipo aerossol que contenham produtos químicos ou oleorresina de Capsicum, com fins irritantes',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '93040010' ));

/*-- SEQ 0081 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '93040090', 
         'Outras',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '93040090' ));

/*-- SEQ 0082 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '93062110', 
         'Que contenham produtos químicos ou oleorresina de Capsicum, com fins irritantes',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '93062110' ));

/*-- SEQ 0083 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '93062120', 
         'Outros, que produzem efeitos fumígenos, de iluminação, de som ou de identificação mediante tintas ou corantes',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '93062120' ));

/*-- SEQ 0084 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '93062130', 
         'Outros, com um ou mais projéteis de elastômeros',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '93062130' ));

/*-- SEQ 0085 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '93062190', 
         'Outros',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '93062190' ));

/*-- SEQ 0086 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '93069010', 
         'Granadas que contenham produtos químicos ou oleorresina de Capsicum, com fins irritantes',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '93069010' ));

/*-- SEQ 0087 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '93069020', 
         'Outras granadas, que produzem efeitos fumígenos, de iluminação, de som ou de identificação mediante tintas ou corantes',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '93069020' ));

/*-- SEQ 0088 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '93069090', 
         'Outros',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '93069090' ));

/*-- SEQ 0089 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '39049010', 
         'Poli(cloreto de vinila) clorado',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '39049010' ));   

/*-- SEQ 0090 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '39049090', 
         'Outros',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '39049090' ));

/*-- SEQ 0091 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '48101391', 
         'Papel revestido ou recoberto em uma face, do tipo wet strength, resistente à umidade e ao meio alcalino',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '48101391' ));

/*-- SEQ 0092 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '48101399', 
         'Outros',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '48101399' ));

/*-- SEQ 0093 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '48101991',
         'Papel revestido ou recoberto em uma face, do tipo wet strength, resistente à umidade e ao meio alcalino',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '48101991' ));

/*-- SEQ 0094 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '48101999', 
         'Outros',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '48101999' ));

/*-- SEQ 0095 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '84807910', 
         'Para vulcanização de pneumáticos',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '84807910' ));

/*-- SEQ 0096 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '84807990', 
         'Outros',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '84807990' ));

/*-- SEQ 0097 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '85061031', 
         'Alcalinas, de tensão igual a 9 V',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '85061031' ));

/*-- SEQ 0098 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '85061039', 
         'Outras',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '85061039' ));

/*-- SEQ 0099 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '85075010', 
         'De tensão igual a 1,2 V, cilíndricos do tipo HR6 (AA)',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '85075010' ));

/*-- SEQ 0100 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '85075020', 
         'De tensão igual a 1,2 V, cilíndricos do tipo HR03 (AAA)',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '85075020' ));

/*-- SEQ 0101 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '85075090', 
         'Outros',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '85075090' ));

/*-- SEQ 0102 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '85433010', 
         'De eletrólise, com células de membrana',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '85433010' ));

/*-- SEQ 0103 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '85433090', 
         'Outros',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '85433090' ));

/*-- SEQ 0104 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '90183213', 
         'Agulhas ponta de lápis, do tipo das utilizadas em anestesia epidural ou raquidiana',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '90183213' ));

/*-- SEQ 0105 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '95089011', 
         'Com percurso igual ou superior a 300 m',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '95089011' ));

/*-- SEQ 0106 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '95089012', 
         'Vagonetes com capacidade igual ou superior a 6 pessoas',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '95089012' ));

/*-- SEQ 0107 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '95089019', 
         'Outras',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '95089019' ));

/*-- SEQ 0108 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '95089021', 
         'Carrosséis, mesmo dotados de dispositivo de elevação, de diâmetro igual ou superior a 16 m',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '95089021' ));

/*-- SEQ 0109 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '95089022', 
         'Carrosséis, mesmo dotados de dispositivo de elevação, de diâmetro inferior a 16 m',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '95089022' ));

/*-- SEQ 0110 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '95089023', 
         'Balanços e recreações giratórias',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '95089023' ));

/*-- SEQ 0111 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '95089041', 
         'Carrinhos de choque (bate-bate)',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '95089041' ));

/*-- SEQ 0112 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '95089042', 
         'Simuladores de movimentos e cinemas dinâmicos',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '95089042' ));

/*-- SEQ 0113 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '95089043', 
         'Equipamentos recreativos para parques aquáticos',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '95089043' ));

/*-- SEQ 0114 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '95089049', 
         'Outros',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '95089049' ));

/*-- SEQ 0115 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '95089050', 
         'Instalações de tiro ao alvo e outras diversões de parques e feiras',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '95089050' ));

/*-- SEQ 0116 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '95089060', 
         'Teatros ambulantes',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '95089060' ));

/*-- SEQ 0117 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '85061011', 
         'De tensão igual a 1,5 V, cilíndricas, do tipo LR14 (C)',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '85061011' ));

/*-- SEQ 0118 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '85061012', 
         'De tensão igual a 1,5 V, cilíndricas, do tipo LR20 (D)',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '85061012' ));

/*-- SEQ 0119 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '85061019', 
         'Outras',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '85061019' ));

/*-- SEQ 0120 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '85061032', 
         'Alcalinas, de tensão igual a 12 V',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '85061032' ));

/*-- SEQ 0121 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '27075010', 
         'Misturas que contenham trimetilbenzenos e etiltoluenos, como componentes mojoritários',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '27075010' ));

/*-- SEQ 0122 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '27075090', 
         'Outras',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '27075090' ));

/*-- SEQ 0123 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '31053000', 
         '- Hidrogeno-ortofosfato de diamônio (fosfato diamônico ou diamoniacal)',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '31053000' ));

/*-- SEQ 0124 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '38237040', 
         'Cetílico',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '38237040' ));

/*-- SEQ 0125 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '29091920', 
         'Sevoflurano',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '29091920' ));

/*-- SEQ 0126 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '30039097', 
         'Sevoflurano',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '30039097' ));

/*-- SEQ 0127 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '30049097', 
         'Sevoflurano',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '30049097' ));

/*-- SEQ 0128 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '54033110', 
         'Crus ou branqueados',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '54033110' ));

/*-- SEQ 0129 --*/
-- Tarefa GES-2019124104 --
 INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM) 
 (SELECT '54033190', 
         'Outros',
         4,
         'T',
         AGORA(),
         AGORA()
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_NCM
                      WHERE CODNCM = '54033190' ));

/*-- SEQ 0130 --*/
-- Tarefa GES-2019124104 --
SELECT ENABLETRIGGERS(LOWER('TT_NCM'));


/*-- SEQ 0131 --*/
-- Tarefa GES-2019124104 --
SELECT DISABLETRIGGERS(LOWER('TT_NCM'));

/*-- SEQ 0132 --*/
-- Tarefa GES-2019124104 --
 UPDATE TT_NCM
   SET FLGATI = 'F'  
 WHERE CODNCM = '85235200';
 
/*-- SEQ 0133 --*/ 
-- Tarefa GES-2019124104 --
 UPDATE TT_NCM
   SET FLGATI = 'F' 
 WHERE CODNCM = '85235910';

/*-- SEQ 0134 --*/
-- Tarefa GES-2019124104 --
 UPDATE TT_NCM
   SET FLGATI = 'F'  
 WHERE CODNCM = '85235990';

/*-- SEQ 0135 --*/
-- Tarefa GES-2019124104 --
 UPDATE TT_NCM
   SET FLGATI = 'F' 
 WHERE CODNCM = '93039000';

/*-- SEQ 0136 --*/
-- Tarefa GES-2019124104 --
 UPDATE TT_NCM
   SET FLGATI = 'F' 
 WHERE CODNCM = '93040000';

/*-- SEQ 0137 --*/
-- Tarefa GES-2019124104 --
 UPDATE TT_NCM
   SET FLGATI = 'F' 
 WHERE CODNCM = '93062100';

/*-- SEQ 0138 --*/
-- Tarefa GES-2019124104 --
 UPDATE TT_NCM
   SET FLGATI = 'F' 
 WHERE CODNCM = '93069000';

/*-- SEQ 0139 --*/
-- Tarefa GES-2019124104 --
 UPDATE TT_NCM
   SET FLGATI = 'F' 
 WHERE CODNCM = '39049000';

/*-- SEQ 0140 --*/
-- Tarefa GES-2019124104 --
 UPDATE TT_NCM
   SET FLGATI = 'F' 
 WHERE CODNCM = '48101390';

/*-- SEQ 0141 --*/
-- Tarefa GES-2019124104 --
 UPDATE TT_NCM
   SET FLGATI = 'F' 
 WHERE CODNCM = '48101990';

/*-- SEQ 0142 --*/
-- Tarefa GES-2019124104 --
 UPDATE TT_NCM
   SET FLGATI = 'F' 
 WHERE CODNCM = '84807900';

/*-- SEQ 0143 --*/
-- Tarefa GES-2019124104 --
 UPDATE TT_NCM
   SET FLGATI = 'F' 
 WHERE CODNCM = '85075000';

/*-- SEQ 0144 --*/
-- Tarefa GES-2019124104 --
 UPDATE TT_NCM
   SET FLGATI = 'F' 
 WHERE CODNCM = '85433000';

/*-- SEQ 0145 --*/
-- Tarefa GES-2019124104 --
 UPDATE TT_NCM
   SET FLGATI = 'F' 
 WHERE CODNCM = '95089010';

/*-- SEQ 0146 --*/
-- Tarefa GES-2019124104 --
 UPDATE TT_NCM
   SET FLGATI = 'F' 
 WHERE CODNCM = '95089020';

/*-- SEQ 0147 --*/
-- Tarefa GES-2019124104 --
 UPDATE TT_NCM
   SET FLGATI = 'F' 
 WHERE CODNCM = '95089030';

/*-- SEQ 0148 --*/
-- Tarefa GES-2019124104 --
 UPDATE TT_NCM
   SET FLGATI = 'F' 
 WHERE CODNCM = '95089090';

/*-- SEQ 0149 --*/
-- Tarefa GES-2019124104 --
 UPDATE TT_NCM
   SET FLGATI = 'F' 
 WHERE CODNCM = '85061010';

/*-- SEQ 0150 --*/
-- Tarefa GES-2019124104 --
 UPDATE TT_NCM
   SET FLGATI = 'F' 
 WHERE CODNCM = '85061030';

/*-- SEQ 0151 --*/
-- Tarefa GES-2019124104 --
 UPDATE TT_NCM
   SET FLGATI = 'F' 
 WHERE CODNCM = '27075000';

/*-- SEQ 0152 --*/
-- Tarefa GES-2019124104 --
 UPDATE TT_NCM
   SET FLGATI = 'F' 
 WHERE CODNCM = '31053010';

/*-- SEQ 0153 --*/
-- Tarefa GES-2019124104 --
 UPDATE TT_NCM
   SET FLGATI = 'F' 
 WHERE CODNCM = '31053090';

/*-- SEQ 0154 --*/
-- Tarefa GES-2019124104 --
 UPDATE TT_NCM
   SET FLGATI = 'F' 
 WHERE CODNCM = '38237030';

/*-- SEQ 0155 --*/
-- Tarefa GES-2019124104 --
 UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE CODNCM = '54033100';

/*-- SEQ 0156 --*/
-- Tarefa GES-2019124104 --
 UPDATE TT_NCM
   SET FLGATI = 'F' 
 WHERE CODNCM = '99980101';

/*-- SEQ 0157 --*/
-- Tarefa GES-2019124104 --
 UPDATE TT_NCM
   SET FLGATI = 'F' 
 WHERE CODNCM = '99980102';

/*-- SEQ 0158 --*/
-- Tarefa GES-2019124104 --
 UPDATE TT_NCM
   SET FLGATI = 'F' 
 WHERE CODNCM = '99980201';

/*-- SEQ 0159 --*/
-- Tarefa GES-2019124104 --
 UPDATE TT_NCM
   SET FLGATI = 'F' 
 WHERE CODNCM = '99980202';

/*-- SEQ 0160 --*/
-- Tarefa GES-2019124104 --
SELECT ENABLETRIGGERS(LOWER('TT_NCM'));


/*-- SEQ 0161 --*/
-- Ticket 2019108658 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0162 --*/
-- Ticket 2019108658 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'IMP_ALIQ_ICMS', 'Alquota de ICMS para Nota de Importao', 'N', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'IMP_ALIQ_ICMS'));

/*-- SEQ 0163 --*/
-- Ticket 2019108658 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'PERC_DIF_IMP', 'Percentual de Diferimento para Nota de Importao', 'N', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PERC_DIF_IMP'));

/*-- SEQ 0164 --*/
-- Ticket 2019108658 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'TTD_NF_IMP', 'TTD para NF de Importao', 'T', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'TTD_NF_IMP'));

/*-- SEQ 0165 --*/
-- Ticket 2019108658 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

