
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 00000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
-- Ticket 2020034673 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0003 --*/
-- Ticket 2020034673 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'VALIDA_FINANCEIRO', 'Realiza validao financeira ao selecionar cliente na venda no Totall POS e Totall Order Web?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'VALIDA_FINANCEIRO'));

/*-- SEQ 0004 --*/
-- Ticket 2020034673 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0005 --*/
-- Ticket 2020065119 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0006 --*/
-- Ticket 2020065119 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'DESATIVAR_CARGA_DAV', 'Desativar a carga incremental no resgate de DAV do Checkout', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'DESATIVAR_CARGA_DAV'));

/*-- SEQ 0007 --*/
-- Ticket 2020065119 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0008 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020064779 --
ALTER TABLE TI_PRO ADD COLUMN PERDIF Numeric(5,2) ;


/*-- SEQ 0009 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020064779 --
ALTER TABLE TI_PRO ADD COLUMN ALIDIF Numeric(5,2) ;


/*-- SEQ 0010 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020064779 --
ALTER TABLE TI_PRO ADD COLUMN REGDIF CHAR(1) ;


/*-- SEQ 0011 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020064779 --
ALTER TABLE TI_PRO ADD COLUMN CODBEN_00 VARCHAR(10) ;


/*-- SEQ 0012 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020064779 --
ALTER TABLE TI_PRO ADD COLUMN CODBEN_10 VARCHAR(10) ;


/*-- SEQ 0013 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020064779 --
ALTER TABLE TI_PRO ADD COLUMN CODBEN_20 VARCHAR(10) ;


/*-- SEQ 0014 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020064779 --
ALTER TABLE TI_PRO ADD COLUMN CODBEN_30 VARCHAR(10) ;


/*-- SEQ 0015 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020064779 --
ALTER TABLE TI_PRO ADD COLUMN CODBEN_40 VARCHAR(10) ;


/*-- SEQ 0016 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020064779 --
ALTER TABLE TI_PRO ADD COLUMN CODBEN_41 VARCHAR(10) ;


/*-- SEQ 0017 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020064779 --
ALTER TABLE TI_PRO ADD COLUMN CODBEN_50 VARCHAR(10) ;


/*-- SEQ 0018 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020064779 --
ALTER TABLE TI_PRO ADD COLUMN CODBEN_51 VARCHAR(10) ;


/*-- SEQ 0019 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020064779 --
ALTER TABLE TI_PRO ADD COLUMN CODBEN_60 VARCHAR(10) ;


/*-- SEQ 0020 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020064779 --
ALTER TABLE TI_PRO ADD COLUMN CODBEN_70 VARCHAR(10) ;


/*-- SEQ 0021 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020064779 --
ALTER TABLE TI_PRO ADD COLUMN CODBEN_90 VARCHAR(10) ;



/*-- SEQ 0022 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020039546 --
ALTER TABLE TT_RDV DROP CONSTRAINT CK_RDV_TIPRDV CASCADE;

/*-- SEQ 0023 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020039546 --
DROP INDEX I_UQ_RDV;


/*-- SEQ 0024 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020039546 --
SELECT DISABLETRIGGERS(LOWER('TT_GRA'));

/*-- SEQ 0025 --*/
ALTER TABLE TT_GRA ADD COLUMN SKYHUB VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0026 --*/
SELECT ENABLETRIGGERS(LOWER('TT_GRA'));

/*-- SEQ 0027 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020039546 --
SELECT ExecAlteraTipoColuna('TT_ORC','NUMPED_RE','VARCHAR(20)');




/*-- SEQ 0028 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020039546 --
CREATE TABLE TT_ORC_ECO (
  ORCECO_ID Numeric(10),
  FILORC CHAR(3) NOT NULL,
  TIPORC CHAR(1) NOT NULL,
  NUMORC CHAR(8) NOT NULL,
  FLGECO CHAR(1) NOT NULL,
  DATOPE Timestamp NOT NULL)  ;

/*-- SEQ 0029 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020039546 --
ALTER TABLE TT_ORC_ECO ADD CONSTRAINT PK_ORC_ECO PRIMARY KEY (ORCECO_ID);

/*-- SEQ 0030 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020039546 --
CREATE SEQUENCE SQORCECO INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0031 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020039546 --
ALTER TABLE TT_ORC_ECO ADD CONSTRAINT FK_ORC_ECO_ORC FOREIGN KEY (FILORC, TIPORC, NUMORC) REFERENCES TT_ORC (CODFIL, TIPPED, NUMPED);

/*-- SEQ 0032 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020039546 --
CREATE INDEX I_FK_ORC_ECO_ORC ON TT_ORC_ECO (FILORC, TIPORC, NUMORC)  ;

/*-- SEQ 0033 --*/
-- Tarefa 2020039546 --
SELECT DISABLETRIGGERS(LOWER('TT_ORC_ECO'));

/*-- SEQ 0034 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ORC_ECO ADD COLUMN EXPORT VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0035 --*/
SELECT ENABLETRIGGERS(LOWER('TT_ORC_ECO'));

/*-- SEQ 0036 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020039546 --
ALTER TABLE TT_ORC_ECO ALTER COLUMN EXPORT SET NOT NULL;

/*-- SEQ 0037 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020039546 --
ALTER TABLE TT_ORC_ECO ADD CONSTRAINT CK_ORC_ECO_EXPORT CHECK (EXPORT IN ('T','F'));

/*-- SEQ 0038 --*/
-- Tarefa 2020039546 --
INSERT INTO TT_ATU (ID_ATU, DESATU, DATINI, DATFIM, ATU_EM) (
    SELECT (SELECT MAX(LATU.ID_ATU)+1 FROM TT_ATU LATU), 'EXP_PRO_SKYHUB', NULL AS DATINI, NULL AS DATFIM, AGORA() AS ATU_EM 
      FROM DUAL
     WHERE NOT EXISTS(SELECT 1 AS OK FROM TT_ATU LATU WHERE LATU.DESATU = 'EXP_PRO_SKYHUB')
	   );

/*-- SEQ 0039 --*/
-- Tarefa 2020039546 --
INSERT INTO TT_ATU (ID_ATU, DESATU, DATINI, DATFIM, ATU_EM) (
    SELECT (SELECT MAX(LATU.ID_ATU)+1 FROM TT_ATU LATU), 'EXP_PRE_SKYHUB', NULL AS DATINI, NULL AS DATFIM, AGORA() AS ATU_EM 
      FROM DUAL
     WHERE NOT EXISTS(SELECT 1 AS OK FROM TT_ATU LATU WHERE LATU.DESATU = 'EXP_PRE_SKYHUB')
	   );

/*-- SEQ 0040 --*/
-- Tarefa 2020039546 --
INSERT INTO TT_ATU (ID_ATU, DESATU, DATINI, DATFIM, ATU_EM) (
    SELECT (SELECT MAX(LATU.ID_ATU)+1 FROM TT_ATU LATU), 'EXP_SAL_SKYHUB', NULL AS DATINI, NULL AS DATFIM, AGORA() AS ATU_EM 
      FROM DUAL
     WHERE NOT EXISTS(SELECT 1 AS OK FROM TT_ATU LATU WHERE LATU.DESATU = 'EXP_SAL_SKYHUB')
	   );





/*-- SEQ 0041 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020039546 --
ALTER TABLE TT_ORC_ECO ADD COLUMN DATINC Timestamp ;


/*-- SEQ 0042 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020039546 --
ALTER TABLE TT_ORC_ECO ADD COLUMN OBSERV TEXT ;


/*-- SEQ 0043 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020039546 --
ALTER TABLE TT_ORC_ECO ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0044 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020039546 --
ALTER TABLE TT_ORC ADD COLUMN CODRAS VARCHAR(40) ;


/*-- SEQ 0045 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020039546 --
ALTER TABLE TT_ORC ADD COLUMN METENT VARCHAR(40) ;


/*-- SEQ 0046 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020039546 --
ALTER TABLE TT_ORC ADD COLUMN URLENT VARCHAR(200) ;



/*-- SEQ 0047 --*/
-- Ticket 2020072036 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0048 --*/
-- Ticket 2020072036 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'NUM_CHR_PREF_CL_ECOM', 'Nmero de caracteres de prefixo da classe de produto para E-Commerce.', 'I', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'NUM_CHR_PREF_CL_ECOM'));

/*-- SEQ 0049 --*/
-- Ticket 2020072036 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0050 --*/
-- Ticket 2020070926 --
SELECT DISABLETRIGGERS(LOWER('TT_NCM'));

/*-- SEQ 0051 --*/
-- Ticket 2020070926 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '34011190',
        'Outros',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '34011190' ));

/*-- SEQ 0052 --*/
-- Ticket 2020070926 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '19059090',
        'Outros',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '19059090' ));

/*-- SEQ 0053 --*/
-- Ticket 2020070926 --
SELECT ENABLETRIGGERS(LOWER('TT_NCM'));

/*-- SEQ 0054 --*/
-- Ticket 2020070926 --
SELECT DISABLETRIGGERS(LOWER('TT_CES'));

/*-- SEQ 0055 --*/
-- Ticket 2020070926 --
INSERT INTO TT_CES (CODCES, DESCES, CESATI, DATINC)
(SELECT '2003401',
        'Lenos umedecidos',
        'T',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CES
                     WHERE CODCES = '2003401'));

/*-- SEQ 0056 --*/
-- Ticket 2020070926 --
INSERT INTO TT_CES (CODCES, DESCES, CESATI, DATINC)
(SELECT '1703101',
        'Salgadinhos diversos, derivados de farinha de trigo',
        'T',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CES
                     WHERE CODCES = '1703101'));

/*-- SEQ 0057 --*/
-- Ticket 2020070926 --
SELECT ENABLETRIGGERS(LOWER('TT_CES'));

/*-- SEQ 0058 --*/
-- Ticket 2020070926 --
SELECT DISABLETRIGGERS(LOWER('TT_CESXNCM'));

/*-- SEQ 0059 --*/
-- Ticket 2020070926 --
INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
(SELECT NEXTVAL('SQCXN'),
        '2003401',
        '34011190',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CESXNCM
                     WHERE CODCES = '2003401'
                       AND CODNCM = '34011190' ));

/*-- SEQ 0060 --*/
-- Ticket 2020070926 --
INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
(SELECT NEXTVAL('SQCXN'),
        '1703101',
        '19059090',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CESXNCM
                     WHERE CODCES = '1703101'
                       AND CODNCM = '19059090' ));

/*-- SEQ 0061 --*/
-- Ticket 2020070926 --
SELECT ENABLETRIGGERS(LOWER('TT_CESXNCM'));

