
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 0000000000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
-- Ticket 2023053114 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0003 --*/
-- Ticket 2023053114 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'ADD_HEAD_INFPRO', 'Adiciona Cdigo/Descrio do Header nas Informaes Complementares do Item?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'ADD_HEAD_INFPRO'));

/*-- SEQ 0004 --*/
-- Ticket 2023053114 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0005 --*/
-- Ticket 20230613984 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0006 --*/
-- Ticket 20230613984 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'PRECO_INFORMADO', 'Preo Informado substitui o preo de tabela no PoS?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PRECO_INFORMADO'));

/*-- SEQ 0007 --*/
-- Ticket 20230613984 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0008 --*/
-- Ticket 20230512273 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0009 --*/
-- Ticket 20230512273 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'BLQREC_DOCEMI_OUTFIL', 'Bloquear recebimento de documentos emitidos em outras Filiais?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'BLQREC_DOCEMI_OUTFIL'));

/*-- SEQ 0010 --*/
-- Ticket 20230512273 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0011 --*/
-- Ticket 20230512273 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0012 --*/
-- Ticket 20230512273 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'BLQREC_DOCEMI_OUTFIL'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0013 --*/
-- Ticket 20230512273 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0014 --*/
-- Ticket 20230111655 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0015 --*/
-- Ticket 20230111655 --
UPDATE TT_PCS
   SET NOMPCS = 'USAPRECPMACIMAPER'
 WHERE NOMPCS = 'USAPRECPMACIMAPER ';
 
/*-- SEQ 0016 --*/
-- Ticket 20230111655 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0017 --*/
-- Ticket 20230311917 --
SELECT DISABLETRIGGERS(LOWER('TT_CPR'));

/*-- SEQ 0018 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CPR ADD COLUMN IGNCMP VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0019 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CPR'));

/*-- SEQ 0020 --*/
/*-- IGNORE ERRO --*/
-- Ticket 20230311917 --
ALTER TABLE TT_CPR ADD CONSTRAINT CK_CPR_IGNCMP CHECK ((IGNCMP IS NULL) OR (IGNCMP IN ('T','F')));


/*-- SEQ 0021 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2020124088 --
ALTER TABLE TT_GRAXMDV ADD COLUMN ANOINIPROD Timestamp ;
 -- Ano incio de produo da Aplicao

/*-- SEQ 0022 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2020124088 --
ALTER TABLE TT_GRAXMDV ADD COLUMN ANOFIMPROD Timestamp ;
 -- Ano final de produo da Aplicao

/*-- SEQ 0023 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2020124088 --
CREATE INDEX I_LC_GRAXMDV_ANOINIPROD ON TT_GRAXMDV (ANOINIPROD)  ;

/*-- SEQ 0024 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2020124088 --
CREATE INDEX I_LC_GRAXMDV_ANOFIMPROD ON TT_GRAXMDV (ANOFIMPROD)  ;

/*-- SEQ 0025 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2020124088 --
ALTER TABLE TT_GRAXMDV ALTER COLUMN ANOINI DROP NOT NULL;

/*-- SEQ 0026 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2020124088 --
DROP INDEX I_UQ_GRAXMDV;

/*-- SEQ 0027 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2020124088 --
CREATE UNIQUE INDEX I_UQ_GRAXMDV ON TT_GRAXMDV (FILMAT,CODMAT,CODCOR,CODTAM,CODMDV,CODMOT,ANOINI,ANOFIM,ANOINIPROD,ANOFIMPROD)  ;

/*-- SEQ 0028 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2020124088 --
ALTER TABLE TD_MDV ADD COLUMN ANOINIPROD Timestamp ;
 -- Ano incio de produo do Modelo

/*-- SEQ 0029 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2020124088 --
ALTER TABLE TD_MDV ADD COLUMN ANOFIMPROD Timestamp ;
 -- Ano final de produo do Modelo

/*-- SEQ 0030 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2020124088 --
CREATE INDEX I_LC_DMDV_ANOINIPROD ON TD_MDV (ANOINIPROD)  ;

/*-- SEQ 0031 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2020124088 --
CREATE INDEX I_LC_DMDV_ANOFIMPROD ON TD_MDV (ANOFIMPROD)  ;

/*-- SEQ 0032 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2020124088 --
ALTER TABLE TD_VEI ADD COLUMN DATINC Timestamp ;
 -- Data de insero

/*-- SEQ 0033 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2020124088 --
ALTER TABLE TD_VEI ADD COLUMN ATU_EM Timestamp ;
 -- Data de alterao

/*-- SEQ 0034 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2020124088 --
SELECT DISABLETRIGGERS(LOWER('TD_VEI'));

/*-- SEQ 0035 --*/
-- Ticket 2020124088 --
UPDATE TD_VEI 
   SET ATU_EM = CURRENT_DATE, DATINC = CURRENT_DATE
 WHERE ATU_EM IS NULL
    OR DATINC IS NULL;

/*-- SEQ 0036 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2020124088 --
ALTER TABLE TD_VEI ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0037 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2020124088 --
ALTER TABLE TD_VEI ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0038 --*/
-- Ticket 2020124088 --
SELECT ENABLETRIGGERS(LOWER('TD_VEI'));


/*-- SEQ 0039 --*/
-- Ticket 20230711247 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0040 --*/
-- Ticket 20230711247 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'DESONERACAO_SUFRAMA', 'Destaca ICMS Desonerao apenas para Suframa?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'DESONERACAO_SUFRAMA'));

/*-- SEQ 0041 --*/
-- Ticket 20230711247 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0042 --*/
-- Ticket 2020124088 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0043 --*/
-- Ticket 2020124088 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'EXIBE_TAG_XML_VEIC', 'Exibir TAGs relacionadas ao XML do veculo no BackOffice?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'EXIBE_TAG_XML_VEIC'));

/*-- SEQ 0044 --*/
-- Ticket 2020124088 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));
 
/*-- SEQ 0045 --*/
-- Ticket 2020124088 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0046 --*/
-- Ticket 2020124088 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'EXIBE_TAG_XML_VEIC'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
    
/*-- SEQ 0047 --*/
-- Ticket 2020124088 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0048 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023085957 --
ALTER TABLE TT_IOR ADD COLUMN BASIRRF Numeric(12,2) ;


/*-- SEQ 0049 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023085957 --
ALTER TABLE TT_IOR ADD COLUMN PERIRRF Numeric(5,2) ;


/*-- SEQ 0050 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023085957 --
ALTER TABLE TT_IOR ADD COLUMN VLRIRRF Numeric(12,2) ;


/*-- SEQ 0051 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023085957 --
ALTER TABLE TT_IVE ADD COLUMN BASIRR Numeric(12,2) ;


/*-- SEQ 0052 --*/
-- Ticket 2023030881 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0053 --*/
-- Ticket 2023030881 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'APLIRRFCOMODESCORD', 'Aplica Valor do IRRF como desconto no Order?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'APLIRRFCOMODESCORD'));
                     
/*-- SEQ 0054 --*/
-- Ticket 2023030881 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0055 --*/
-- Ticket 2023030881 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0056 --*/
-- Ticket 2023030881 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'APLIRRFCOMODESCORD'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
  
/*-- SEQ 0057 --*/
-- Ticket 2023030881 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0058 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020124088 --
ALTER TABLE TT_GRAXMDV ADD COLUMN DATINCCAT Timestamp ;


/*-- SEQ 0059 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020124088 --
ALTER TABLE TT_GRAXMDV ADD COLUMN ATU_EMCAT Timestamp ;



/*-- SEQ 0060 --*/
-- Ticket 2023081310 --
ALTER TABLE TT_ICO DROP CONSTRAINT CK_ICO_CODCST CASCADE;

/*-- SEQ 0061 --*/
-- Ticket 2023081310 --
ALTER TABLE TT_ICO DROP CONSTRAINT CK_ICO_CSTXML CASCADE;

/*-- SEQ 0062 --*/
-- Ticket 2023081310 --
ALTER TABLE TT_ICO ADD CONSTRAINT CK_ICO_CODCST CHECK (CODCST IN ('00', '02', '10', '15', '20', '30', '40', '41', '50', '51', '53', '60', '61', '70', '90', '101', '102', '103', '201', '202', '203', '300', '400', '500', '900'));

/*-- SEQ 0063 --*/
-- Ticket 2023081310 --
ALTER TABLE TT_ICO ADD CONSTRAINT CK_ICO_CSTXML CHECK (CSTXML IN ('00', '02', '10', '15', '20', '30', '40', '41', '50', '51', '53', '60', '61', '70', '90', '101', '102', '103', '201', '202', '203', '300', '400', '500', '900'));


/*-- SEQ 0064 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023084636 --
SELECT * FROM NADA;

/*-- SEQ 0065 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023084636 --
SELECT * FROM NADA;

/*-- SEQ 0066 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023084636 --
SELECT * FROM NADA;

/*-- SEQ 0067 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023084636 --
SELECT * FROM NADA;

/*-- SEQ 0068 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023084636 --
SELECT * FROM NADA;

/*-- SEQ 0069 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023084636 --
SELECT * FROM NADA;


/*-- SEQ 0070 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023084636 --
SELECT * FROM NADA;


/*-- SEQ 0071 --*/
-- Ticket 2023067652 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0072 --*/
-- Ticket 2023067652 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'SEMPRE_RESERVA_DAVTV', 'Sempre realizar a reserva da DAV no Order Desktop quando opo Televendas habilitada?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'SEMPRE_RESERVA_DAVTV'));
                     
/*-- SEQ 0073 --*/
-- Ticket 2023067652 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));
 
/*-- SEQ 0074 --*/
-- Ticket 2023067652 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0075 --*/
-- Ticket 2023067652 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'SEMPRE_RESERVA_DAVTV'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
    
/*-- SEQ 0076 --*/
-- Ticket 2023067652 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0077 --*/
-- Ticket 2023072700 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0078 --*/
-- Ticket 2023072700 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'LOJA_ENDERECO_PADRAO', 'Utilizar endereo padro da Loja no cadastro de cliente do PoS?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'LOJA_ENDERECO_PADRAO'));
                     
/*-- SEQ 0079 --*/
-- Ticket 2023072700 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'APENAS_DIAMES_DATNAS', 'Utilizar apenas Dia/Ms do Aniversrio na data de nascimento do cliente no cadastro do PoS?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'APENAS_DIAMES_DATNAS'));
                     
/*-- SEQ 0080 --*/
-- Ticket 2023072700 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0081 --*/
-- Ticket 2023072700 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0082 --*/
-- Ticket 2023072700 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'LOJA_ENDERECO_PADRAO'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
    
/*-- SEQ 0083 --*/
-- Ticket 2023072700 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'APENAS_DIAMES_DATNAS'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0084 --*/
-- Ticket 2023072700 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0085 --*/
-- Ticket 2022072174 --
SELECT ExecAlteraTipoColuna('TD_CCC','DIARET','Numeric(4)');


/*-- SEQ 0086 --*/
-- Ticket 2022072174 --
SELECT ExecAlteraTipoColuna('TW_TAB','DIARET','Numeric(4)');



/*-- SEQ 0087 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023084636 --
DROP TABLE TEMP_CORRECAO_CCC;

/*-- SEQ 0088 --*/
-- Ticket 2023084636 --
CREATE TABLE TEMP_CORRECAO_CCC AS 
SELECT *  
  FROM TT_CCC
 WHERE COALESCE(SEQFAT, 'X') <> 'X'
    AND STATUS = 'A'
    AND TIPLAN NOT IN ('G', 'Q')
    AND DATOPE >= TO_DATE('26/06/2023','DD/MM/YYYY')
UNION ALL
SELECT *  
  FROM TT_CCC
 WHERE TIPLAN = 'G'
   AND STATUS <> 'F'
   AND DATOPE >= TO_DATE('01/01/2023','DD/MM/YYYY')
   AND EXISTS (SELECT 1 AS OK 
                 FROM TT_CCC CCC2 
                WHERE CCC2.NUMDOC = 'CC' || TT_CCC.NUMDOC );

/*-- SEQ 0089 --*/
-- Ticket 2023084636 --
SELECT DISABLETRIGGERS(LOWER('TT_CCC'));

/*-- SEQ 0090 --*/
-- Ticket 2023084636 --
UPDATE TT_CCC
   SET OLDSTT = STATUS,
       STATUS = CASE WHEN TIPLAN IN ('G', 'Q') THEN 'F' ELSE 'P' END
  WHERE (CODFIL, SEQUEN) IN (SELECT CODFIL, SEQUEN 
                               FROM TEMP_CORRECAO_CCC);

/*-- SEQ 0091 --*/
-- Ticket 2023084636 --
UPDATE TT_CCC
   SET PORORI = (SELECT PORECF
                   FROM TD_ECF
                  WHERE FILECF = TT_CCC.CODFIL
                    AND NUMECF = TT_CCC.NUMECF)
 WHERE (CODFIL, SEQUEN) IN (SELECT CODFIL, SEQUEN 
                              FROM TEMP_CORRECAO_CCC)
   AND NUMECF IS NOT NULL;

/*-- SEQ 0092 --*/
-- Ticket 2023084636 --
UPDATE TT_CCC
   SET PORORI = (SELECT COALESCE(LXF.CODCOB,LIM.CODCOB) 
                   FROM TT_LIM LIM LEFT JOIN TT_LIMXFIL LXF ON LIM.FILCLI=LXF.FILCLI
                                                           AND LIM.CODCLI=LXF.CODCLI
                                                           AND LIM.TIPCCC=LXF.TIPCCC
                                                           AND LXF.CODFIL = TT_CCC.CODFIL
                  WHERE LIM.FILCLI = TT_CCC.FILCLI
                    AND LIM.CODCLI = TT_CCC.CODCLI
                    AND LIM.TIPCCC = TT_CCC.TIPCCC)
 WHERE (CODFIL, SEQUEN) IN (SELECT CODFIL, SEQUEN 
                              FROM TEMP_CORRECAO_CCC)
   AND PORORI IS NULL;

/*-- SEQ 0093 --*/
-- Ticket 2023084636 --
SELECT ENABLETRIGGERS(LOWER('TT_CCC'));

/*-- SEQ 0094 --*/
-- Ticket 2023084636 --
  SELECT INSERE_LFIN_LAN('CCC', CODFIL, SEQUEN, '--', '--')
    FROM TT_CCC
   WHERE (CODFIL, SEQUEN) IN (SELECT CODFIL, SEQUEN
                                FROM TEMP_CORRECAO_CCC
                               WHERE TIPLAN NOT IN ('G', 'Q') )
     AND DATINC >= TO_DATE('26/06/2023','DD/MM/YYYY');



/*-- SEQ 0095 --*/
-- Ticket 2023084636 --
UPDATE TT_LIM 
   SET VSALDO = 0.01;


/*-- SEQ 0096 --*/
-- Ticket 2023072700 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0097 --*/
-- Ticket 2023072700 --
UPDATE TT_PCS
   SET DESPCS = 'Utilizar endereo padro da loja no cadastro de cliente do PoS?'
 WHERE NOMPCS =  'LOJA_ENDERECO_PADRAO';

/*-- SEQ 0098 --*/
-- Ticket 2023072700 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0099 --*/
-- Ticket 2023084658 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0100 --*/
-- Ticket 2023084658 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'PISCOF_SEMIPIENTRADA', 'Retirar o valor do IPI da Base de PIS/COFINS nas entradas/compras?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PISCOF_SEMIPIENTRADA'));
                     
/*-- SEQ 0101 --*/
-- Ticket 2023084658 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'PISCOF_SEMIPISAIDA', 'Retirar o valor do IPI da Base de PIS/COFINS nas sadas?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PISCOF_SEMIPISAIDA'));
                     
/*-- SEQ 0102 --*/
-- Ticket 2023084658 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0103 --*/
-- Ticket 2023084658 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0104 --*/
-- Ticket 2023084658 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'T'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'PISCOF_SEMIPIENTRADA'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
    
/*-- SEQ 0105 --*/
-- Ticket 2023084658 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'T'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'PISCOF_SEMIPISAIDA'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0106 --*/
-- Ticket 2023084658 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0107 --*/
-- Ticket 2023093599 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0108 --*/
-- Ticket 2023093599 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'EDITAR_ITEM_PENDENTE', 'Permite editar item pendente no Order?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'EDITAR_ITEM_PENDENTE'));
                     
/*-- SEQ 0109 --*/
-- Ticket 2023093599 --
UPDATE TT_PCS
SET DESPCS = 'Preço Informado substitui o preço de tabela no PoS/Order?'
WHERE NOMPCS =  'PRECO_INFORMADO';                     

/*-- SEQ 0110 --*/
-- Ticket 2023093599 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0111 --*/
-- Ticket 2023091634 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0112 --*/
-- Ticket 2023091634 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'DESTACA_DESC_ITEM', 'Destacar o desconto do item no faturamento do Commerce Web?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'DESTACA_DESC_ITEM'));

/*-- SEQ 0113 --*/
-- Ticket 2023091634 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0114 --*/
-- Ticket 2023095799 --
SELECT DISABLETRIGGERS(LOWER('TT_NCM'));


/*-- SEQ 0115 --*/
-- Ticket 2023095799 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '19012010',
        'Massa para a preparao de po, sem adio de gros ou sementes integrais, congelada',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '19012010'));

/*-- SEQ 0116 --*/
-- Ticket 2023095799 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '19012020',
        'Massa para a preparao de po, com adio de gros ou sementes integrais, congelada',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '19012020'));
                     
/*-- SEQ 0117 --*/
-- Ticket 2023095799 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '19012090',
        'Outras',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '19012090'));
                     
/*-- SEQ 0118 --*/
-- Ticket 2023095799 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '30049098',
        'Regenerador de cartilagem, constitudo por colgeno moldado, absorvvel',
        5,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '30049098'));

/*-- SEQ 0119 --*/
-- Ticket 2023095799 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '19012000'
   AND Agora() > TO_DATE('01/11/2023','DD/MM/YYYY');

 /*-- SEQ 0120 --*/
-- Ticket 2023095799 --
SELECT ENABLETRIGGERS(LOWER('TT_NCM'));


/*-- SEQ 0121 --*/
-- Ticket 20230610934 --
ALTER TABLE TI_ITF ADD COLUMN CNPJ VARCHAR(14) ;


/*-- SEQ 0122 --*/
-- Ticket 20230610934 --
ALTER TABLE TI_ITF ADD COLUMN CODFIL CHAR(3) ;


/*-- SEQ 0123 --*/
-- Ticket 20230610934 --
ALTER TABLE TI_ITF ADD COLUMN BANDEIRA VARCHAR(50) ;



/*-- SEQ 0124 --*/
-- Ticket 2023092047 --
CREATE TABLE TT_GUARDA (
GUA_ID Numeric(5),
GUA_CODFIL CHAR(3),
GUA_NUMECF CHAR(3),
GUA_NUMNOT CHAR(6),
GUA_DATINC TIMESTAMP,
GUA_DATCONT TIMESTAMP,
GUA_DATENV TIMESTAMP,
GUA_MSG VARCHAR(4000),
GUA_SITUACAO CHAR(1), 
GUA_MODFIS CHAR(2), 
GUA_CHAVEA VARCHAR(44), 
GUA_SATSESSAO Numeric(6),
GUA_CODSER VARCHAR(20),
GUA_SATSERIE Numeric(9), 
GUA_PROTOCOLO VARCHAR(20), 
GUA_SATCFE Numeric(9), 
GUA_CNPJ VARCHAR(14), 
GUA_ATU_EM TIMESTAMP,
GUA_DATAAUTORIZACAO TIMESTAMP,
GUA_PROTOCOLOCANC VARCHAR(20), 
GUA_DATACANC TIMESTAMP,
GUA_LOTE VARCHAR(20), 
GUA_NFSENUMERO VARCHAR(20), 
GUA_NFSECODIGOVERIFICACAO VARCHAR(20), 
GUA_NFSECODIGOCANCELAMENTO VARCHAR(20), 
GUA_RECIBO VARCHAR(15),
GUA_XML_CANC VARCHAR(4000)
);

/*-- SEQ 0125 --*/
-- Ticket 2023092047 --
ALTER TABLE TT_GUARDA ADD CONSTRAINT PK_GUARDA PRIMARY KEY (GUA_ID);

/*-- SEQ 0126 --*/
-- Ticket 2023092047 --
ALTER TABLE TT_GUARDA ALTER COLUMN GUA_CODFIL SET NOT NULL;

/*-- SEQ 0127 --*/
-- Ticket 2023092047 --
ALTER TABLE TT_GUARDA ALTER COLUMN GUA_NUMECF SET NOT NULL;

/*-- SEQ 0128 --*/
-- Ticket 2023092047 --
ALTER TABLE TT_GUARDA ALTER COLUMN GUA_SITUACAO SET NOT NULL;

/*-- SEQ 0129 --*/
-- Ticket 2023092047 --
ALTER TABLE TT_GUARDA ALTER COLUMN GUA_MODFIS SET NOT NULL;

/*-- SEQ 0130 --*/
-- Ticket 2023092047 --
ALTER TABLE TT_GUARDA ALTER COLUMN GUA_CODSER SET NOT NULL;

/*-- SEQ 0131 --*/
-- Ticket 2023092047 --
ALTER TABLE TT_GUARDA ALTER COLUMN GUA_ATU_EM SET NOT NULL;

/*-- SEQ 0132 --*/
-- Ticket 2023092047 --
ALTER TABLE TT_GUARDA ADD COLUMN GUA_XML Text;



/*-- SEQ 0133 --*/
-- Ticket 2023069535 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0134 --*/
-- Ticket 2023069535 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'IMP_AUTO_DAV_GRAVAR', 'Imprimir automaticamente o DAV/Pr-Venda aps a gravao no OrderWeb?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'IMP_AUTO_DAV_GRAVAR'));

/*-- SEQ 0135 --*/
-- Ticket 2023069535 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'IMP_ITENS_NOVOS_DAV', 'Imprimir somente os itens novos inseridos no DAV/Pr-Venda do OrderWeb?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'IMP_ITENS_NOVOS_DAV'));

/*-- SEQ 0136 --*/
-- Ticket 2023069535 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0137 --*/
-- Ticket 2023069535 --
ALTER TABLE TT_ORC ADD COLUMN CODIDENT VARCHAR(50) ;



/*-- SEQ 0138 --*/
-- TICKET 2023065725 --
DELETE FROM TT_DOM;

/*-- SEQ 0139 --*/
-- TICKET 2023065725 --
ALTER TABLE TT_DOM ADD CONSTRAINT AK_DOM_REGRA UNIQUE (CODARQ,NOMCPO,CODINT,CODCHR,CODSTR);


/*-- SEQ 0140 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2023095770 --
ALTER TABLE TD_VEI DROP CONSTRAINT AK_DVEI_DESVEI CASCADE;

/*-- SEQ 0141 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2023095770 --
ALTER TABLE TD_VEI ADD CONSTRAINT AK_DVEI_DESVEI_CODMTD UNIQUE (DESVEI,CODMTD);


/*-- SEQ 0142 --*/
-- Ticket 2023099970 --
CREATE TABLE TT_CPRXTPR (
  FILCPR CHAR(3),
  SEQCPR CHAR(10),
  SEQUEN CHAR(10),
  FILTPR CHAR(3),
  SEQTPR Numeric(5,0),
  DATINC Timestamp
);

/*-- SEQ 0143 --*/
-- Ticket 2023099970 --
ALTER TABLE TT_CPRXTPR ADD CONSTRAINT PK_CPRXTPR PRIMARY KEY (FILCPR, SEQCPR, SEQUEN);

/*-- SEQ 0144 --*/
-- Ticket 2023099970 --
ALTER TABLE TT_CPRXTPR ALTER COLUMN FILTPR SET NOT NULL;

/*-- SEQ 0145 --*/
-- Ticket 2023099970 --
ALTER TABLE TT_CPRXTPR ALTER COLUMN SEQTPR SET NOT NULL;

/*-- SEQ 0146 --*/
-- Ticket 2023099970 --
CREATE SEQUENCE SQCPRXTPR INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0147 --*/
-- Ticket 2023099970 --
ALTER TABLE TT_CPRXTPR ADD CONSTRAINT FK_CPRXTPR_CPR FOREIGN KEY (FILCPR, SEQCPR) REFERENCES TT_CPR (CODFIL, SEQUEN);

/*-- SEQ 0148 --*/
-- Ticket 2023099970 --
CREATE INDEX I_FK_CPRXTPR_CPR ON TT_CPRXTPR (FILCPR, SEQCPR)  ;

/*-- SEQ 0149 --*/
-- Ticket 2023099970 --
ALTER TABLE TT_CPRXTPR ADD CONSTRAINT FK_CPRXTPR_TPR FOREIGN KEY (FILTPR, SEQTPR) REFERENCES TT_TPR (CODFIL, CODPRE);

/*-- SEQ 0150 --*/
-- Ticket 2023099970 --
CREATE INDEX I_FK_CPRXTPR_TPR ON TT_CPRXTPR (FILTPR, SEQTPR)  ;

/*-- SEQ 0151 --*/
-- Ticket 2023099970 --
CREATE TABLE TT_CPRXPLA (
  FILCPR CHAR(3),
  SEQCPR CHAR(10),
  SEQUEN CHAR(10),
  FILPGT CHAR(3),
  CODPGT CHAR(3),
  DATINC Timestamp
);

/*-- SEQ 0152 --*/
-- Ticket 2023099970 --
ALTER TABLE TT_CPRXPLA ADD CONSTRAINT PK_CPRXPLA PRIMARY KEY (FILCPR, SEQCPR, SEQUEN);

/*-- SEQ 0153 --*/
-- Ticket 2023099970 --
ALTER TABLE TT_CPRXPLA ALTER COLUMN FILPGT SET NOT NULL;

/*-- SEQ 0154 --*/
-- Ticket 2023099970 --
ALTER TABLE TT_CPRXPLA ALTER COLUMN CODPGT SET NOT NULL;

/*-- SEQ 0155 --*/
-- Ticket 2023099970 --
CREATE SEQUENCE SQCPRXPLA INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0156 --*/
-- Ticket 2023099970 --
ALTER TABLE TT_CPRXPLA ADD CONSTRAINT FK_CPRXPLA_CPR FOREIGN KEY (FILCPR, SEQCPR) REFERENCES TT_CPR (CODFIL, SEQUEN);

/*-- SEQ 0157 --*/
-- Ticket 2023099970 --
CREATE INDEX I_FK_CPRXPLA_CPR ON TT_CPRXPLA (FILCPR, SEQCPR)  ;

/*-- SEQ 0158 --*/
-- Ticket 2023099970 --
ALTER TABLE TT_CPRXPLA ADD CONSTRAINT FK_CPRXPLA_PLA FOREIGN KEY (FILPGT, CODPGT) REFERENCES TT_PLA (FILPGT, CODPGT);

/*-- SEQ 0159 --*/
-- Ticket 2023099970 --
CREATE INDEX I_FK_CPRXPLA_PLA ON TT_CPRXPLA (FILPGT, CODPGT)  ;

/*-- SEQ 0160 --*/
-- Ticket 2023099970 --
CREATE TABLE TT_CPRXDFIL (
  FILCPR CHAR(3),
  SEQCPR CHAR(10),
  SEQUEN CHAR(10),
  CODFIL CHAR(3),
  DATINC Timestamp
);

/*-- SEQ 0161 --*/
-- Ticket 2023099970 --
ALTER TABLE TT_CPRXDFIL ADD CONSTRAINT PK_CPRXDFIL PRIMARY KEY (FILCPR, SEQCPR, SEQUEN);

/*-- SEQ 0162 --*/
-- Ticket 2023099970 --
ALTER TABLE TT_CPRXDFIL ALTER COLUMN CODFIL SET NOT NULL;

/*-- SEQ 0163 --*/
-- Ticket 2023099970 --
CREATE SEQUENCE SQCPRXDFIL INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0164 --*/
-- Ticket 2023099970 --
ALTER TABLE TT_CPRXDFIL ADD CONSTRAINT FK_CPRXDFIL_CPR FOREIGN KEY (FILCPR, SEQCPR) REFERENCES TT_CPR (CODFIL, SEQUEN);

/*-- SEQ 0165 --*/
-- Ticket 2023099970 --
CREATE INDEX I_FK_CPRXDFIL_CPR ON TT_CPRXDFIL (FILCPR, SEQCPR)  ;

/*-- SEQ 0166 --*/
-- Ticket 2023099970 --
ALTER TABLE TT_CPRXDFIL ADD CONSTRAINT FK_CPRXDFIL_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL (CODFIL);

/*-- SEQ 0167 --*/
-- Ticket 2023099970 --
CREATE INDEX I_FK_CPRXDFIL_DFIL ON TT_CPRXDFIL (CODFIL)  ;


/*-- SEQ 0168 --*/
-- Ticket 2023099970 --
ALTER TABLE TT_CPR ADD COLUMN REGACO CHAR(1) ;



/*-- SEQ 0169 --*/
-- Ticket 20230512273 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0170 --*/
-- Ticket 20230512273 --
UPDATE TT_PCS
   SET PCSATI = 'F'
 WHERE NOMPCS =  'BLQREC_DOCEMI_OUTFIL';


/*-- SEQ 0171 --*/
-- Ticket 20230512273 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0172 --*/
-- Ticket 2023108817 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IOR ADD COLUMN PREORICAM Numeric(14,4) ;


/*-- SEQ 0173 --*/
-- Ticket 2023108817 --
SELECT DISABLETRIGGERS(LOWER('TT_IOR'));

/*-- SEQ 0174 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IOR ADD COLUMN PREMANCAM CHAR(1) DEFAULT 'F';

/*-- SEQ 0175 --*/
SELECT ENABLETRIGGERS(LOWER('TT_IOR'));

/*-- SEQ 0176 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023108817 --
ALTER TABLE TT_IOR ADD CONSTRAINT CK_IOR_PREMANCAM CHECK (PREMANCAM in ('T','F'));



/*-- SEQ 0177 --*/
/*-- IGNORE ERRO --*/
-- Ticket 20230111655 --
DROP FUNCTION Job_AjustarDataFinalValidadePromocao () CASCADE;


/*-- SEQ 0178 --*/
-- Ticket 2023122684 --
SELECT ExecAlteraTipoColuna('TT_GUARDA','GUA_ID','Numeric(12)');


/*-- SEQ 0179 --*/
-- Ticket 2023122684 --
SELECT ExecAlteraTipoColuna('TT_GUARDA','GUA_SATCFE','Numeric(12)');


