
/*-- SEQ 0001 --*/
-- Tarefa 67733--
ALTER TABLE TT_COM ADD CODAVU VARCHAR(20);

/*-- SEQ 0002 --*/
-- Tarefa 67733--
CREATE INDEX I_LC_COM_CODAVU on TT_COM (CODAVU)  ;


/*-- SEQ 0003 --*/
-- Tarefa 67831 --
SELECT ExecAlteraTipoColuna('TT_SQL','RELORI','VARCHAR(2)');


/*-- SEQ 0004 --*/
-- Tarefa 67831 --
SELECT ExecAlteraTipoColuna('TT_SQL','RELDES','VARCHAR(2)');










/*-- SEQ 0005 --*/
-- Tarefa 68366 --
ALTER TABLE TT_IVE ADD ISEICM Numeric(4,2);

/*-- SEQ 0006 --*/
-- Tarefa 68366 --
ALTER TABLE TT_IVE ADD OUTICM Numeric(4,2);


/*-- SEQ 0007 --*/
-- Tarefa 68390--
ALTER TABLE TD_SER ADD SERDOC CHAR(1) DEFAULT 'N';

/*-- SEQ 0008 --*/
-- Tarefa 68390--
ALTER TABLE TD_SER ADD CONSTRAINT CK_DSER_SERDOC CHECK (SERDOC IN ('C','F','A','N'));

/*-- SEQ 0009 --*/
-- Tarefa 68390--
ALTER TABLE TD_SER ALTER COLUMN SERDOC SET NOT NULL;

/*-- SEQ 0010 --*/
-- Tarefa 68390--
ALTER TABLE TW_TAB ADD SERDOC CHAR(1) DEFAULT 'N';


/*-- SEQ 0011 --*/
-- Tarefa 68368 --
SELECT DISABLETRIGGERS(LOWER('TT_IVE'));

/*-- SEQ 0012 --*/
-- Tarefa 68368 --
ALTER TABLE TT_IVE ADD PROMOC VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0013 --*/
-- Tarefa 68368 --
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_PROMOC CHECK (PROMOC IN ('T','F'));

/*-- SEQ 0014 --*/
-- Tarefa 68368 --
ALTER TABLE TT_IVE ALTER COLUMN PROMOC SET NOT NULL;

/*-- SEQ 0015 --*/
-- Tarefa 68368 --
SELECT ENABLETRIGGERS(LOWER('TT_IVE'));


/*-- SEQ 0016 --*/
-- Tarefa 68376 --
SELECT DISABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0017 --*/
-- Tarefa 68376 --
ALTER TABLE TT_PRO ADD TIPDOC CHAR(1) DEFAULT 'N';

/*-- SEQ 0018 --*/
-- Tarefa 68376 --
ALTER TABLE TT_PRO ADD CONSTRAINT CK_PRO_TIPDOC CHECK (TIPDOC IN ('C','F','A','N'));

/*-- SEQ 0019 --*/
-- Tarefa 68376 --
ALTER TABLE TT_PRO ALTER COLUMN TIPDOC SET NOT NULL;

/*-- SEQ 0020 --*/
-- Tarefa 68376 --
SELECT ENABLETRIGGERS(LOWER('TT_PRO'));


/*-- SEQ 0021 --*/
-- Tarefa 68400 --
ALTER TABLE TT_CHR ADD VLRTRO Numeric(12,2);


/*-- SEQ 0022 --*/
-- Tarefa 68402--
ALTER TABLE TT_CFG ADD PER_TROCA_CHEQUE Numeric(6,4);

/*-- SEQ 0023 --*/
-- Tarefa 68402--
ALTER TABLE TW_CFG ADD PER_TROCA_CHEQUE Numeric(6,4);


/*-- SEQ 0024 --*/
-- Tarefa 68413 --
ALTER TABLE TT_CFG ADD  MIN_ABASTEC_CHEQUE Numeric(6,4);

/*-- SEQ 0025 --*/
-- Tarefa 68413 --
ALTER TABLE TW_CFG ADD  MIN_ABASTEC_CHEQUE Numeric(6,4);


/*-- SEQ 0026 --*/
-- Tarefa 68421 --
ALTER TABLE TW_TAB ADD MULWEB VARCHAR(1) DEFAULT 'F';


/*-- SEQ 0027 --*/
-- Tarefa 68868 --
ALTER TABLE TT_CFG ADD CKBLOQREFBAS VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0028 --*/
-- Tarefa 68868 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_CKBLOQREFBAS CHECK (CKBLOQREFBAS IN ('T','F'));

/*-- SEQ 0029 --*/
-- Tarefa 68868 --
ALTER TABLE TT_CFG ALTER COLUMN CKBLOQREFBAS SET NOT NULL;

/*-- SEQ 0030 --*/
-- Tarefa 68868 --
ALTER TABLE TW_CFG ADD CKBLOQREFBAS VARCHAR(1) DEFAULT 'F';


/*-- SEQ 0031 --*/
-- Tarefa 68856--
ALTER TABLE TT_CFG ADD CC_VALE_PRESENTE Numeric(5);

/*-- SEQ 0032 --*/
-- Tarefa 68856--
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DCCC_VALE_PRESENTE FOREIGN KEY (CC_VALE_PRESENTE) REFERENCES TD_CCC (CODTAB);

/*-- SEQ 0033 --*/
-- Tarefa 68856--
ALTER TABLE TW_CFG ADD CC_VALE_PRESENTE Numeric(5);


/*-- SEQ 0034 --*/
-- 68816 --
SELECT DISABLETRIGGERS(LOWER('TT_COM'));

/*-- SEQ 0035 --*/
-- 68816 --
UPDATE TT_COM
SET FLGEST = 'A'
WHERE (CODFIL, SEQUEN) IN (SELECT COM.CODFIL, COM.SEQUEN
                             FROM TT_COM COM INNER JOIN TT_PAG PAG ON COM.CODFIL=PAG.CODFIL 
                                                                  AND COM.SEQUEN=PAG.SEQUEN
                            WHERE COM.FLGEST = 'Q'
                              AND PAG.FLGEST = 'A');

/*-- SEQ 0036 --*/
-- 68816 --
SELECT ENABLETRIGGERS(LOWER('TT_COM'));


/*-- SEQ 0037 --*/
-- Tarefa 69268 --
ALTER TABLE TD_ECF DROP CONSTRAINT CK_DECF_ECFUTL;

/*-- SEQ 0038 --*/
-- Tarefa 69268 --
ALTER TABLE TD_ECF ADD CONSTRAINT CK_DECF_ECFUTL CHECK (ECFUTL IN ('L','A','U'));

/*-- SEQ 0039 --*/
-- Tarefa 69268 --
ALTER TABLE TD_NAT DROP CONSTRAINT CK_DNAT_NATUTL;

/*-- SEQ 0040 --*/
-- Tarefa 69268 --
ALTER TABLE TD_NAT ADD CONSTRAINT CK_DNAT_NATUTL CHECK (NATUTL IN ('L','A','Q','U'));


/*-- SEQ 0041 --*/ 
/*-- IGNORE ERRO --*/
-- Tarefa  67463 --
CREATE TABLE TT_CMS (
  CODFIL CHAR(3), 
  SEQUEN CHAR(10), 
  FILREC CHAR(3), 
  SEQREC CHAR(10), 
  NUMPAR CHAR(2), 
  SUBPAR CHAR(2), 
  DATINC Timestamp, 
  DATPGT Timestamp, 
  FILCLI CHAR(3), 
  CODCLI CHAR(6), 
  BASCMS Numeric(14,2), 
  VLRCMS Numeric(12,2), 
  PERCMS Numeric(4,2), 
  COMSOB Numeric(5), 
  FLGEST CHAR(1), 
  NROCAN Numeric(10) DEFAULT 0, 
  ATU_EM Timestamp
)  ;

/*-- SEQ 0042 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CMS ALTER COLUMN CODFIL SET NOT NULL;

/*-- SEQ 0043 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CMS ALTER COLUMN SEQUEN SET NOT NULL;

/*-- SEQ 0044 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CMS ALTER COLUMN FILREC SET NOT NULL;

/*-- SEQ 0045 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CMS ALTER COLUMN SEQREC SET NOT NULL;

/*-- SEQ 0046 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CMS ALTER COLUMN NUMPAR SET NOT NULL;

/*-- SEQ 0047 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CMS ALTER COLUMN SUBPAR SET NOT NULL;

/*-- SEQ 0048 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CMS ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0049 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CMS ALTER COLUMN FILCLI SET NOT NULL;

/*-- SEQ 0050 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CMS ALTER COLUMN CODCLI SET NOT NULL;

/*-- SEQ 0051 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CMS ALTER COLUMN BASCMS SET NOT NULL;

/*-- SEQ 0052 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CMS ALTER COLUMN VLRCMS SET NOT NULL;

/*-- SEQ 0053 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CMS ALTER COLUMN PERCMS SET NOT NULL;

/*-- SEQ 0054 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CMS ALTER COLUMN COMSOB SET NOT NULL;

/*-- SEQ 0055 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CMS ALTER COLUMN FLGEST SET NOT NULL;

/*-- SEQ 0056 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CMS ALTER COLUMN NROCAN SET NOT NULL;

/*-- SEQ 0057 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CMS ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0058 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CMS ADD CONSTRAINT PK_CMS PRIMARY KEY (CODFIL, SEQUEN);

/*-- SEQ 0059 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CMS ADD CONSTRAINT FK_CMS_CLI FOREIGN KEY (FILCLI, CODCLI) REFERENCES TT_CLI (FILCLI, CODCLI);

/*-- SEQ 0060 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CMS ADD CONSTRAINT FK_CMS_REC FOREIGN KEY (FILREC, SEQREC, NUMPAR, SUBPAR) REFERENCES TT_REC (CODFIL, SEQUEN, NUMPAR, SUBPAR);

/*-- SEQ 0061 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CMS_CLI ON TT_CMS (FILCLI, CODCLI)  ;

/*-- SEQ 0062 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CMS_REC ON TT_CMS (FILREC, SEQREC, NUMPAR, SUBPAR)  ;

/*-- SEQ 0063 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CMS ADD CONSTRAINT CK_CMS_NROCAN CHECK ((NROCAN = 0 AND FLGEST <> 'C') OR (NROCAN > 0 AND FLGEST = 'C'));

/*-- SEQ 0064 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CMS ADD CONSTRAINT CK_CMS_FLGEST CHECK (FLGEST in ('A','C','2','P'));

/*-- SEQ 0065 --*/
/*-- IGNORE ERRO --*/
CREATE SEQUENCE SQCMS INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0066 --*/
/*-- IGNORE ERRO --*/
CREATE SEQUENCE SQCMSNROCAN INCREMENT 1 START 1 MINVALUE 1;



/*-- SEQ 0067 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 69600 --
CREATE INDEX I_LC_UID_SESSION_ID ON TT_UID (SESSION_ID)  ;


/*-- SEQ 0068 --*/
-- Tarefa 67721 --
ALTER TABLE TD_FIL ADD CKPANOMINA VARCHAR(255);

/*-- SEQ 0069 --*/
-- Tarefa 67721 --
ALTER TABLE TD_FIL ADD CKPACIDCHE VARCHAR(255);

/*-- SEQ 0070 --*/
-- Tarefa 67721 --
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0071 --*/
-- Tarefa 67721 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0072 --*/
-- Tarefa 67721 --
UPDATE TD_FIL
   SET CKPANOMINA = (SELECT CKPANOMINA FROM TT_CFG),
       CKPACIDCHE = (SELECT CKPACIDCHE FROM TT_CFG);

/*-- SEQ 0073 --*/
-- Tarefa 67721 --
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0074 --*/
-- Tarefa 67721 --
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0075 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 67721 --
ALTER TABLE TT_CFG DROP COLUMN CKPANOMINA CASCADE;

/*-- SEQ 0076 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 67721 --
ALTER TABLE TT_CFG DROP COLUMN CKPACIDCHE CASCADE;

/*-- SEQ 0077 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 67721 --
ALTER TABLE TW_CFG DROP COLUMN CKPANOMINA CASCADE;

/*-- SEQ 0078 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 67721 --
ALTER TABLE TW_CFG DROP COLUMN CKPACIDCHE CASCADE;


/*-- SEQ 0079 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 66858 --
ALTER TABLE TR_FIN ADD VLRCRT Numeric(14,2);


/*-- SEQ 0080 --*/
-- Tarefa 69672 --
SELECT DISABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0081 --*/
-- Tarefa 69672 --
ALTER TABLE TT_PRO ADD ISEPIS VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0082 --*/
-- Tarefa 69672 --
ALTER TABLE TT_PRO ADD CONSTRAINT CK_PRO_ISEPIS CHECK (ISEPIS IN ('T','F'));

/*-- SEQ 0083 --*/
-- Tarefa 69672 --
ALTER TABLE TT_PRO ALTER COLUMN ISEPIS SET NOT NULL;

/*-- SEQ 0084 --*/
-- Tarefa 69672 --
SELECT ENABLETRIGGERS(LOWER('TT_PRO'));


/*-- SEQ 0085 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68826 --
CREATE INDEX I_LC_CHR_FLGEST_PLACAS ON TT_CHR (FLGEST, PLACAS)  ;

/*-- SEQ 0086 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68826 --
CREATE INDEX I_LC_LVEN_VEN ON TL_VEN (FILVEN, SEQVEN)  ;

/*-- SEQ 0087 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68826 --
CREATE INDEX I_LC_FIN_FILNUM ON TT_FIN (FILNUM, FLGFIN)  ;


/*-- SEQ 0088 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 67455 --
ALTER TABLE TT_CCC ADD FILCMS CHAR(3) NULL;

/*-- SEQ 0089 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 67455 --
ALTER TABLE TT_CCC ADD SEQCMS CHAR(10) NULL;

/*-- SEQ 0090 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 67455 --
ALTER TABLE TT_CCC ADD CONSTRAINT FK_CCC_CMS FOREIGN KEY (FILCMS, SEQCMS) REFERENCES TT_CMS (CODFIL, SEQUEN);


/*-- SEQ 0091 --*/
-- Tarefa 69798 --
SELECT ExecAlteraTipoColuna('TT_LAY','EXPRES','VARCHAR(4000)');



/*-- SEQ 0092 --*/
-- Tarefa 68405 --
SELECT DISABLETRIGGERS(LOWER('TD_CTA'));

/*-- SEQ 0093 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_cria_conta () CASCADE;

/*-- SEQ 0094 --*/
CREATE OR REPLACE FUNCTION temp_cria_conta ()
RETURNS VARCHAR AS '
DECLARE

  cCODFIL TD_FIL.CODFIL%TYPE;
  cSEQFIN CHAR(10);  
  cCODTAB TD_FIL.CODTAB%TYPE;
BEGIN
 
  -- Cria novas contas financeiras para usos fixos
  SELECT CODLOJ INTO cCODFIL FROM TT_IDF;
  cSEQFIN := ProximaConta(cCODFIL,''Taxa de Troca de Cheque'',''G'',''O'',''G''); 
  
  -- Descobre o proximo CODTAB da TD_CTA
  SELECT MAX(CODTAB)+1 INTO cCODTAB
    FROM TD_CTA;  
  
  -- Insere as novas contas na tabela 
  INSERT INTO TD_CTA (CODTAB, FILCTA, SEQCTA, TIPCTA, DESCTA, CFGCOL, USOCTA)
  (SELECT cCODTAB AS CODTAB, CODFIL, SEQUEN, TIPCTA, TITCTA AS DESCTA, ''TAXA_TRO_CHEQUE'' AS CFGCOL, ''O'' AS USOCTA
   FROM TT_CTA
   WHERE CODFIL = cCODFIL
     AND SEQUEN = cSEQFIN);
 
  RETURN ''OK'';
END;
' language 'plpgsql';



-- Tarefa 68405 --
select temp_cria_conta();

/*-- SEQ 0095 --*/
DROP FUNCTION temp_cria_conta();

/*-- SEQ 0096 --*/
SELECT DISABLETRIGGERS(LOWER('TD_CTA'));



/*-- SEQ 0097 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 70041 --
SELECT DISABLETRIGGERS(LOWER('TD_SER'));

/*-- SEQ 0098 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 70041 --
UPDATE TD_SER
   SET SERORD = 'F'
 WHERE TITAVU = 'T'

/*-- SEQ 0099 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 70041 --
SELECT ENABLETRIGGERS(LOWER('TD_SER'));


/*-- SEQ 0100 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 70041 --
insert into tt_fun (nomfun, datfun, atu_em) values ('EXPTITAVU',agora(),agora());


/*-- SEQ 0101 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 70060--
SELECT ExecAlteraTipoColuna('TD_IRE','ICMSRE','Numeric(14,4)');


/*-- SEQ 0102 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 70060--
SELECT ExecAlteraTipoColuna('TW_TAB','ICMSRE','Numeric(14,4)');



/*-- SEQ 0103 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 70026 --
SELECT * FROM NADA;

/*-- SEQ 0104 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 70026 --
SELECT * FROM NADA;

/*-- SEQ 0105 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 70026 --
SELECT * FROM NADA;

/*-- SEQ 0106 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 70026 --
SELECT * FROM NADA;


/*-- SEQ 0107 --*/
-- Tarefa 70173--
ALTER TABLE TT_PRO ADD ICMFED VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0108 --*/
-- Tarefa 70173--
ALTER TABLE TT_PRO ADD CONSTRAINT CK_PRO_ICMFED CHECK (ICMFED IN ('T','F'));

/*-- SEQ 0109 --*/
-- Tarefa 70173--
ALTER TABLE TT_PRO ALTER COLUMN ICMFED SET NOT NULL;


/*-- SEQ 0110 --*/
/*-- IGNORE ERRO --*/
create table versoes (
VERSAO VARCHAR(5) PRIMARY KEY   ,
VERBAS Numeric(5),
USUARIO_BANCO VARCHAR(15),
SENHA_BANCO VARCHAR(15),
DATPRO Timestamp,
RELEASE VARCHAR(20))  ;


/*-- SEQ 0111 --*/
-- Tarefa 70330 --
SELECT DISABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0112 --*/
-- Tarefa 70330 --
UPDATE TT_CLI
   SET FILVEN = NULL,
       CODVEN = NULL
 WHERE FILVEN IS NOT NULL
   AND NOT EXISTS (SELECT 1 AS OK
                     FROM TT_USU
                    WHERE FILUSU = TT_CLI.FILVEN
                      AND CODUSU = TT_CLI.CODVEN);

/*-- SEQ 0113 --*/
-- Tarefa 70330 --
SELECT ENABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0114 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 70330 --
ALTER TABLE TT_CLI ADD CONSTRAINT FK_CLI_USU FOREIGN KEY (FILVEN, CODVEN) REFERENCES TT_USU (FILUSU, CODUSU);

/*-- SEQ 0115 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 70330 --
CREATE INDEX I_FK_CLI_USU on TT_CLI (FILVEN, CODVEN)  ;


/*-- SEQ 0116 --*/
/*-- IGNORE ERRO --*/
-- fl 67455 --
ALTER TABLE TT_CMS ADD TIPCMS CHAR(1);

/*-- SEQ 0117 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CMS ADD CONSTRAINT CK_CMS_TIP CHECK (TIPCMS IN ('I','V'));



/*-- SEQ 0118 --*/
-- Tarefa 69805 --
SELECT ExecAlteraTipoColuna('TT_ARQ','NOMTAB','VARCHAR (70)');



/*-- SEQ 0119 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 70299 --
CREATE INDEX I_LC_MGRA_GRA ON TM_GRA (FILMAT, CODMAT, CODCOR, CODTAM)  ;

/*-- SEQ 0120 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 70299 --
CREATE INDEX I_LC_MGRA_GRA_OLD ON TM_GRA (FILOLD, CODOLD, COROLD, TAMOLD)  ;


/*-- SEQ 0121 --*/
-- Tarefa 70426 --
SELECT DISABLETRIGGERS(LOWER('TD_CTA'));

/*-- SEQ 0122 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_cria_conta () CASCADE;

/*-- SEQ 0123 --*/
CREATE OR REPLACE FUNCTION temp_cria_conta ()
RETURNS VARCHAR AS '
DECLARE

  cCODFIL TD_FIL.CODFIL%TYPE;
  cSEQFIN CHAR(10);  
  cCODTAB TD_FIL.CODTAB%TYPE;
BEGIN
 
  -- Cria novas contas financeiras para usos fixos
  SELECT CODLOJ INTO cCODFIL FROM TT_IDF;
  cSEQFIN := ProximaConta(cCODFIL,''Comisso'',''G'',''O'',''G''); 
  
  -- Descobre o proximo CODTAB da TD_CTA
  SELECT MAX(CODTAB)+1 INTO cCODTAB
    FROM TD_CTA;  
  
  -- Insere as novas contas na tabela 
  INSERT INTO TD_CTA (CODTAB, FILCTA, SEQCTA, TIPCTA, DESCTA, CFGCOL, USOCTA)
  (SELECT cCODTAB AS CODTAB, CODFIL, SEQUEN, TIPCTA, TITCTA AS DESCTA, ''COMISSAO'' AS CFGCOL, ''O'' AS USOCTA
   FROM TT_CTA
   WHERE CODFIL = cCODFIL
     AND SEQUEN = cSEQFIN);
 
  RETURN ''OK'';
END;
' language 'plpgsql';



/*-- SEQ 0124 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 70426 --
select temp_cria_conta();

/*-- SEQ 0125 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 70426 --
DROP FUNCTION temp_cria_conta();

/*-- SEQ 0126 --*/
-- Tarefa 70426 --
SELECT DISABLETRIGGERS(LOWER('TD_CTA'));




/*-- SEQ 0127 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION PrecoVendaProduto (VARCHAR,TD_CTR.CODTAB%TYPE,TD_FIL.CODFIL%TYPE,TT_TPR.ESTADO%TYPE,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,TT_GRA.DESMAX%TYPE) CASCADE;


/*-- SEQ 0128 --*/
-- Tarefa 70789 --
SELECT DISABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0129 --*/
-- Tarefa 70789 --
UPDATE TT_CLI
   SET ESTRAN = 'F'
 WHERE ESTRAN IS NULL;

/*-- SEQ 0130 --*/
-- Tarefa 70789 --
SELECT ENABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0131 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 70789 --
ALTER TABLE TT_CLI ALTER COLUMN ESTRAN SET NOT NULL;


/*-- SEQ 0132 --*/
-- Tarefa 70860 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_IRE ADD REDCON Numeric(7,4);

/*-- SEQ 0133 --*/
-- Tarefa 70860 --
/*-- IGNORE ERRO --*/
SELECT DISABLETRIGGERS(LOWER('TD_IRE'));

/*-- SEQ 0134 --*/
-- Tarefa 70860 --
/*-- IGNORE ERRO --*/
update td_ire set redcon = icmsre where redcon is null;

/*-- SEQ 0135 --*/
-- Tarefa 70860 --
/*-- IGNORE ERRO --*/
SELECT ENABLETRIGGERS(LOWER('TD_IRE'));

/*-- SEQ 0136 --*/
-- Tarefa 70860 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_IRE ALTER COLUMN REDCON SET NOT NULL;

/*-- SEQ 0137 --*/
-- Tarefa 70860 --
/*-- IGNORE ERRO --*/
SELECT DISABLETRIGGERS(LOWER('tt_fun'));

/*-- SEQ 0138 --*/
-- Tarefa 70860 --
/*-- IGNORE ERRO --*/
insert into tt_fun
(nomfun, datfun, atu_em)
values ('RED_CONSUM', agora(), agora() );

/*-- SEQ 0139 --*/
-- Tarefa 70860 --
/*-- IGNORE ERRO --*/
SELECT ENABLETRIGGERS(LOWER('tt_fun'));

/*-- SEQ 0140 --*/
-- Tarefa 70860 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD REDCON Numeric(7,4);


/*-- SEQ 0141 --*/
-- Tarefa 70442 --
SELECT DISABLETRIGGERS(LOWER('TT_END'));

/*-- SEQ 0142 --*/
-- Tarefa 70442 --
UPDATE TT_END
   SET ENDCOB = 'T'
 WHERE (FILCLI, CODCLI) IN (SELECT VC_FILCLI, VC_CODCLI FROM TT_CFG);

/*-- SEQ 0143 --*/
-- Tarefa 70442 --
SELECT ENABLETRIGGERS(LOWER('TT_END'));


/*-- SEQ 0144 --*/
-- Tarefa 71006 --
SELECT DISABLETRIGGERS(LOWER('TT_VEN'));

/*-- SEQ 0145 --*/
-- Tarefa 71006 --
UPDATE TT_VEN VEN
   SET FINANC = 'T'
 WHERE FINANC = 'F'
   AND CODSER IN (SELECT CODSER FROM TD_SER DSER WHERE DSER.CODSER = VEN.CODSER 
                     AND TITAVU = 'T');

/*-- SEQ 0146 --*/
-- Tarefa 71006 --
SELECT ENABLETRIGGERS(LOWER('TT_VEN'));


/*-- SEQ 0147 --*/
-- Tarefa 71060 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_IR1 ADD REDCO1 Numeric(6,4);

/*-- SEQ 0148 --*/
-- Tarefa 71060 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_IR2 ADD REDCO2 Numeric(6,4);

/*-- SEQ 0149 --*/
-- Tarefa 71060 --
/*-- IGNORE ERRO --*/
SELECT DISABLETRIGGERS(LOWER('TD_IR1'));

/*-- SEQ 0150 --*/
-- Tarefa 71060 --
/*-- IGNORE ERRO --*/
update td_ir1
   set redco1 = icmsr1
 where redco1 is null;

/*-- SEQ 0151 --*/
-- Tarefa 71060 --
/*-- IGNORE ERRO --*/
SELECT ENABLETRIGGERS(LOWER('TD_IR1'));

/*-- SEQ 0152 --*/
-- Tarefa 71060 --
/*-- IGNORE ERRO --*/
SELECT DISABLETRIGGERS(LOWER('TD_IR2'));

/*-- SEQ 0153 --*/
-- Tarefa 71060 --
/*-- IGNORE ERRO --*/
update td_ir2
   set redco2 = icmsr2
 where redco2 is null;

/*-- SEQ 0154 --*/
-- Tarefa 71060 --
/*-- IGNORE ERRO --*/
SELECT ENABLETRIGGERS(LOWER('TD_IR2'));

/*-- SEQ 0155 --*/
-- Tarefa 71060 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_IR1 ALTER COLUMN REDCO1 SET NOT NULL; 

/*-- SEQ 0156 --*/
-- Tarefa 71060 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_IR2 ALTER COLUMN REDCO2 SET NOT NULL; 

/*-- SEQ 0157 --*/
-- Tarefa 71060 --
SELECT DISABLETRIGGERS(LOWER('tt_fun'));

/*-- SEQ 0158 --*/
-- Tarefa 71060 --
/*-- IGNORE ERRO --*/
insert into tt_fun (nomfun, datfun, atu_em)
     values ('RED_CONSU1', agora(), agora() );

/*-- SEQ 0159 --*/
-- Tarefa 71060 --
SELECT ENABLETRIGGERS(LOWER('tt_fun'));

/*-- SEQ 0160 --*/
-- Tarefa 71060 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD REDCO1 Numeric(6,4);

/*-- SEQ 0161 --*/
-- Tarefa 71060 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD REDCO2 Numeric(6,4);


/*-- SEQ 0162 --*/
-- Tarefa  71139 --
ALTER TABLE TT_ICO ADD MVACOM Numeric(14,4);

/*-- SEQ 0163 --*/
-- Tarefa  71139 --
ALTER TABLE TT_PXF ADD MVACOM Numeric(14,4);

/*-- SEQ 0164 --*/
-- Tarefa  71139 --
ALTER TABLE TT_GRA ADD MVACOM Numeric(14,4);


/*-- SEQ 0165 --*/
-- Tarefa  71138 --
ALTER TABLE TT_IUF ADD  MVAVEN Numeric(14,4);

/*-- SEQ 0166 --*/
-- Tarefa  71138 --
ALTER TABLE TT_IUF ADD  MVAC07 Numeric(14,4);

/*-- SEQ 0167 --*/
-- Tarefa  71138 --
ALTER TABLE TT_IUF ADD  MVAC12 Numeric(14,4);

/*-- SEQ 0168 --*/
-- Tarefa  71138 --
SELECT DISABLETRIGGERS(LOWER('TT_IUF'));

/*-- SEQ 0169 --*/
-- Tarefa  71138 --
UPDATE TT_IUF IUF
   SET MVAVEN = (SELECT SBT.margem
                   FROM TV_SBT SBT
                  WHERE SBT.ESTADO=IUF.ESTADO
                    AND SBT.CODMAR=IUF.LUCSUB)
 WHERE LUCSUB IS NOT NULL
   AND MVAVEN IS NULL;

/*-- SEQ 0170 --*/
-- Tarefa  71138 --
SELECT ENABLETRIGGERS(LOWER('TT_IUF'));

/*-- SEQ 0171 --*/
-- Tarefa  71138 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0172 --*/
-- Tarefa  71138 --
INSERT INTO TT_FUN
(NOMFUN,DATFUN,ATU_EM)
VALUES
('MVA',AGORA(),AGORA());

/*-- SEQ 0173 --*/
-- Tarefa  71138 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0174 --*/
-- Tarefa 71060 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_IR1 DROP COLUMN REDCO1 CASCADE;

/*-- SEQ 0175 --*/
-- Tarefa 71060 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_IR2 DROP COLUMN REDCO2 CASCADE;

/*-- SEQ 0176 --*/
-- Tarefa 71060 --
/*-- IGNORE ERRO --*/
SELECT DISABLETRIGGERS(LOWER('tt_fun'));

/*-- SEQ 0177 --*/
-- Tarefa 71060 --
/*-- IGNORE ERRO --*/
DELETE FROM tt_fun WHERE nomfun LIKE 'RED_CONSU1';

/*-- SEQ 0178 --*/
-- Tarefa 71060 --
/*-- IGNORE ERRO --*/
SELECT ENABLETRIGGERS(LOWER('tt_fun'));

/*-- SEQ 0179 --*/
-- Tarefa 71060 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB DROP COLUMN REDCO1 CASCADE;

/*-- SEQ 0180 --*/
-- Tarefa 71060 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB DROP COLUMN REDCO2 CASCADE;


/*-- SEQ 0181 --*/
-- Tarefa  71137 --
SELECT DISABLETRIGGERS(LOWER('TT_IUF'));

/*-- SEQ 0182 --*/
-- Tarefa  71137 --
UPDATE TT_IUF IUF
   SET MVAVEN = COALESCE(MVAVEN,0),
       MVAC07 = COALESCE(MVAC07,0),
       MVAC12 = COALESCE(MVAC12,0)
 WHERE MVAVEN IS NULL
    OR MVAC07 IS NULL
    OR MVAC12 IS NULL;

/*-- SEQ 0183 --*/
-- Tarefa  71137 --
SELECT ENABLETRIGGERS(LOWER('TT_IUF'));

/*-- SEQ 0184 --*/
-- Tarefa  71137 --
ALTER TABLE TT_IUF ALTER COLUMN MVAVEN SET DEFAULT 0;

/*-- SEQ 0185 --*/
-- Tarefa  71137 --
ALTER TABLE TT_IUF ALTER COLUMN MVAVEN SET NOT NULL;

/*-- SEQ 0186 --*/
-- Tarefa  71137 --
ALTER TABLE TT_IUF ALTER COLUMN MVAC07 SET DEFAULT 0;

/*-- SEQ 0187 --*/
-- Tarefa  71137 --
ALTER TABLE TT_IUF ALTER COLUMN MVAC07 SET NOT NULL;

/*-- SEQ 0188 --*/
-- Tarefa  71137 --
ALTER TABLE TT_IUF ALTER COLUMN MVAC12 SET DEFAULT 0;

/*-- SEQ 0189 --*/
-- Tarefa  71137 --
ALTER TABLE TT_IUF ALTER COLUMN MVAC12 SET NOT NULL;


/*-- SEQ 0190 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 71221 --
CREATE TABLE TOTALL_COM_71221 AS 
SELECT COM.*, 
       COALESCE((SELECT SUM(VLRMOV)
                   FROM TT_ICO ICO
                  WHERE COM.CODFIL = ICO.CODFIL
                    AND COM.SEQUEN = ICO.SEQUEN
                    AND ICO.ICMTIP = '3'),0) AS TOTAL_SUBSTT
  FROM TT_COM COM
 WHERE COM.VLRLIQ <> (SELECT SUM(ICO.BASICM)+SUM(ICO.ISEICM)+SUM(ICO.OUTICM)
                        FROM TT_ICO ICO
                       WHERE COM.CODFIL = ICO.CODFIL
                         AND COM.SEQUEN = ICO.SEQUEN)
   AND COM.DATCMP BETWEEN TO_DATE('01/01/2009','DD/MM/YYYY') AND Agora();

/*-- SEQ 0191 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 71221 --
CREATE TABLE TOTALL_ICO_71221 AS 
SELECT ICO.*, 
       CASE WHEN COALESCE(FIL.REGTRI,'N') = 'S' OR COALESCE(CLI.SIMPLE,'N') = 'S' THEN 'S' ELSE 'N' END AS SIMPLE
  FROM TOTALL_COM_71221 COM INNER JOIN TT_ICO ICO ON COM.CODFIL = ICO.CODFIL 
                                                 AND COM.SEQUEN = ICO.SEQUEN
                            INNER JOIN TD_FIL FIL ON FIL.CODFIL = ICO.CODFIL                          
                            INNER JOIN TT_CLI CLI ON CLI.FILCLI = COM.FILFOR 
                                                 AND CLI.CODCLI = COM.CODFOR;

/*-- SEQ 0192 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 71221 --
CREATE INDEX I_LC_TOTALL_COM_71221 ON TOTALL_COM_71221 (CODFIL, SEQUEN)  ;

/*-- SEQ 0193 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 71221 --
CREATE INDEX I_LC_TOTALL_ICO_71221 ON TOTALL_ICO_71221 (CODFIL, SEQUEN, NUMITE)  ;

/*-- SEQ 0194 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION TOTALL_RATEIO_VALORES_COMPRA (TT_ICO.CODFIL%TYPE,TT_ICO.SEQUEN%TYPE,TT_ICO.NUMITE%TYPE) CASCADE;

/*-- SEQ 0195 --*/
CREATE OR REPLACE FUNCTION TOTALL_RATEIO_VALORES_COMPRA (TT_ICO.CODFIL%TYPE,TT_ICO.SEQUEN%TYPE,TT_ICO.NUMITE%TYPE)
RETURNS Numeric AS '
DECLARE
pCODFIL ALIAS FOR $1 ;
pSEQUEN ALIAS FOR $2 ;
pNUMITE ALIAS FOR $3 ;

nDIF      Numeric(12,2);
nVALOR    Numeric(12,2);
nDIF_ST   Numeric(12,2);
nVALOR_ST Numeric(12,2);
nBASE_CALCULO_SEM_REDUCAO Numeric(12,2);
nBASE_CALCULO_REDUZIDA    Numeric(12,2);

cCHAVE VARCHAR(200);

vMAX_NUMITE    TT_ICO.NUMITE%TYPE;
vMAX_NUMITE_ST TT_ICO.NUMITE%TYPE;
nVLRMOV        TT_ICO.VLRMOV%TYPE;

vCOUNT_ICMTIP Numeric(5);

BEGIN
    SELECT COUNT(*)  
      INTO vCOUNT_ICMTIP
      FROM (SELECT DISTINCT ICMTIP
              FROM TOTALL_ICO_71221 
             WHERE CODFIL = pCODFIL
               AND SEQUEN = pSEQUEN) A;

    IF vCOUNT_ICMTIP > 1 THEN 
        SELECT MAX(NUMITE) 
          INTO vMAX_NUMITE
          FROM TOTALL_ICO_71221
         WHERE CODFIL = pCODFIL
           AND SEQUEN = pSEQUEN           
           AND ICMTIP = ''0'';
    ELSE
        SELECT MAX(NUMITE) 
          INTO vMAX_NUMITE
          FROM TOTALL_ICO_71221
         WHERE CODFIL = pCODFIL
           AND SEQUEN = pSEQUEN;
    END IF;

    SELECT COALESCE(MAX(NUMITE),0)
      INTO vMAX_NUMITE_ST
      FROM TOTALL_ICO_71221
     WHERE CODFIL = pCODFIL
       AND SEQUEN = pSEQUEN
       AND ICMTIP = ''3'';

    SELECT MIN(COM.VLRLIQ - COALESCE(COM.SUBSTT,0))
           - SUM(TRUNC((ICO.VLRMOV) +
                       ((ICO.VLRMOV+ICO.VLRIPI) * (COM.DESCON/COM.VLRTOT)) +                                    
                       ((ICO.VLRMOV+ICO.VLRIPI) * (COM.OUTTAX/COM.VLRTOT)) +    
                       ((ICO.VLRMOV+ICO.VLRIPI) * (COM.VLRFRE/COM.VLRTOT)) + 
                       COALESCE(ICO.VLRIPI,0),2))
               AS DIF,           
           SUM(CASE WHEN ICO.NUMITE = pNumite 
                    THEN TRUNC((ICO.VLRMOV) + ((ICO.VLRMOV+ICO.VLRIPI) * (COM.DESCON/COM.VLRTOT))
                                            + ((ICO.VLRMOV+ICO.VLRIPI) * (COM.OUTTAX/COM.VLRTOT))
                                            + ((ICO.VLRMOV+ICO.VLRIPI) * (COM.VLRFRE/COM.VLRTOT))
                                            + COALESCE(ICO.VLRIPI,0),2)
               END) AS RATEIO,
           MIN(COALESCE(COM.SUBSTT,0)) 
           - SUM(TRUNC(CASE WHEN (ICO.ICMTIP = ''3'') AND (COALESCE(COM.SUBSTT,0) > 0) AND (COALESCE(COM.TOTAL_SUBSTT,0) > 0) THEN ((ICO.VLRMOV+ICO.VLRIPI) * (COM.SUBSTT/COM.TOTAL_SUBSTT)) ELSE 0 END,2)) AS DIF_ST,           
           SUM(CASE WHEN ICO.NUMITE = pNumite 
                    THEN TRUNC(CASE WHEN (ICO.ICMTIP = ''3'') AND (COALESCE(COM.SUBSTT,0) > 0) AND (COALESCE(COM.TOTAL_SUBSTT,0) > 0) THEN ((ICO.VLRMOV+ICO.VLRIPI) * (COM.SUBSTT/COM.TOTAL_SUBSTT)) ELSE 0 END,2)
               END) AS RATEIO_ST 
           INTO nDIF, nVALOR, nDIF_ST, nVALOR_ST
      FROM TOTALL_COM_71221 COM INNER JOIN TOTALL_ICO_71221 ICO ON COM.CODFIL = ICO.CODFIL
                                                               AND COM.SEQUEN = ICO.SEQUEN
     WHERE COM.CODFIL = pCODFIL
       AND COM.SEQUEN = pSEQUEN;
   
    IF pNUMITE = vMAX_NUMITE THEN
       nVALOR := COALESCE(nVALOR,0)+COALESCE(nDIF,0);
    END IF;       

    IF pNUMITE = vMAX_NUMITE_ST THEN
       nVALOR_ST := COALESCE(nVALOR_ST,0)+COALESCE(nDIF_ST,0);
    END IF;
     
    nBASE_CALCULO_SEM_REDUCAO := nVALOR + nVALOR_ST;
    
    return nBASE_CALCULO_SEM_REDUCAO;

END;
' language 'plpgsql';



/*-- SEQ 0196 --*/
-- Tarefa 71221 --
SELECT DISABLETRIGGERS(LOWER('TT_COM'));

/*-- SEQ 0197 --*/
-- Tarefa 71221 --
UPDATE TT_COM
   SET VLRNOT = (SELECT SUM(ICO.VLRMOV)
                   FROM TT_ICO ICO
                  WHERE CODFIL = ICO.CODFIL
                    AND SEQUEN = ICO.SEQUEN)
 WHERE (CODFIL, SEQUEN) IN (SELECT CODFIL, SEQUEN 
                              FROM TOTALL_COM_71221)
   AND VLRNOT IS NULL
   AND (SELECT COUNT(*) FROM TT_FUN WHERE NOMFUN = 'CORR_BICMS') = 0;

/*-- SEQ 0198 --*/
-- Tarefa 71221 --
SELECT ENABLETRIGGERS(LOWER('TT_COM'));

/*-- SEQ 0199 --*/
-- Tarefa 71221 --
SELECT DISABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0200 --*/
-- Tarefa 71221 --
UPDATE TT_ICO
   SET BASICM = COALESCE(CASE ICMTIP 
                              WHEN '0' THEN
                                   CASE WHEN (SELECT ICO.SIMPLE 
                                                FROM TOTALL_ICO_71221 ICO 
                                               WHERE ICO.CODFIL = TT_ICO.CODFIL
                                                 AND ICO.SEQUEN = TT_ICO.SEQUEN
                                                 AND ICO.NUMITE = TT_ICO.NUMITE) = 'S' THEN 0
                                   ELSE ROUND(TOTALL_RATEIO_VALORES_COMPRA(CODFIL, SEQUEN, NUMITE) * (COALESCE(REDITE,0) / 100),2)
                                   END 
                              WHEN '3' THEN 0
                              WHEN '1' THEN 0
                              WHEN '2' THEN 0
                              WHEN '4' THEN 0
                         END,0),
       OUTICM = COALESCE(CASE ICMTIP 
                              WHEN '0' THEN
                                   CASE WHEN (SELECT ICO.SIMPLE 
                                                FROM TOTALL_ICO_71221 ICO 
                                               WHERE ICO.CODFIL = TT_ICO.CODFIL
                                                 AND ICO.SEQUEN = TT_ICO.SEQUEN
                                                 AND ICO.NUMITE = TT_ICO.NUMITE) = 'S' THEN TOTALL_RATEIO_VALORES_COMPRA(CODFIL, SEQUEN, NUMITE)
                                   ELSE TOTALL_RATEIO_VALORES_COMPRA(CODFIL, SEQUEN, NUMITE) - ROUND(TOTALL_RATEIO_VALORES_COMPRA(CODFIL, SEQUEN, NUMITE) * (COALESCE(REDITE,0) / 100),2)
                                   END 
                              WHEN '3' THEN TOTALL_RATEIO_VALORES_COMPRA(CODFIL, SEQUEN, NUMITE)
                              WHEN '1' THEN 0
                              WHEN '2' THEN 0
                              WHEN '4' THEN 0
                         END,0),
       ISEICM = COALESCE(CASE ICMTIP 
                              WHEN '0' THEN 0
                              WHEN '3' THEN 0
                              WHEN '1' THEN TOTALL_RATEIO_VALORES_COMPRA(CODFIL, SEQUEN, NUMITE)
                              WHEN '2' THEN TOTALL_RATEIO_VALORES_COMPRA(CODFIL, SEQUEN, NUMITE)
                              WHEN '4' THEN TOTALL_RATEIO_VALORES_COMPRA(CODFIL, SEQUEN, NUMITE)
                         END,0),
       VLRICM = COALESCE((CASE ICMTIP 
                              WHEN '0' THEN
                                   CASE WHEN (SELECT ICO.SIMPLE 
                                                FROM TOTALL_ICO_71221 ICO 
                                               WHERE ICO.CODFIL = TT_ICO.CODFIL
                                                 AND ICO.SEQUEN = TT_ICO.SEQUEN
                                                 AND ICO.NUMITE = TT_ICO.NUMITE) = 'S' THEN 0
                                   ELSE ROUND(TOTALL_RATEIO_VALORES_COMPRA(CODFIL, SEQUEN, NUMITE) * (COALESCE(REDITE,0) / 100),2)
                                   END 
                              WHEN '3' THEN 0
                              WHEN '1' THEN 0
                              WHEN '2' THEN 0
                              WHEN '4' THEN 0
                         END) * (COALESCE(ICMITE,0) / 100),0)
  WHERE (CODFIL, SEQUEN, NUMITE) IN (SELECT CODFIL, SEQUEN, NUMITE 
                                       FROM TOTALL_ICO_71221)
    AND (SELECT COUNT(*) FROM TT_FUN WHERE NOMFUN = 'CORR_BICMS') = 0;

/*-- SEQ 0201 --*/
-- Tarefa 71221 --
SELECT ENABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0202 --*/
-- Tarefa 71221 --
DROP FUNCTION TOTALL_RATEIO_VALORES_COMPRA (TT_ICO.CODFIL%TYPE,TT_ICO.SEQUEN%TYPE,TT_ICO.NUMITE%TYPE) CASCADE;

/*-- SEQ 0203 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 71221 --
INSERT INTO TT_FUN (NOMFUN, DATFUN, ATU_EM) VALUES ('CORR_BICMS', AGORA(), AGORA());


/*-- SEQ 0204 --*/
-- Tarefa  71114 --
ALTER TABLE TT_ICO ADD RETSUB VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0205 --*/
-- Tarefa  71114 --
ALTER TABLE TT_ICO ADD CONSTRAINT CK_ICO_RETSUB CHECK (RETSUB IN ('T','F'));

/*-- SEQ 0206 --*/
-- Tarefa  71114 --
ALTER TABLE TT_ICO ALTER COLUMN RETSUB SET NOT NULL;


/*-- SEQ 0207 --*/
-- Tarefa 71221 --
INSERT INTO TOTALL_COM_71221
(CODDOP,FILAGC,SEQAGC,FILCTA,SEQCTA,TIPCTA,VLRBON,UFNOTA,NUMVOL,
 FILEND,NUMEND,OBSFAT,VLRRET,ICMFRE,TIPTRP,SEQFRE,RETCOF,CODCFO,
 ATUCUS,EXPORT,VLRFRE,BASFRE,PERFRE,PERIRR,PERISS,PERINS,PERCSS,
 PERICM,VLRIRR,VLRISS,VLRINS,VLRCSS,VLRICM,FLGINS,FLGCSS,FLGPIS,
 FLGCOF,ISEICM,OUTICM,TIPEMP,POREMP,FILFRE,BASSUB,MOTREJ,VLRNOT,
 VLRIPI,RETIRR,RETCSS,VLRPIS,VLRCOF,FLGICM,FLGISS,OUTDES,DESPAR,
 DUMMY, CODFIL,SEQUEN,ATU_EM,CODUSU,DATCMP,DESCON,DATOPE,VLRTOT,
 VLRLIQ,TIPPAR,TIPNOT,SIGNAT,MOEJUR,INTPMU,INTPJU,INCOJU,FLGEST,
 FILUSU,FILFOR,CODSET,QTDTOT,OUTTAX,NUMNOT,CODFOR,CODMOE,CODSER,
 NOTESP,SEQCAN,SUBSER,SEQFAT,VLTXJU,VLTXMU,SUBSTT,CONPGT,OBSERV,
 ESPDOC,
 TOTAL_SUBSTT)
SELECT COM.CODDOP,COM.FILAGC,COM.SEQAGC,COM.FILCTA,COM.SEQCTA,COM.TIPCTA,COM.VLRBON,COM.UFNOTA,COM.NUMVOL,
       COM.FILEND,COM.NUMEND,COM.OBSFAT,COM.VLRRET,COM.ICMFRE,COM.TIPTRP,COM.SEQFRE,COM.RETCOF,COM.CODCFO,
       COM.ATUCUS,COM.EXPORT,COM.VLRFRE,COM.BASFRE,COM.PERFRE,COM.PERIRR,COM.PERISS,COM.PERINS,COM.PERCSS,
       COM.PERICM,COM.VLRIRR,COM.VLRISS,COM.VLRINS,COM.VLRCSS,COM.VLRICM,COM.FLGINS,COM.FLGCSS,COM.FLGPIS,
       COM.FLGCOF,COM.ISEICM,COM.OUTICM,COM.TIPEMP,COM.POREMP,COM.FILFRE,COM.BASSUB,COM.MOTREJ,COM.VLRNOT,
       COM.VLRIPI,COM.RETIRR,COM.RETCSS,COM.VLRPIS,COM.VLRCOF,COM.FLGICM,COM.FLGISS,COM.OUTDES,COM.DESPAR,
       COM.DUMMY,COM.CODFIL,COM.SEQUEN,COM.ATU_EM,COM.CODUSU,COM.DATCMP,COM.DESCON,COM.DATOPE,COM.VLRTOT,
       COM.VLRLIQ,COM.TIPPAR,COM.TIPNOT,COM.SIGNAT,COM.MOEJUR,COM.INTPMU,COM.INTPJU,COM.INCOJU,COM.FLGEST,
       COM.FILUSU,COM.FILFOR,COM.CODSET,COM.QTDTOT,COM.OUTTAX,COM.NUMNOT,COM.CODFOR,COM.CODMOE,COM.CODSER,
       COM.NOTESP,COM.SEQCAN,COM.SUBSER,COM.SEQFAT,COM.VLTXJU,COM.VLTXMU,COM.SUBSTT,COM.CONPGT,COM.OBSERV,
       COM.ESPDOC, 
       COALESCE((SELECT SUM(VLRMOV)
                   FROM TT_ICO ICO
                  WHERE COM.CODFIL = ICO.CODFIL
                    AND COM.SEQUEN = ICO.SEQUEN
                    AND ICO.ICMTIP = '3'),0) AS TOTAL_SUBSTT
  FROM TT_COM COM
 WHERE COM.VLRNOT 
       + COALESCE(COM.SUBSTT,0) 
       + COALESCE(COM.OUTTAX,0) 
       + COALESCE(COM.VLRFRE,0) 
       + COALESCE(COM.DESCON,0) 
       + COALESCE(COM.VLRBON,0) <> (SELECT SUM(ICO.BASICM)+SUM(ICO.ISEICM)+SUM(ICO.OUTICM)
                        FROM TT_ICO ICO
                       WHERE COM.CODFIL = ICO.CODFIL
                         AND COM.SEQUEN = ICO.SEQUEN)
   AND COM.DATCMP BETWEEN TO_DATE('01/01/2009','DD/MM/YYYY') AND Agora()
   AND NOT EXISTS (SELECT 1 AS OK
                     FROM TOTALL_COM_71221 TCOM
                    WHERE TCOM.CODFIL = COM.CODFIL
                      AND TCOM.SEQUEN = COM.SEQUEN)
   AND (SELECT COUNT(*) FROM TT_FUN WHERE NOMFUN = 'CORR_BICM2') = 0;

/*-- SEQ 0208 --*/
-- Tarefa 71221 --
INSERT INTO TOTALL_ICO_71221
(IPIFRE,CODFIL,SEQUEN,NUMITE,CODCOR,CODMAT,CODMOE,FILMAT,CODTAM,
 VLRMOV,TIPPRO,SITMOV,QTDMOV,LANEST,COM_DATOPE,CUSANT,CUSREP,VLRCAL,
 PERLUC,PREATU,PREANT,IPIITE,ICMITE,DATANT,DUMMY,EMBORI,EMBQTD,
 QTDCOM,UNICOM,UNIVEN,VALCON,CODBUS,CODMUL,CUSFRE,ORD_CM,QTD_CM,
 VLR_CM,CODCFO,BASICM,VLRICM,OUTICM,ISEICM,VLRCMG,FREFIS,DATINC,
 TOT_CM,TOTCMG,SAL_CM,EXPORT,VLRIPI,COM_ATUCUS,ATUFRE,VLRDES,VLRITE,
 ICMTIP,REDITE,
 SIMPLE)
SELECT ICO.IPIFRE,ICO.CODFIL,ICO.SEQUEN,ICO.NUMITE,ICO.CODCOR,ICO.CODMAT,ICO.CODMOE,ICO.FILMAT,ICO.CODTAM,
       ICO.VLRMOV,ICO.TIPPRO,ICO.SITMOV,ICO.QTDMOV,ICO.LANEST,ICO.COM_DATOPE,ICO.CUSANT,ICO.CUSREP,ICO.VLRCAL,
       ICO.PERLUC,ICO.PREATU,ICO.PREANT,ICO.IPIITE,ICO.ICMITE,ICO.DATANT,ICO.DUMMY,ICO.EMBORI,ICO.EMBQTD,
       ICO.QTDCOM,ICO.UNICOM,ICO.UNIVEN,ICO.VALCON,ICO.CODBUS,ICO.CODMUL,ICO.CUSFRE,ICO.ORD_CM,ICO.QTD_CM,
       ICO.VLR_CM,ICO.CODCFO,ICO.BASICM,ICO.VLRICM,ICO.OUTICM,ICO.ISEICM,ICO.VLRCMG,ICO.FREFIS,ICO.DATINC,
       ICO.TOT_CM,ICO.TOTCMG,ICO.SAL_CM,ICO.EXPORT,ICO.VLRIPI,ICO.COM_ATUCUS,ICO.ATUFRE,ICO.VLRDES,ICO.VLRITE,
       ICO.ICMTIP,ICO.REDITE,
       CASE WHEN COALESCE(FIL.REGTRI,'N') = 'S' OR COALESCE(CLI.SIMPLE,'N') = 'S' THEN 'S' ELSE 'N' END AS SIMPLE
  FROM TOTALL_COM_71221 COM INNER JOIN TT_ICO ICO ON COM.CODFIL = ICO.CODFIL 
                                                 AND COM.SEQUEN = ICO.SEQUEN
                            INNER JOIN TD_FIL FIL ON FIL.CODFIL = ICO.CODFIL                          
                            INNER JOIN TT_CLI CLI ON CLI.FILCLI = COM.FILFOR 
                                                 AND CLI.CODCLI = COM.CODFOR
 WHERE NOT EXISTS (SELECT 1 AS OK
                     FROM TOTALL_ICO_71221 TICO
                    WHERE TICO.CODFIL = ICO.CODFIL
                      AND TICO.SEQUEN = ICO.SEQUEN
                      AND TICO.NUMITE = ICO.NUMITE)
   AND (SELECT COUNT(*) FROM TT_FUN WHERE NOMFUN = 'CORR_BICM2') = 0;

/*-- SEQ 0209 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION TOTALL_RATEIO_VALORES_COMPRA (TT_ICO.CODFIL%TYPE,TT_ICO.SEQUEN%TYPE,TT_ICO.NUMITE%TYPE) CASCADE;

/*-- SEQ 0210 --*/
CREATE OR REPLACE FUNCTION TOTALL_RATEIO_VALORES_COMPRA (TT_ICO.CODFIL%TYPE,TT_ICO.SEQUEN%TYPE,TT_ICO.NUMITE%TYPE)
RETURNS Numeric AS '
DECLARE
pCODFIL ALIAS FOR $1 ;
pSEQUEN ALIAS FOR $2 ;
pNUMITE ALIAS FOR $3 ;

nDIF      Numeric(12,2);
nVALOR    Numeric(12,2);
nDIF_ST   Numeric(12,2);
nVALOR_ST Numeric(12,2);
nBASE_CALCULO_SEM_REDUCAO Numeric(12,2);
nBASE_CALCULO_REDUZIDA    Numeric(12,2);

cCHAVE VARCHAR(200);

vMAX_NUMITE    TT_ICO.NUMITE%TYPE;
vMAX_NUMITE_ST TT_ICO.NUMITE%TYPE;
nVLRMOV        TT_ICO.VLRMOV%TYPE;

vCOUNT_ICMTIP Numeric(5);

BEGIN
    SELECT COUNT(*)  
      INTO vCOUNT_ICMTIP
      FROM (SELECT DISTINCT ICMTIP
              FROM TOTALL_ICO_71221 
             WHERE CODFIL = pCODFIL
               AND SEQUEN = pSEQUEN) A;

    IF vCOUNT_ICMTIP > 1 THEN 
        SELECT MAX(NUMITE) 
          INTO vMAX_NUMITE
          FROM TOTALL_ICO_71221
         WHERE CODFIL = pCODFIL
           AND SEQUEN = pSEQUEN           
           AND ICMTIP = ''0'';
    ELSE
        SELECT MAX(NUMITE) 
          INTO vMAX_NUMITE
          FROM TOTALL_ICO_71221
         WHERE CODFIL = pCODFIL
           AND SEQUEN = pSEQUEN;
    END IF;

    SELECT COALESCE(MAX(NUMITE),0)
      INTO vMAX_NUMITE_ST
      FROM TOTALL_ICO_71221
     WHERE CODFIL = pCODFIL
       AND SEQUEN = pSEQUEN
       AND ICMTIP = ''3'';

    SELECT MIN(COM.VLRNOT + COALESCE(COM.OUTTAX,0) + COALESCE(COM.VLRFRE,0) + COALESCE(COM.DESCON,0) + COALESCE(COM.VLRBON,0))  
           - SUM(TRUNC((ICO.VLRMOV) +
                       ((ICO.VLRMOV+ICO.VLRIPI) * (COM.DESCON/COM.VLRTOT)) +                                    
                       ((ICO.VLRMOV+ICO.VLRIPI) * (COM.OUTTAX/COM.VLRTOT)) +    
                       ((ICO.VLRMOV+ICO.VLRIPI) * (COM.VLRFRE/COM.VLRTOT)) + 
                       ((ICO.VLRMOV+ICO.VLRIPI) * (COM.VLRBON/COM.VLRTOT)),2))
               AS DIF,           
           SUM(CASE WHEN ICO.NUMITE = pNumite 
                    THEN TRUNC((ICO.VLRMOV) + ((ICO.VLRMOV+ICO.VLRIPI) * (COM.DESCON/COM.VLRTOT))
                                            + ((ICO.VLRMOV+ICO.VLRIPI) * (COM.OUTTAX/COM.VLRTOT))
                                            + ((ICO.VLRMOV+ICO.VLRIPI) * (COM.VLRFRE/COM.VLRTOT)) 
                                            + ((ICO.VLRMOV+ICO.VLRIPI) * (COM.VLRBON/COM.VLRTOT)),2)
               END) AS RATEIO,
           MIN(COALESCE(COM.SUBSTT,0)) 
           - SUM(TRUNC(CASE WHEN (ICO.ICMTIP = ''3'') AND (COALESCE(COM.SUBSTT,0) > 0) AND (COALESCE(COM.TOTAL_SUBSTT,0) > 0) THEN ((ICO.VLRMOV+ICO.VLRIPI) * (COM.SUBSTT/COM.TOTAL_SUBSTT)) ELSE 0 END,2)) AS DIF_ST,           
           SUM(CASE WHEN ICO.NUMITE = pNumite 
                    THEN TRUNC(CASE WHEN (ICO.ICMTIP = ''3'') AND (COALESCE(COM.SUBSTT,0) > 0) AND (COALESCE(COM.TOTAL_SUBSTT,0) > 0) THEN ((ICO.VLRMOV+ICO.VLRIPI) * (COM.SUBSTT/COM.TOTAL_SUBSTT)) ELSE 0 END,2)
               END) AS RATEIO_ST 
           INTO nDIF, nVALOR, nDIF_ST, nVALOR_ST
      FROM TOTALL_COM_71221 COM INNER JOIN TOTALL_ICO_71221 ICO ON COM.CODFIL = ICO.CODFIL
                                                               AND COM.SEQUEN = ICO.SEQUEN
     WHERE COM.CODFIL = pCODFIL
       AND COM.SEQUEN = pSEQUEN;
   
    IF pNUMITE = vMAX_NUMITE THEN
       nVALOR := COALESCE(nVALOR,0)+COALESCE(nDIF,0);
    END IF;       

    IF pNUMITE = vMAX_NUMITE_ST THEN
       nVALOR_ST := COALESCE(nVALOR_ST,0)+COALESCE(nDIF_ST,0);
    END IF;
     
    nBASE_CALCULO_SEM_REDUCAO := nVALOR + nVALOR_ST;
    
    return nBASE_CALCULO_SEM_REDUCAO;

END;
' language 'plpgsql';



/*-- SEQ 0211 --*/
-- Tarefa 71221 --
SELECT DISABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0212 --*/
-- Tarefa 71221 --
UPDATE TT_ICO
   SET BASICM = COALESCE(CASE ICMTIP 
                              WHEN '0' THEN
                                   CASE WHEN (SELECT ICO.SIMPLE 
                                                FROM TOTALL_ICO_71221 ICO 
                                               WHERE ICO.CODFIL = TT_ICO.CODFIL
                                                 AND ICO.SEQUEN = TT_ICO.SEQUEN
                                                 AND ICO.NUMITE = TT_ICO.NUMITE) = 'S' THEN 0
                                   ELSE ROUND(TOTALL_RATEIO_VALORES_COMPRA(CODFIL, SEQUEN, NUMITE) * (COALESCE(REDITE,0) / 100),2)
                                   END 
                              WHEN '3' THEN 0
                              WHEN '1' THEN 0
                              WHEN '2' THEN 0
                              WHEN '4' THEN 0
                         END,0),
       OUTICM = COALESCE(CASE ICMTIP 
                              WHEN '0' THEN
                                   CASE WHEN (SELECT ICO.SIMPLE 
                                                FROM TOTALL_ICO_71221 ICO 
                                               WHERE ICO.CODFIL = TT_ICO.CODFIL
                                                 AND ICO.SEQUEN = TT_ICO.SEQUEN
                                                 AND ICO.NUMITE = TT_ICO.NUMITE) = 'S' THEN TOTALL_RATEIO_VALORES_COMPRA(CODFIL, SEQUEN, NUMITE)
                                   ELSE TOTALL_RATEIO_VALORES_COMPRA(CODFIL, SEQUEN, NUMITE) - ROUND(TOTALL_RATEIO_VALORES_COMPRA(CODFIL, SEQUEN, NUMITE) * (COALESCE(REDITE,0) / 100),2)
                                   END 
                              WHEN '3' THEN TOTALL_RATEIO_VALORES_COMPRA(CODFIL, SEQUEN, NUMITE)
                              WHEN '1' THEN 0
                              WHEN '2' THEN 0
                              WHEN '4' THEN 0
                         END,0),
       ISEICM = COALESCE(CASE ICMTIP 
                              WHEN '0' THEN 0
                              WHEN '3' THEN 0
                              WHEN '1' THEN TOTALL_RATEIO_VALORES_COMPRA(CODFIL, SEQUEN, NUMITE)
                              WHEN '2' THEN TOTALL_RATEIO_VALORES_COMPRA(CODFIL, SEQUEN, NUMITE)
                              WHEN '4' THEN TOTALL_RATEIO_VALORES_COMPRA(CODFIL, SEQUEN, NUMITE)
                         END,0),
       VLRICM = COALESCE((CASE ICMTIP 
                              WHEN '0' THEN
                                   CASE WHEN (SELECT ICO.SIMPLE 
                                                FROM TOTALL_ICO_71221 ICO 
                                               WHERE ICO.CODFIL = TT_ICO.CODFIL
                                                 AND ICO.SEQUEN = TT_ICO.SEQUEN
                                                 AND ICO.NUMITE = TT_ICO.NUMITE) = 'S' THEN 0
                                   ELSE ROUND(TOTALL_RATEIO_VALORES_COMPRA(CODFIL, SEQUEN, NUMITE) * (COALESCE(REDITE,0) / 100),2)
                                   END 
                              WHEN '3' THEN 0
                              WHEN '1' THEN 0
                              WHEN '2' THEN 0
                              WHEN '4' THEN 0
                         END) * (COALESCE(ICMITE,0) / 100),0)
  WHERE (CODFIL, SEQUEN, NUMITE) IN (SELECT CODFIL, SEQUEN, NUMITE 
                                       FROM TOTALL_ICO_71221)
    AND (SELECT COUNT(*) FROM TT_FUN WHERE NOMFUN = 'CORR_BICM2') = 0;

/*-- SEQ 0213 --*/
-- Tarefa 71221 --
SELECT ENABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0214 --*/
-- Tarefa 71221 --
DROP FUNCTION TOTALL_RATEIO_VALORES_COMPRA (TT_ICO.CODFIL%TYPE,TT_ICO.SEQUEN%TYPE,TT_ICO.NUMITE%TYPE) CASCADE;

/*-- SEQ 0215 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 71221 --
INSERT INTO TT_FUN (NOMFUN, DATFUN, ATU_EM) VALUES ('CORR_BICM2', AGORA(), AGORA());


/*-- SEQ 0216 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION MaiorData_TT_DAT () CASCADE;

/*-- SEQ 0217 --*/
CREATE OR REPLACE FUNCTION MaiorData_TT_DAT ()
RETURNS Timestamp AS '
DECLARE

  vMaiorData Timestamp;
  vDummy Numeric;
BEGIN
  -- Tarefa 71056 --
  SELECT MAX(DATOPE) INTO vMaiorData FROM TT_DAT;

  -- Verifica se a data (DATOPE)  menor que 01/01/2060 e chama a funo: Adiciona_TT_DAT.
  IF vMaiorData < TO_DATE(''01/01/2060'',''dd/mm/yyyy'') THEN
      vDummy := Adiciona_TT_DAT(vMaiorData, TO_DATE(''01/01/2060'',''dd/mm/yyyy''));
  END IF;

  RETURN NULL;

END;
' language 'plpgsql';



/*-- SEQ 0218 --*/
-- Tarefa 71056 --
/*-- IGNORE ERRO --*/
DROP FUNCTION MaiorData_TT_DAT () CASCADE;


/*-- SEQ 0219 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 71435 --
SELECT ExecAlteraTipoColuna('TD_IRE','REDCON','Numeric(7,4)');


/*-- SEQ 0220 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 71435 --
SELECT ExecAlteraTipoColuna('TW_TAB','REDCON','Numeric(7,4)');



/*-- SEQ 0221 --*/
-- Tarefa 71431 --
SELECT DISABLETRIGGERS(LOWER('TR_FIN'));

/*-- SEQ 0222 --*/
-- Tarefa 71431 --
UPDATE TR_FIN
   SET VLRCRT = VLRLAN
 WHERE VLRCRT IS NULL;

/*-- SEQ 0223 --*/
-- Tarefa 71431 --
SELECT ENABLETRIGGERS(LOWER('TR_FIN'));


