
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 00000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
-- DES-75 --
ALTER TABLE TT_GRA ADD COLUMN DESGRA VARCHAR(120) ;


/*-- SEQ 0003 --*/
-- DES-75 --
CREATE INDEX I_LC_GRA_DESGRA ON TT_GRA (DESGRA)  ;


/*-- SEQ 0004 --*/
-- DES-86 --
ALTER TABLE TI_PRO ADD COLUMN GRA_DESGRA VARCHAR(120) ;




/*-- SEQ 0005 --*/
/*-- IGNORE ERRO --*/
-- DES-88 --
DROP FUNCTION NomeProduto (TT_PRO.DESECF%TYPE,TT_PRO.DESMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_DIV.NOMITE%TYPE,TT_GRA.CODTAM%TYPE,TT_SUB.NOMITE%TYPE,TT_PRO.ESPMAT%TYPE,TT_DIV.NOMEXT%TYPE,TT_SUB.NOMEXT%TYPE) CASCADE;

/*-- SEQ 0006 --*/
/*-- IGNORE ERRO --*/
-- DES-88 --
DROP FUNCTION NomeProduto (TT_PRO.DESECF%TYPE,TT_PRO.DESMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_DIV.NOMITE%TYPE,TT_GRA.CODTAM%TYPE,TT_SUB.NOMITE%TYPE,TT_PRO.ESPMAT%TYPE) CASCADE;


/*-- SEQ 0007 --*/
-- DES-96 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0008 --*/
-- DES-96 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'CM_SEM_MOVEST', 'Calcular Custo Mdio mesmo sem movimentao de estoque', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'CM_SEM_MOVEST'));

/*-- SEQ 0009 --*/
-- DES-96 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0010 --*/
-- Tarefa 105414 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0011 --*/
ALTER TABLE TT_CFG ADD COLUMN DESCPMORD VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0012 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0013 --*/
-- Tarefa 105414 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_DESCPMORD CHECK (DESCPMORD IN ('T','F'));

/*-- SEQ 0014 --*/
-- Tarefa 105414 --
ALTER TABLE TT_CFG ALTER COLUMN DESCPMORD SET NOT NULL;

/*-- SEQ 0015 --*/
-- Tarefa 105414 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0016 --*/
ALTER TABLE TW_CFG ADD COLUMN DESCPMORD VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0017 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));


/*-- SEQ 0018 --*/
-- Ticket 2019055265 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0019 --*/
-- Ticket 2019055265 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'NOVO_CLIENTE_CNPJ', 'Inserir novo registro de cliente quando j cadastrado radical de CNPJ (Filial do Cliente)', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'NOVO_CLIENTE_CNPJ'));

/*-- SEQ 0020 --*/
-- Ticket 2019055265 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0021 --*/
-- Tarefa 105747 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0022 --*/
-- Tarefa 105747 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'SUGMULFIL', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'SUGMULFIL'));

/*-- SEQ 0023 --*/
-- Tarefa 105747 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0024 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105747 --
DROP FUNCTION TotalVenda (Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,TD_FIL.CODFIL%TYPE,TD_MUL.CODTAB%TYPE,TT_PLA.FILPGT%TYPE,TT_PLA.CODPGT%TYPE,VARCHAR) CASCADE;

/*-- SEQ 0025 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105747 --
DROP FUNCTION TotalVenda (Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,TD_FIL.CODFIL%TYPE) CASCADE;

/*-- SEQ 0026 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105747 --
DROP FUNCTION TOTALTRANSFERENCIA (Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,TD_FIL.CODFIL%TYPE,TD_MUL.CODTAB%TYPE) CASCADE;

/*-- SEQ 0027 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105747 --
DROP FUNCTION TOTALTRANSFERENCIA (Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,TD_FIL.CODFIL%TYPE) CASCADE;

/*-- SEQ 0028 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105747 --
DROP FUNCTION PedidoPendente (TT_IPE.FILENT%TYPE,TT_IPE.FILMAT%TYPE,TT_IPE.CODMAT%TYPE,TT_IPE.CODCOR%TYPE,TT_IPE.CODTAM%TYPE,VARCHAR,VARCHAR) CASCADE;

/*-- SEQ 0029 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105747 --
DROP FUNCTION PedidoPendente (TT_IPE.FILENT%TYPE,TT_IPE.FILMAT%TYPE,TT_IPE.CODMAT%TYPE,TT_IPE.CODCOR%TYPE,TT_IPE.CODTAM%TYPE) CASCADE;

/*-- SEQ 0030 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105747 --
DROP FUNCTION PedidoPendente (TT_IPE.FILENT%TYPE,TT_IPE.FILMAT%TYPE,TT_IPE.CODMAT%TYPE,TT_IPE.CODCOR%TYPE,TT_IPE.CODTAM%TYPE,VARCHAR) CASCADE;

/*-- SEQ 0031 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105747 --
DROP FUNCTION NumeroVendas (Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,TD_FIL.CODFIL%TYPE,TD_MUL.CODTAB%TYPE) CASCADE;

/*-- SEQ 0032 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105747 --
DROP FUNCTION PONTODEPEDIDO (TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,TT_GRA.GRAABC%TYPE,TT_GRA.GRAXYZ%TYPE,TD_NIV.FATNIV%TYPE,TT_PXF.MEDENT%TYPE,TT_PXF.DP_ENT%TYPE,TD_FIL.CODFIL%TYPE,Timestamp,Timestamp,Timestamp,INTEGER) CASCADE;

/*-- SEQ 0033 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105747 --
DROP FUNCTION CALCULAPONTODEPEDIDO (Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,TD_FIL.CODFIL%TYPE,Numeric,TT_PXF.MEDENT%TYPE,Numeric,INTEGER,TD_MUL.CODTAB%TYPE,VARCHAR,TT_IVE.PROMOC%TYPE) CASCADE;

/*-- SEQ 0034 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105747 --
DROP FUNCTION CALCULAPONTODEPEDIDO (Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,TD_FIL.CODFIL%TYPE,Numeric(14,4),TT_PXF.MEDENT%TYPE,Numeric(3),INTEGER) CASCADE;

/*-- SEQ 0035 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105747 --
DROP FUNCTION ResumoVenPro (Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,TT_GRA.FILMAT%TYPE,TT_CFG.GIRO_ESTOQUE%TYPE,TR_MOV.PROMOC%TYPE) CASCADE;

/*-- SEQ 0036 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105747 --
DROP FUNCTION ResumoVenPro (Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,TT_GRA.FILMAT%TYPE) CASCADE;

/*-- SEQ 0037 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105747 --
DROP FUNCTION DiasUteis (td_fil.codfil%type,Timestamp,Timestamp,TT_UTL.FERABE%TYPE) CASCADE;

/*-- SEQ 0038 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105747 --
DROP FUNCTION DiasUteis (td_fil.codfil%type,Timestamp,Timestamp) CASCADE;

/*-- SEQ 0039 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105747 --
DROP FUNCTION SALDOGERAL (Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,TT_GRA.FILMAT%TYPE,TD_MUL.CODTAB%TYPE) CASCADE;

/*-- SEQ 0040 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105747 --
DROP FUNCTION SALDOGERAL (Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,TT_GRA.FILMAT%TYPE) CASCADE;

/*-- SEQ 0041 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105747 --
DROP FUNCTION SALDOGERAL (Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE) CASCADE;

/*-- SEQ 0042 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105747 --
DROP FUNCTION SUGESTAOCOMPRA (INTEGER,Timestamp,Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,TD_FIL.CODFIL%TYPE,VARCHAR,Numeric,Numeric,VARCHAR,VARCHAR,VARCHAR) CASCADE;

/*-- SEQ 0043 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105747 --
DROP FUNCTION SUGESTAOCOMPRA (INTEGER,Timestamp,Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,TD_FIL.CODFIL%TYPE,VARCHAR,Numeric,Numeric,VARCHAR,VARCHAR) CASCADE;

/*-- SEQ 0044 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105747 --
DROP FUNCTION SUGESTAOCOMPRA (INTEGER,Timestamp,Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,TD_FIL.CODFIL%TYPE,VARCHAR,Numeric,Numeric,VARCHAR) CASCADE;

/*-- SEQ 0045 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105747 --
DROP FUNCTION SUGESTAOCOMPRA (INTEGER,Timestamp,Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,TD_FIL.CODFIL%TYPE,VARCHAR,Numeric,Numeric) CASCADE;

/*-- SEQ 0046 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105747 --
DROP FUNCTION SUGESTAOCOMPRA (INTEGER,Timestamp,Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,TD_FIL.CODFIL%TYPE,VARCHAR,Numeric) CASCADE;

/*-- SEQ 0047 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105747 --
DROP FUNCTION SUGESTAOCOMPRA (INTEGER,Timestamp,Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,TD_FIL.CODFIL%TYPE) CASCADE;

/*-- SEQ 0048 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105747 --
DROP FUNCTION GiroEstoque (Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,TT_GRA.FILMAT%TYPE,TT_CFG.GIRO_ESTOQUE%TYPE,TR_MOV.PROMOC%TYPE) CASCADE;

/*-- SEQ 0049 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105747 --
DROP FUNCTION GiroEstoque (Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,TT_GRA.FILMAT%TYPE) CASCADE;


