
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 00000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
-- DES-128 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0003 --*/
-- DES-128 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'VALIDA_ESTOQUE_OFF', 'Permitir validao de estoque de forma off-line no Totall POS?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'VALIDA_ESTOQUE_OFF'));

/*-- SEQ 0004 --*/
-- DES-128 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0005 --*/
-- DES-104 --
ALTER TABLE TD_CFO ADD COLUMN CFOFOR VARCHAR(6) ;


/*-- SEQ 0006 --*/
-- DES-104 --
ALTER TABLE TW_TAB ADD COLUMN CFOFOR VARCHAR(6) ;





/*-- SEQ 0007 --*/
-- GES-2019053869 --
SELECT ExecAlteraTipoColuna('TI_LAN','LOT_CODEXT','VARCHAR(40)');



/*-- SEQ 0008 --*/
-- DES-137 --
ALTER TABLE TW_VEN_FIS ADD COLUMN CHAVEA VARCHAR(44) ;


/*-- SEQ 0009 --*/
-- DES-137 --
ALTER TABLE TW_COM_FIS ADD COLUMN CHAVEA VARCHAR(44) ;


/*-- SEQ 0010 --*/
-- DES-137 --
ALTER TABLE TW_ICO_FIS ADD COLUMN ICMVEN Numeric(6,4) ;


/*-- SEQ 0011 --*/
-- DES-137 --
ALTER TABLE TW_INV_FIS ADD COLUMN DATINV Timestamp ;


/*-- SEQ 0012 --*/
-- DES-137 --
CREATE TABLE TW_INV_FIS_PRO_SUB (
  SESSION_ID Numeric,
  CODFIL CHAR(3),
  FILMAT CHAR(3),
  CODMAT CHAR(5),
  CODTAM Numeric(5,0),
  CODCOR Numeric(5,0),
  QTDSAL Numeric(16,4)
  )  ;
 
/*-- SEQ 0013 --*/ 
-- DES-137 --
ALTER TABLE TW_INV_FIS_PRO_SUB ADD CONSTRAINT PK_WINV_FIS_PRO_SUB PRIMARY KEY (SESSION_ID, CODFIL, FILMAT, CODMAT, CODCOR, CODTAM);
 
/*-- SEQ 0014 --*/
-- DES-137 --
CREATE TABLE TW_INV_FIS_ICO_SUB (
  SESSION_ID Numeric,
  CODFIL CHAR(3),
  SEQUEN CHAR(10),
  NUMITE Numeric(5),
  FILFOR CHAR(3),
  CODFOR CHAR(6),
  FILEND CHAR(3),
  NUMEND Numeric(4),
  MODNOT CHAR(2),
  CODSER CHAR(2),
  SUBSER CHAR(3),
  NUMNOT VARCHAR(9),
  DATCMP Timestamp,
  DATOPE Timestamp,
  COM_VLRTOT Numeric(12,2),
  COM_BASSUB Numeric(12,2),
  COM_SUBSTT Numeric(12,2),
  COM_BASICM Numeric(12,2),
  COM_DESCON Numeric(12,2),
  FILMAT CHAR(3),
  CODMAT CHAR(5),
  CODTAM Numeric(5),
  CODCOR Numeric(5),
  EMBORI Numeric(5),
  EMBQTD Numeric(14,4),
  TIPPRO CHAR(1),
  ICMTIP CHAR(1),
  UNICOM Numeric(5),
  QTDCOM Numeric(12,4),
  QTDMOV Numeric(12,4),
  VLRMOV Numeric(12,4),
  VLRITE Numeric(12,2),
  VLRDES Numeric(12,2),
  DESRAT Numeric(12,2),
  OUTTAX Numeric(12,2),
  VLRFRE Numeric(12,2),
  BASICM Numeric(14,2),
  ICMITE Numeric(14,2),
  TAX001 Numeric(7,4),
  VLRICM Numeric(14,2),
  MVACOM Numeric(14,4),
  BASSUB Numeric(14,2),
  ICMVEN Numeric(6,4),
  VLR_ST Numeric(14,2),
  BASRET Numeric(12,2),
  VLRRET Numeric(12,2),
  IPIITE Numeric(12,2),
  VLRIPI Numeric(14,2),
  OUTICM Numeric(14,2),
  ISEICM Numeric(14,2),
  RETSUB VARCHAR(1),
  NATURE VARCHAR(6),
  CODCST VARCHAR(3),
  CODORI Numeric(1),
  CHAVEA VARCHAR(44)
  )  ;
 
/*-- SEQ 0015 --*/ 
-- DES-137 --
ALTER TABLE TW_INV_FIS_ICO_SUB ADD CONSTRAINT PK_WINV_FIS_ICO_SUB PRIMARY KEY (SESSION_ID, CODFIL, SEQUEN, NUMITE);

/*-- SEQ 0016 --*/
-- DES-137 --
CREATE INDEX I_LC_WINV_FIS_ICO_SUB_GRA ON TW_INV_FIS_ICO_SUB (FILMAT, CODMAT, CODCOR, CODTAM)  ;


/*-- SEQ 0017 --*/
-- Ticket 2019055265 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0018 --*/
-- Ticket 2019055265 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'NOVO_CLIENTE_CNPJ', 'Inserir novo registro de cliente quando j cadastrado radical de CNPJ (Filial do Cliente)', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'NOVO_CLIENTE_CNPJ'));

/*-- SEQ 0019 --*/
-- Ticket 2019055265 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0020 --*/
-- Ticket 2019055265 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0021 --*/
-- Ticket 2019055265 --
INSERT INTO TT_IPC
(ID_IPC, ID_PCS, DATINC, ATU_EM, VLRBOO)
(SELECT NEXTVAL('SQIPC'), PCS.ID_PCS, Agora(), Agora(), 'T'
  FROM TT_PCS PCS
 WHERE PCS.NOMPCS = 'NOVO_CLIENTE_CNPJ'
   AND NOT EXISTS (SELECT 1 AS OK 
                     FROM TT_IPC IPC
                    WHERE IPC.ID_PCS = PCS.ID_PCS));
                    
/*-- SEQ 0022 --*/
-- Ticket 2019055265 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0023 --*/
-- DES-157 --
ALTER TABLE TT_TEF ADD COLUMN CODBAN VARCHAR(5) ;




/*-- SEQ 0024 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2019063572 --
DROP FUNCTION TotalVenda (Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,TD_FIL.CODFIL%TYPE,TD_MUL.CODTAB%TYPE) CASCADE;


/*-- SEQ 0025 --*/
-- GES - 2019065531 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0026 --*/
-- GES - 2019065531 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'CPM_DATINI', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'CPM_DATINI'));

/*-- SEQ 0027 --*/
-- GES - 2019065531 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));

