
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 00000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
-- GES-2020033322 --
ALTER TABLE TT_RDV DROP CONSTRAINT CK_RDV_TIPRDV CASCADE;

/*-- SEQ 0003 --*/
-- GES-2020033322 --
ALTER TABLE TT_RDV ADD CONSTRAINT CK_RDV_TIPRDV CHECK (TIPRDV IN ('A', 'B' , 'C' , 'D' , 'E' , 'H' , 'M' , 'O' , 'S' , 'U' , 'V' , '1' , '2' , '3' , '4' , '5' , '9' , 'X', 'W' ));


/*-- SEQ 0004 --*/
-- GES-2020033322 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0005 --*/
-- GES-2020033322 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), AGORA(), AGORA(), 'PORTADOR_ECOM_BOLETO', 'Portador para Boleto de E-Commerce', 'N', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PORTADOR_ECOM_BOLETO'));

/*-- SEQ 0006 --*/
-- GES-2020033322 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0007 --*/
-- Ticket 2019118280 --
ALTER TABLE TT_PLA DROP CONSTRAINT CK_PLA_APLICA CASCADE;

/*-- SEQ 0008 --*/
-- Ticket 2019118280 --
ALTER TABLE TT_PLA ADD CONSTRAINT CK_PLA_APLICA CHECK (APLICA IN (0,1,2,3,4,5,6,7));


/*-- SEQ 0009 --*/
-- GES-2019093529 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0010 --*/
-- GES-2019093529 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), AGORA(), AGORA(), 'AVISA_PRECOEFETIVADO', 'Avisar preo efetivado na auditoria do sistema?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'AVISA_PRECOEFETIVADO'));

/*-- SEQ 0011 --*/
-- GES-2019093529 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0012 --*/
-- Ticket 2020035843 --
ALTER TABLE TT_USU ADD COLUMN CODPOS_USU VARCHAR(40) ;



/*-- SEQ 0013 --*/
-- Tarefa 2020040976 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0014 --*/
-- Tarefa 2020040976 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'RETIRAR_IPI_CFOP5949', 'Retirar o IPI da Devoluo de Compras com CFOP 5949/6949', 'B', 'T', 'T', 'T', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'RETIRAR_IPI_CFOP5949'));

/*-- SEQ 0015 --*/
-- Tarefa 2020040976 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0016 --*/
-- Ticket 2020037990 --
SELECT ExecAlteraTipoColuna('TT_GRA','CUSREP','Numeric(14,4)');


/*-- SEQ 0017 --*/
-- Ticket 2020037990 --
SELECT ExecAlteraTipoColuna('TT_GRA','ICMCOM','Numeric(14,2)');


/*-- SEQ 0018 --*/
-- Ticket 2020037990 --
SELECT ExecAlteraTipoColuna('TT_GRA','IPICOM','Numeric(14,2)');


/*-- SEQ 0019 --*/
-- Ticket 2020037990 --
SELECT ExecAlteraTipoColuna('TT_GRA','TAXCOM','Numeric(14,2)');


/*-- SEQ 0020 --*/
-- Ticket 2020037990 --
SELECT ExecAlteraTipoColuna('TT_GRA','DESICO','Numeric(14,2)');


/*-- SEQ 0021 --*/
-- Ticket 2020037990 --
SELECT ExecAlteraTipoColuna('TT_GRA','ICMFRE','Numeric(14,2)');


/*-- SEQ 0022 --*/
-- Ticket 2020037990 --
SELECT ExecAlteraTipoColuna('TT_GRA','ULTBAS','Numeric(7,4)');


/*-- SEQ 0023 --*/
-- Ticket 2020037990 --
SELECT ExecAlteraTipoColuna('TT_GRA','ICMCUS','Numeric(14,2)');


/*-- SEQ 0024 --*/
-- Ticket 2020037990 --
SELECT ExecAlteraTipoColuna('TT_GRA','IPICUS','Numeric(12,2)');


/*-- SEQ 0025 --*/
-- Ticket 2020037990 --
SELECT ExecAlteraTipoColuna('TT_GRA','PERFRE','Numeric(12,2)');



/*-- SEQ 0026 --*/
-- Ticket 2020037990 --
SELECT ExecAlteraTipoColuna('TT_GRA','CUSFRE','Numeric(16,6)');


/*-- SEQ 0027 --*/
-- Ticket 2020037990 --
SELECT ExecAlteraTipoColuna('TT_SAL','ICMCMP','Numeric(14,2)');


/*-- SEQ 0028 --*/
-- Ticket 2020037990 --
SELECT ExecAlteraTipoColuna('TT_SAL','IPICMP','Numeric(14,2)');


/*-- SEQ 0029 --*/
-- Ticket 2020037990 --
SELECT ExecAlteraTipoColuna('TT_SAL','DESCMP','Numeric(14,2)');


/*-- SEQ 0030 --*/
-- Ticket 2020037990 --
SELECT ExecAlteraTipoColuna('TT_SAL','TAXCMP','Numeric(14,2)');


/*-- SEQ 0031 --*/
-- Ticket 2020037990 --
SELECT ExecAlteraTipoColuna('TT_SAL','FRECMP','Numeric(16,6)');


/*-- SEQ 0032 --*/
-- Ticket 2020037990 --
SELECT ExecAlteraTipoColuna('TT_PXF','ICMCUS','Numeric(14,2)');


/*-- SEQ 0033 --*/
-- Ticket 2020037990 --
SELECT ExecAlteraTipoColuna('TT_PXF','IPICUS','Numeric(12,2)');



/*-- SEQ 0034 --*/
-- GES-2020018544 --
SELECT DISABLETRIGGERS(LOWER('TT_REC'));

/*-- SEQ 0035 --*/
-- GES-2020018544 --
INSERT INTO TL_FIN (ORIGEM, FLGEST, FILORI, SEQORI, PARORI, SUBORI)
   (SELECT CAST('REC' AS VARCHAR(3)) AS ORIGEM, CAST('N' AS VARCHAR(1)) AS FLGEST, REC.CODFIL AS FILORI, REC.SEQUEN AS SEQORI, REC.NUMPAR AS PARORI, REC.SUBPAR AS SUBORI
      FROM TT_REC REC
     WHERE REC.CARTAO IS NOT NULL
       AND REC.NUMECF >= '400'
       AND COALESCE(REC.VLRPGT, 0) = COALESCE(REC.VLRPAR, 0)
       AND COALESCE(REC.VLRTAX, 0) > 0
       AND COALESCE(REC.VLRPGT, 0) > 0);

/*-- SEQ 0036 --*/
-- GES-2020018544 --
UPDATE TT_REC REC SET VLRPGT = COALESCE(VLRPGT,0) - COALESCE(VLRTAX,0)
 WHERE REC.CARTAO IS NOT NULL
   AND REC.NUMECF >= '400'
   AND COALESCE(REC.VLRPGT, 0) = COALESCE(REC.VLRPAR, 0)
   AND COALESCE(REC.VLRTAX, 0) > 0
   AND COALESCE(REC.VLRPGT, 0) > 0;

/*-- SEQ 0037 --*/
-- GES-2020018544 --
SELECT ENABLETRIGGERS(LOWER('TT_REC'));



/*-- SEQ 0038 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020028672 --
DROP VIEW TV_TIMU_PARTEDOCTORECEBITEM CASCADE;

/*-- SEQ 0039 --*/
-- Ticket 2020028672 --
SELECT DISABLETRIGGERS(LOWER('TT_ATU'));

/*-- SEQ 0040 --*/
-- Ticket 2020028672 --
INSERT INTO TT_ATU (ID_ATU, DESATU, DATINI, DATFIM, ATU_EM) (
    SELECT (SELECT MAX(LATU.ID_ATU)+1 FROM TT_ATU LATU), 'EXPORTACAO_CAD_EME4', ATU.DATINI, ATU.DATFIM, ATU.ATU_EM 
      FROM TT_ATU ATU 
     WHERE ATU.DESATU = 'EXPORTACAO_EME4'
       AND NOT EXISTS(SELECT 1 AS OK FROM TT_ATU LATU WHERE LATU.DESATU = 'EXPORTACAO_CAD_EME4')
      );

/*-- SEQ 0041 --*/
-- Ticket 2020028672 --
INSERT INTO TT_ATU (ID_ATU, DESATU, DATINI, DATFIM, ATU_EM) (
    SELECT (SELECT MAX(LATU.ID_ATU)+1 FROM TT_ATU LATU), 'EXPORTACAO_MOV_EME4', ATU.DATINI, ATU.DATFIM, ATU.ATU_EM 
      FROM TT_ATU ATU 
     WHERE ATU.DESATU = 'EXPORTACAO_EME4'
       AND NOT EXISTS(SELECT 1 AS OK FROM TT_ATU LATU WHERE LATU.DESATU = 'EXPORTACAO_MOV_EME4')
      );

/*-- SEQ 0042 --*/
-- Ticket 2020028672 --
SELECT ENABLETRIGGERS(LOWER('TT_ATU'));


/*-- SEQ 0043 --*/
-- Tarefa 2020034695 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0044 --*/
-- Tarefa 2020034695 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'ST_NF_IMP', 'Calcular ST em NF de Importao', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'ST_NF_IMP'));

/*-- SEQ 0045 --*/
-- Tarefa 2020034695 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0046 --*/
-- Ticket 2019101073 --
SELECT DISABLETRIGGERS(LOWER('TT_ORC'));

/*-- SEQ 0047 --*/
ALTER TABLE TT_ORC ADD COLUMN EXPORT CHAR(1) DEFAULT 'F';

/*-- SEQ 0048 --*/
SELECT ENABLETRIGGERS(LOWER('TT_ORC'));

/*-- SEQ 0049 --*/
-- Ticket 2019101073 --
ALTER TABLE TT_ORC ALTER COLUMN EXPORT SET NOT NULL;

/*-- SEQ 0050 --*/
-- Ticket 2019101073 --
CREATE INDEX I_LC_ORC_EXPORT ON TT_ORC (EXPORT, DATINC)  ;

/*-- SEQ 0051 --*/
-- Ticket 2019101073 --
ALTER TABLE TT_ORC ADD COLUMN DUMMY VARCHAR(1) ;


/*-- SEQ 0052 --*/
-- Ticket 2019101073 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0053 --*/
-- Ticket 2019101073 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'EXPORT_ORC', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'EXPORT_ORC'));

/*-- SEQ 0054 --*/
-- Ticket 2019101073 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0055 --*/
-- Ticket 2019101073 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0056 --*/
-- Ticket 2019101073 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'EXP_DAV_EME4', 'Integrao de DAV/Pr-Venda na exportao EME4?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'EXP_DAV_EME4'));

/*-- SEQ 0057 --*/
-- Ticket 2019101073 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0058 --*/
-- Ticket 2020043929 --
SELECT ExecAlteraTipoColuna('TD_CT1','NOMCT1','VARCHAR(40)');



/*-- SEQ 0059 --*/
-- Tarefa 2019053290 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0060 --*/
-- Tarefa 2019053290 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'BLOQ_PREVENDAPARCIAL', 'Bloquear Resgate de Pr-Venda Parcial', 'B', 'T', 'T', 'T', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'BLOQ_PREVENDAPARCIAL'));

/*-- SEQ 0061 --*/
-- Tarefa 2019053290 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0062 --*/
-- Ticket 2020044468 --
ALTER TABLE TD_CT1 ADD COLUMN CODEXT_DCT1 VARCHAR(20) ;


/*-- SEQ 0063 --*/
-- Ticket 2020044468 --
ALTER TABLE TD_CT2 ADD COLUMN CODEXT_DCT2 VARCHAR(20) ;


/*-- SEQ 0064 --*/
-- Ticket 2020044468 --
ALTER TABLE TD_CT3 ADD COLUMN CODEXT_DCT3 VARCHAR(20) ;


/*-- SEQ 0065 --*/
-- Ticket 2020044468 --
ALTER TABLE TW_TAB ADD COLUMN CODEXT_DCT1 VARCHAR(20) ;


/*-- SEQ 0066 --*/
-- Ticket 2020044468 --
ALTER TABLE TW_TAB ADD COLUMN CODEXT_DCT2 VARCHAR(20) ;


/*-- SEQ 0067 --*/
-- Ticket 2020044468 --
ALTER TABLE TW_TAB ADD COLUMN CODEXT_DCT3 VARCHAR(20) ;


/*-- SEQ 0068 --*/
-- Ticket 2020044468 --
ALTER TABLE TI_CLI ADD COLUMN CODCT1 VARCHAR(20) ;


/*-- SEQ 0069 --*/
-- Ticket 2020044468 --
ALTER TABLE TI_CLI ADD COLUMN CODCT2 VARCHAR(20) ;


/*-- SEQ 0070 --*/
-- Ticket 2020044468 --
ALTER TABLE TI_CLI ADD COLUMN CODCT3 VARCHAR(20) ;



/*-- SEQ 0071 --*/
-- Ticket 2020044824 --
ALTER TABLE TI_LIM ADD COLUMN CODCCC VARCHAR(20) ;


