
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 00000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020077751 --
ALTER TABLE TI_PRO ADD COLUMN REDCON Numeric(7,4) ;


/*-- SEQ 0003 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020077751 --
ALTER TABLE TI_PRO ADD COLUMN APLCON VARCHAR(1) ;



/*-- SEQ 0004 --*/
-- Tarefa 2020070598 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0005 --*/
-- Tarefa 2020070598 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'BASE_IPI_C_DESC', 'Base IPI c/ Desconto', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'BASE_IPI_C_DESC'));

/*-- SEQ 0006 --*/
-- Tarefa 2020070598 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0007 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020077530 --
ALTER TABLE TT_CLI ADD COLUMN INDEXP CHAR(1) ;


/*-- SEQ 0008 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020077530 --
ALTER TABLE TT_CLI ADD CONSTRAINT CK_CLI_INDEXP CHECK ((INDEXP IS NULL) OR (INDEXP IN ('I', 'N', 'E')));


/*-- SEQ 0009 --*/
-- Ticket 2020076812 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0010 --*/
-- Ticket 2020076812 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'IMP_INFADPROD_NFCE', 'Imprime Informao Adicional do produto na NFC-e', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'IMP_INFADPROD_NFCE'));

/*-- SEQ 0011 --*/
-- Ticket 2020076812 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0012 --*/
-- Ticket 2020076812 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0013 --*/
-- Ticket 2020076812 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
  FROM TT_PCS PCS
 WHERE PCS.NOMPCS = 'IMP_INFADPROD_NFCE'
   AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0014 --*/
-- Ticket 2020076812 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));



/*-- SEQ 0015 --*/
-- Ticket 2020064839 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'SUGDEPOSIT', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'SUGDEPOSIT'));
                     
/*-- SEQ 0016 --*/
-- Ticket 2020064839 --
/*-- IGNORE ERRO --*/
DROP FUNCTION SUGESTAOCOMPRA (INTEGER,Timestamp,Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,VARCHAR,VARCHAR,Numeric,Numeric,VARCHAR,VARCHAR,VARCHAR,VARCHAR) CASCADE;

/*-- SEQ 0017 --*/
-- Ticket 2020064839 --
/*-- IGNORE ERRO --*/
DROP FUNCTION SUGESTAOCOMPRA (INTEGER,Timestamp,Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,VARCHAR,VARCHAR,Numeric,Numeric,VARCHAR,VARCHAR,VARCHAR) CASCADE;

/*-- SEQ 0018 --*/
-- Ticket 2020064839 --
/*-- IGNORE ERRO --*/
DROP FUNCTION SUGESTAOCOMPRA (INTEGER,Timestamp,Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,VARCHAR,VARCHAR,Numeric,Numeric,VARCHAR,VARCHAR) CASCADE;

/*-- SEQ 0019 --*/
-- Ticket 2020064839 --
/*-- IGNORE ERRO --*/
DROP FUNCTION SUGESTAOCOMPRA (INTEGER,Timestamp,Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,VARCHAR,VARCHAR,Numeric,Numeric,VARCHAR) CASCADE;

/*-- SEQ 0020 --*/
-- Ticket 2020064839 --
/*-- IGNORE ERRO --*/
DROP FUNCTION SUGESTAOCOMPRA (INTEGER,Timestamp,Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,VARCHAR,VARCHAR,Numeric,Numeric) CASCADE;

/*-- SEQ 0021 --*/
-- Ticket 2020064839 --
/*-- IGNORE ERRO --*/
DROP FUNCTION SUGESTAOCOMPRA (INTEGER,Timestamp,Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,VARCHAR,VARCHAR,Numeric) CASCADE;

/*-- SEQ 0022 --*/
-- Ticket 2020064839 --
/*-- IGNORE ERRO --*/
DROP FUNCTION SUGESTAOCOMPRA (INTEGER,Timestamp,Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,VARCHAR) CASCADE;


/*-- SEQ 0023 --*/
-- Ticket 2020085628 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0024 --*/
-- Ticket 2020085628 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'PIS_S_ICMS_COM', 'Retirar o valor do ICMS prprio da Base de PIS/COFINS nas entradas/compras', 'B', 'T', 'T', 'F', 'T'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PIS_S_ICMS_COM'));

/*-- SEQ 0025 --*/
-- Ticket 2020085628 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0026 --*/
-- Ticket 2020085628 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0027 --*/
-- Ticket 2020085628 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS,
        CASE WHEN FUN.NOMFUN IS NULL THEN 'F' ELSE 'T' END
  FROM TT_PCS PCS LEFT JOIN TT_FUN FUN ON FUN.NOMFUN = 'PIS_S_ICMS'
 WHERE PCS.NOMPCS = 'PIS_S_ICMS_COM'
   AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0028 --*/
-- Ticket 2020085628 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0029 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020068604 --
ALTER TABLE TT_IUF DROP CONSTRAINT CK_IUF_REGDIF CASCADE;

/*-- SEQ 0030 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020068604 --
ALTER TABLE TT_IUF ADD CONSTRAINT CK_IUF_REGDIF CHECK (REGDIF IN ('C','J','N','R'));



/*-- SEQ 0031 --*/
-- Tarefa 2020074417 --
SELECT DISABLETRIGGERS(LOWER('TI_USU'));

/*-- SEQ 0032 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_USU ADD COLUMN TIPOPE VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0033 --*/
SELECT ENABLETRIGGERS(LOWER('TI_USU'));

/*-- SEQ 0034 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020074417 --
ALTER TABLE TI_USU ADD CONSTRAINT CK_IUSU_TIPOPE CHECK (TIPOPE IN ('T','I','A'));

/*-- SEQ 0035 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020074417 --
ALTER TABLE TI_USU ADD COLUMN DOCPAR VARCHAR(15) ;


/*-- SEQ 0036 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020074417 --
ALTER TABLE TI_USU ALTER COLUMN CODCLI DROP NOT NULL;


/*-- SEQ 0037 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_CLI ADD COLUMN VLRMIN_PEDCOM Numeric(14,2) ;


/*-- SEQ 0038 --*/
-- Ticket 2020046026 --
ALTER TABLE TD_DEP ADD COLUMN PESPRZENT Numeric(7,4) ;


/*-- SEQ 0039 --*/
-- Ticket 2020046026 --
ALTER TABLE TD_DEP ADD COLUMN PESPREVEN Numeric(7,4) ;


/*-- SEQ 0040 --*/
-- Ticket 2020046026 --
ALTER TABLE TD_DEP ADD COLUMN PESPREFOR Numeric(7,4) ;


/*-- SEQ 0041 --*/
-- Ticket 2020046026 --
ALTER TABLE TD_DEP ADD COLUMN TAXJURMES Numeric(7,4) ;


/*-- SEQ 0042 --*/
-- Ticket 2020046026 --
ALTER TABLE TW_TAB ADD COLUMN PESPRZENT Numeric(7,4) ;


/*-- SEQ 0043 --*/
-- Ticket 2020046026 --
ALTER TABLE TW_TAB ADD COLUMN PESPREVEN Numeric(7,4) ;


/*-- SEQ 0044 --*/
-- Ticket 2020046026 --
ALTER TABLE TW_TAB ADD COLUMN PESPREFOR Numeric(7,4) ;


/*-- SEQ 0045 --*/
-- Ticket 2020046026 --
ALTER TABLE TW_TAB ADD COLUMN TAXJURMES Numeric(7,4) ;


/*-- SEQ 0046 --*/
-- Ticket 2020046026 --
ALTER TABLE TD_FIL ADD COLUMN PESPRZENT Numeric(7,4) ;


/*-- SEQ 0047 --*/
-- Ticket 2020046026 --
ALTER TABLE TD_FIL ADD COLUMN PESPREVEN Numeric(7,4) ;


/*-- SEQ 0048 --*/
-- Ticket 2020046026 --
ALTER TABLE TD_FIL ADD COLUMN PESPREFOR Numeric(7,4) ;


/*-- SEQ 0049 --*/
-- Ticket 2020046026 --
ALTER TABLE TD_FIL ADD COLUMN TAXJURMES Numeric(7,4) ;



/*-- SEQ 0050 --*/
-- Ticket 2020046026 --
CREATE TABLE TT_CPF (
   CODFIL CHAR(3),
   SEQUEN CHAR(10),
   DATINC Timestamp,
   ATU_EM Timestamp,
   FLGEST CHAR(1),
   DESCRI VARCHAR(254)
   )  ;

/*-- SEQ 0051 --*/ 
-- Ticket 2020046026 --
ALTER TABLE TT_CPF ADD CONSTRAINT PK_CPF PRIMARY KEY (CODFIL, SEQUEN);

/*-- SEQ 0052 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_CPF ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0053 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_CPF ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0054 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_CPF ALTER COLUMN DESCRI SET NOT NULL;

/*-- SEQ 0055 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_CPF ALTER COLUMN FLGEST SET NOT NULL;

/*-- SEQ 0056 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_CPF ADD CONSTRAINT CK_CPF_FLGEST CHECK (FLGEST IN ('A','C','E','F'));

/*-- SEQ 0057 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_CPF ALTER COLUMN FLGEST SET DEFAULT 'A';

/*-- SEQ 0058 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_CPF ADD CONSTRAINT FK_CPF_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL (CODFIL);

/*-- SEQ 0059 --*/
-- Ticket 2020046026 --
CREATE INDEX I_FK_CPF_DFIL ON TT_CPF (CODFIL)  ;

/*-- SEQ 0060 --*/
-- Ticket 2020046026 --
CREATE SEQUENCE SQCPF INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0061 --*/
-- Ticket 2020046026 --
CREATE INDEX I_LC_CPF_DESCRI ON TT_CPF (DESCRI)  ;

/*-- SEQ 0062 --*/
-- Ticket 2020046026 --
CREATE INDEX I_LC_CPF_DATINC ON TT_CPF (DATINC)  ;

/*-- SEQ 0063 --*/
-- Ticket 2020046026 --
CREATE INDEX I_LC_CPF_FLGEST ON TT_CPF (FLGEST)  ;

/*-- SEQ 0064 --*/
-- Ticket 2020046026 --
CREATE TABLE TT_ICP (
   CODFIL CHAR(3),
   SEQUEN CHAR(10),
   NUMITE Numeric(5),
   DATINC Timestamp,
   ATU_EM Timestamp,
   FLGEST CHAR(1),
   FILENT CHAR(3),
   FILMAT CHAR(3),
   CODMAT CHAR(5),
   CODCOR Numeric(5),
   CODTAM Numeric(5),
   QTDITE Numeric(12,4)
   )  ;

/*-- SEQ 0065 --*/ 
-- Ticket 2020046026 --
ALTER TABLE TT_ICP ADD CONSTRAINT PK_ICP PRIMARY KEY (CODFIL, SEQUEN, NUMITE);

/*-- SEQ 0066 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICP ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0067 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICP ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0068 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICP ALTER COLUMN QTDITE SET NOT NULL;

/*-- SEQ 0069 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICP ALTER COLUMN FLGEST SET NOT NULL;

/*-- SEQ 0070 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICP ALTER COLUMN FILENT SET NOT NULL;

/*-- SEQ 0071 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICP ALTER COLUMN FILMAT SET NOT NULL;

/*-- SEQ 0072 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICP ALTER COLUMN CODMAT SET NOT NULL;

/*-- SEQ 0073 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICP ALTER COLUMN CODCOR SET NOT NULL;

/*-- SEQ 0074 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICP ALTER COLUMN CODTAM SET NOT NULL;

/*-- SEQ 0075 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICP ADD CONSTRAINT CK_ICP_FLGEST CHECK (FLGEST IN ('A','C','F'));

/*-- SEQ 0076 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICP ALTER COLUMN FLGEST SET DEFAULT 'A';

/*-- SEQ 0077 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICP ADD CONSTRAINT FK_ICP_CPF FOREIGN KEY (CODFIL, SEQUEN) REFERENCES TT_CPF (CODFIL, SEQUEN);

/*-- SEQ 0078 --*/
-- Ticket 2020046026 --
CREATE INDEX I_FK_ICP_CPF ON TT_ICP (CODFIL, SEQUEN)  ;

/*-- SEQ 0079 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICP ADD CONSTRAINT FK_ICP_DFIL_ENT FOREIGN KEY (FILENT) REFERENCES TD_FIL (CODFIL);

/*-- SEQ 0080 --*/
-- Ticket 2020046026 --
CREATE INDEX I_FK_ICP_DFIL_ENT ON TT_ICP (FILENT)  ;

/*-- SEQ 0081 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICP ADD CONSTRAINT FK_ICP_GRA FOREIGN KEY (FILMAT, CODMAT, CODCOR, CODTAM) REFERENCES TT_GRA (FILMAT, CODMAT, CODCOR, CODTAM);

/*-- SEQ 0082 --*/
-- Ticket 2020046026 --
CREATE INDEX I_FK_ICP_GRA ON TT_ICP (FILMAT, CODMAT, CODCOR, CODTAM)  ;

/*-- SEQ 0083 --*/
-- Ticket 2020046026 --
CREATE TABLE TT_CPFXFOR (
   CODFIL CHAR(3),
   SEQUEN CHAR(10),
   FILFOR CHAR(3),
   CODFOR CHAR(6),
   PRZENT Numeric(5),
   PRZPGT VARCHAR(100),
   PERPGT VARCHAR(100),   
   DATINC Timestamp,
   DATENV Timestamp,
   ATU_EM Timestamp,
   FLGEST CHAR(1),
   TIPEXP CHAR(1)
   )  ;

/*-- SEQ 0084 --*/ 
-- Ticket 2020046026 --
ALTER TABLE TT_CPFXFOR ADD CONSTRAINT PK_CPXF PRIMARY KEY (CODFIL, SEQUEN, FILFOR, CODFOR);

/*-- SEQ 0085 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_CPFXFOR ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0086 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_CPFXFOR ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0087 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_CPFXFOR ALTER COLUMN FLGEST SET NOT NULL;

/*-- SEQ 0088 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_CPFXFOR ALTER COLUMN TIPEXP SET NOT NULL;

/*-- SEQ 0089 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_CPFXFOR ALTER COLUMN PRZENT SET NOT NULL;

/*-- SEQ 0090 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_CPFXFOR ALTER COLUMN PRZPGT SET NOT NULL;

/*-- SEQ 0091 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_CPFXFOR ALTER COLUMN PERPGT SET NOT NULL;

/*-- SEQ 0092 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_CPFXFOR ADD CONSTRAINT CK_CPXF_FLGEST CHECK (FLGEST IN ('A','C','E','R'));

/*-- SEQ 0093 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_CPFXFOR ALTER COLUMN FLGEST SET DEFAULT 'A';

/*-- SEQ 0094 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_CPFXFOR ADD CONSTRAINT CK_CPXF_TIPEXP CHECK (TIPEXP IN ('E','J'));

/*-- SEQ 0095 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_CPFXFOR ALTER COLUMN TIPEXP SET DEFAULT 'E';

/*-- SEQ 0096 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_CPFXFOR ADD CONSTRAINT FK_CPXF_CPF FOREIGN KEY (CODFIL, SEQUEN) REFERENCES TT_CPF (CODFIL, SEQUEN);

/*-- SEQ 0097 --*/
-- Ticket 2020046026 --
CREATE INDEX I_FK_CPXF_CPF ON TT_CPFXFOR (CODFIL, SEQUEN)  ;

/*-- SEQ 0098 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_CPFXFOR ADD CONSTRAINT FK_CPXF_CLI FOREIGN KEY (FILFOR, CODFOR) REFERENCES TT_CLI (FILCLI, CODCLI);

/*-- SEQ 0099 --*/
-- Ticket 2020046026 --
CREATE INDEX I_FK_CPXF_CLI ON TT_CPFXFOR (FILFOR, CODFOR)  ;

/*-- SEQ 0100 --*/
-- Ticket 2020046026 --
CREATE TABLE TT_ICPXFOR (
   CODFIL CHAR(3),
   SEQUEN CHAR(10),
   FILFOR CHAR(3),
   CODFOR CHAR(6),
   NUMICP Numeric(5),
   DATINC Timestamp,
   ATU_EM Timestamp,
   FLGEST CHAR(1),
   VLRUNI Numeric(12,2),
   QTDITE Numeric(12,4),
   VLRITE Numeric(12,2),
   BASIPI Numeric(12,2),
   TAXIPI Numeric(7,4),
   VLRIPI Numeric(12,2),
   BASICM Numeric(12,2),
   TAXRED Numeric(7,4),
   TAXICM Numeric(7,4),
   VLRICM Numeric(12,2),
   ISEICM Numeric(12,2),
   BASSTT Numeric(12,2),
   REDSTT Numeric(7,4),
   TAXMVA Numeric(7,4),
   TAXSTT Numeric(7,4),
   VLRSTT Numeric(12,2),
   BASPIS Numeric(12,2),
   TAXPIS Numeric(7,4),
   VLRPIS Numeric(12,2),
   BASCOF Numeric(12,2),
   TAXCOF Numeric(7,4),
   VLRCOF Numeric(12,2),
   VLRPRE Numeric(12,2),
   FLGVEN CHAR(1)
   )  ;

/*-- SEQ 0101 --*/ 
-- Ticket 2020046026 --
ALTER TABLE TT_ICPXFOR ADD CONSTRAINT PK_CIXF PRIMARY KEY (CODFIL, SEQUEN, FILFOR, CODFOR, NUMICP);

/*-- SEQ 0102 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICPXFOR ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0103 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICPXFOR ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0104 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICPXFOR ALTER COLUMN FLGEST SET NOT NULL;

/*-- SEQ 0105 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICPXFOR ALTER COLUMN VLRUNI SET NOT NULL;

/*-- SEQ 0106 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICPXFOR ALTER COLUMN QTDITE SET NOT NULL;

/*-- SEQ 0107 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICPXFOR ALTER COLUMN VLRITE SET NOT NULL;

/*-- SEQ 0108 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICPXFOR ADD CONSTRAINT CK_CIXF_FLGEST CHECK (FLGEST IN ('A','C','R'));

/*-- SEQ 0109 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICPXFOR ADD CONSTRAINT CK_CIXF_FLGVEN CHECK (FLGVEN IN ('T','F'));

/*-- SEQ 0110 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICPXFOR ALTER COLUMN FLGEST SET DEFAULT 'A';

/*-- SEQ 0111 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICPXFOR ALTER COLUMN FLGVEN SET DEFAULT 'F';

/*-- SEQ 0112 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICPXFOR ADD CONSTRAINT FK_CIXF_CPXF FOREIGN KEY (CODFIL, SEQUEN, FILFOR, CODFOR) REFERENCES TT_CPFXFOR (CODFIL, SEQUEN, FILFOR, CODFOR);

/*-- SEQ 0113 --*/
-- Ticket 2020046026 --
CREATE INDEX I_FK_CIXF_CPXF ON TT_ICPXFOR (CODFIL, SEQUEN, FILFOR, CODFOR)  ;

/*-- SEQ 0114 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICPXFOR ADD CONSTRAINT FK_CIXF_ICP FOREIGN KEY (CODFIL, SEQUEN, NUMICP) REFERENCES TT_ICP (CODFIL, SEQUEN, NUMITE);

/*-- SEQ 0115 --*/
-- Ticket 2020046026 --
CREATE INDEX I_FK_CIXF_ICP ON TT_ICPXFOR (CODFIL, SEQUEN, NUMICP)  ;

/*-- SEQ 0116 --*/
-- Ticket 2020046026 --
CREATE TABLE TL_CPF (
  CODTAB Numeric(10),
  FILCPF CHAR(3),
  SEQCPF CHAR(10),
  DATOPE Timestamp,
  FILUSU CHAR(3),
  CODUSU CHAR(3),
  MSGLOG VARCHAR(4000),
  CODUID Numeric
  )  ;

/*-- SEQ 0117 --*/
-- Ticket 2020046026 --
ALTER TABLE TL_CPF ADD CONSTRAINT PK_LCPF PRIMARY KEY (CODTAB);

/*-- SEQ 0118 --*/
-- Ticket 2020046026 --
CREATE SEQUENCE SQLCPF INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0119 --*/
-- Ticket 2020046026 --
ALTER TABLE TL_CPF ADD CONSTRAINT FK_LCPF_CPF FOREIGN KEY (FILCPF, SEQCPF) REFERENCES TT_CPF (CODFIL, SEQUEN);

/*-- SEQ 0120 --*/
-- Ticket 2020046026 --
CREATE INDEX I_FK_LCPF_CPF ON TL_CPF (FILCPF, SEQCPF)  ;

/*-- SEQ 0121 --*/
-- Ticket 2020046026 --
ALTER TABLE TL_CPF ADD CONSTRAINT FK_LCPF_USU FOREIGN KEY (FILUSU, CODUSU) REFERENCES TT_USU (FILUSU, CODUSU);

/*-- SEQ 0122 --*/
-- Ticket 2020046026 --
CREATE INDEX I_FK_LCPF_USU ON TL_CPF (FILUSU, CODUSU)  ;

/*-- SEQ 0123 --*/
-- Ticket 2020046026 --
ALTER TABLE TL_CPF ADD CONSTRAINT FK_LCPF_UID FOREIGN KEY (CODUID) REFERENCES TT_UID (CODUID);

/*-- SEQ 0124 --*/
-- Ticket 2020046026 --
CREATE INDEX I_FK_LCPF_UID ON TL_CPF (CODUID)  ;



/*-- SEQ 0125 --*/
-- Ticket 2020068301 --
/*-- IGNORE ERRO --*/
DROP FUNCTION CriaSeparacaoReposicao (TT_PED.CODFIL%TYPE,Numeric) CASCADE;

/*-- SEQ 0126 --*/
-- Tarefa 2020068301 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0127 --*/
-- Tarefa 2020068301 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'SEPARACAO_REPOSICAO', 'Realiza Separao de Pedido de Reposio?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'SEPARACAO_REPOSICAO'));

/*-- SEQ 0128 --*/
-- Tarefa 2020068301 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0129 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020072614 --
ALTER TABLE TI_PRO ADD COLUMN DESNCM VARCHAR(4000) ;


/*-- SEQ 0130 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020072614 --
ALTER TABLE TI_PRO ADD COLUMN DESCES VARCHAR(4000) ;




/*-- SEQ 0131 --*/
-- Ticket 2020094457 --
SELECT ExecAlteraTipoColuna('TT_CAM','VLRREF','Numeric(14,4)');



/*-- SEQ 0132 --*/
-- Ticket 2020107356 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0133 --*/
-- Ticket 2020107356 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'PED_FILIAL_COTACAO', 'Gerar Pedido por Filial na Aprovao da Cotao?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PED_FILIAL_COTACAO'));

/*-- SEQ 0134 --*/
-- Ticket 2020107356 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0135 --*/
-- Ticket 2020107356 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0136 --*/
-- Ticket 2020107356 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'T'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'PED_FILIAL_COTACAO'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0137 --*/
-- Ticket 2020107356 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0138 --*/
-- Ticket 2020057088 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0139 --*/
-- Ticket 2020057088 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'DIVIDACOR', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'DIVIDACOR'));

/*-- SEQ 0140 --*/
-- Ticket 2020057088 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0141 --*/
-- Ticket 2020113404 --
SELECT ExecAlteraTipoColuna('TT_TEF','NSUTRN','VARCHAR(20)');



/*-- SEQ 0142 --*/
-- Ticket 2020104416 --
SELECT ExecAlteraTipoColuna('TI_CLI','ESTCIV','Numeric(5,0)');


/*-- SEQ 0143 --*/
-- Ticket 2020104416 --
SELECT ExecAlteraTipoColuna('TI_CLI','FLGTIP','Numeric(5,0)');


/*-- SEQ 0144 --*/
-- Ticket 2020104416 --
SELECT ExecAlteraTipoColuna('TI_CLI','CODSEX','Numeric(5,0)');


/*-- SEQ 0145 --*/
-- Ticket 2020104416 --
SELECT ExecAlteraTipoColuna('TI_CLI','SEXCON','Numeric(5,0)');


/*-- SEQ 0146 --*/
-- Ticket 2020104416 --
SELECT ExecAlteraTipoColuna('TI_CLI','E_MCON','VARCHAR(254)');


/*-- SEQ 0147 --*/
-- Ticket 2020104416 --
SELECT ExecAlteraTipoColuna('TI_CLI','ALUFIN','Numeric(12,2)');


/*-- SEQ 0148 --*/
-- Ticket 2020104416 --
SELECT ExecAlteraTipoColuna('TI_CLI','FIRCON','VARCHAR(50)');


/*-- SEQ 0149 --*/
-- Ticket 2020104416 --
SELECT ExecAlteraTipoColuna('TI_CLI','ENDCO1','VARCHAR(50)');


/*-- SEQ 0150 --*/
-- Ticket 2020104416 --
SELECT ExecAlteraTipoColuna('TI_CLI','CANMES','Numeric(5,0)');



/*-- SEQ 0151 --*/
-- Ticket 2020093995 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0152 --*/
-- Ticket 2020093995 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'KITNFTRANS', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'KITNFTRANS'));

/*-- SEQ 0153 --*/
-- Ticket 2020093995 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0154 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020097542 --
ALTER TABLE TI_CLI ADD COLUMN END_CODEXT VARCHAR(20) ;



/*-- SEQ 0155 --*/
-- Ticket 2020113404 --
SELECT ExecAlteraTipoColuna('TT_TEF','NUMAUT','VARCHAR(100)');



/*-- SEQ 0156 --*/
-- Ticket 2020062951 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0157 --*/
-- Ticket 2020062951 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'ESCONDE_SELECIONA', 'Esconder boto "Seleciona" na tela de separao do Commerce Web?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'ESCONDE_SELECIONA'));

/*-- SEQ 0158 --*/
-- Ticket 2020062951 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0159 --*/
-- Ticket 2020062951 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0160 --*/
-- Ticket 2020062951 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'ESCONDE_SELECIONA'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0161 --*/
-- Ticket 2020062951 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));

