
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 00000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
-- Ticket 2021077976 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0003 --*/
-- Ticket 2021077976 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'CAN_ITE_DAV_NAO_FAT', 'Realiza o cancelamento dos itens do DAV/Pr-Venda no Faturados?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'CAN_ITE_DAV_NAO_FAT'));

/*-- SEQ 0004 --*/
-- Ticket 2021077976 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0005 --*/
-- Ticket 2022015609 --
ALTER TABLE TI_PRO ADD COLUMN IMGGRU VARCHAR(255) ;



/*-- SEQ 0006 --*/
-- Ticket 2022018478 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0007 --*/
-- Ticket 2022018478 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'IGNORAR_DIFAL', 'Ignorar clculo do DIFAL?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'IGNORAR_DIFAL'));

/*-- SEQ 0008 --*/
-- Ticket 2022018478 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0009 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2022015609 --
SELECT * FROM NADA;



/*-- SEQ 0010 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021045701 --
DROP FUNCTION PedidoPendente (VARCHAR,TT_IPE.FILMAT%TYPE,TT_IPE.CODMAT%TYPE,TT_IPE.CODCOR%TYPE,TT_IPE.CODTAM%TYPE,VARCHAR,VARCHAR,VARCHAR,TT_IPE.CODMUL%TYPE) CASCADE;

/*-- SEQ 0011 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021045701 --
DROP FUNCTION PedidoPendente (VARCHAR,TT_IPE.FILMAT%TYPE,TT_IPE.CODMAT%TYPE,TT_IPE.CODCOR%TYPE,TT_IPE.CODTAM%TYPE) CASCADE;

/*-- SEQ 0012 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021045701 --
DROP FUNCTION PedidoPendente (VARCHAR,TT_IPE.FILMAT%TYPE,TT_IPE.CODMAT%TYPE,TT_IPE.CODCOR%TYPE,TT_IPE.CODTAM%TYPE,VARCHAR) CASCADE;

/*-- SEQ 0013 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021045701 --
DROP FUNCTION PedidoPendente (VARCHAR,TT_IPE.FILMAT%TYPE,TT_IPE.CODMAT%TYPE,TT_IPE.CODCOR%TYPE,TT_IPE.CODTAM%TYPE,VARCHAR,VARCHAR) CASCADE;

/*-- SEQ 0014 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021045701 --
DROP FUNCTION PedidoPendente (VARCHAR,TT_IPE.FILMAT%TYPE,TT_IPE.CODMAT%TYPE,TT_IPE.CODCOR%TYPE,TT_IPE.CODTAM%TYPE,VARCHAR,VARCHAR,VARCHAR) CASCADE;



/*-- SEQ 0015 --*/
-- Ticket 2021105673 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0016 --*/
-- Ticket 2021105673--
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'INCLUIR_EAN_COMPRA', 'Realizar a incluso do EAN vindo do XML quando no vinculado ao produto', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'INCLUIR_EAN_COMPRA'));
                     
/*-- SEQ 0017 --*/
-- Ticket 2021105673 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0018 --*/
-- Ticket 2021105673 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0019 --*/
-- Ticket 2021105673 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'T'
   FROM TT_PCS PCS
  CROSS JOIN GX_CFG CFG
  WHERE PCS.NOMPCS = 'INCLUIR_EAN_COMPRA'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0020 --*/
-- Ticket 2021105673 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0021 --*/
-- Ticket 2022022551 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0022 --*/
-- Ticket 2022022551 --
UPDATE TT_CFG
   SET CHECKOUT_VERMIN = '5.8B',
       CHECKOUT_RELMIN = 22;

/*-- SEQ 0023 --*/
-- Ticket 2022022551 --
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));



/*-- SEQ 0024 --*/
-- Ticket 2022027785 --
ALTER TABLE TD_CAR ADD COLUMN DATINC Timestamp ;


/*-- SEQ 0025 --*/
-- Ticket 2022027785 --
ALTER TABLE TD_CAR ADD COLUMN ATU_EM Timestamp ;


/*-- SEQ 0026 --*/
-- Ticket 2022027785 --
SELECT DISABLETRIGGERS(LOWER('TD_CAR'));

/*-- SEQ 0027 --*/
-- Ticket 2022027785 --
UPDATE TD_CAR 
   SET DATINC = AGORA(), ATU_EM = AGORA();
 
/*-- SEQ 0028 --*/
-- Ticket 2022027785 --
SELECT ENABLETRIGGERS(LOWER('TD_CAR'));

/*-- SEQ 0029 --*/
-- Ticket 2022027785 --
ALTER TABLE TD_CAR ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0030 --*/
-- Ticket 2022027785 --
ALTER TABLE TD_CAR ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0031 --*/
-- Ticket 2022027785 --
ALTER TABLE TD_MOE ADD COLUMN DATINC Timestamp ;


/*-- SEQ 0032 --*/
-- Ticket 2022027785 --
ALTER TABLE TD_MOE ADD COLUMN ATU_EM Timestamp ;


/*-- SEQ 0033 --*/
-- Ticket 2022027785 --
SELECT DISABLETRIGGERS(LOWER('TD_MOE'));

/*-- SEQ 0034 --*/
-- Ticket 2022027785 --
UPDATE TD_MOE 
   SET DATINC = AGORA(), ATU_EM = AGORA();
 
/*-- SEQ 0035 --*/
-- Ticket 2022027785 --
SELECT ENABLETRIGGERS(LOWER('TD_MOE'));

/*-- SEQ 0036 --*/
-- Ticket 2022027785 --
ALTER TABLE TD_MOE ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0037 --*/
-- Ticket 2022027785 --
ALTER TABLE TD_MOE ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0038 --*/
-- Ticket 2022027785 --
ALTER TABLE TD_OUT ADD COLUMN DATINC Timestamp ;


/*-- SEQ 0039 --*/
-- Ticket 2022027785 --
ALTER TABLE TD_OUT ADD COLUMN ATU_EM Timestamp ;


/*-- SEQ 0040 --*/
-- Ticket 2022027785 --
SELECT DISABLETRIGGERS(LOWER('TD_OUT'));

/*-- SEQ 0041 --*/
-- Ticket 2022027785 --
UPDATE TD_OUT 
   SET DATINC = AGORA(), ATU_EM = AGORA();
 
/*-- SEQ 0042 --*/
-- Ticket 2022027785 --
SELECT ENABLETRIGGERS(LOWER('TD_OUT'));

/*-- SEQ 0043 --*/
-- Ticket 2022027785 --
ALTER TABLE TD_OUT ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0044 --*/
-- Ticket 2022027785 --
ALTER TABLE TD_OUT ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0045 --*/
-- Ticket 2022027785 --
ALTER TABLE TD_CCC ADD COLUMN DATINC Timestamp ;


/*-- SEQ 0046 --*/
-- Ticket 2022027785 --
ALTER TABLE TD_CCC ADD COLUMN ATU_EM Timestamp ;


/*-- SEQ 0047 --*/
-- Ticket 2022027785 --
SELECT DISABLETRIGGERS(LOWER('TD_CCC'));

/*-- SEQ 0048 --*/
-- Ticket 2022027785 --
UPDATE TD_CCC 
   SET DATINC = AGORA(), ATU_EM = AGORA();
 
/*-- SEQ 0049 --*/
-- Ticket 2022027785 --
SELECT ENABLETRIGGERS(LOWER('TD_CCC'));

/*-- SEQ 0050 --*/
-- Ticket 2022027785 --
ALTER TABLE TD_CCC ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0051 --*/
-- Ticket 2022027785 --
ALTER TABLE TD_CCC ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0052 --*/
-- Ticket 2022027785 --
ALTER TABLE TD_ENT ADD COLUMN DATINC Timestamp ;


/*-- SEQ 0053 --*/
-- Ticket 2022027785 --
ALTER TABLE TD_ENT ADD COLUMN ATU_EM Timestamp ;


/*-- SEQ 0054 --*/
-- Ticket 2022027785 --
SELECT DISABLETRIGGERS(LOWER('TD_ENT'));

/*-- SEQ 0055 --*/
-- Ticket 2022027785 --
UPDATE TD_ENT 
   SET DATINC = AGORA(), ATU_EM = AGORA();
 
/*-- SEQ 0056 --*/
-- Ticket 2022027785 --
SELECT ENABLETRIGGERS(LOWER('TD_ENT'));

/*-- SEQ 0057 --*/
-- Ticket 2022027785 --
ALTER TABLE TD_ENT ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0058 --*/
-- Ticket 2022027785 --
ALTER TABLE TD_ENT ALTER COLUMN ATU_EM SET NOT NULL;


/*-- SEQ 0059 --*/
-- Tarefa 2021072706 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0060 --*/
-- Tarefa 2021072706 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'ICMS_NF_IMP', 'Calcular ICMS em NF de Importação', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'ICMS_NF_IMP'));

/*-- SEQ 0061 --*/
-- Tarefa 2021072706 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0062 --*/
-- Ticket 2021072706 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0063 --*/
-- Ticket 2021072706 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'T'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'ICMS_NF_IMP'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
    
/*-- SEQ 0064 --*/
-- Ticket 2021072706 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));

