
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 0000000000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
-- Ticket GES-2021113635 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0003 --*/
-- Ticket GES-2021113635 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'CANC_DAV_NO_CANC_VEN', 'Cancelar a DAV ao cancelar a venda?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'CANC_DAV_NO_CANC_VEN'));

/*-- SEQ 0004 --*/
-- Ticket GES-2021113635 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0005 --*/
-- Ticket 2022077787 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0006 --*/
-- Ticket 2022077787--
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'VNDLOTEDNAPELOSALDO', 'Realizar a venda de Lote Individualizado (DNA) utilizando o saldo disponvel no PoS?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'VNDLOTEDNAPELOSALDO'));
                     
/*-- SEQ 0007 --*/
-- Ticket 2022077787 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0008 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021122533 --
SELECT DISABLETRIGGERS(LOWER('TT_VEI'));

/*-- SEQ 0009 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021122533 --
ALTER TABLE TT_VEI DROP CONSTRAINT CK_VEI_PLACAS CASCADE;

/*-- SEQ 0010 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021122533 --
ALTER TABLE TT_VEI ADD CONSTRAINT CK_VEI_PLACAS 
CHECK (
(NACION = 'F' AND UPPER(PLACAS) = PLACAS) 
OR ((ASCII(SUBSTR(PLACAS,1,1)) BETWEEN 65 AND 90) 
AND (ASCII(SUBSTR(PLACAS,2,1)) BETWEEN 65 AND 90) 
AND (ASCII(SUBSTR(PLACAS,3,1)) BETWEEN 65 AND 90) 
AND (ASCII(SUBSTR(PLACAS,4,1)) BETWEEN 48 AND 57) 
AND (ASCII(SUBSTR(PLACAS,5,1)) BETWEEN 48 AND 90) 
AND (ASCII(SUBSTR(PLACAS,6,1)) BETWEEN 48 AND 57) 
AND (ASCII(SUBSTR(PLACAS,7,1)) BETWEEN 48 AND 57)));

/*-- SEQ 0011 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021122533 --
SELECT ENABLETRIGGERS(LOWER('TT_VEI'));


/*-- SEQ 0012 --*/
-- Ticket 2022075061 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0013 --*/
-- Ticket 2022075061--
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'IGNORAMENUFUNCOES', 'Ignorar chamada de funes via campo para digitao de produtos no PoS? ', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'IGNORAMENUFUNCOES'));
                     
/*-- SEQ 0014 --*/
-- Ticket 2022075061 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0015 --*/
-- Ticket 2022048609 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0016 --*/
-- Ticket 2022048609 --
UPDATE TT_PCS 
   SET DESPCS = 'Obrigar cliente cadastrado na devoluo pelo Totall POS?'
 WHERE NOMPCS = 'OBRIGAR_CLI_CAD_DEV';
 
/*-- SEQ 0017 --*/
-- Ticket 2022048609 --
UPDATE TT_PCS
   SET DESPCS = 'Exibe meio pgto como "Aberto" em parcela aberta que no seja "Boleto, Bnus, C/C, Carto, Cheque"?'
 WHERE NOMPCS = 'EXIBEMEIOCOMOABERTO';
 
/*-- SEQ 0018 --*/
-- Ticket 2022048609 --
UPDATE TT_PCS
   SET DESPCS = 'Tratar para enviar ou no o conceito de grade'
 WHERE NOMPCS = 'GRADE_E_COMMERCE';
 
/*-- SEQ 0019 --*/
-- Ticket 2022048609 --
UPDATE TT_PCS
   SET DESPCS = 'Srie Nota Fiscal especfica para uma Filial'
 WHERE NOMPCS = 'SERIE_NF_ECOMMERCE';

/*-- SEQ 0020 --*/
-- Ticket 2022048609 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0021 --*/
-- Ticket 20220510205 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0022 --*/
-- Ticket 20220510205--
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'OCULTASELFILBUSCADAV', 'Ocultar Seleo de Filial na Pesquisa de DAV/Pr-Venda no PoS?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL 
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'OCULTASELFILBUSCADAV'));
                     
/*-- SEQ 0023 --*/
-- Ticket 20220510205 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0024 --*/
-- Ticket 2022056265 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0025 --*/
-- Ticket 2022056265 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'IMP_SEPARACAO_AUTO', 'Imprimir Ordem de Separao Automaticamente?', 'B', 'F', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'IMP_SEPARACAO_AUTO'));

/*-- SEQ 0026 --*/
-- Ticket 2022056265 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0027 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 2022056265 --
ALTER TABLE TT_IVO ADD COLUMN FILLOT CHAR(3) ;


/*-- SEQ 0028 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 2022056265 --
ALTER TABLE TT_IVO ADD COLUMN SEQLOT CHAR(10) ;


/*-- SEQ 0029 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 2022056265 --
ALTER TABLE TT_IVO ADD CONSTRAINT FK_IVO_LOT FOREIGN KEY (FILLOT, SEQLOT) REFERENCES TT_LOT (CODFIL, SEQUEN);

/*-- SEQ 0030 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022056265 --
CREATE INDEX I_FK_IVO_LOT ON TT_IVO (FILLOT, SEQLOT)  ;

/*-- SEQ 0031 --*/
-- Ticket 2022056265 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0032 --*/
-- Ticket 2022056265 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'LOTESEPARA', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'LOTESEPARA'));

/*-- SEQ 0033 --*/
-- Ticket 2022056265 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0034 --*/
-- Ticket 20220510205 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0035 --*/
-- Ticket 20220510205--
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'OCULTASELFILBUSCADAV', 'Ocultar Seleo de Filial na Pesquisa de DAV/Pr-Venda no PoS?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'OCULTASELFILBUSCADAV'));
                     
/*-- SEQ 0036 --*/
-- Ticket 20220510205 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0037 --*/
-- Tarefa 2022069543 --
CREATE TABLE TL_PLA (
  CODTAB Numeric(10),
  FILPLA CHAR(3),
  CODPLA CHAR(3),
  DATOPE Timestamp,
  FILUSU CHAR(3),
  CODUSU CHAR(3),
  MSGLOG VARCHAR(4000),
  CODUID Numeric)  ;

/*-- SEQ 0038 --*/
-- Tarefa 2022069543 --
ALTER TABLE TL_PLA ADD CONSTRAINT PK_LPLA PRIMARY KEY (CODTAB);

/*-- SEQ 0039 --*/
-- Tarefa 2022069543 --
CREATE SEQUENCE SQLPLA INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0040 --*/
-- Tarefa 2022069543 --
ALTER TABLE TL_PLA ADD CONSTRAINT FK_LPLA_PLA FOREIGN KEY (FILPLA,CODPLA) REFERENCES TT_PLA (FILPGT,CODPGT);

/*-- SEQ 0041 --*/
-- Tarefa 2022069543 --
CREATE INDEX I_FK_LPLA_PLA ON TL_PLA (FILPLA,CODPLA)  ;

/*-- SEQ 0042 --*/
-- Tarefa 2022069543 --
ALTER TABLE TL_PLA ADD CONSTRAINT FK_LPLA_UID FOREIGN KEY (CODUID) REFERENCES TT_UID (CODUID);

/*-- SEQ 0043 --*/
-- Tarefa 2022069543 --
CREATE INDEX I_FK_LPLA_UID ON TL_PLA (CODUID)  ;

/*-- SEQ 0044 --*/
-- Tarefa 2022069543 --
ALTER TABLE TL_PLA ADD CONSTRAINT FK_LPLA_USU FOREIGN KEY (FILUSU,CODUSU) REFERENCES TT_USU (FILUSU,CODUSU);

/*-- SEQ 0045 --*/
-- Tarefa 2022069543 --
CREATE INDEX I_FK_LPLA_USU ON TL_PLA (FILUSU,CODUSU)  ;


/*-- SEQ 0046 --*/
-- Ticket 2022035244 --
SELECT DISABLETRIGGERS(LOWER('TT_IOR'));

/*-- SEQ 0047 --*/
-- Ticket 2022035244--
ALTER TABLE TT_IOR ADD COLUMN CLSABC CHAR(1) ;

                     
/*-- SEQ 0048 --*/
-- Ticket 2022035244 --
SELECT ENABLETRIGGERS(LOWER('TT_IOR'));


/*-- SEQ 0049 --*/
-- Ticket 2022083045 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0050 --*/
-- Ticket 2022083045--
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'USALOTESEPARACAO', 'Usa lote na separao? Deve ser informado lote para cada produto separado.', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'USALOTESEPARACAO'));
                     
/*-- SEQ 0051 --*/
-- Ticket 2022083045 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0052 --*/
-- Ticket 2021104596 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0053 --*/
-- Ticket 2021104596 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'INFORMACAO_SALDO_CCC', 'Exibir informao quando saldo em conta corrente do cliente estiver positivo no PoS?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'INFORMACAO_SALDO_CCC'));

/*-- SEQ 0054 --*/
-- Ticket 2021104596 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0055 --*/
-- Ticket 20220811544 --
SELECT DISABLETRIGGERS(LOWER('TT_NCM'));

/*-- SEQ 0056 --*/
-- Ticket 20220811544 --
SELECT DISABLETRIGGERS(LOWER('TT_CES'));

/*-- SEQ 0057 --*/
-- Ticket 20220811544 --
SELECT DISABLETRIGGERS(LOWER('TT_CESXNCM'));

/*-- SEQ 0058 --*/
-- Ticket 20220811544 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '85395200',
        '-- Lmpadas e tubos de diodos emissores de luz (LED)',
        4,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '85395200'));

/*-- SEQ 0059 --*/
-- Ticket 20220811544 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '94051',
        '- Lustres e outras luminrias, eltricos, prprios para serem suspensos ou fixados no teto ou na parede, exceto os do tipo utilizado na iluminao pblica:',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '94051'));
                     
/*-- SEQ 0060 --*/
-- Ticket 20220811544 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '94052',
        '- Abajures (candeeiros) de mesa, de escritrio, de cabeceira e luminrias (candeeiros) de p, eltricos:',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '94052'));
                     
/*-- SEQ 0061 --*/
-- Ticket 20220811544 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '94054',
        '- Outras luminrias e aparelhos de iluminao, eltricos:',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '94054'));
							
/*-- SEQ 0062 --*/
-- Ticket 20220811544 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '94059',
        '- Partes:',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '94059'));
                     

/*-- SEQ 0063 --*/
-- Ticket 20220811544 --
INSERT INTO TT_CES (CODCES, DESCES, CESATI, DATINC)
(SELECT '0900500',
        'Lmpadas de LED (diodos emissores de luz)',
        'T',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CES
                     WHERE CODCES = '0900500'));
                     
/*-- SEQ 0064 --*/
-- Ticket 20220811544 --
INSERT INTO TT_CES (CODCES, DESCES, CESATI, DATINC)
(SELECT '2112300',
        'Lustres e outros aparelhos eltricos de iluminao, prprios para serem suspensos ou fixados no teto ou na parede, exceto os dos tipos utilizados na iluminao pblica; e suas partes',
        'T',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CES
                     WHERE CODCES = '2112300'));
                     
/*-- SEQ 0065 --*/
-- Ticket 20220811544 --
INSERT INTO TT_CES (CODCES, DESCES, CESATI, DATINC)
(SELECT '2112400',
        'Abajures de cabeceiras, de escritrios e lampadrios de interior, eltricos e suas partes',
        'T',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CES
                     WHERE CODCES = '2112400'));
                     
/*-- SEQ 0066 --*/
-- Ticket 20220811544 --
INSERT INTO TT_CES (CODCES, DESCES, CESATI, DATINC)
(SELECT '2112500',
        'Outras luminrias e aparelhos de iluminao, eltricos, e suas partes',
        'T',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CES
                     WHERE CODCES = '2112500'));

/*-- SEQ 0067 --*/
-- Ticket 20220811544 --
INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
(SELECT NEXTVAL('SQCXN'),
        '0900500',
        '85395200',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CESXNCM
                     WHERE CODCES = '0900500'
                       AND CODNCM = '85395200'));

/*-- SEQ 0068 --*/
-- Ticket 20220811544 --
INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
(SELECT NEXTVAL('SQCXN'),
        '2112300',
        '94051',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CESXNCM
                     WHERE CODCES = '2112300'
                       AND CODNCM = '94051'));
                   
/*-- SEQ 0069 --*/
-- Ticket 20220811544 --
INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
(SELECT NEXTVAL('SQCXN'),
        '2112300',
        '94059',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CESXNCM
                     WHERE CODCES = '2112300'
                       AND CODNCM = '94059'));
                       
                       
/*-- SEQ 0070 --*/
-- Ticket 20220811544 --
INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
(SELECT NEXTVAL('SQCXN'),
        '2112400',
        '94052',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CESXNCM
                     WHERE CODCES = '2112400'
                       AND CODNCM = '94052'));
                       
/*-- SEQ 0071 --*/
-- Ticket 20220811544 --
INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
(SELECT NEXTVAL('SQCXN'),
        '2112400',
        '94059',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CESXNCM
                     WHERE CODCES = '2112400'
                       AND CODNCM = '94059'));
                       
                       
/*-- SEQ 0072 --*/
-- Ticket 20220811544 --
INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
(SELECT NEXTVAL('SQCXN'),
        '2112500',
        '94054',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CESXNCM
                     WHERE CODCES = '2112500'
                       AND CODNCM = '94054'));
                       
/*-- SEQ 0073 --*/
-- Ticket 20220811544 --
INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
(SELECT NEXTVAL('SQCXN'),
        '2112500',
        '94059',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CESXNCM
                     WHERE CODCES = '2112500'
                       AND CODNCM = '94059'));
                       
/*-- SEQ 0074 --*/
-- Ticket 20220811544 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '940510';

/*-- SEQ 0075 --*/
-- Ticket 20220811544 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '94052000';

/*-- SEQ 0076 --*/
-- Ticket 20220811544 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '940540';
 
 /*-- SEQ 0077 --*/
-- Ticket 20220811544 --
SELECT ENABLETRIGGERS(LOWER('TT_NCM'));

/*-- SEQ 0078 --*/
-- Ticket 20220811544 --
SELECT ENABLETRIGGERS(LOWER('TT_CES'));

/*-- SEQ 0079 --*/
-- Ticket 20220811544 --
SELECT ENABLETRIGGERS(LOWER('TT_CESXNCM'));



/*-- SEQ 0080 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
DROP FUNCTION CalculaCustoMedio (TR_MOV.CODFIL%TYPE,TR_MOV.FILMAT%TYPE,TR_MOV.CODMAT%TYPE,TR_MOV.CODCOR%TYPE,TR_MOV.CODTAM%TYPE) CASCADE;


/*-- SEQ 0081 --*/
-- Ticket 2022035244 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0082 --*/
-- Ticket 2022035244 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'PRECO_INF_UNITARIO', 'Preo informado  unitrio no Totali POS?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PRECO_INF_UNITARIO'));
							
/*-- SEQ 0083 --*/
-- Ticket 2022035244 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0084 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN BASICM Numeric(12, 2) ;


/*-- SEQ 0085 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN BASRET Numeric(12, 2) ;


/*-- SEQ 0086 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN BSTFRE Numeric(14, 2) ;


/*-- SEQ 0087 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN CODAVU VARCHAR(20) ;


/*-- SEQ 0088 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN CODDAR VARCHAR(1) ;


/*-- SEQ 0089 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN CODDOP Numeric(5) ;


/*-- SEQ 0090 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN CODFCE Numeric(2) ;


/*-- SEQ 0091 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN CODFPS VARCHAR(2) ;


/*-- SEQ 0092 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN CODIBG Numeric(10) ;


/*-- SEQ 0093 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN CODSRV Numeric(4) ;


/*-- SEQ 0094 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN CODTRI Numeric(5) ;


/*-- SEQ 0095 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN DATSTR VARCHAR(10) ;


/*-- SEQ 0096 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN FILAGC VARCHAR(3) ;


/*-- SEQ 0097 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN FINNFE VARCHAR(1) ;


/*-- SEQ 0098 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN NATBCC VARCHAR(2) ;


/*-- SEQ 0099 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN NATFRE VARCHAR(1) ;


/*-- SEQ 0100 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN RATEIO_FRETE VARCHAR(1) ;


/*-- SEQ 0101 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN SEQAGC VARCHAR(10) ;


/*-- SEQ 0102 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN SITCOF VARCHAR(2) ;


/*-- SEQ 0103 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN SITPIS VARCHAR(2) ;


/*-- SEQ 0104 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN ST_FRE Numeric(14, 2) ;


/*-- SEQ 0105 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN TIPFRE VARCHAR(1) ;


/*-- SEQ 0106 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN VLRBONFUT Numeric(12, 2) ;


/*-- SEQ 0107 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN VLRSRV Numeric(12, 2) ;


/*-- SEQ 0108 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN XMLNFE VARCHAR(4000) ;


/*-- SEQ 0109 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN ALIICMAGR Numeric(6, 4) ;


/*-- SEQ 0110 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN APRBON Numeric(16, 2) ;


/*-- SEQ 0111 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN BASCOF Numeric(12, 2) ;


/*-- SEQ 0112 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN BASFCP Numeric(14, 2) ;


/*-- SEQ 0113 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN BASFCP_RET Numeric(14, 2) ;


/*-- SEQ 0114 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN BASFCP_ST Numeric(14, 2) ;


/*-- SEQ 0115 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN BASICMAGR Numeric(14, 2) ;


/*-- SEQ 0116 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN BASICMDIF Numeric(14, 2) ;


/*-- SEQ 0117 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN BASIPICAL Numeric(12, 2) ;


/*-- SEQ 0118 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN BASISS Numeric(12, 2) ;


/*-- SEQ 0119 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN BASPIS Numeric(12, 2) ;


/*-- SEQ 0120 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN BASSUB Numeric(14, 2) ;


/*-- SEQ 0121 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN BASSUBDIF Numeric(14, 2) ;


/*-- SEQ 0122 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN BSTFRE Numeric(14, 2) ;


/*-- SEQ 0123 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN CODBEN VARCHAR(10) ;


/*-- SEQ 0124 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN CODCSTDIF VARCHAR(3) ;


/*-- SEQ 0125 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN CODFCI VARCHAR(36) ;


/*-- SEQ 0126 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN CSTXML VARCHAR(3) ;


/*-- SEQ 0127 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN ICMITEDIF Numeric(14, 2) ;


/*-- SEQ 0128 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN ICMVEN Numeric(6, 4) ;


/*-- SEQ 0129 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN ICMVENDIF Numeric(6, 4) ;


/*-- SEQ 0130 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN ICO_BASRET Numeric(12, 2) ;


/*-- SEQ 0131 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN ICO_OUTTAX Numeric(12, 2) ;


/*-- SEQ 0132 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN ICO_VLRFRE Numeric(12, 2) ;


/*-- SEQ 0133 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN ICO_VLRRET Numeric(12, 2) ;


/*-- SEQ 0134 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN IPIFRE Numeric(12, 2) ;


/*-- SEQ 0135 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN IPITRA Numeric(5, 2) ;


/*-- SEQ 0136 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN ISEICMDIF Numeric(14, 2) ;


/*-- SEQ 0137 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN MOTDESON Numeric(2) ;


/*-- SEQ 0138 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN MVACOM Numeric(14, 4) ;


/*-- SEQ 0139 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN MVACOMDIF Numeric(14, 4) ;


/*-- SEQ 0140 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN NATBCC VARCHAR(2) ;


/*-- SEQ 0141 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN OUTDES Numeric(12, 2) ;


/*-- SEQ 0142 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN OUTICMDIF Numeric(14, 2) ;


/*-- SEQ 0143 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN PAUTAF Numeric(14, 2) ;


/*-- SEQ 0144 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN PERCOF Numeric(6, 4) ;


/*-- SEQ 0145 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN PERCRESN Numeric(7, 4) ;


/*-- SEQ 0146 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN PERDIF Numeric(7, 4) ;


/*-- SEQ 0147 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN PERDIFICM Numeric(7, 4) ;


/*-- SEQ 0148 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN PERDIFICMDIF Numeric(7, 4) ;


/*-- SEQ 0149 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN PERFCP Numeric(6, 4) ;


/*-- SEQ 0150 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN PERFCP_RET Numeric(6, 4) ;


/*-- SEQ 0151 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN PERFCP_ST Numeric(6, 4) ;


/*-- SEQ 0152 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN PERICMDEV Numeric(5, 2) ;


/*-- SEQ 0153 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN PERISS Numeric(5, 2) ;


/*-- SEQ 0154 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN PERPIS Numeric(6, 4) ;


/*-- SEQ 0155 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN RED_ST Numeric(7, 4) ;


/*-- SEQ 0156 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN RED_STDIF Numeric(7, 4) ;


/*-- SEQ 0157 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN REDITE Numeric(7, 4) ;


/*-- SEQ 0158 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN REDITEDIF Numeric(7, 4) ;


/*-- SEQ 0159 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN RETSUB VARCHAR(1) ;


/*-- SEQ 0160 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN SITCOF VARCHAR(2) ;


/*-- SEQ 0161 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN SITIPI VARCHAR(2) ;


/*-- SEQ 0162 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN SITPIS VARCHAR(2) ;


/*-- SEQ 0163 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN ST_FRE Numeric(14, 2) ;


/*-- SEQ 0164 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN TAXIPICAL Numeric(6, 4) ;


/*-- SEQ 0165 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN VLR_ST Numeric(14, 2) ;


/*-- SEQ 0166 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN VLR_STDIF Numeric(14, 2) ;


/*-- SEQ 0167 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN VLRCOF Numeric(12, 2) ;


/*-- SEQ 0168 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN VLRCRESN Numeric(14, 2) ;


/*-- SEQ 0169 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN VLRDESON Numeric(15, 2) ;


/*-- SEQ 0170 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN VLRDIF Numeric(12, 2) ;


/*-- SEQ 0171 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN VLRDIFICM Numeric(12, 2) ;


/*-- SEQ 0172 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN VLRDIFICMDIF Numeric(12, 2) ;


/*-- SEQ 0173 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN VLRFCP Numeric(14, 2) ;


/*-- SEQ 0174 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN VLRFCP_RET Numeric(14, 2) ;


/*-- SEQ 0175 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN VLRFCP_ST Numeric(14, 2) ;


/*-- SEQ 0176 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN VLRFILDES Numeric(12, 4) ;


/*-- SEQ 0177 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN VLRICM_CRE Numeric(12, 2) ;


/*-- SEQ 0178 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN VLRICM_EST Numeric(12, 2) ;


/*-- SEQ 0179 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN VLRICMAGR Numeric(12, 2) ;


/*-- SEQ 0180 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN VLRICMDEV Numeric(14, 2) ;


/*-- SEQ 0181 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN VLRICMDIF Numeric(14, 2) ;


/*-- SEQ 0182 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN VLRICMOP Numeric(12, 2) ;


/*-- SEQ 0183 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN VLRICMOPDIF Numeric(12, 2) ;


/*-- SEQ 0184 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN VLRIPICAL Numeric(12, 2) ;


/*-- SEQ 0185 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN VLRISS Numeric(12, 2) ;


/*-- SEQ 0186 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN VLRPIS Numeric(12, 2) ;



/*-- SEQ 0187 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2022062501 --
CREATE TABLE TL_PRO_SPED (
  CODTAB Numeric(10),
  DATANT Timestamp,
  DATOPE Timestamp,
  FILMAT CHAR(3),
  CODMAT CHAR(5),
  DESECF VARCHAR(15),
  DESMAT VARCHAR(30),
  ESPMAT VARCHAR(30),
  CODCOR Numeric(5,0),
  CODTAM Numeric(5,0),
  DESGRA VARCHAR(120),
  CODFIS VARCHAR(60),
  TIPLOG VARCHAR(1),
  SIGLAUF CHAR(2),
  REGESP Numeric(1,0),
  SUBTRI CHAR(1),
  RESICM Numeric(5,0),
  REDALI Numeric(5,0),
  REDICM VARCHAR(1),
  REDINT Numeric(5,2),
  REDSIM Numeric(6,4),
  MVAVEN Numeric(14,4),
  PERFCP Numeric(5,2))  ;

/*-- SEQ 0188 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2022062501 --
ALTER TABLE TL_PRO_SPED ADD CONSTRAINT PK_LPRO_SPED PRIMARY KEY (CODTAB);

/*-- SEQ 0189 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2022062501 --
CREATE SEQUENCE SQLPROSPED INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0190 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2022062501 --
ALTER TABLE TL_PRO_SPED ADD CONSTRAINT FK_LPRO_SPED_PRO FOREIGN KEY (FILMAT,CODMAT) REFERENCES TT_PRO (FILMAT, CODMAT);

/*-- SEQ 0191 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2022062501 --
CREATE INDEX I_FK_LPRO_SPED ON TL_PRO_SPED (FILMAT,CODMAT)  ;

/*-- SEQ 0192 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2022062501 --
ALTER TABLE TL_PRO_SPED ALTER COLUMN DATOPE SET NOT NULL;

/*-- SEQ 0193 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2022062501 --
ALTER TABLE TL_PRO_SPED ALTER COLUMN FILMAT SET NOT NULL;

/*-- SEQ 0194 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2022062501 --
ALTER TABLE TL_PRO_SPED ALTER COLUMN CODMAT SET NOT NULL;

/*-- SEQ 0195 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2022062501 --
ALTER TABLE TL_PRO_SPED ALTER COLUMN TIPLOG SET NOT NULL;

/*-- SEQ 0196 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2022062501 --
ALTER TABLE TL_PRO_SPED ADD CONSTRAINT CK_L_PRO_SPED_TIPLOG CHECK (TIPLOG IN ('C', 'I'));


/*-- SEQ 0197 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2022094510 --
ALTER TABLE TT_REC ADD COLUMN INDEXP VARCHAR(1) ;



/*-- SEQ 0198 --*/
-- Ticket 2022072905 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0199 --*/
-- Ticket 2022072905 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'DAV_SEM_ENTREGA', 'Filtrar somente DAV sem entrega no PoS?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'DAV_SEM_ENTREGA'));

/*-- SEQ 0200 --*/
-- Ticket 2022072905 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0201 --*/
-- Ticket 2021092947 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0202 --*/
-- Ticket 2021092947 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'APLMULTECON', 'Aplica Quantidade Mltipla nos processos do E-Commerce sendo Consulta e Recepo de Pedidos?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'APLMULTECON'));					
													
/*-- SEQ 0203 --*/
-- Ticket 2021092947 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0204 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 2022098461 -- 
SELECT * FROM NADA;

/*-- SEQ 0205 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 2022098461 --
SELECT * FROM NADA;

/*-- SEQ 0206 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
SELECT * FROM NADA;

/*-- SEQ 0207 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
SELECT * FROM NADA;

/*-- SEQ 0208 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
SELECT * FROM NADA;

/*-- SEQ 0209 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
SELECT * FROM NADA;

/*-- SEQ 0210 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
SELECT * FROM NADA;

/*-- SEQ 0211 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
SELECT * FROM NADA;

/*-- SEQ 0212 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
SELECT * FROM NADA;
 
/*-- SEQ 0213 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
SELECT * FROM NADA;


/*-- SEQ 0214 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2022098461 -- 
ALTER TABLE TT_REC DROP CONSTRAINT FK_REC_CCC CASCADE;

/*-- SEQ 0215 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2022098461 -- 
DROP INDEX I_FK_REC_CCC;

/*-- SEQ 0216 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2022098461 -- 
ALTER TABLE TT_REC DROP COLUMN FILCCC CASCADE;

/*-- SEQ 0217 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2022098461 -- 
ALTER TABLE TT_REC DROP COLUMN SEQCCC CASCADE;


/*-- SEQ 0218 --*/
-- Tarefa 2022098461 -- 
ALTER TABLE TT_REC ADD COLUMN FILCCC CHAR(3) ;


/*-- SEQ 0219 --*/
-- Tarefa 2022098461 --
ALTER TABLE TT_REC ADD COLUMN SEQCCC CHAR(10) ;


/*-- SEQ 0220 --*/
-- Ticket 2022098461 --
SELECT DISABLETRIGGERS(LOWER('TT_REC'));

/*-- SEQ 0221 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
UPDATE TT_REC 
   SET FILCCC = (SELECT CODFIL FROM TT_CCC WHERE TT_CCC.CODVEN = TT_REC.CODFIL
                                             AND TT_CCC.SEQVEN = TT_REC.SEQUEN
                                             AND TT_CCC.NUMPAR = TT_REC.NUMPAR
                                             AND TT_CCC.SUBPAR = TT_REC.SUBPAR
                                             AND TT_CCC.SEQUEN = (SELECT MAX(SEQUEN)
                                                                    FROM TT_CCC CCC2 
                                                                   WHERE CCC2.CODVEN = TT_REC.CODFIL  
                                                                     AND CCC2.SEQVEN = TT_REC.SEQUEN  
                                                                     AND CCC2.NUMPAR = TT_REC.NUMPAR  
                                                                     AND CCC2.SUBPAR = TT_REC.SUBPAR)
                 ),
       SEQCCC = (SELECT SEQUEN FROM TT_CCC WHERE TT_CCC.CODVEN = TT_REC.CODFIL
                                             AND TT_CCC.SEQVEN = TT_REC.SEQUEN
                                             AND TT_CCC.NUMPAR = TT_REC.NUMPAR
                                             AND TT_CCC.SUBPAR = TT_REC.SUBPAR
                                             AND TT_CCC.SEQUEN = (SELECT MAX(SEQUEN)
                                                                    FROM TT_CCC CCC2 
                                                                   WHERE CCC2.CODVEN = TT_REC.CODFIL  
                                                                     AND CCC2.SEQVEN = TT_REC.SEQUEN  
                                                                     AND CCC2.NUMPAR = TT_REC.NUMPAR  
                                                                     AND CCC2.SUBPAR = TT_REC.SUBPAR)
                 )
 WHERE (CODFIL, SEQUEN, NUMPAR, SUBPAR) IN (SELECT CODVEN, SEQVEN, NUMPAR, SUBPAR
                                              FROM TT_CCC);
 
/*-- SEQ 0222 --*/
-- Ticket 2022098461 --
SELECT ENABLETRIGGERS(LOWER('TT_REC'));

/*-- SEQ 0223 --*/
-- Ticket 2022098461 --
ALTER TABLE TT_REC ADD CONSTRAINT FK_REC_CCC FOREIGN KEY (FILCCC, SEQCCC) REFERENCES TT_CCC (CODFIL, SEQUEN);

/*-- SEQ 0224 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
CREATE INDEX I_FK_REC_CCC ON TT_REC (FILCCC, SEQCCC)  ;

/*-- SEQ 0225 --*/
-- Ticket 2022098461 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0226 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
DELETE FROM TT_FUN 
WHERE NOMFUN = 'CCC_NEWREC';

/*-- SEQ 0227 --*/
-- Ticket 2022098461 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0228 --*/
-- Ticket 2022099171 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0229 --*/
-- Ticket 2022099171 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'VALIDAVALECOMPRA', 'No permitir a forma de pagamento "Vale Compra" para clientes consumidor final no PoS?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'VALIDAVALECOMPRA'));
							
/*-- SEQ 0230 --*/
-- Ticket 2022099171 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0231 --*/
-- Ticket 2021111321 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0232 --*/
-- Ticket 2021111321 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'OCULTARPGTOPENDENTE', 'Ocultar a forma de pagamento pendente no PoS?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'OCULTARPGTOPENDENTE'));
							
/*-- SEQ 0233 --*/
-- Ticket 2021111321 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0234 --*/
-- Ticket 2022094877 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0235 --*/
-- Ticket 2022094877 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'SEMPRE_RESERVAR_DAV', 'Sempre reservar a DAV no Order Web?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'SEMPRE_RESERVAR_DAV'));
							
/*-- SEQ 0236 --*/
-- Ticket 2022094877 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0237 --*/
-- Ticket 2022098461 --
SELECT DISABLETRIGGERS(LOWER('TT_REC'));

/*-- SEQ 0238 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
UPDATE TT_REC 
   SET FILCCC = (SELECT CODFIL FROM TT_CCC WHERE TT_CCC.CODVEN = TT_REC.CODFIL
                                             AND TT_CCC.SEQVEN = TT_REC.SEQUEN
                                             AND TT_CCC.NUMPAR = TT_REC.NUMPAR
                                             AND TT_CCC.SUBPAR = TT_REC.SUBPAR
                                             AND TT_CCC.SEQUEN = (SELECT MAX(SEQUEN)
                                                                    FROM TT_CCC CCC2 
                                                                   WHERE CCC2.CODVEN = TT_REC.CODFIL  
                                                                     AND CCC2.SEQVEN = TT_REC.SEQUEN  
                                                                     AND CCC2.NUMPAR = TT_REC.NUMPAR  
                                                                     AND CCC2.SUBPAR = TT_REC.SUBPAR)
                 ),
       SEQCCC = (SELECT SEQUEN FROM TT_CCC WHERE TT_CCC.CODVEN = TT_REC.CODFIL
                                             AND TT_CCC.SEQVEN = TT_REC.SEQUEN
                                             AND TT_CCC.NUMPAR = TT_REC.NUMPAR
                                             AND TT_CCC.SUBPAR = TT_REC.SUBPAR
                                             AND TT_CCC.SEQUEN = (SELECT MAX(SEQUEN)
                                                                    FROM TT_CCC CCC2 
                                                                   WHERE CCC2.CODVEN = TT_REC.CODFIL  
                                                                     AND CCC2.SEQVEN = TT_REC.SEQUEN  
                                                                     AND CCC2.NUMPAR = TT_REC.NUMPAR  
                                                                     AND CCC2.SUBPAR = TT_REC.SUBPAR)
                 )
 WHERE (CODFIL, SEQUEN, NUMPAR, SUBPAR) IN (SELECT CODVEN, SEQVEN, NUMPAR, SUBPAR
                                              FROM TT_CCC)
   AND FILCCC IS NULL;
 
/*-- SEQ 0239 --*/
-- Ticket 2022098461 --
SELECT ENABLETRIGGERS(LOWER('TT_REC'));


--Adio das novas colunas na TT_ICO
/*-- SEQ 0240 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_ICO ADD COLUMN BASICM_CM Numeric(16, 4) ;


/*-- SEQ 0241 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_ICO ADD COLUMN VLRICM_CM Numeric(16, 4) ;


/*-- SEQ 0242 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_ICO ADD COLUMN BAS_ST_CM Numeric(16, 4) ;


/*-- SEQ 0243 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_ICO ADD COLUMN VLR_ST_CM Numeric(16, 4) ;


/*-- SEQ 0244 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_ICO ADD COLUMN VLR_CMORI Numeric(16, 4) ;


/*-- SEQ 0245 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_ICO ADD COLUMN VLRCMGORI Numeric(16, 4) ;


/*-- SEQ 0246 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_ICO ADD COLUMN TOT_CMORI Numeric(16, 4) ;


/*-- SEQ 0247 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_ICO ADD COLUMN TOTCMGORI Numeric(16, 4) ;


/*-- SEQ 0248 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_ICO ADD COLUMN SAL_CMORI Numeric(16, 4) ;



--Adio das novas colunas na TT_IVE
/*-- SEQ 0249 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_IVE ADD COLUMN BASICM_CM Numeric(16, 4) ;


/*-- SEQ 0250 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_IVE ADD COLUMN VLRICM_CM Numeric(16, 4) ;


/*-- SEQ 0251 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_IVE ADD COLUMN BAS_ST_CM Numeric(16, 4) ;


/*-- SEQ 0252 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_IVE ADD COLUMN VLR_ST_CM Numeric(16, 4) ;


/*-- SEQ 0253 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_IVE ADD COLUMN VLR_CMORI Numeric(16, 4) ;


/*-- SEQ 0254 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_IVE ADD COLUMN VLRCMGORI Numeric(16, 4) ;


/*-- SEQ 0255 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_IVE ADD COLUMN TOT_CMORI Numeric(16, 4) ;


/*-- SEQ 0256 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_IVE ADD COLUMN TOTCMGORI Numeric(16, 4) ;


/*-- SEQ 0257 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_IVE ADD COLUMN SAL_CMORI Numeric(16, 4) ;


/*-- SEQ 0258 --*/
-- Ticket 20220811994 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0259 --*/
-- Ticket 20220811994 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'USACM_BASE_IMP_TRANS', 'Utilizar os valores de Custo Mdio como base de clculo dos impostos nas transferncias?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'USACM_BASE_IMP_TRANS'));

/*-- SEQ 0260 --*/
-- Ticket 20220811994 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0261 --*/
-- Ticket 2021089896 --
ALTER TABLE TT_CCC ADD COLUMN INDEXP VARCHAR(1) ;



/*-- SEQ 0262 --*/
-- Ticket 2022025817 --
ALTER TABLE TD_FIL ADD COLUMN RESIRR Numeric(5) ;


/*-- SEQ 0263 --*/
-- Ticket 2022025817 --
ALTER TABLE TD_FIL ADD CONSTRAINT FK_DFIL_DIRR FOREIGN KEY (RESIRR) REFERENCES TD_IRR (CODTAB);

/*-- SEQ 0264 --*/
-- Ticket 2022025817 --
CREATE INDEX I_FK_DFIL_DIRR ON TD_FIL (RESIRR)  ;

/*-- SEQ 0265 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2022025817 --
ALTER TABLE TT_CFG DROP CONSTRAINT CK_CFG_PERIR CASCADE;


/*-- SEQ 0266 --*/
-- Ticket 2022089919 --
ALTER TABLE TT_CFG ADD COLUMN LIBERASESSAOMIN Numeric(3) ;


/*-- SEQ 0267 --*/
-- Ticket 2022089919 --
ALTER TABLE TW_CFG ADD COLUMN LIBERASESSAOMIN Numeric(3) ;



/*-- SEQ 0268 --*/
-- Ticket 2022102100 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0269 --*/
-- Ticket 2022102100 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'CM_ZERO_SEMEST', 'Custo Mdio Unitrio Zero quando Saldo do Custo Mdio estiver Zero?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'CM_ZERO_SEMEST'));

/*-- SEQ 0270 --*/
-- Ticket 2022102100 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0271 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022092246 --
DROP INDEX i_fk_ven_cli;

/*-- SEQ 0272 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022092246 --
CREATE INDEX I_FK_VEN_CLI ON TT_VEN (FILCLI,CODCLI)  ;

/*-- SEQ 0273 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022092246 --
CREATE INDEX I_LC_VEN_CLI_FILDTH ON TT_VEN (FILCLI, CODCLI, DATHOR, CODFIL)  ;


/*-- SEQ 0274 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2022103752 --
ALTER TABLE TT_IPE ADD CONSTRAINT FK_IPE_ICO FOREIGN KEY (FILICO,SEQICO,NUMICO) REFERENCES TT_ICO (CODFIL,SEQUEN,NUMITE);

/*-- SEQ 0275 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2022103752 --
CREATE INDEX I_FK_IPE_ICO ON TT_IPE (FILICO,SEQICO,NUMICO)  ;

/*-- SEQ 0276 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2022103752 --
CREATE INDEX I_FK_IPE_PED ON TT_IPE (CODFIL, NUMPED)  ;


/*-- SEQ 0277 --*/
-- Ticket 2022116080 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0278 --*/
-- Ticket 2022116080 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'REL_TRA_PENDENTE', 'Diferenciar coluna "Meio de Pagamento" os meios que subiram via transao pendente (Relatrios)?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'REL_TRA_PENDENTE'));

/*-- SEQ 0279 --*/
-- Ticket 2022116080 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0280 --*/
-- Ticket 2022112665 --
SELECT DISABLETRIGGERS(LOWER('TT_NCM'));

/*-- SEQ 0281 --*/
-- Ticket 2022112665 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '39081025',
        'Poliamida-6, sem carga',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '39081025'));

/*-- SEQ 0282 --*/
-- Ticket 2022112665 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '39081026',
        'Poliamida-6,6, sem carga',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '39081026'));

/*-- SEQ 0283 --*/
-- Ticket 2022112665 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '40022091',
        '1,2-polibutadieno sindiotctico',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '40022091'));

/*-- SEQ 0284 --*/
-- Ticket 2022112665 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '40022099',
        'Outros',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '40022099'));

/*-- SEQ 0285 --*/
-- Ticket 2022112665 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '87149311',
        'Sem rosca, para pinhes do tipo cassete',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '87149311'));

/*-- SEQ 0286 --*/
-- Ticket 2022112665 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '87149319',
        'Outros',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '87149319'));

/*-- SEQ 0287 --*/
-- Ticket 2022112665 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '87149611',
        'Pedaleiros com pedivelas de pea nica (monobloco)',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '87149611'));

/*-- SEQ 0288 --*/
-- Ticket 2022112665 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '87149612',
        'Pedivelas de pea nica (monobloco)',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '87149612'));

/*-- SEQ 0289 --*/
-- Ticket 2022112665 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '87149619',
        'Outros',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '87149619'));

/*-- SEQ 0290 --*/
-- Ticket 2022112665 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '87149690',
        'Outros',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '87149690'));

/*-- SEQ 0291 --*/
-- Ticket 2022112665 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '87149920',
        'Caixas de direo sem rosca',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '87149920'));

/*-- SEQ 0292 --*/
-- Ticket 2022112665 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '90183926',
        'Cateteres intravenosos perifricos, de plstico',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '90183926'));

/*-- SEQ 0293 --*/
-- Ticket 2022112665 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '39074020',
        'Em p ou flocos, com ndice de fluidez de massa inferior a 60 g/10 min ou superior a 80 g/10 min segundo Norma ASTM D 1238',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '39074020'));

/*-- SEQ 0294 --*/
-- Ticket 2022112665 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '47032110',
        'Em rolos',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '47032110'));   

/*-- SEQ 0295 --*/
-- Ticket 2022112665 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '47032190',
        'Outras',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '47032190'));

/*-- SEQ 0296 --*/
-- Ticket 2022112665 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '76061230',
        'Simplesmente laminadas, constitudas de, pelo menos, duas camadas de diferentes ligas de alumnio, sendo uma o ncleo e as outras de revestimento, exceto: ncleo de liga da Aluminium Association AA 3003 modificada (liga de alumnio com um teor, em peso, de silcio inferior ou igual a 0,60 %, de ferro inferior ou igual a 0,70 %, de cobre igual ou superior a 0,05 % e inferior ou igual a 0,20 %, de mangans igual ou superior a 1,0 % e inferior ou igual a 1,5 %, de zinco inferior ou igual a 0,15 % e de outros elementos total inferior ou igual a 0,15 %) com revestimento de liga AA 4343 (liga de alumnio com um teor, em peso, de silcio igual ou superior a 6,8 % e inferior ou igual a 8,2 %, de ferro inferior ou igual a 0,80 %, de cobre inferior ou igual a 0,25 %, de mangans inferior ou igual a 0,10 %, de zinco inferior ou igual a 0,20 % e de outros elementos total inferior ou igual a 0,15 %)',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '76061230'));   

/*-- SEQ 0297 --*/
-- Ticket 2022112665 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '76071120',
        'Constitudas de, pelo menos, duas camadas de diferentes ligas de alumnio, sendo uma o ncleo e as outras de revestimento, exceto: ncleo de liga da Aluminium Association AA 3003 modificada (liga de alumnio com um teor, em peso, de silcio inferior ou igual a 0,60 %, de ferro inferior ou igual a 0,70 %, de cobre igual ou superior a 0,05 % e inferior ou igual a 0,20 %, de mangans igual ou superior a 1,0 % e inferior ou igual a 1,5 %, de zinco inferior ou igual a 0,15 % e de outros elementos total inferior ou igual a 0,15 %) com revestimento de liga AA 4343 (liga de alumnio com um teor, em peso, de silcio igual ou superior a 6,8 % e inferior ou igual a 8,2 %, de ferro inferior ou igual a 0,80 %, de cobre inferior ou igual a 0,25 %, de mangans inferior ou igual a 0,10 %, de zinco inferior ou igual a 0,20 % e de outros elementos total inferior ou igual a 0,15 %)',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '76071120'));

/*-- SEQ 0298 --*/
-- Ticket 2022112665 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '39081024';

/*-- SEQ 0299 --*/
-- Ticket 2022112665 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '40022090';

/*-- SEQ 0300 --*/
-- Ticket 2022112665 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '87149310';

/*-- SEQ 0301 --*/
-- Ticket 2022112665 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '87149600';

/*-- SEQ 0302 --*/
-- Ticket 2022112665 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '90183924';

/*-- SEQ 0303 --*/
-- Ticket 2022112665 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '47032100';

 /*-- SEQ 0304 --*/
-- Ticket 2022112665 --
SELECT ENABLETRIGGERS(LOWER('TT_NCM'));


/*-- SEQ 0305 --*/
-- Ticket 2022124866' --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0306 --*/
-- Ticket 2022124866' --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'BOTAO_DETALHES_POS', 'Permite negociao de desconto/acrscimo no caixa ao resgatar DAV? (Mostrar boto "Detalhes")', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'BOTAO_DETALHES_POS'));

/*-- SEQ 0307 --*/
-- Ticket 2022124866' --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

